	component ed_synth is
		port (
			emif_io96b_ddr4comp_1_mem_0_mem_cke           : out   std_logic_vector(0 downto 0);                     -- mem_cke
			emif_io96b_ddr4comp_1_mem_0_mem_odt           : out   std_logic_vector(0 downto 0);                     -- mem_odt
			emif_io96b_ddr4comp_1_mem_0_mem_cs_n          : out   std_logic_vector(0 downto 0);                     -- mem_cs_n
			emif_io96b_ddr4comp_1_mem_0_mem_a             : out   std_logic_vector(16 downto 0);                    -- mem_a
			emif_io96b_ddr4comp_1_mem_0_mem_ba            : out   std_logic_vector(1 downto 0);                     -- mem_ba
			emif_io96b_ddr4comp_1_mem_0_mem_bg            : out   std_logic_vector(0 downto 0);                     -- mem_bg
			emif_io96b_ddr4comp_1_mem_0_mem_act_n         : out   std_logic;                                        -- mem_act_n
			emif_io96b_ddr4comp_1_mem_0_mem_par           : out   std_logic;                                        -- mem_par
			emif_io96b_ddr4comp_1_mem_0_mem_dq            : inout std_logic_vector(31 downto 0) := (others => 'X'); -- mem_dq
			emif_io96b_ddr4comp_1_mem_0_mem_dqs_t         : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_t
			emif_io96b_ddr4comp_1_mem_0_mem_dqs_c         : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_c
			emif_io96b_ddr4comp_1_mem_0_mem_alert_n       : in    std_logic                     := 'X';             -- mem_alert_n
			emif_io96b_ddr4comp_1_mem_0_mem_dbi_n         : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dbi_n
			emif_io96b_ddr4comp_1_mem_ck_0_mem_ck_t       : out   std_logic_vector(0 downto 0);                     -- mem_ck_t
			emif_io96b_ddr4comp_1_mem_ck_0_mem_ck_c       : out   std_logic_vector(0 downto 0);                     -- mem_ck_c
			emif_io96b_ddr4comp_1_mem_reset_n_mem_reset_n : out   std_logic;                                        -- mem_reset_n
			emif_io96b_ddr4comp_1_oct_0_oct_rzqin         : in    std_logic                     := 'X';             -- oct_rzqin
			ref_clk_clk                                   : in    std_logic                     := 'X';             -- clk
			ref_clk_usr_pll_clk                           : in    std_logic                     := 'X'              -- clk
		);
	end component ed_synth;

	u0 : component ed_synth
		port map (
			emif_io96b_ddr4comp_1_mem_0_mem_cke           => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_0_mem_cke,           --       emif_io96b_ddr4comp_1_mem_0.mem_cke
			emif_io96b_ddr4comp_1_mem_0_mem_odt           => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_0_mem_odt,           --                                  .mem_odt
			emif_io96b_ddr4comp_1_mem_0_mem_cs_n          => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_0_mem_cs_n,          --                                  .mem_cs_n
			emif_io96b_ddr4comp_1_mem_0_mem_a             => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_0_mem_a,             --                                  .mem_a
			emif_io96b_ddr4comp_1_mem_0_mem_ba            => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_0_mem_ba,            --                                  .mem_ba
			emif_io96b_ddr4comp_1_mem_0_mem_bg            => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_0_mem_bg,            --                                  .mem_bg
			emif_io96b_ddr4comp_1_mem_0_mem_act_n         => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_0_mem_act_n,         --                                  .mem_act_n
			emif_io96b_ddr4comp_1_mem_0_mem_par           => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_0_mem_par,           --                                  .mem_par
			emif_io96b_ddr4comp_1_mem_0_mem_dq            => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_0_mem_dq,            --                                  .mem_dq
			emif_io96b_ddr4comp_1_mem_0_mem_dqs_t         => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_0_mem_dqs_t,         --                                  .mem_dqs_t
			emif_io96b_ddr4comp_1_mem_0_mem_dqs_c         => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_0_mem_dqs_c,         --                                  .mem_dqs_c
			emif_io96b_ddr4comp_1_mem_0_mem_alert_n       => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_0_mem_alert_n,       --                                  .mem_alert_n
			emif_io96b_ddr4comp_1_mem_0_mem_dbi_n         => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_0_mem_dbi_n,         --                                  .mem_dbi_n
			emif_io96b_ddr4comp_1_mem_ck_0_mem_ck_t       => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_ck_0_mem_ck_t,       --    emif_io96b_ddr4comp_1_mem_ck_0.mem_ck_t
			emif_io96b_ddr4comp_1_mem_ck_0_mem_ck_c       => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_ck_0_mem_ck_c,       --                                  .mem_ck_c
			emif_io96b_ddr4comp_1_mem_reset_n_mem_reset_n => CONNECTED_TO_emif_io96b_ddr4comp_1_mem_reset_n_mem_reset_n, -- emif_io96b_ddr4comp_1_mem_reset_n.mem_reset_n
			emif_io96b_ddr4comp_1_oct_0_oct_rzqin         => CONNECTED_TO_emif_io96b_ddr4comp_1_oct_0_oct_rzqin,         --       emif_io96b_ddr4comp_1_oct_0.oct_rzqin
			ref_clk_clk                                   => CONNECTED_TO_ref_clk_clk,                                   --                           ref_clk.clk
			ref_clk_usr_pll_clk                           => CONNECTED_TO_ref_clk_usr_pll_clk                            --                   ref_clk_usr_pll.clk
		);

