// ed_sim_mem.v

// Generated using ACDS version 24.3 212

`timescale 1 ps / 1 ps
module ed_sim_mem (
		input  wire [0:0]  mem_cke_0,     //       mem_0.mem_cke
		input  wire [0:0]  mem_odt_0,     //            .mem_odt
		input  wire [0:0]  mem_cs_n_0,    //            .mem_cs_n
		input  wire [16:0] mem_a_0,       //            .mem_a
		input  wire [1:0]  mem_ba_0,      //            .mem_ba
		input  wire [0:0]  mem_bg_0,      //            .mem_bg
		input  wire        mem_act_n_0,   //            .mem_act_n
		input  wire        mem_par_0,     //            .mem_par
		inout  wire [31:0] mem_dq_0,      //            .mem_dq
		inout  wire [3:0]  mem_dqs_t_0,   //            .mem_dqs_t
		inout  wire [3:0]  mem_dqs_c_0,   //            .mem_dqs_c
		output wire        mem_alert_n_0, //            .mem_alert_n
		inout  wire [3:0]  mem_dbi_n_0,   //            .mem_dbi_n
		input  wire [0:0]  mem_ck_t_0,    //    mem_ck_0.mem_ck_t
		input  wire [0:0]  mem_ck_c_0,    //            .mem_ck_c
		input  wire        mem_reset_n_0, // mem_reset_n.mem_reset_n
		output wire        oct_rzqin_0    //       oct_0.oct_rzqin
	);

	altera_emif_ddr4_model_top #(
		.MEM_FORMAT_ENUM           ("MEM_FORMAT_DISCRETE"),
		.MEM_NUM_DIMMS             (0),
		.MEM_RANKS_PER_DIMM_HDL    (0),
		.MEM_AC_MIRROR_EN          (0),
		.MEM_ROW_ADDR_WIDTH        (17),
		.MEM_COL_ADDR_WIDTH        (10),
		.MEM_CK_T_WIDTH            (1),
		.MEM_CK_C_WIDTH            (1),
		.MEM_CKE_WIDTH             (1),
		.MEM_ODT_WIDTH             (1),
		.MEM_CS_N_WIDTH            (1),
		.MEM_A_WIDTH               (17),
		.MEM_BANK_GROUP_ADDR_WIDTH (1),
		.MEM_BANK_ADDR_WIDTH       (2),
		.MEM_DQ_WIDTH              (32),
		.MEM_DQS_T_WIDTH           (4),
		.MEM_DQS_C_WIDTH           (4),
		.MEM_DBI_N_WIDTH           (4),
		.MEM_ALERT_N_WIDTH         (1),
		.MEM_PAR_WIDTH             (1),
		.MEM_ACT_N_WIDTH           (1),
		.MEM_RESET_N_WIDTH         (1),
		.MEM_CHIP_ID_WIDTH         (0)
	) emif_io96b_mem_model_ddr4_inst (
		.mem_cke_0     (mem_cke_0),     //   input,   width = 1,       mem_0.mem_cke
		.mem_odt_0     (mem_odt_0),     //   input,   width = 1,            .mem_odt
		.mem_cs_n_0    (mem_cs_n_0),    //   input,   width = 1,            .mem_cs_n
		.mem_a_0       (mem_a_0),       //   input,  width = 17,            .mem_a
		.mem_ba_0      (mem_ba_0),      //   input,   width = 2,            .mem_ba
		.mem_bg_0      (mem_bg_0),      //   input,   width = 1,            .mem_bg
		.mem_act_n_0   (mem_act_n_0),   //   input,   width = 1,            .mem_act_n
		.mem_par_0     (mem_par_0),     //   input,   width = 1,            .mem_par
		.mem_dq_0      (mem_dq_0),      //   inout,  width = 32,            .mem_dq
		.mem_dqs_t_0   (mem_dqs_t_0),   //   inout,   width = 4,            .mem_dqs_t
		.mem_dqs_c_0   (mem_dqs_c_0),   //   inout,   width = 4,            .mem_dqs_c
		.mem_alert_n_0 (mem_alert_n_0), //  output,   width = 1,            .mem_alert_n
		.mem_dbi_n_0   (mem_dbi_n_0),   //   inout,   width = 4,            .mem_dbi_n
		.mem_ck_t_0    (mem_ck_t_0),    //   input,   width = 1,    mem_ck_0.mem_ck_t
		.mem_ck_c_0    (mem_ck_c_0),    //   input,   width = 1,            .mem_ck_c
		.mem_reset_n_0 (mem_reset_n_0), //   input,   width = 1, mem_reset_n.mem_reset_n
		.oct_rzqin_0   (oct_rzqin_0)    //  output,   width = 1,       oct_0.oct_rzqin
	);

endmodule
