	component Qsys is
		port (
			clk_clk                                : in    std_logic                     := 'X';             -- clk
			emif_ddr4a_s0_axi4_ctrl_ready_reset_n  : out   std_logic;                                        -- reset_n
			emif_ddr4a_core_init_n_reset_n         : in    std_logic                     := 'X';             -- reset_n
			emif_ddr4a_s0_axi4lite_clock_clk       : in    std_logic                     := 'X';             -- clk
			emif_ddr4a_s0_axi4lite_reset_n_reset_n : in    std_logic                     := 'X';             -- reset_n
			emif_ddr4a_s0_axi4lite_awaddr          : in    std_logic_vector(26 downto 0) := (others => 'X'); -- awaddr
			emif_ddr4a_s0_axi4lite_awprot          : in    std_logic_vector(2 downto 0)  := (others => 'X'); -- awprot
			emif_ddr4a_s0_axi4lite_awvalid         : in    std_logic                     := 'X';             -- awvalid
			emif_ddr4a_s0_axi4lite_awready         : out   std_logic;                                        -- awready
			emif_ddr4a_s0_axi4lite_araddr          : in    std_logic_vector(26 downto 0) := (others => 'X'); -- araddr
			emif_ddr4a_s0_axi4lite_arprot          : in    std_logic_vector(2 downto 0)  := (others => 'X'); -- arprot
			emif_ddr4a_s0_axi4lite_arvalid         : in    std_logic                     := 'X';             -- arvalid
			emif_ddr4a_s0_axi4lite_arready         : out   std_logic;                                        -- arready
			emif_ddr4a_s0_axi4lite_wdata           : in    std_logic_vector(31 downto 0) := (others => 'X'); -- wdata
			emif_ddr4a_s0_axi4lite_wstrb           : in    std_logic_vector(3 downto 0)  := (others => 'X'); -- wstrb
			emif_ddr4a_s0_axi4lite_wvalid          : in    std_logic                     := 'X';             -- wvalid
			emif_ddr4a_s0_axi4lite_wready          : out   std_logic;                                        -- wready
			emif_ddr4a_s0_axi4lite_bready          : in    std_logic                     := 'X';             -- bready
			emif_ddr4a_s0_axi4lite_bresp           : out   std_logic_vector(1 downto 0);                     -- bresp
			emif_ddr4a_s0_axi4lite_bvalid          : out   std_logic;                                        -- bvalid
			emif_ddr4a_s0_axi4lite_rready          : in    std_logic                     := 'X';             -- rready
			emif_ddr4a_s0_axi4lite_rdata           : out   std_logic_vector(31 downto 0);                    -- rdata
			emif_ddr4a_s0_axi4lite_rresp           : out   std_logic_vector(1 downto 0);                     -- rresp
			emif_ddr4a_s0_axi4lite_rvalid          : out   std_logic;                                        -- rvalid
			emif_ddr4a_mem_mem_cke                 : out   std_logic_vector(0 downto 0);                     -- mem_cke
			emif_ddr4a_mem_mem_odt                 : out   std_logic_vector(0 downto 0);                     -- mem_odt
			emif_ddr4a_mem_mem_cs_n                : out   std_logic_vector(0 downto 0);                     -- mem_cs_n
			emif_ddr4a_mem_mem_a                   : out   std_logic_vector(16 downto 0);                    -- mem_a
			emif_ddr4a_mem_mem_ba                  : out   std_logic_vector(1 downto 0);                     -- mem_ba
			emif_ddr4a_mem_mem_bg                  : out   std_logic_vector(0 downto 0);                     -- mem_bg
			emif_ddr4a_mem_mem_act_n               : out   std_logic;                                        -- mem_act_n
			emif_ddr4a_mem_mem_par                 : out   std_logic;                                        -- mem_par
			emif_ddr4a_mem_mem_dq                  : inout std_logic_vector(31 downto 0) := (others => 'X'); -- mem_dq
			emif_ddr4a_mem_mem_dqs_t               : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_t
			emif_ddr4a_mem_mem_dqs_c               : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_c
			emif_ddr4a_mem_mem_alert_n             : in    std_logic                     := 'X';             -- mem_alert_n
			emif_ddr4a_mem_mem_dbi_n               : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dbi_n
			emif_ddr4a_mem_ck_mem_ck_t             : out   std_logic_vector(0 downto 0);                     -- mem_ck_t
			emif_ddr4a_mem_ck_mem_ck_c             : out   std_logic_vector(0 downto 0);                     -- mem_ck_c
			emif_ddr4a_mem_reset_n_mem_reset_n     : out   std_logic;                                        -- mem_reset_n
			emif_ddr4a_oct_oct_rzqin               : in    std_logic                     := 'X';             -- oct_rzqin
			emif_ddr4a_ref_clk_clk                 : in    std_logic                     := 'X';             -- clk
			emif_ddr4b_s0_axi4_ctrl_ready_reset_n  : out   std_logic;                                        -- reset_n
			emif_ddr4b_core_init_n_reset_n         : in    std_logic                     := 'X';             -- reset_n
			emif_ddr4b_s0_axi4lite_clock_clk       : in    std_logic                     := 'X';             -- clk
			emif_ddr4b_s0_axi4lite_reset_n_reset_n : in    std_logic                     := 'X';             -- reset_n
			emif_ddr4b_s0_axi4lite_awaddr          : in    std_logic_vector(26 downto 0) := (others => 'X'); -- awaddr
			emif_ddr4b_s0_axi4lite_awprot          : in    std_logic_vector(2 downto 0)  := (others => 'X'); -- awprot
			emif_ddr4b_s0_axi4lite_awvalid         : in    std_logic                     := 'X';             -- awvalid
			emif_ddr4b_s0_axi4lite_awready         : out   std_logic;                                        -- awready
			emif_ddr4b_s0_axi4lite_araddr          : in    std_logic_vector(26 downto 0) := (others => 'X'); -- araddr
			emif_ddr4b_s0_axi4lite_arprot          : in    std_logic_vector(2 downto 0)  := (others => 'X'); -- arprot
			emif_ddr4b_s0_axi4lite_arvalid         : in    std_logic                     := 'X';             -- arvalid
			emif_ddr4b_s0_axi4lite_arready         : out   std_logic;                                        -- arready
			emif_ddr4b_s0_axi4lite_wdata           : in    std_logic_vector(31 downto 0) := (others => 'X'); -- wdata
			emif_ddr4b_s0_axi4lite_wstrb           : in    std_logic_vector(3 downto 0)  := (others => 'X'); -- wstrb
			emif_ddr4b_s0_axi4lite_wvalid          : in    std_logic                     := 'X';             -- wvalid
			emif_ddr4b_s0_axi4lite_wready          : out   std_logic;                                        -- wready
			emif_ddr4b_s0_axi4lite_bready          : in    std_logic                     := 'X';             -- bready
			emif_ddr4b_s0_axi4lite_bresp           : out   std_logic_vector(1 downto 0);                     -- bresp
			emif_ddr4b_s0_axi4lite_bvalid          : out   std_logic;                                        -- bvalid
			emif_ddr4b_s0_axi4lite_rready          : in    std_logic                     := 'X';             -- rready
			emif_ddr4b_s0_axi4lite_rdata           : out   std_logic_vector(31 downto 0);                    -- rdata
			emif_ddr4b_s0_axi4lite_rresp           : out   std_logic_vector(1 downto 0);                     -- rresp
			emif_ddr4b_s0_axi4lite_rvalid          : out   std_logic;                                        -- rvalid
			emif_ddr4b_mem_mem_cke                 : out   std_logic_vector(0 downto 0);                     -- mem_cke
			emif_ddr4b_mem_mem_odt                 : out   std_logic_vector(0 downto 0);                     -- mem_odt
			emif_ddr4b_mem_mem_cs_n                : out   std_logic_vector(0 downto 0);                     -- mem_cs_n
			emif_ddr4b_mem_mem_a                   : out   std_logic_vector(16 downto 0);                    -- mem_a
			emif_ddr4b_mem_mem_ba                  : out   std_logic_vector(1 downto 0);                     -- mem_ba
			emif_ddr4b_mem_mem_bg                  : out   std_logic_vector(0 downto 0);                     -- mem_bg
			emif_ddr4b_mem_mem_act_n               : out   std_logic;                                        -- mem_act_n
			emif_ddr4b_mem_mem_par                 : out   std_logic;                                        -- mem_par
			emif_ddr4b_mem_mem_dq                  : inout std_logic_vector(31 downto 0) := (others => 'X'); -- mem_dq
			emif_ddr4b_mem_mem_dqs_t               : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_t
			emif_ddr4b_mem_mem_dqs_c               : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_c
			emif_ddr4b_mem_mem_alert_n             : in    std_logic                     := 'X';             -- mem_alert_n
			emif_ddr4b_mem_mem_dbi_n               : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dbi_n
			emif_ddr4b_mem_ck_mem_ck_t             : out   std_logic_vector(0 downto 0);                     -- mem_ck_t
			emif_ddr4b_mem_ck_mem_ck_c             : out   std_logic_vector(0 downto 0);                     -- mem_ck_c
			emif_ddr4b_mem_reset_n_mem_reset_n     : out   std_logic;                                        -- mem_reset_n
			emif_ddr4b_oct_oct_rzqin               : in    std_logic                     := 'X';             -- oct_rzqin
			emif_ddr4b_ref_clk_clk                 : in    std_logic                     := 'X';             -- clk
			iopll_locked_export                    : out   std_logic;                                        -- export
			iopll_outclk_axi4_lite_clk             : out   std_logic;                                        -- clk
			pio_key_external_connection_export     : in    std_logic_vector(3 downto 0)  := (others => 'X'); -- export
			pio_led_external_connection_export     : out   std_logic_vector(3 downto 0);                     -- export
			reset_reset_n                          : in    std_logic                     := 'X'              -- reset_n
		);
	end component Qsys;

	u0 : component Qsys
		port map (
			clk_clk                                => CONNECTED_TO_clk_clk,                                --                            clk.clk
			emif_ddr4a_s0_axi4_ctrl_ready_reset_n  => CONNECTED_TO_emif_ddr4a_s0_axi4_ctrl_ready_reset_n,  --  emif_ddr4a_s0_axi4_ctrl_ready.reset_n
			emif_ddr4a_core_init_n_reset_n         => CONNECTED_TO_emif_ddr4a_core_init_n_reset_n,         --         emif_ddr4a_core_init_n.reset_n
			emif_ddr4a_s0_axi4lite_clock_clk       => CONNECTED_TO_emif_ddr4a_s0_axi4lite_clock_clk,       --   emif_ddr4a_s0_axi4lite_clock.clk
			emif_ddr4a_s0_axi4lite_reset_n_reset_n => CONNECTED_TO_emif_ddr4a_s0_axi4lite_reset_n_reset_n, -- emif_ddr4a_s0_axi4lite_reset_n.reset_n
			emif_ddr4a_s0_axi4lite_awaddr          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_awaddr,          --         emif_ddr4a_s0_axi4lite.awaddr
			emif_ddr4a_s0_axi4lite_awprot          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_awprot,          --                               .awprot
			emif_ddr4a_s0_axi4lite_awvalid         => CONNECTED_TO_emif_ddr4a_s0_axi4lite_awvalid,         --                               .awvalid
			emif_ddr4a_s0_axi4lite_awready         => CONNECTED_TO_emif_ddr4a_s0_axi4lite_awready,         --                               .awready
			emif_ddr4a_s0_axi4lite_araddr          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_araddr,          --                               .araddr
			emif_ddr4a_s0_axi4lite_arprot          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_arprot,          --                               .arprot
			emif_ddr4a_s0_axi4lite_arvalid         => CONNECTED_TO_emif_ddr4a_s0_axi4lite_arvalid,         --                               .arvalid
			emif_ddr4a_s0_axi4lite_arready         => CONNECTED_TO_emif_ddr4a_s0_axi4lite_arready,         --                               .arready
			emif_ddr4a_s0_axi4lite_wdata           => CONNECTED_TO_emif_ddr4a_s0_axi4lite_wdata,           --                               .wdata
			emif_ddr4a_s0_axi4lite_wstrb           => CONNECTED_TO_emif_ddr4a_s0_axi4lite_wstrb,           --                               .wstrb
			emif_ddr4a_s0_axi4lite_wvalid          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_wvalid,          --                               .wvalid
			emif_ddr4a_s0_axi4lite_wready          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_wready,          --                               .wready
			emif_ddr4a_s0_axi4lite_bready          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_bready,          --                               .bready
			emif_ddr4a_s0_axi4lite_bresp           => CONNECTED_TO_emif_ddr4a_s0_axi4lite_bresp,           --                               .bresp
			emif_ddr4a_s0_axi4lite_bvalid          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_bvalid,          --                               .bvalid
			emif_ddr4a_s0_axi4lite_rready          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_rready,          --                               .rready
			emif_ddr4a_s0_axi4lite_rdata           => CONNECTED_TO_emif_ddr4a_s0_axi4lite_rdata,           --                               .rdata
			emif_ddr4a_s0_axi4lite_rresp           => CONNECTED_TO_emif_ddr4a_s0_axi4lite_rresp,           --                               .rresp
			emif_ddr4a_s0_axi4lite_rvalid          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_rvalid,          --                               .rvalid
			emif_ddr4a_mem_mem_cke                 => CONNECTED_TO_emif_ddr4a_mem_mem_cke,                 --                 emif_ddr4a_mem.mem_cke
			emif_ddr4a_mem_mem_odt                 => CONNECTED_TO_emif_ddr4a_mem_mem_odt,                 --                               .mem_odt
			emif_ddr4a_mem_mem_cs_n                => CONNECTED_TO_emif_ddr4a_mem_mem_cs_n,                --                               .mem_cs_n
			emif_ddr4a_mem_mem_a                   => CONNECTED_TO_emif_ddr4a_mem_mem_a,                   --                               .mem_a
			emif_ddr4a_mem_mem_ba                  => CONNECTED_TO_emif_ddr4a_mem_mem_ba,                  --                               .mem_ba
			emif_ddr4a_mem_mem_bg                  => CONNECTED_TO_emif_ddr4a_mem_mem_bg,                  --                               .mem_bg
			emif_ddr4a_mem_mem_act_n               => CONNECTED_TO_emif_ddr4a_mem_mem_act_n,               --                               .mem_act_n
			emif_ddr4a_mem_mem_par                 => CONNECTED_TO_emif_ddr4a_mem_mem_par,                 --                               .mem_par
			emif_ddr4a_mem_mem_dq                  => CONNECTED_TO_emif_ddr4a_mem_mem_dq,                  --                               .mem_dq
			emif_ddr4a_mem_mem_dqs_t               => CONNECTED_TO_emif_ddr4a_mem_mem_dqs_t,               --                               .mem_dqs_t
			emif_ddr4a_mem_mem_dqs_c               => CONNECTED_TO_emif_ddr4a_mem_mem_dqs_c,               --                               .mem_dqs_c
			emif_ddr4a_mem_mem_alert_n             => CONNECTED_TO_emif_ddr4a_mem_mem_alert_n,             --                               .mem_alert_n
			emif_ddr4a_mem_mem_dbi_n               => CONNECTED_TO_emif_ddr4a_mem_mem_dbi_n,               --                               .mem_dbi_n
			emif_ddr4a_mem_ck_mem_ck_t             => CONNECTED_TO_emif_ddr4a_mem_ck_mem_ck_t,             --              emif_ddr4a_mem_ck.mem_ck_t
			emif_ddr4a_mem_ck_mem_ck_c             => CONNECTED_TO_emif_ddr4a_mem_ck_mem_ck_c,             --                               .mem_ck_c
			emif_ddr4a_mem_reset_n_mem_reset_n     => CONNECTED_TO_emif_ddr4a_mem_reset_n_mem_reset_n,     --         emif_ddr4a_mem_reset_n.mem_reset_n
			emif_ddr4a_oct_oct_rzqin               => CONNECTED_TO_emif_ddr4a_oct_oct_rzqin,               --                 emif_ddr4a_oct.oct_rzqin
			emif_ddr4a_ref_clk_clk                 => CONNECTED_TO_emif_ddr4a_ref_clk_clk,                 --             emif_ddr4a_ref_clk.clk
			emif_ddr4b_s0_axi4_ctrl_ready_reset_n  => CONNECTED_TO_emif_ddr4b_s0_axi4_ctrl_ready_reset_n,  --  emif_ddr4b_s0_axi4_ctrl_ready.reset_n
			emif_ddr4b_core_init_n_reset_n         => CONNECTED_TO_emif_ddr4b_core_init_n_reset_n,         --         emif_ddr4b_core_init_n.reset_n
			emif_ddr4b_s0_axi4lite_clock_clk       => CONNECTED_TO_emif_ddr4b_s0_axi4lite_clock_clk,       --   emif_ddr4b_s0_axi4lite_clock.clk
			emif_ddr4b_s0_axi4lite_reset_n_reset_n => CONNECTED_TO_emif_ddr4b_s0_axi4lite_reset_n_reset_n, -- emif_ddr4b_s0_axi4lite_reset_n.reset_n
			emif_ddr4b_s0_axi4lite_awaddr          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_awaddr,          --         emif_ddr4b_s0_axi4lite.awaddr
			emif_ddr4b_s0_axi4lite_awprot          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_awprot,          --                               .awprot
			emif_ddr4b_s0_axi4lite_awvalid         => CONNECTED_TO_emif_ddr4b_s0_axi4lite_awvalid,         --                               .awvalid
			emif_ddr4b_s0_axi4lite_awready         => CONNECTED_TO_emif_ddr4b_s0_axi4lite_awready,         --                               .awready
			emif_ddr4b_s0_axi4lite_araddr          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_araddr,          --                               .araddr
			emif_ddr4b_s0_axi4lite_arprot          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_arprot,          --                               .arprot
			emif_ddr4b_s0_axi4lite_arvalid         => CONNECTED_TO_emif_ddr4b_s0_axi4lite_arvalid,         --                               .arvalid
			emif_ddr4b_s0_axi4lite_arready         => CONNECTED_TO_emif_ddr4b_s0_axi4lite_arready,         --                               .arready
			emif_ddr4b_s0_axi4lite_wdata           => CONNECTED_TO_emif_ddr4b_s0_axi4lite_wdata,           --                               .wdata
			emif_ddr4b_s0_axi4lite_wstrb           => CONNECTED_TO_emif_ddr4b_s0_axi4lite_wstrb,           --                               .wstrb
			emif_ddr4b_s0_axi4lite_wvalid          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_wvalid,          --                               .wvalid
			emif_ddr4b_s0_axi4lite_wready          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_wready,          --                               .wready
			emif_ddr4b_s0_axi4lite_bready          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_bready,          --                               .bready
			emif_ddr4b_s0_axi4lite_bresp           => CONNECTED_TO_emif_ddr4b_s0_axi4lite_bresp,           --                               .bresp
			emif_ddr4b_s0_axi4lite_bvalid          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_bvalid,          --                               .bvalid
			emif_ddr4b_s0_axi4lite_rready          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_rready,          --                               .rready
			emif_ddr4b_s0_axi4lite_rdata           => CONNECTED_TO_emif_ddr4b_s0_axi4lite_rdata,           --                               .rdata
			emif_ddr4b_s0_axi4lite_rresp           => CONNECTED_TO_emif_ddr4b_s0_axi4lite_rresp,           --                               .rresp
			emif_ddr4b_s0_axi4lite_rvalid          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_rvalid,          --                               .rvalid
			emif_ddr4b_mem_mem_cke                 => CONNECTED_TO_emif_ddr4b_mem_mem_cke,                 --                 emif_ddr4b_mem.mem_cke
			emif_ddr4b_mem_mem_odt                 => CONNECTED_TO_emif_ddr4b_mem_mem_odt,                 --                               .mem_odt
			emif_ddr4b_mem_mem_cs_n                => CONNECTED_TO_emif_ddr4b_mem_mem_cs_n,                --                               .mem_cs_n
			emif_ddr4b_mem_mem_a                   => CONNECTED_TO_emif_ddr4b_mem_mem_a,                   --                               .mem_a
			emif_ddr4b_mem_mem_ba                  => CONNECTED_TO_emif_ddr4b_mem_mem_ba,                  --                               .mem_ba
			emif_ddr4b_mem_mem_bg                  => CONNECTED_TO_emif_ddr4b_mem_mem_bg,                  --                               .mem_bg
			emif_ddr4b_mem_mem_act_n               => CONNECTED_TO_emif_ddr4b_mem_mem_act_n,               --                               .mem_act_n
			emif_ddr4b_mem_mem_par                 => CONNECTED_TO_emif_ddr4b_mem_mem_par,                 --                               .mem_par
			emif_ddr4b_mem_mem_dq                  => CONNECTED_TO_emif_ddr4b_mem_mem_dq,                  --                               .mem_dq
			emif_ddr4b_mem_mem_dqs_t               => CONNECTED_TO_emif_ddr4b_mem_mem_dqs_t,               --                               .mem_dqs_t
			emif_ddr4b_mem_mem_dqs_c               => CONNECTED_TO_emif_ddr4b_mem_mem_dqs_c,               --                               .mem_dqs_c
			emif_ddr4b_mem_mem_alert_n             => CONNECTED_TO_emif_ddr4b_mem_mem_alert_n,             --                               .mem_alert_n
			emif_ddr4b_mem_mem_dbi_n               => CONNECTED_TO_emif_ddr4b_mem_mem_dbi_n,               --                               .mem_dbi_n
			emif_ddr4b_mem_ck_mem_ck_t             => CONNECTED_TO_emif_ddr4b_mem_ck_mem_ck_t,             --              emif_ddr4b_mem_ck.mem_ck_t
			emif_ddr4b_mem_ck_mem_ck_c             => CONNECTED_TO_emif_ddr4b_mem_ck_mem_ck_c,             --                               .mem_ck_c
			emif_ddr4b_mem_reset_n_mem_reset_n     => CONNECTED_TO_emif_ddr4b_mem_reset_n_mem_reset_n,     --         emif_ddr4b_mem_reset_n.mem_reset_n
			emif_ddr4b_oct_oct_rzqin               => CONNECTED_TO_emif_ddr4b_oct_oct_rzqin,               --                 emif_ddr4b_oct.oct_rzqin
			emif_ddr4b_ref_clk_clk                 => CONNECTED_TO_emif_ddr4b_ref_clk_clk,                 --             emif_ddr4b_ref_clk.clk
			iopll_locked_export                    => CONNECTED_TO_iopll_locked_export,                    --                   iopll_locked.export
			iopll_outclk_axi4_lite_clk             => CONNECTED_TO_iopll_outclk_axi4_lite_clk,             --         iopll_outclk_axi4_lite.clk
			pio_key_external_connection_export     => CONNECTED_TO_pio_key_external_connection_export,     --    pio_key_external_connection.export
			pio_led_external_connection_export     => CONNECTED_TO_pio_led_external_connection_export,     --    pio_led_external_connection.export
			reset_reset_n                          => CONNECTED_TO_reset_reset_n                           --                          reset.reset_n
		);

