module EMIF_Qsys (
		output wire         clock_310m_out_clk_clk,                 //             clock_310m_out_clk.clk
		output wire         emif_ddr4a_s0_axi4_ctrl_ready_reset_n,  //  emif_ddr4a_s0_axi4_ctrl_ready.reset_n
		input  wire [31:0]  emif_ddr4a_s0_axi4_awaddr,              //             emif_ddr4a_s0_axi4.awaddr
		input  wire [1:0]   emif_ddr4a_s0_axi4_awburst,             //                               .awburst
		input  wire [6:0]   emif_ddr4a_s0_axi4_awid,                //                               .awid
		input  wire [7:0]   emif_ddr4a_s0_axi4_awlen,               //                               .awlen
		input  wire         emif_ddr4a_s0_axi4_awlock,              //                               .awlock
		input  wire [3:0]   emif_ddr4a_s0_axi4_awqos,               //                               .awqos
		input  wire [2:0]   emif_ddr4a_s0_axi4_awsize,              //                               .awsize
		input  wire         emif_ddr4a_s0_axi4_awvalid,             //                               .awvalid
		input  wire [13:0]  emif_ddr4a_s0_axi4_awuser,              //                               .awuser
		input  wire [2:0]   emif_ddr4a_s0_axi4_awprot,              //                               .awprot
		output wire         emif_ddr4a_s0_axi4_awready,             //                               .awready
		input  wire [31:0]  emif_ddr4a_s0_axi4_araddr,              //                               .araddr
		input  wire [1:0]   emif_ddr4a_s0_axi4_arburst,             //                               .arburst
		input  wire [6:0]   emif_ddr4a_s0_axi4_arid,                //                               .arid
		input  wire [7:0]   emif_ddr4a_s0_axi4_arlen,               //                               .arlen
		input  wire         emif_ddr4a_s0_axi4_arlock,              //                               .arlock
		input  wire [3:0]   emif_ddr4a_s0_axi4_arqos,               //                               .arqos
		input  wire [2:0]   emif_ddr4a_s0_axi4_arsize,              //                               .arsize
		input  wire         emif_ddr4a_s0_axi4_arvalid,             //                               .arvalid
		input  wire [13:0]  emif_ddr4a_s0_axi4_aruser,              //                               .aruser
		input  wire [2:0]   emif_ddr4a_s0_axi4_arprot,              //                               .arprot
		output wire         emif_ddr4a_s0_axi4_arready,             //                               .arready
		input  wire [255:0] emif_ddr4a_s0_axi4_wdata,               //                               .wdata
		input  wire [31:0]  emif_ddr4a_s0_axi4_wstrb,               //                               .wstrb
		input  wire         emif_ddr4a_s0_axi4_wlast,               //                               .wlast
		input  wire         emif_ddr4a_s0_axi4_wvalid,              //                               .wvalid
		input  wire [31:0]  emif_ddr4a_s0_axi4_wuser,               //                               .wuser
		output wire         emif_ddr4a_s0_axi4_wready,              //                               .wready
		input  wire         emif_ddr4a_s0_axi4_bready,              //                               .bready
		output wire [6:0]   emif_ddr4a_s0_axi4_bid,                 //                               .bid
		output wire [1:0]   emif_ddr4a_s0_axi4_bresp,               //                               .bresp
		output wire         emif_ddr4a_s0_axi4_bvalid,              //                               .bvalid
		input  wire         emif_ddr4a_s0_axi4_rready,              //                               .rready
		output wire [31:0]  emif_ddr4a_s0_axi4_ruser,               //                               .ruser
		output wire [255:0] emif_ddr4a_s0_axi4_rdata,               //                               .rdata
		output wire [6:0]   emif_ddr4a_s0_axi4_rid,                 //                               .rid
		output wire         emif_ddr4a_s0_axi4_rlast,               //                               .rlast
		output wire [1:0]   emif_ddr4a_s0_axi4_rresp,               //                               .rresp
		output wire         emif_ddr4a_s0_axi4_rvalid,              //                               .rvalid
		input  wire         emif_ddr4a_s0_axi4lite_clock_clk,       //   emif_ddr4a_s0_axi4lite_clock.clk
		input  wire         emif_ddr4a_s0_axi4lite_reset_n_reset_n, // emif_ddr4a_s0_axi4lite_reset_n.reset_n
		input  wire [26:0]  emif_ddr4a_s0_axi4lite_awaddr,          //         emif_ddr4a_s0_axi4lite.awaddr
		input  wire [2:0]   emif_ddr4a_s0_axi4lite_awprot,          //                               .awprot
		input  wire         emif_ddr4a_s0_axi4lite_awvalid,         //                               .awvalid
		output wire         emif_ddr4a_s0_axi4lite_awready,         //                               .awready
		input  wire [26:0]  emif_ddr4a_s0_axi4lite_araddr,          //                               .araddr
		input  wire [2:0]   emif_ddr4a_s0_axi4lite_arprot,          //                               .arprot
		input  wire         emif_ddr4a_s0_axi4lite_arvalid,         //                               .arvalid
		output wire         emif_ddr4a_s0_axi4lite_arready,         //                               .arready
		input  wire [31:0]  emif_ddr4a_s0_axi4lite_wdata,           //                               .wdata
		input  wire [3:0]   emif_ddr4a_s0_axi4lite_wstrb,           //                               .wstrb
		input  wire         emif_ddr4a_s0_axi4lite_wvalid,          //                               .wvalid
		output wire         emif_ddr4a_s0_axi4lite_wready,          //                               .wready
		input  wire         emif_ddr4a_s0_axi4lite_bready,          //                               .bready
		output wire [1:0]   emif_ddr4a_s0_axi4lite_bresp,           //                               .bresp
		output wire         emif_ddr4a_s0_axi4lite_bvalid,          //                               .bvalid
		input  wire         emif_ddr4a_s0_axi4lite_rready,          //                               .rready
		output wire [31:0]  emif_ddr4a_s0_axi4lite_rdata,           //                               .rdata
		output wire [1:0]   emif_ddr4a_s0_axi4lite_rresp,           //                               .rresp
		output wire         emif_ddr4a_s0_axi4lite_rvalid,          //                               .rvalid
		output wire [0:0]   emif_ddr4a_mem_0_mem_cke,               //               emif_ddr4a_mem_0.mem_cke
		output wire [0:0]   emif_ddr4a_mem_0_mem_odt,               //                               .mem_odt
		output wire [0:0]   emif_ddr4a_mem_0_mem_cs_n,              //                               .mem_cs_n
		output wire [16:0]  emif_ddr4a_mem_0_mem_a,                 //                               .mem_a
		output wire [1:0]   emif_ddr4a_mem_0_mem_ba,                //                               .mem_ba
		output wire [0:0]   emif_ddr4a_mem_0_mem_bg,                //                               .mem_bg
		output wire         emif_ddr4a_mem_0_mem_act_n,             //                               .mem_act_n
		output wire         emif_ddr4a_mem_0_mem_par,               //                               .mem_par
		inout  wire [31:0]  emif_ddr4a_mem_0_mem_dq,                //                               .mem_dq
		inout  wire [3:0]   emif_ddr4a_mem_0_mem_dqs_t,             //                               .mem_dqs_t
		inout  wire [3:0]   emif_ddr4a_mem_0_mem_dqs_c,             //                               .mem_dqs_c
		input  wire         emif_ddr4a_mem_0_mem_alert_n,           //                               .mem_alert_n
		inout  wire [3:0]   emif_ddr4a_mem_0_mem_dbi_n,             //                               .mem_dbi_n
		output wire [0:0]   emif_ddr4a_mem_ck_0_mem_ck_t,           //            emif_ddr4a_mem_ck_0.mem_ck_t
		output wire [0:0]   emif_ddr4a_mem_ck_0_mem_ck_c,           //                               .mem_ck_c
		output wire         emif_ddr4a_mem_reset_n_mem_reset_n,     //         emif_ddr4a_mem_reset_n.mem_reset_n
		input  wire         emif_ddr4a_oct_0_oct_rzqin,             //               emif_ddr4a_oct_0.oct_rzqin
		input  wire         emif_ddr4a_ref_clk_clk,                 //             emif_ddr4a_ref_clk.clk
		output wire         emif_ddr4b_s0_axi4_ctrl_ready_reset_n,  //  emif_ddr4b_s0_axi4_ctrl_ready.reset_n
		input  wire [31:0]  emif_ddr4b_s0_axi4_awaddr,              //             emif_ddr4b_s0_axi4.awaddr
		input  wire [1:0]   emif_ddr4b_s0_axi4_awburst,             //                               .awburst
		input  wire [6:0]   emif_ddr4b_s0_axi4_awid,                //                               .awid
		input  wire [7:0]   emif_ddr4b_s0_axi4_awlen,               //                               .awlen
		input  wire         emif_ddr4b_s0_axi4_awlock,              //                               .awlock
		input  wire [3:0]   emif_ddr4b_s0_axi4_awqos,               //                               .awqos
		input  wire [2:0]   emif_ddr4b_s0_axi4_awsize,              //                               .awsize
		input  wire         emif_ddr4b_s0_axi4_awvalid,             //                               .awvalid
		input  wire [13:0]  emif_ddr4b_s0_axi4_awuser,              //                               .awuser
		input  wire [2:0]   emif_ddr4b_s0_axi4_awprot,              //                               .awprot
		output wire         emif_ddr4b_s0_axi4_awready,             //                               .awready
		input  wire [31:0]  emif_ddr4b_s0_axi4_araddr,              //                               .araddr
		input  wire [1:0]   emif_ddr4b_s0_axi4_arburst,             //                               .arburst
		input  wire [6:0]   emif_ddr4b_s0_axi4_arid,                //                               .arid
		input  wire [7:0]   emif_ddr4b_s0_axi4_arlen,               //                               .arlen
		input  wire         emif_ddr4b_s0_axi4_arlock,              //                               .arlock
		input  wire [3:0]   emif_ddr4b_s0_axi4_arqos,               //                               .arqos
		input  wire [2:0]   emif_ddr4b_s0_axi4_arsize,              //                               .arsize
		input  wire         emif_ddr4b_s0_axi4_arvalid,             //                               .arvalid
		input  wire [13:0]  emif_ddr4b_s0_axi4_aruser,              //                               .aruser
		input  wire [2:0]   emif_ddr4b_s0_axi4_arprot,              //                               .arprot
		output wire         emif_ddr4b_s0_axi4_arready,             //                               .arready
		input  wire [255:0] emif_ddr4b_s0_axi4_wdata,               //                               .wdata
		input  wire [31:0]  emif_ddr4b_s0_axi4_wstrb,               //                               .wstrb
		input  wire         emif_ddr4b_s0_axi4_wlast,               //                               .wlast
		input  wire         emif_ddr4b_s0_axi4_wvalid,              //                               .wvalid
		input  wire [31:0]  emif_ddr4b_s0_axi4_wuser,               //                               .wuser
		output wire         emif_ddr4b_s0_axi4_wready,              //                               .wready
		input  wire         emif_ddr4b_s0_axi4_bready,              //                               .bready
		output wire [6:0]   emif_ddr4b_s0_axi4_bid,                 //                               .bid
		output wire [1:0]   emif_ddr4b_s0_axi4_bresp,               //                               .bresp
		output wire         emif_ddr4b_s0_axi4_bvalid,              //                               .bvalid
		input  wire         emif_ddr4b_s0_axi4_rready,              //                               .rready
		output wire [31:0]  emif_ddr4b_s0_axi4_ruser,               //                               .ruser
		output wire [255:0] emif_ddr4b_s0_axi4_rdata,               //                               .rdata
		output wire [6:0]   emif_ddr4b_s0_axi4_rid,                 //                               .rid
		output wire         emif_ddr4b_s0_axi4_rlast,               //                               .rlast
		output wire [1:0]   emif_ddr4b_s0_axi4_rresp,               //                               .rresp
		output wire         emif_ddr4b_s0_axi4_rvalid,              //                               .rvalid
		input  wire         emif_ddr4b_s0_axi4lite_clock_clk,       //   emif_ddr4b_s0_axi4lite_clock.clk
		input  wire         emif_ddr4b_s0_axi4lite_reset_n_reset_n, // emif_ddr4b_s0_axi4lite_reset_n.reset_n
		input  wire [26:0]  emif_ddr4b_s0_axi4lite_awaddr,          //         emif_ddr4b_s0_axi4lite.awaddr
		input  wire [2:0]   emif_ddr4b_s0_axi4lite_awprot,          //                               .awprot
		input  wire         emif_ddr4b_s0_axi4lite_awvalid,         //                               .awvalid
		output wire         emif_ddr4b_s0_axi4lite_awready,         //                               .awready
		input  wire [26:0]  emif_ddr4b_s0_axi4lite_araddr,          //                               .araddr
		input  wire [2:0]   emif_ddr4b_s0_axi4lite_arprot,          //                               .arprot
		input  wire         emif_ddr4b_s0_axi4lite_arvalid,         //                               .arvalid
		output wire         emif_ddr4b_s0_axi4lite_arready,         //                               .arready
		input  wire [31:0]  emif_ddr4b_s0_axi4lite_wdata,           //                               .wdata
		input  wire [3:0]   emif_ddr4b_s0_axi4lite_wstrb,           //                               .wstrb
		input  wire         emif_ddr4b_s0_axi4lite_wvalid,          //                               .wvalid
		output wire         emif_ddr4b_s0_axi4lite_wready,          //                               .wready
		input  wire         emif_ddr4b_s0_axi4lite_bready,          //                               .bready
		output wire [1:0]   emif_ddr4b_s0_axi4lite_bresp,           //                               .bresp
		output wire         emif_ddr4b_s0_axi4lite_bvalid,          //                               .bvalid
		input  wire         emif_ddr4b_s0_axi4lite_rready,          //                               .rready
		output wire [31:0]  emif_ddr4b_s0_axi4lite_rdata,           //                               .rdata
		output wire [1:0]   emif_ddr4b_s0_axi4lite_rresp,           //                               .rresp
		output wire         emif_ddr4b_s0_axi4lite_rvalid,          //                               .rvalid
		output wire [0:0]   emif_ddr4b_mem_0_mem_cke,               //               emif_ddr4b_mem_0.mem_cke
		output wire [0:0]   emif_ddr4b_mem_0_mem_odt,               //                               .mem_odt
		output wire [0:0]   emif_ddr4b_mem_0_mem_cs_n,              //                               .mem_cs_n
		output wire [16:0]  emif_ddr4b_mem_0_mem_a,                 //                               .mem_a
		output wire [1:0]   emif_ddr4b_mem_0_mem_ba,                //                               .mem_ba
		output wire [0:0]   emif_ddr4b_mem_0_mem_bg,                //                               .mem_bg
		output wire         emif_ddr4b_mem_0_mem_act_n,             //                               .mem_act_n
		output wire         emif_ddr4b_mem_0_mem_par,               //                               .mem_par
		inout  wire [31:0]  emif_ddr4b_mem_0_mem_dq,                //                               .mem_dq
		inout  wire [3:0]   emif_ddr4b_mem_0_mem_dqs_t,             //                               .mem_dqs_t
		inout  wire [3:0]   emif_ddr4b_mem_0_mem_dqs_c,             //                               .mem_dqs_c
		input  wire         emif_ddr4b_mem_0_mem_alert_n,           //                               .mem_alert_n
		inout  wire [3:0]   emif_ddr4b_mem_0_mem_dbi_n,             //                               .mem_dbi_n
		output wire [0:0]   emif_ddr4b_mem_ck_0_mem_ck_t,           //            emif_ddr4b_mem_ck_0.mem_ck_t
		output wire [0:0]   emif_ddr4b_mem_ck_0_mem_ck_c,           //                               .mem_ck_c
		output wire         emif_ddr4b_mem_reset_n_mem_reset_n,     //         emif_ddr4b_mem_reset_n.mem_reset_n
		input  wire         emif_ddr4b_oct_0_oct_rzqin,             //               emif_ddr4b_oct_0.oct_rzqin
		input  wire         emif_ddr4b_ref_clk_clk,                 //             emif_ddr4b_ref_clk.clk
		input  wire         iopll_refclk_clk,                       //                   iopll_refclk.clk
		output wire         iopll_locked_export,                    //                   iopll_locked.export
		input  wire         iopll_reset_reset,                      //                    iopll_reset.reset
		output wire         iopll_outclk_axi4_lite_clk,             //         iopll_outclk_axi4_lite.clk
		input  wire         reset_bridge_in_reset_reset_n           //          reset_bridge_in_reset.reset_n
	);
endmodule

