	component Qsys_XCVR_CLK is
		port (
			clk_clk                                                                              : in  std_logic                      := 'X';             -- clk
			intel_srcss_gts_bank1_o_src_rs_grant_src_rs_grant                                    : out std_logic_vector(7 downto 0);                      -- src_rs_grant
			intel_srcss_gts_bank1_i_src_rs_priority_src_rs_priority                              : in  std_logic_vector(7 downto 0)   := (others => 'X'); -- src_rs_priority
			intel_srcss_gts_bank1_i_src_rs_req_src_rs_req                                        : in  std_logic_vector(7 downto 0)   := (others => 'X'); -- src_rs_req
			intel_srcss_gts_bank1_o_pma_cu_clk_clk                                               : out std_logic_vector(1 downto 0);                      -- clk
			intel_srcss_gts_bank4_o_src_rs_grant_src_rs_grant                                    : out std_logic_vector(7 downto 0);                      -- src_rs_grant
			intel_srcss_gts_bank4_i_src_rs_priority_src_rs_priority                              : in  std_logic_vector(7 downto 0)   := (others => 'X'); -- src_rs_priority
			intel_srcss_gts_bank4_i_src_rs_req_src_rs_req                                        : in  std_logic_vector(7 downto 0)   := (others => 'X'); -- src_rs_req
			intel_srcss_gts_bank4_o_pma_cu_clk_clk                                               : out std_logic_vector(1 downto 0);                      -- clk
			reset_reset_n                                                                        : in  std_logic                      := 'X';             -- reset_n
			xcvr_fmcp_x4_refclk0_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk                      : in  std_logic                      := 'X';             -- clk
			xcvr_fmcp_x4_refclk0_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk                      : in  std_logic                      := 'X';             -- clk
			xcvr_fmcp_x4_refclk0_i_pma_cu_clk_clk                                                : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- clk
			xcvr_fmcp_x4_refclk0_i_system_pll_lock_system_pll_lock                               : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- system_pll_lock
			xcvr_fmcp_x4_refclk0_i_tx_reset_tx_reset                                             : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- tx_reset
			xcvr_fmcp_x4_refclk0_i_rx_reset_rx_reset                                             : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- rx_reset
			xcvr_fmcp_x4_refclk0_o_tx_reset_ack_tx_reset_ack                                     : out std_logic_vector(0 downto 0);                      -- tx_reset_ack
			xcvr_fmcp_x4_refclk0_o_rx_reset_ack_rx_reset_ack                                     : out std_logic_vector(0 downto 0);                      -- rx_reset_ack
			xcvr_fmcp_x4_refclk0_o_tx_ready_tx_ready                                             : out std_logic_vector(0 downto 0);                      -- tx_ready
			xcvr_fmcp_x4_refclk0_o_rx_ready_rx_ready                                             : out std_logic_vector(0 downto 0);                      -- rx_ready
			xcvr_fmcp_x4_refclk0_i_src_rs_grant_src_rs_grant                                     : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- src_rs_grant
			xcvr_fmcp_x4_refclk0_o_src_rs_req_src_rs_req                                         : out std_logic_vector(3 downto 0);                      -- src_rs_req
			xcvr_fmcp_x4_refclk0_o_tx_serial_data_o_tx_serial_data                               : out std_logic_vector(3 downto 0);                      -- o_tx_serial_data
			xcvr_fmcp_x4_refclk0_o_tx_serial_data_n_o_tx_serial_data_n                           : out std_logic_vector(3 downto 0);                      -- o_tx_serial_data_n
			xcvr_fmcp_x4_refclk0_i_rx_serial_data_i_rx_serial_data                               : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial_data
			xcvr_fmcp_x4_refclk0_i_rx_serial_data_n_i_rx_serial_data_n                           : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial_data_n
			xcvr_fmcp_x4_refclk0_o_tx_pll_locked_o_tx_pll_locked                                 : out std_logic_vector(3 downto 0);                      -- o_tx_pll_locked
			xcvr_fmcp_x4_refclk0_o_rx_is_lockedtodata_o_rx_is_lockedtodata                       : out std_logic_vector(3 downto 0);                      -- o_rx_is_lockedtodata
			xcvr_fmcp_x4_refclk0_o_rx_is_lockedtoref_o_rx_is_lockedtoref                         : out std_logic_vector(3 downto 0);                      -- o_rx_is_lockedtoref
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_o_refclk2core_o_refclk2core              : out std_logic_vector(0 downto 0);                      -- o_refclk2core
			xcvr_fmcp_x4_refclk0_i_tx_parallel_data_i_tx_parallel_data                           : in  std_logic_vector(319 downto 0) := (others => 'X'); -- i_tx_parallel_data
			xcvr_fmcp_x4_refclk0_o_rx_parallel_data_o_rx_parallel_data                           : out std_logic_vector(319 downto 0);                    -- o_rx_parallel_data
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_write                           : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- write
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_read                            : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- read
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_address                         : in  std_logic_vector(19 downto 0)  := (others => 'X'); -- address
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_byteenable                      : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- byteenable
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_writedata                       : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_readdata                        : out std_logic_vector(31 downto 0);                     -- readdata
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_waitrequest                     : out std_logic_vector(0 downto 0);                      -- waitrequest
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_readdatavalid                   : out std_logic_vector(0 downto 0);                      -- readdatavalid
			xcvr_fmcp_x4_refclk0_intel_systemclk_gts_o_pll_lock_o_pll_lock                       : out std_logic;                                         -- o_pll_lock
			xcvr_fmcp_x4_refclk0_intel_systemclk_gts_i_refclk_rdy_data                           : in  std_logic                      := 'X';             -- data
			xcvr_fmcp_x4_refclk1_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk                      : in  std_logic                      := 'X';             -- clk
			xcvr_fmcp_x4_refclk1_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk                      : in  std_logic                      := 'X';             -- clk
			xcvr_fmcp_x4_refclk1_i_pma_cu_clk_clk                                                : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- clk
			xcvr_fmcp_x4_refclk1_i_system_pll_lock_system_pll_lock                               : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- system_pll_lock
			xcvr_fmcp_x4_refclk1_i_tx_reset_tx_reset                                             : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- tx_reset
			xcvr_fmcp_x4_refclk1_i_rx_reset_rx_reset                                             : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- rx_reset
			xcvr_fmcp_x4_refclk1_o_tx_reset_ack_tx_reset_ack                                     : out std_logic_vector(0 downto 0);                      -- tx_reset_ack
			xcvr_fmcp_x4_refclk1_o_rx_reset_ack_rx_reset_ack                                     : out std_logic_vector(0 downto 0);                      -- rx_reset_ack
			xcvr_fmcp_x4_refclk1_o_tx_ready_tx_ready                                             : out std_logic_vector(0 downto 0);                      -- tx_ready
			xcvr_fmcp_x4_refclk1_o_rx_ready_rx_ready                                             : out std_logic_vector(0 downto 0);                      -- rx_ready
			xcvr_fmcp_x4_refclk1_i_src_rs_grant_src_rs_grant                                     : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- src_rs_grant
			xcvr_fmcp_x4_refclk1_o_src_rs_req_src_rs_req                                         : out std_logic_vector(3 downto 0);                      -- src_rs_req
			xcvr_fmcp_x4_refclk1_o_tx_serial_data_o_tx_serial_data                               : out std_logic_vector(3 downto 0);                      -- o_tx_serial_data
			xcvr_fmcp_x4_refclk1_o_tx_serial_data_n_o_tx_serial_data_n                           : out std_logic_vector(3 downto 0);                      -- o_tx_serial_data_n
			xcvr_fmcp_x4_refclk1_i_rx_serial_data_i_rx_serial_data                               : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial_data
			xcvr_fmcp_x4_refclk1_i_rx_serial_data_n_i_rx_serial_data_n                           : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial_data_n
			xcvr_fmcp_x4_refclk1_o_tx_pll_locked_o_tx_pll_locked                                 : out std_logic_vector(3 downto 0);                      -- o_tx_pll_locked
			xcvr_fmcp_x4_refclk1_o_rx_is_lockedtodata_o_rx_is_lockedtodata                       : out std_logic_vector(3 downto 0);                      -- o_rx_is_lockedtodata
			xcvr_fmcp_x4_refclk1_o_rx_is_lockedtoref_o_rx_is_lockedtoref                         : out std_logic_vector(3 downto 0);                      -- o_rx_is_lockedtoref
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_o_refclk2core_o_refclk2core              : out std_logic_vector(0 downto 0);                      -- o_refclk2core
			xcvr_fmcp_x4_refclk1_i_tx_parallel_data_i_tx_parallel_data                           : in  std_logic_vector(319 downto 0) := (others => 'X'); -- i_tx_parallel_data
			xcvr_fmcp_x4_refclk1_o_rx_parallel_data_o_rx_parallel_data                           : out std_logic_vector(319 downto 0);                    -- o_rx_parallel_data
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_write                           : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- write
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_read                            : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- read
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_address                         : in  std_logic_vector(19 downto 0)  := (others => 'X'); -- address
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_byteenable                      : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- byteenable
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_writedata                       : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_readdata                        : out std_logic_vector(31 downto 0);                     -- readdata
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_waitrequest                     : out std_logic_vector(0 downto 0);                      -- waitrequest
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_readdatavalid                   : out std_logic_vector(0 downto 0);                      -- readdatavalid
			xcvr_fmcp_x4_refclk1_intel_systemclk_gts_o_pll_lock_o_pll_lock                       : out std_logic;                                         -- o_pll_lock
			xcvr_fmcp_x4_refclk1_intel_systemclk_gts_i_refclk_rdy_data                           : in  std_logic                      := 'X';             -- data
			xcvr_fmcp_x4_refclk2_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk                      : in  std_logic                      := 'X';             -- clk
			xcvr_fmcp_x4_refclk2_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk                      : in  std_logic                      := 'X';             -- clk
			xcvr_fmcp_x4_refclk2_i_pma_cu_clk_clk                                                : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- clk
			xcvr_fmcp_x4_refclk2_i_system_pll_lock_system_pll_lock                               : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- system_pll_lock
			xcvr_fmcp_x4_refclk2_i_tx_reset_tx_reset                                             : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- tx_reset
			xcvr_fmcp_x4_refclk2_i_rx_reset_rx_reset                                             : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- rx_reset
			xcvr_fmcp_x4_refclk2_o_tx_reset_ack_tx_reset_ack                                     : out std_logic_vector(0 downto 0);                      -- tx_reset_ack
			xcvr_fmcp_x4_refclk2_o_rx_reset_ack_rx_reset_ack                                     : out std_logic_vector(0 downto 0);                      -- rx_reset_ack
			xcvr_fmcp_x4_refclk2_o_tx_ready_tx_ready                                             : out std_logic_vector(0 downto 0);                      -- tx_ready
			xcvr_fmcp_x4_refclk2_o_rx_ready_rx_ready                                             : out std_logic_vector(0 downto 0);                      -- rx_ready
			xcvr_fmcp_x4_refclk2_i_src_rs_grant_src_rs_grant                                     : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- src_rs_grant
			xcvr_fmcp_x4_refclk2_o_src_rs_req_src_rs_req                                         : out std_logic_vector(3 downto 0);                      -- src_rs_req
			xcvr_fmcp_x4_refclk2_o_tx_serial_data_o_tx_serial_data                               : out std_logic_vector(3 downto 0);                      -- o_tx_serial_data
			xcvr_fmcp_x4_refclk2_o_tx_serial_data_n_o_tx_serial_data_n                           : out std_logic_vector(3 downto 0);                      -- o_tx_serial_data_n
			xcvr_fmcp_x4_refclk2_i_rx_serial_data_i_rx_serial_data                               : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial_data
			xcvr_fmcp_x4_refclk2_i_rx_serial_data_n_i_rx_serial_data_n                           : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial_data_n
			xcvr_fmcp_x4_refclk2_o_tx_pll_locked_o_tx_pll_locked                                 : out std_logic_vector(3 downto 0);                      -- o_tx_pll_locked
			xcvr_fmcp_x4_refclk2_o_rx_is_lockedtodata_o_rx_is_lockedtodata                       : out std_logic_vector(3 downto 0);                      -- o_rx_is_lockedtodata
			xcvr_fmcp_x4_refclk2_o_rx_is_lockedtoref_o_rx_is_lockedtoref                         : out std_logic_vector(3 downto 0);                      -- o_rx_is_lockedtoref
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_o_refclk2core_o_refclk2core              : out std_logic_vector(0 downto 0);                      -- o_refclk2core
			xcvr_fmcp_x4_refclk2_i_tx_parallel_data_i_tx_parallel_data                           : in  std_logic_vector(319 downto 0) := (others => 'X'); -- i_tx_parallel_data
			xcvr_fmcp_x4_refclk2_o_rx_parallel_data_o_rx_parallel_data                           : out std_logic_vector(319 downto 0);                    -- o_rx_parallel_data
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_write                           : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- write
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_read                            : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- read
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_address                         : in  std_logic_vector(19 downto 0)  := (others => 'X'); -- address
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_byteenable                      : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- byteenable
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_writedata                       : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_readdata                        : out std_logic_vector(31 downto 0);                     -- readdata
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_waitrequest                     : out std_logic_vector(0 downto 0);                      -- waitrequest
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_readdatavalid                   : out std_logic_vector(0 downto 0);                      -- readdatavalid
			xcvr_fmcp_x4_refclk2_intel_systemclk_gts_o_pll_lock_o_pll_lock                       : out std_logic;                                         -- o_pll_lock
			xcvr_fmcp_x4_refclk2_intel_systemclk_gts_i_refclk_rdy_data                           : in  std_logic                      := 'X';             -- data
			xcvr_pcie_x4_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk                              : in  std_logic                      := 'X';             -- clk
			xcvr_pcie_x4_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk                              : in  std_logic                      := 'X';             -- clk
			xcvr_pcie_x4_intel_directphy_gts_x4_i_pma_cu_clk_clk                                 : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- clk
			xcvr_pcie_x4_intel_directphy_gts_x4_i_system_pll_lock_system_pll_lock                : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- system_pll_lock
			xcvr_pcie_x4_intel_directphy_gts_x4_i_tx_reset_tx_reset                              : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- tx_reset
			xcvr_pcie_x4_intel_directphy_gts_x4_i_rx_reset_rx_reset                              : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- rx_reset
			xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_reset_ack_tx_reset_ack                      : out std_logic_vector(0 downto 0);                      -- tx_reset_ack
			xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_reset_ack_rx_reset_ack                      : out std_logic_vector(0 downto 0);                      -- rx_reset_ack
			xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_ready_tx_ready                              : out std_logic_vector(0 downto 0);                      -- tx_ready
			xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_ready_rx_ready                              : out std_logic_vector(0 downto 0);                      -- rx_ready
			xcvr_pcie_x4_intel_directphy_gts_x4_i_src_rs_grant_src_rs_grant                      : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- src_rs_grant
			xcvr_pcie_x4_intel_directphy_gts_x4_o_src_rs_req_src_rs_req                          : out std_logic_vector(3 downto 0);                      -- src_rs_req
			xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_serial_data_o_tx_serial_data                : out std_logic_vector(3 downto 0);                      -- o_tx_serial_data
			xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_serial_data_n_o_tx_serial_data_n            : out std_logic_vector(3 downto 0);                      -- o_tx_serial_data_n
			xcvr_pcie_x4_intel_directphy_gts_x4_i_rx_serial_data_i_rx_serial_data                : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial_data
			xcvr_pcie_x4_intel_directphy_gts_x4_i_rx_serial_data_n_i_rx_serial_data_n            : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial_data_n
			xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_pll_locked_o_tx_pll_locked                  : out std_logic_vector(3 downto 0);                      -- o_tx_pll_locked
			xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_is_lockedtodata_o_rx_is_lockedtodata        : out std_logic_vector(3 downto 0);                      -- o_rx_is_lockedtodata
			xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_is_lockedtoref_o_rx_is_lockedtoref          : out std_logic_vector(3 downto 0);                      -- o_rx_is_lockedtoref
			xcvr_pcie_x4_intel_directphy_gts_x4_o_refclk2core_o_refclk2core                      : out std_logic_vector(0 downto 0);                      -- o_refclk2core
			xcvr_pcie_x4_intel_directphy_gts_x4_i_tx_parallel_data_i_tx_parallel_data            : in  std_logic_vector(319 downto 0) := (others => 'X'); -- i_tx_parallel_data
			xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_parallel_data_o_rx_parallel_data            : out std_logic_vector(319 downto 0);                    -- o_rx_parallel_data
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_write                                   : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- write
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_read                                    : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- read
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_address                                 : in  std_logic_vector(19 downto 0)  := (others => 'X'); -- address
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_byteenable                              : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- byteenable
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_writedata                               : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_readdata                                : out std_logic_vector(31 downto 0);                     -- readdata
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_waitrequest                             : out std_logic_vector(0 downto 0);                      -- waitrequest
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_readdatavalid                           : out std_logic_vector(0 downto 0);                      -- readdatavalid
			xcvr_pcie_x4_intel_systemclk_gts_o_pll_lock_o_pll_lock                               : out std_logic;                                         -- o_pll_lock
			xcvr_pcie_x4_intel_systemclk_gts_i_refclk_rdy_data                                   : in  std_logic                      := 'X';             -- data
			xcvr_qsfp_clock_bridge_xcvr_syspll_ref_in_clk_clk                                    : in  std_logic                      := 'X';             -- clk
			xcvr_qsfp_intel_directphy_gts_x4_i_pma_cu_clk_clk                                    : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- clk
			xcvr_qsfp_intel_directphy_gts_x4_i_system_pll_lock_system_pll_lock                   : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- system_pll_lock
			xcvr_qsfp_intel_directphy_gts_x4_i_tx_reset_tx_reset                                 : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- tx_reset
			xcvr_qsfp_intel_directphy_gts_x4_i_rx_reset_rx_reset                                 : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- rx_reset
			xcvr_qsfp_intel_directphy_gts_x4_o_tx_reset_ack_tx_reset_ack                         : out std_logic_vector(0 downto 0);                      -- tx_reset_ack
			xcvr_qsfp_intel_directphy_gts_x4_o_rx_reset_ack_rx_reset_ack                         : out std_logic_vector(0 downto 0);                      -- rx_reset_ack
			xcvr_qsfp_intel_directphy_gts_x4_o_tx_ready_tx_ready                                 : out std_logic_vector(0 downto 0);                      -- tx_ready
			xcvr_qsfp_intel_directphy_gts_x4_o_rx_ready_rx_ready                                 : out std_logic_vector(0 downto 0);                      -- rx_ready
			xcvr_qsfp_intel_directphy_gts_x4_i_src_rs_grant_src_rs_grant                         : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- src_rs_grant
			xcvr_qsfp_intel_directphy_gts_x4_o_src_rs_req_src_rs_req                             : out std_logic_vector(3 downto 0);                      -- src_rs_req
			xcvr_qsfp_intel_directphy_gts_x4_o_tx_serial_data_o_tx_serial_data                   : out std_logic_vector(3 downto 0);                      -- o_tx_serial_data
			xcvr_qsfp_intel_directphy_gts_x4_o_tx_serial_data_n_o_tx_serial_data_n               : out std_logic_vector(3 downto 0);                      -- o_tx_serial_data_n
			xcvr_qsfp_intel_directphy_gts_x4_i_rx_serial_data_i_rx_serial_data                   : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial_data
			xcvr_qsfp_intel_directphy_gts_x4_i_rx_serial_data_n_i_rx_serial_data_n               : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial_data_n
			xcvr_qsfp_intel_directphy_gts_x4_o_tx_pll_locked_o_tx_pll_locked                     : out std_logic_vector(3 downto 0);                      -- o_tx_pll_locked
			xcvr_qsfp_intel_directphy_gts_x4_o_rx_is_lockedtodata_o_rx_is_lockedtodata           : out std_logic_vector(3 downto 0);                      -- o_rx_is_lockedtodata
			xcvr_qsfp_intel_directphy_gts_x4_o_rx_is_lockedtoref_o_rx_is_lockedtoref             : out std_logic_vector(3 downto 0);                      -- o_rx_is_lockedtoref
			xcvr_qsfp_intel_directphy_gts_x4_o_refclk2core_o_refclk2core                         : out std_logic_vector(0 downto 0);                      -- o_refclk2core
			xcvr_qsfp_intel_directphy_gts_x4_i_tx_parallel_data_i_tx_parallel_data               : in  std_logic_vector(319 downto 0) := (others => 'X'); -- i_tx_parallel_data
			xcvr_qsfp_intel_directphy_gts_x4_o_rx_parallel_data_o_rx_parallel_data               : out std_logic_vector(319 downto 0);                    -- o_rx_parallel_data
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_write                                      : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- write
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_read                                       : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- read
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_address                                    : in  std_logic_vector(19 downto 0)  := (others => 'X'); -- address
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_byteenable                                 : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- byteenable
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_writedata                                  : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_readdata                                   : out std_logic_vector(31 downto 0);                     -- readdata
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_waitrequest                                : out std_logic_vector(0 downto 0);                      -- waitrequest
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_readdatavalid                              : out std_logic_vector(0 downto 0);                      -- readdatavalid
			xcvr_qsfp_intel_systemclk_gts_o_pll_lock_o_pll_lock                                  : out std_logic;                                         -- o_pll_lock
			xcvr_qsfp_intel_systemclk_gts_i_refclk_rdy_data                                      : in  std_logic                      := 'X';             -- data
			xcvr_usb3_x2_refclk_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk                       : in  std_logic                      := 'X';             -- clk
			xcvr_usb3_x2_refclk_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk                       : in  std_logic                      := 'X';             -- clk
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_pma_cu_clk_clk                          : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- clk
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_system_pll_lock_system_pll_lock         : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- system_pll_lock
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_tx_reset_tx_reset                       : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- tx_reset
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_rx_reset_rx_reset                       : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- rx_reset
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_reset_ack_tx_reset_ack               : out std_logic_vector(0 downto 0);                      -- tx_reset_ack
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_reset_ack_rx_reset_ack               : out std_logic_vector(0 downto 0);                      -- rx_reset_ack
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_ready_tx_ready                       : out std_logic_vector(0 downto 0);                      -- tx_ready
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_ready_rx_ready                       : out std_logic_vector(0 downto 0);                      -- rx_ready
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_src_rs_grant_src_rs_grant               : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- src_rs_grant
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_src_rs_req_src_rs_req                   : out std_logic_vector(1 downto 0);                      -- src_rs_req
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_serial_data_o_tx_serial_data         : out std_logic_vector(1 downto 0);                      -- o_tx_serial_data
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_serial_data_n_o_tx_serial_data_n     : out std_logic_vector(1 downto 0);                      -- o_tx_serial_data_n
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_rx_serial_data_i_rx_serial_data         : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- i_rx_serial_data
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_rx_serial_data_n_i_rx_serial_data_n     : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- i_rx_serial_data_n
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_pll_locked_o_tx_pll_locked           : out std_logic_vector(1 downto 0);                      -- o_tx_pll_locked
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_is_lockedtodata_o_rx_is_lockedtodata : out std_logic_vector(1 downto 0);                      -- o_rx_is_lockedtodata
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_is_lockedtoref_o_rx_is_lockedtoref   : out std_logic_vector(1 downto 0);                      -- o_rx_is_lockedtoref
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_refclk2core_o_refclk2core               : out std_logic_vector(0 downto 0);                      -- o_refclk2core
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_tx_parallel_data_i_tx_parallel_data     : in  std_logic_vector(159 downto 0) := (others => 'X'); -- i_tx_parallel_data
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_parallel_data_o_rx_parallel_data     : out std_logic_vector(159 downto 0);                    -- o_rx_parallel_data
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_write                            : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- write
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_read                             : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- read
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_address                          : in  std_logic_vector(18 downto 0)  := (others => 'X'); -- address
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_byteenable                       : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- byteenable
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_writedata                        : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_readdata                         : out std_logic_vector(31 downto 0);                     -- readdata
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_waitrequest                      : out std_logic_vector(0 downto 0);                      -- waitrequest
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_readdatavalid                    : out std_logic_vector(0 downto 0);                      -- readdatavalid
			xcvr_usb3_x2_refclk_intel_systemclk_gts_o_pll_lock_o_pll_lock                        : out std_logic;                                         -- o_pll_lock
			xcvr_usb3_x2_refclk_intel_systemclk_gts_i_refclk_rdy_data                            : in  std_logic                      := 'X'              -- data
		);
	end component Qsys_XCVR_CLK;

	u0 : component Qsys_XCVR_CLK
		port map (
			clk_clk                                                                              => CONNECTED_TO_clk_clk,                                                                              --                                                             clk.clk
			intel_srcss_gts_bank1_o_src_rs_grant_src_rs_grant                                    => CONNECTED_TO_intel_srcss_gts_bank1_o_src_rs_grant_src_rs_grant,                                    --                            intel_srcss_gts_bank1_o_src_rs_grant.src_rs_grant
			intel_srcss_gts_bank1_i_src_rs_priority_src_rs_priority                              => CONNECTED_TO_intel_srcss_gts_bank1_i_src_rs_priority_src_rs_priority,                              --                         intel_srcss_gts_bank1_i_src_rs_priority.src_rs_priority
			intel_srcss_gts_bank1_i_src_rs_req_src_rs_req                                        => CONNECTED_TO_intel_srcss_gts_bank1_i_src_rs_req_src_rs_req,                                        --                              intel_srcss_gts_bank1_i_src_rs_req.src_rs_req
			intel_srcss_gts_bank1_o_pma_cu_clk_clk                                               => CONNECTED_TO_intel_srcss_gts_bank1_o_pma_cu_clk_clk,                                               --                              intel_srcss_gts_bank1_o_pma_cu_clk.clk
			intel_srcss_gts_bank4_o_src_rs_grant_src_rs_grant                                    => CONNECTED_TO_intel_srcss_gts_bank4_o_src_rs_grant_src_rs_grant,                                    --                            intel_srcss_gts_bank4_o_src_rs_grant.src_rs_grant
			intel_srcss_gts_bank4_i_src_rs_priority_src_rs_priority                              => CONNECTED_TO_intel_srcss_gts_bank4_i_src_rs_priority_src_rs_priority,                              --                         intel_srcss_gts_bank4_i_src_rs_priority.src_rs_priority
			intel_srcss_gts_bank4_i_src_rs_req_src_rs_req                                        => CONNECTED_TO_intel_srcss_gts_bank4_i_src_rs_req_src_rs_req,                                        --                              intel_srcss_gts_bank4_i_src_rs_req.src_rs_req
			intel_srcss_gts_bank4_o_pma_cu_clk_clk                                               => CONNECTED_TO_intel_srcss_gts_bank4_o_pma_cu_clk_clk,                                               --                              intel_srcss_gts_bank4_o_pma_cu_clk.clk
			reset_reset_n                                                                        => CONNECTED_TO_reset_reset_n,                                                                        --                                                           reset.reset_n
			xcvr_fmcp_x4_refclk0_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk                      => CONNECTED_TO_xcvr_fmcp_x4_refclk0_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk,                      --     xcvr_fmcp_x4_refclk0_clock_bridge_xcvr_pma_rx_refclk_in_clk.clk
			xcvr_fmcp_x4_refclk0_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk                      => CONNECTED_TO_xcvr_fmcp_x4_refclk0_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk,                      --     xcvr_fmcp_x4_refclk0_clock_bridge_xcvr_pma_tx_refclk_in_clk.clk
			xcvr_fmcp_x4_refclk0_i_pma_cu_clk_clk                                                => CONNECTED_TO_xcvr_fmcp_x4_refclk0_i_pma_cu_clk_clk,                                                --                               xcvr_fmcp_x4_refclk0_i_pma_cu_clk.clk
			xcvr_fmcp_x4_refclk0_i_system_pll_lock_system_pll_lock                               => CONNECTED_TO_xcvr_fmcp_x4_refclk0_i_system_pll_lock_system_pll_lock,                               --                          xcvr_fmcp_x4_refclk0_i_system_pll_lock.system_pll_lock
			xcvr_fmcp_x4_refclk0_i_tx_reset_tx_reset                                             => CONNECTED_TO_xcvr_fmcp_x4_refclk0_i_tx_reset_tx_reset,                                             --                                 xcvr_fmcp_x4_refclk0_i_tx_reset.tx_reset
			xcvr_fmcp_x4_refclk0_i_rx_reset_rx_reset                                             => CONNECTED_TO_xcvr_fmcp_x4_refclk0_i_rx_reset_rx_reset,                                             --                                 xcvr_fmcp_x4_refclk0_i_rx_reset.rx_reset
			xcvr_fmcp_x4_refclk0_o_tx_reset_ack_tx_reset_ack                                     => CONNECTED_TO_xcvr_fmcp_x4_refclk0_o_tx_reset_ack_tx_reset_ack,                                     --                             xcvr_fmcp_x4_refclk0_o_tx_reset_ack.tx_reset_ack
			xcvr_fmcp_x4_refclk0_o_rx_reset_ack_rx_reset_ack                                     => CONNECTED_TO_xcvr_fmcp_x4_refclk0_o_rx_reset_ack_rx_reset_ack,                                     --                             xcvr_fmcp_x4_refclk0_o_rx_reset_ack.rx_reset_ack
			xcvr_fmcp_x4_refclk0_o_tx_ready_tx_ready                                             => CONNECTED_TO_xcvr_fmcp_x4_refclk0_o_tx_ready_tx_ready,                                             --                                 xcvr_fmcp_x4_refclk0_o_tx_ready.tx_ready
			xcvr_fmcp_x4_refclk0_o_rx_ready_rx_ready                                             => CONNECTED_TO_xcvr_fmcp_x4_refclk0_o_rx_ready_rx_ready,                                             --                                 xcvr_fmcp_x4_refclk0_o_rx_ready.rx_ready
			xcvr_fmcp_x4_refclk0_i_src_rs_grant_src_rs_grant                                     => CONNECTED_TO_xcvr_fmcp_x4_refclk0_i_src_rs_grant_src_rs_grant,                                     --                             xcvr_fmcp_x4_refclk0_i_src_rs_grant.src_rs_grant
			xcvr_fmcp_x4_refclk0_o_src_rs_req_src_rs_req                                         => CONNECTED_TO_xcvr_fmcp_x4_refclk0_o_src_rs_req_src_rs_req,                                         --                               xcvr_fmcp_x4_refclk0_o_src_rs_req.src_rs_req
			xcvr_fmcp_x4_refclk0_o_tx_serial_data_o_tx_serial_data                               => CONNECTED_TO_xcvr_fmcp_x4_refclk0_o_tx_serial_data_o_tx_serial_data,                               --                           xcvr_fmcp_x4_refclk0_o_tx_serial_data.o_tx_serial_data
			xcvr_fmcp_x4_refclk0_o_tx_serial_data_n_o_tx_serial_data_n                           => CONNECTED_TO_xcvr_fmcp_x4_refclk0_o_tx_serial_data_n_o_tx_serial_data_n,                           --                         xcvr_fmcp_x4_refclk0_o_tx_serial_data_n.o_tx_serial_data_n
			xcvr_fmcp_x4_refclk0_i_rx_serial_data_i_rx_serial_data                               => CONNECTED_TO_xcvr_fmcp_x4_refclk0_i_rx_serial_data_i_rx_serial_data,                               --                           xcvr_fmcp_x4_refclk0_i_rx_serial_data.i_rx_serial_data
			xcvr_fmcp_x4_refclk0_i_rx_serial_data_n_i_rx_serial_data_n                           => CONNECTED_TO_xcvr_fmcp_x4_refclk0_i_rx_serial_data_n_i_rx_serial_data_n,                           --                         xcvr_fmcp_x4_refclk0_i_rx_serial_data_n.i_rx_serial_data_n
			xcvr_fmcp_x4_refclk0_o_tx_pll_locked_o_tx_pll_locked                                 => CONNECTED_TO_xcvr_fmcp_x4_refclk0_o_tx_pll_locked_o_tx_pll_locked,                                 --                            xcvr_fmcp_x4_refclk0_o_tx_pll_locked.o_tx_pll_locked
			xcvr_fmcp_x4_refclk0_o_rx_is_lockedtodata_o_rx_is_lockedtodata                       => CONNECTED_TO_xcvr_fmcp_x4_refclk0_o_rx_is_lockedtodata_o_rx_is_lockedtodata,                       --                       xcvr_fmcp_x4_refclk0_o_rx_is_lockedtodata.o_rx_is_lockedtodata
			xcvr_fmcp_x4_refclk0_o_rx_is_lockedtoref_o_rx_is_lockedtoref                         => CONNECTED_TO_xcvr_fmcp_x4_refclk0_o_rx_is_lockedtoref_o_rx_is_lockedtoref,                         --                        xcvr_fmcp_x4_refclk0_o_rx_is_lockedtoref.o_rx_is_lockedtoref
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_o_refclk2core_o_refclk2core              => CONNECTED_TO_xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_o_refclk2core_o_refclk2core,              --       xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_o_refclk2core.o_refclk2core
			xcvr_fmcp_x4_refclk0_i_tx_parallel_data_i_tx_parallel_data                           => CONNECTED_TO_xcvr_fmcp_x4_refclk0_i_tx_parallel_data_i_tx_parallel_data,                           --                         xcvr_fmcp_x4_refclk0_i_tx_parallel_data.i_tx_parallel_data
			xcvr_fmcp_x4_refclk0_o_rx_parallel_data_o_rx_parallel_data                           => CONNECTED_TO_xcvr_fmcp_x4_refclk0_o_rx_parallel_data_o_rx_parallel_data,                           --                         xcvr_fmcp_x4_refclk0_o_rx_parallel_data.o_rx_parallel_data
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_write                           => CONNECTED_TO_xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_write,                           --            xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig.write
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_read                            => CONNECTED_TO_xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_read,                            --                                                                .read
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_address                         => CONNECTED_TO_xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_address,                         --                                                                .address
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_byteenable                      => CONNECTED_TO_xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_byteenable,                      --                                                                .byteenable
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_writedata                       => CONNECTED_TO_xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_writedata,                       --                                                                .writedata
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_readdata                        => CONNECTED_TO_xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_readdata,                        --                                                                .readdata
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_waitrequest                     => CONNECTED_TO_xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_waitrequest,                     --                                                                .waitrequest
			xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_readdatavalid                   => CONNECTED_TO_xcvr_fmcp_x4_refclk0_intel_directphy_gts_x4_reconfig_readdatavalid,                   --                                                                .readdatavalid
			xcvr_fmcp_x4_refclk0_intel_systemclk_gts_o_pll_lock_o_pll_lock                       => CONNECTED_TO_xcvr_fmcp_x4_refclk0_intel_systemclk_gts_o_pll_lock_o_pll_lock,                       --             xcvr_fmcp_x4_refclk0_intel_systemclk_gts_o_pll_lock.o_pll_lock
			xcvr_fmcp_x4_refclk0_intel_systemclk_gts_i_refclk_rdy_data                           => CONNECTED_TO_xcvr_fmcp_x4_refclk0_intel_systemclk_gts_i_refclk_rdy_data,                           --           xcvr_fmcp_x4_refclk0_intel_systemclk_gts_i_refclk_rdy.data
			xcvr_fmcp_x4_refclk1_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk                      => CONNECTED_TO_xcvr_fmcp_x4_refclk1_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk,                      --     xcvr_fmcp_x4_refclk1_clock_bridge_xcvr_pma_rx_refclk_in_clk.clk
			xcvr_fmcp_x4_refclk1_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk                      => CONNECTED_TO_xcvr_fmcp_x4_refclk1_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk,                      --     xcvr_fmcp_x4_refclk1_clock_bridge_xcvr_pma_tx_refclk_in_clk.clk
			xcvr_fmcp_x4_refclk1_i_pma_cu_clk_clk                                                => CONNECTED_TO_xcvr_fmcp_x4_refclk1_i_pma_cu_clk_clk,                                                --                               xcvr_fmcp_x4_refclk1_i_pma_cu_clk.clk
			xcvr_fmcp_x4_refclk1_i_system_pll_lock_system_pll_lock                               => CONNECTED_TO_xcvr_fmcp_x4_refclk1_i_system_pll_lock_system_pll_lock,                               --                          xcvr_fmcp_x4_refclk1_i_system_pll_lock.system_pll_lock
			xcvr_fmcp_x4_refclk1_i_tx_reset_tx_reset                                             => CONNECTED_TO_xcvr_fmcp_x4_refclk1_i_tx_reset_tx_reset,                                             --                                 xcvr_fmcp_x4_refclk1_i_tx_reset.tx_reset
			xcvr_fmcp_x4_refclk1_i_rx_reset_rx_reset                                             => CONNECTED_TO_xcvr_fmcp_x4_refclk1_i_rx_reset_rx_reset,                                             --                                 xcvr_fmcp_x4_refclk1_i_rx_reset.rx_reset
			xcvr_fmcp_x4_refclk1_o_tx_reset_ack_tx_reset_ack                                     => CONNECTED_TO_xcvr_fmcp_x4_refclk1_o_tx_reset_ack_tx_reset_ack,                                     --                             xcvr_fmcp_x4_refclk1_o_tx_reset_ack.tx_reset_ack
			xcvr_fmcp_x4_refclk1_o_rx_reset_ack_rx_reset_ack                                     => CONNECTED_TO_xcvr_fmcp_x4_refclk1_o_rx_reset_ack_rx_reset_ack,                                     --                             xcvr_fmcp_x4_refclk1_o_rx_reset_ack.rx_reset_ack
			xcvr_fmcp_x4_refclk1_o_tx_ready_tx_ready                                             => CONNECTED_TO_xcvr_fmcp_x4_refclk1_o_tx_ready_tx_ready,                                             --                                 xcvr_fmcp_x4_refclk1_o_tx_ready.tx_ready
			xcvr_fmcp_x4_refclk1_o_rx_ready_rx_ready                                             => CONNECTED_TO_xcvr_fmcp_x4_refclk1_o_rx_ready_rx_ready,                                             --                                 xcvr_fmcp_x4_refclk1_o_rx_ready.rx_ready
			xcvr_fmcp_x4_refclk1_i_src_rs_grant_src_rs_grant                                     => CONNECTED_TO_xcvr_fmcp_x4_refclk1_i_src_rs_grant_src_rs_grant,                                     --                             xcvr_fmcp_x4_refclk1_i_src_rs_grant.src_rs_grant
			xcvr_fmcp_x4_refclk1_o_src_rs_req_src_rs_req                                         => CONNECTED_TO_xcvr_fmcp_x4_refclk1_o_src_rs_req_src_rs_req,                                         --                               xcvr_fmcp_x4_refclk1_o_src_rs_req.src_rs_req
			xcvr_fmcp_x4_refclk1_o_tx_serial_data_o_tx_serial_data                               => CONNECTED_TO_xcvr_fmcp_x4_refclk1_o_tx_serial_data_o_tx_serial_data,                               --                           xcvr_fmcp_x4_refclk1_o_tx_serial_data.o_tx_serial_data
			xcvr_fmcp_x4_refclk1_o_tx_serial_data_n_o_tx_serial_data_n                           => CONNECTED_TO_xcvr_fmcp_x4_refclk1_o_tx_serial_data_n_o_tx_serial_data_n,                           --                         xcvr_fmcp_x4_refclk1_o_tx_serial_data_n.o_tx_serial_data_n
			xcvr_fmcp_x4_refclk1_i_rx_serial_data_i_rx_serial_data                               => CONNECTED_TO_xcvr_fmcp_x4_refclk1_i_rx_serial_data_i_rx_serial_data,                               --                           xcvr_fmcp_x4_refclk1_i_rx_serial_data.i_rx_serial_data
			xcvr_fmcp_x4_refclk1_i_rx_serial_data_n_i_rx_serial_data_n                           => CONNECTED_TO_xcvr_fmcp_x4_refclk1_i_rx_serial_data_n_i_rx_serial_data_n,                           --                         xcvr_fmcp_x4_refclk1_i_rx_serial_data_n.i_rx_serial_data_n
			xcvr_fmcp_x4_refclk1_o_tx_pll_locked_o_tx_pll_locked                                 => CONNECTED_TO_xcvr_fmcp_x4_refclk1_o_tx_pll_locked_o_tx_pll_locked,                                 --                            xcvr_fmcp_x4_refclk1_o_tx_pll_locked.o_tx_pll_locked
			xcvr_fmcp_x4_refclk1_o_rx_is_lockedtodata_o_rx_is_lockedtodata                       => CONNECTED_TO_xcvr_fmcp_x4_refclk1_o_rx_is_lockedtodata_o_rx_is_lockedtodata,                       --                       xcvr_fmcp_x4_refclk1_o_rx_is_lockedtodata.o_rx_is_lockedtodata
			xcvr_fmcp_x4_refclk1_o_rx_is_lockedtoref_o_rx_is_lockedtoref                         => CONNECTED_TO_xcvr_fmcp_x4_refclk1_o_rx_is_lockedtoref_o_rx_is_lockedtoref,                         --                        xcvr_fmcp_x4_refclk1_o_rx_is_lockedtoref.o_rx_is_lockedtoref
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_o_refclk2core_o_refclk2core              => CONNECTED_TO_xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_o_refclk2core_o_refclk2core,              --       xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_o_refclk2core.o_refclk2core
			xcvr_fmcp_x4_refclk1_i_tx_parallel_data_i_tx_parallel_data                           => CONNECTED_TO_xcvr_fmcp_x4_refclk1_i_tx_parallel_data_i_tx_parallel_data,                           --                         xcvr_fmcp_x4_refclk1_i_tx_parallel_data.i_tx_parallel_data
			xcvr_fmcp_x4_refclk1_o_rx_parallel_data_o_rx_parallel_data                           => CONNECTED_TO_xcvr_fmcp_x4_refclk1_o_rx_parallel_data_o_rx_parallel_data,                           --                         xcvr_fmcp_x4_refclk1_o_rx_parallel_data.o_rx_parallel_data
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_write                           => CONNECTED_TO_xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_write,                           --            xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig.write
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_read                            => CONNECTED_TO_xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_read,                            --                                                                .read
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_address                         => CONNECTED_TO_xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_address,                         --                                                                .address
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_byteenable                      => CONNECTED_TO_xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_byteenable,                      --                                                                .byteenable
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_writedata                       => CONNECTED_TO_xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_writedata,                       --                                                                .writedata
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_readdata                        => CONNECTED_TO_xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_readdata,                        --                                                                .readdata
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_waitrequest                     => CONNECTED_TO_xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_waitrequest,                     --                                                                .waitrequest
			xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_readdatavalid                   => CONNECTED_TO_xcvr_fmcp_x4_refclk1_intel_directphy_gts_x4_reconfig_readdatavalid,                   --                                                                .readdatavalid
			xcvr_fmcp_x4_refclk1_intel_systemclk_gts_o_pll_lock_o_pll_lock                       => CONNECTED_TO_xcvr_fmcp_x4_refclk1_intel_systemclk_gts_o_pll_lock_o_pll_lock,                       --             xcvr_fmcp_x4_refclk1_intel_systemclk_gts_o_pll_lock.o_pll_lock
			xcvr_fmcp_x4_refclk1_intel_systemclk_gts_i_refclk_rdy_data                           => CONNECTED_TO_xcvr_fmcp_x4_refclk1_intel_systemclk_gts_i_refclk_rdy_data,                           --           xcvr_fmcp_x4_refclk1_intel_systemclk_gts_i_refclk_rdy.data
			xcvr_fmcp_x4_refclk2_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk                      => CONNECTED_TO_xcvr_fmcp_x4_refclk2_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk,                      --     xcvr_fmcp_x4_refclk2_clock_bridge_xcvr_pma_rx_refclk_in_clk.clk
			xcvr_fmcp_x4_refclk2_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk                      => CONNECTED_TO_xcvr_fmcp_x4_refclk2_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk,                      --     xcvr_fmcp_x4_refclk2_clock_bridge_xcvr_pma_tx_refclk_in_clk.clk
			xcvr_fmcp_x4_refclk2_i_pma_cu_clk_clk                                                => CONNECTED_TO_xcvr_fmcp_x4_refclk2_i_pma_cu_clk_clk,                                                --                               xcvr_fmcp_x4_refclk2_i_pma_cu_clk.clk
			xcvr_fmcp_x4_refclk2_i_system_pll_lock_system_pll_lock                               => CONNECTED_TO_xcvr_fmcp_x4_refclk2_i_system_pll_lock_system_pll_lock,                               --                          xcvr_fmcp_x4_refclk2_i_system_pll_lock.system_pll_lock
			xcvr_fmcp_x4_refclk2_i_tx_reset_tx_reset                                             => CONNECTED_TO_xcvr_fmcp_x4_refclk2_i_tx_reset_tx_reset,                                             --                                 xcvr_fmcp_x4_refclk2_i_tx_reset.tx_reset
			xcvr_fmcp_x4_refclk2_i_rx_reset_rx_reset                                             => CONNECTED_TO_xcvr_fmcp_x4_refclk2_i_rx_reset_rx_reset,                                             --                                 xcvr_fmcp_x4_refclk2_i_rx_reset.rx_reset
			xcvr_fmcp_x4_refclk2_o_tx_reset_ack_tx_reset_ack                                     => CONNECTED_TO_xcvr_fmcp_x4_refclk2_o_tx_reset_ack_tx_reset_ack,                                     --                             xcvr_fmcp_x4_refclk2_o_tx_reset_ack.tx_reset_ack
			xcvr_fmcp_x4_refclk2_o_rx_reset_ack_rx_reset_ack                                     => CONNECTED_TO_xcvr_fmcp_x4_refclk2_o_rx_reset_ack_rx_reset_ack,                                     --                             xcvr_fmcp_x4_refclk2_o_rx_reset_ack.rx_reset_ack
			xcvr_fmcp_x4_refclk2_o_tx_ready_tx_ready                                             => CONNECTED_TO_xcvr_fmcp_x4_refclk2_o_tx_ready_tx_ready,                                             --                                 xcvr_fmcp_x4_refclk2_o_tx_ready.tx_ready
			xcvr_fmcp_x4_refclk2_o_rx_ready_rx_ready                                             => CONNECTED_TO_xcvr_fmcp_x4_refclk2_o_rx_ready_rx_ready,                                             --                                 xcvr_fmcp_x4_refclk2_o_rx_ready.rx_ready
			xcvr_fmcp_x4_refclk2_i_src_rs_grant_src_rs_grant                                     => CONNECTED_TO_xcvr_fmcp_x4_refclk2_i_src_rs_grant_src_rs_grant,                                     --                             xcvr_fmcp_x4_refclk2_i_src_rs_grant.src_rs_grant
			xcvr_fmcp_x4_refclk2_o_src_rs_req_src_rs_req                                         => CONNECTED_TO_xcvr_fmcp_x4_refclk2_o_src_rs_req_src_rs_req,                                         --                               xcvr_fmcp_x4_refclk2_o_src_rs_req.src_rs_req
			xcvr_fmcp_x4_refclk2_o_tx_serial_data_o_tx_serial_data                               => CONNECTED_TO_xcvr_fmcp_x4_refclk2_o_tx_serial_data_o_tx_serial_data,                               --                           xcvr_fmcp_x4_refclk2_o_tx_serial_data.o_tx_serial_data
			xcvr_fmcp_x4_refclk2_o_tx_serial_data_n_o_tx_serial_data_n                           => CONNECTED_TO_xcvr_fmcp_x4_refclk2_o_tx_serial_data_n_o_tx_serial_data_n,                           --                         xcvr_fmcp_x4_refclk2_o_tx_serial_data_n.o_tx_serial_data_n
			xcvr_fmcp_x4_refclk2_i_rx_serial_data_i_rx_serial_data                               => CONNECTED_TO_xcvr_fmcp_x4_refclk2_i_rx_serial_data_i_rx_serial_data,                               --                           xcvr_fmcp_x4_refclk2_i_rx_serial_data.i_rx_serial_data
			xcvr_fmcp_x4_refclk2_i_rx_serial_data_n_i_rx_serial_data_n                           => CONNECTED_TO_xcvr_fmcp_x4_refclk2_i_rx_serial_data_n_i_rx_serial_data_n,                           --                         xcvr_fmcp_x4_refclk2_i_rx_serial_data_n.i_rx_serial_data_n
			xcvr_fmcp_x4_refclk2_o_tx_pll_locked_o_tx_pll_locked                                 => CONNECTED_TO_xcvr_fmcp_x4_refclk2_o_tx_pll_locked_o_tx_pll_locked,                                 --                            xcvr_fmcp_x4_refclk2_o_tx_pll_locked.o_tx_pll_locked
			xcvr_fmcp_x4_refclk2_o_rx_is_lockedtodata_o_rx_is_lockedtodata                       => CONNECTED_TO_xcvr_fmcp_x4_refclk2_o_rx_is_lockedtodata_o_rx_is_lockedtodata,                       --                       xcvr_fmcp_x4_refclk2_o_rx_is_lockedtodata.o_rx_is_lockedtodata
			xcvr_fmcp_x4_refclk2_o_rx_is_lockedtoref_o_rx_is_lockedtoref                         => CONNECTED_TO_xcvr_fmcp_x4_refclk2_o_rx_is_lockedtoref_o_rx_is_lockedtoref,                         --                        xcvr_fmcp_x4_refclk2_o_rx_is_lockedtoref.o_rx_is_lockedtoref
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_o_refclk2core_o_refclk2core              => CONNECTED_TO_xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_o_refclk2core_o_refclk2core,              --       xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_o_refclk2core.o_refclk2core
			xcvr_fmcp_x4_refclk2_i_tx_parallel_data_i_tx_parallel_data                           => CONNECTED_TO_xcvr_fmcp_x4_refclk2_i_tx_parallel_data_i_tx_parallel_data,                           --                         xcvr_fmcp_x4_refclk2_i_tx_parallel_data.i_tx_parallel_data
			xcvr_fmcp_x4_refclk2_o_rx_parallel_data_o_rx_parallel_data                           => CONNECTED_TO_xcvr_fmcp_x4_refclk2_o_rx_parallel_data_o_rx_parallel_data,                           --                         xcvr_fmcp_x4_refclk2_o_rx_parallel_data.o_rx_parallel_data
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_write                           => CONNECTED_TO_xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_write,                           --            xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig.write
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_read                            => CONNECTED_TO_xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_read,                            --                                                                .read
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_address                         => CONNECTED_TO_xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_address,                         --                                                                .address
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_byteenable                      => CONNECTED_TO_xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_byteenable,                      --                                                                .byteenable
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_writedata                       => CONNECTED_TO_xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_writedata,                       --                                                                .writedata
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_readdata                        => CONNECTED_TO_xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_readdata,                        --                                                                .readdata
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_waitrequest                     => CONNECTED_TO_xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_waitrequest,                     --                                                                .waitrequest
			xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_readdatavalid                   => CONNECTED_TO_xcvr_fmcp_x4_refclk2_intel_directphy_gts_x4_reconfig_readdatavalid,                   --                                                                .readdatavalid
			xcvr_fmcp_x4_refclk2_intel_systemclk_gts_o_pll_lock_o_pll_lock                       => CONNECTED_TO_xcvr_fmcp_x4_refclk2_intel_systemclk_gts_o_pll_lock_o_pll_lock,                       --             xcvr_fmcp_x4_refclk2_intel_systemclk_gts_o_pll_lock.o_pll_lock
			xcvr_fmcp_x4_refclk2_intel_systemclk_gts_i_refclk_rdy_data                           => CONNECTED_TO_xcvr_fmcp_x4_refclk2_intel_systemclk_gts_i_refclk_rdy_data,                           --           xcvr_fmcp_x4_refclk2_intel_systemclk_gts_i_refclk_rdy.data
			xcvr_pcie_x4_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk                              => CONNECTED_TO_xcvr_pcie_x4_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk,                              --             xcvr_pcie_x4_clock_bridge_xcvr_pma_rx_refclk_in_clk.clk
			xcvr_pcie_x4_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk                              => CONNECTED_TO_xcvr_pcie_x4_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk,                              --             xcvr_pcie_x4_clock_bridge_xcvr_pma_tx_refclk_in_clk.clk
			xcvr_pcie_x4_intel_directphy_gts_x4_i_pma_cu_clk_clk                                 => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_i_pma_cu_clk_clk,                                 --                xcvr_pcie_x4_intel_directphy_gts_x4_i_pma_cu_clk.clk
			xcvr_pcie_x4_intel_directphy_gts_x4_i_system_pll_lock_system_pll_lock                => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_i_system_pll_lock_system_pll_lock,                --           xcvr_pcie_x4_intel_directphy_gts_x4_i_system_pll_lock.system_pll_lock
			xcvr_pcie_x4_intel_directphy_gts_x4_i_tx_reset_tx_reset                              => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_i_tx_reset_tx_reset,                              --                  xcvr_pcie_x4_intel_directphy_gts_x4_i_tx_reset.tx_reset
			xcvr_pcie_x4_intel_directphy_gts_x4_i_rx_reset_rx_reset                              => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_i_rx_reset_rx_reset,                              --                  xcvr_pcie_x4_intel_directphy_gts_x4_i_rx_reset.rx_reset
			xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_reset_ack_tx_reset_ack                      => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_reset_ack_tx_reset_ack,                      --              xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_reset_ack.tx_reset_ack
			xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_reset_ack_rx_reset_ack                      => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_reset_ack_rx_reset_ack,                      --              xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_reset_ack.rx_reset_ack
			xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_ready_tx_ready                              => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_ready_tx_ready,                              --                  xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_ready.tx_ready
			xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_ready_rx_ready                              => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_ready_rx_ready,                              --                  xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_ready.rx_ready
			xcvr_pcie_x4_intel_directphy_gts_x4_i_src_rs_grant_src_rs_grant                      => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_i_src_rs_grant_src_rs_grant,                      --              xcvr_pcie_x4_intel_directphy_gts_x4_i_src_rs_grant.src_rs_grant
			xcvr_pcie_x4_intel_directphy_gts_x4_o_src_rs_req_src_rs_req                          => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_o_src_rs_req_src_rs_req,                          --                xcvr_pcie_x4_intel_directphy_gts_x4_o_src_rs_req.src_rs_req
			xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_serial_data_o_tx_serial_data                => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_serial_data_o_tx_serial_data,                --            xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_serial_data.o_tx_serial_data
			xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_serial_data_n_o_tx_serial_data_n            => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_serial_data_n_o_tx_serial_data_n,            --          xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_serial_data_n.o_tx_serial_data_n
			xcvr_pcie_x4_intel_directphy_gts_x4_i_rx_serial_data_i_rx_serial_data                => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_i_rx_serial_data_i_rx_serial_data,                --            xcvr_pcie_x4_intel_directphy_gts_x4_i_rx_serial_data.i_rx_serial_data
			xcvr_pcie_x4_intel_directphy_gts_x4_i_rx_serial_data_n_i_rx_serial_data_n            => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_i_rx_serial_data_n_i_rx_serial_data_n,            --          xcvr_pcie_x4_intel_directphy_gts_x4_i_rx_serial_data_n.i_rx_serial_data_n
			xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_pll_locked_o_tx_pll_locked                  => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_pll_locked_o_tx_pll_locked,                  --             xcvr_pcie_x4_intel_directphy_gts_x4_o_tx_pll_locked.o_tx_pll_locked
			xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_is_lockedtodata_o_rx_is_lockedtodata        => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_is_lockedtodata_o_rx_is_lockedtodata,        --        xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_is_lockedtodata.o_rx_is_lockedtodata
			xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_is_lockedtoref_o_rx_is_lockedtoref          => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_is_lockedtoref_o_rx_is_lockedtoref,          --         xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_is_lockedtoref.o_rx_is_lockedtoref
			xcvr_pcie_x4_intel_directphy_gts_x4_o_refclk2core_o_refclk2core                      => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_o_refclk2core_o_refclk2core,                      --               xcvr_pcie_x4_intel_directphy_gts_x4_o_refclk2core.o_refclk2core
			xcvr_pcie_x4_intel_directphy_gts_x4_i_tx_parallel_data_i_tx_parallel_data            => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_i_tx_parallel_data_i_tx_parallel_data,            --          xcvr_pcie_x4_intel_directphy_gts_x4_i_tx_parallel_data.i_tx_parallel_data
			xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_parallel_data_o_rx_parallel_data            => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_parallel_data_o_rx_parallel_data,            --          xcvr_pcie_x4_intel_directphy_gts_x4_o_rx_parallel_data.o_rx_parallel_data
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_write                                   => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_write,                                   --                    xcvr_pcie_x4_intel_directphy_gts_x4_reconfig.write
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_read                                    => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_read,                                    --                                                                .read
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_address                                 => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_address,                                 --                                                                .address
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_byteenable                              => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_byteenable,                              --                                                                .byteenable
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_writedata                               => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_writedata,                               --                                                                .writedata
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_readdata                                => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_readdata,                                --                                                                .readdata
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_waitrequest                             => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_waitrequest,                             --                                                                .waitrequest
			xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_readdatavalid                           => CONNECTED_TO_xcvr_pcie_x4_intel_directphy_gts_x4_reconfig_readdatavalid,                           --                                                                .readdatavalid
			xcvr_pcie_x4_intel_systemclk_gts_o_pll_lock_o_pll_lock                               => CONNECTED_TO_xcvr_pcie_x4_intel_systemclk_gts_o_pll_lock_o_pll_lock,                               --                     xcvr_pcie_x4_intel_systemclk_gts_o_pll_lock.o_pll_lock
			xcvr_pcie_x4_intel_systemclk_gts_i_refclk_rdy_data                                   => CONNECTED_TO_xcvr_pcie_x4_intel_systemclk_gts_i_refclk_rdy_data,                                   --                   xcvr_pcie_x4_intel_systemclk_gts_i_refclk_rdy.data
			xcvr_qsfp_clock_bridge_xcvr_syspll_ref_in_clk_clk                                    => CONNECTED_TO_xcvr_qsfp_clock_bridge_xcvr_syspll_ref_in_clk_clk,                                    --                   xcvr_qsfp_clock_bridge_xcvr_syspll_ref_in_clk.clk
			xcvr_qsfp_intel_directphy_gts_x4_i_pma_cu_clk_clk                                    => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_i_pma_cu_clk_clk,                                    --                   xcvr_qsfp_intel_directphy_gts_x4_i_pma_cu_clk.clk
			xcvr_qsfp_intel_directphy_gts_x4_i_system_pll_lock_system_pll_lock                   => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_i_system_pll_lock_system_pll_lock,                   --              xcvr_qsfp_intel_directphy_gts_x4_i_system_pll_lock.system_pll_lock
			xcvr_qsfp_intel_directphy_gts_x4_i_tx_reset_tx_reset                                 => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_i_tx_reset_tx_reset,                                 --                     xcvr_qsfp_intel_directphy_gts_x4_i_tx_reset.tx_reset
			xcvr_qsfp_intel_directphy_gts_x4_i_rx_reset_rx_reset                                 => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_i_rx_reset_rx_reset,                                 --                     xcvr_qsfp_intel_directphy_gts_x4_i_rx_reset.rx_reset
			xcvr_qsfp_intel_directphy_gts_x4_o_tx_reset_ack_tx_reset_ack                         => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_o_tx_reset_ack_tx_reset_ack,                         --                 xcvr_qsfp_intel_directphy_gts_x4_o_tx_reset_ack.tx_reset_ack
			xcvr_qsfp_intel_directphy_gts_x4_o_rx_reset_ack_rx_reset_ack                         => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_o_rx_reset_ack_rx_reset_ack,                         --                 xcvr_qsfp_intel_directphy_gts_x4_o_rx_reset_ack.rx_reset_ack
			xcvr_qsfp_intel_directphy_gts_x4_o_tx_ready_tx_ready                                 => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_o_tx_ready_tx_ready,                                 --                     xcvr_qsfp_intel_directphy_gts_x4_o_tx_ready.tx_ready
			xcvr_qsfp_intel_directphy_gts_x4_o_rx_ready_rx_ready                                 => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_o_rx_ready_rx_ready,                                 --                     xcvr_qsfp_intel_directphy_gts_x4_o_rx_ready.rx_ready
			xcvr_qsfp_intel_directphy_gts_x4_i_src_rs_grant_src_rs_grant                         => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_i_src_rs_grant_src_rs_grant,                         --                 xcvr_qsfp_intel_directphy_gts_x4_i_src_rs_grant.src_rs_grant
			xcvr_qsfp_intel_directphy_gts_x4_o_src_rs_req_src_rs_req                             => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_o_src_rs_req_src_rs_req,                             --                   xcvr_qsfp_intel_directphy_gts_x4_o_src_rs_req.src_rs_req
			xcvr_qsfp_intel_directphy_gts_x4_o_tx_serial_data_o_tx_serial_data                   => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_o_tx_serial_data_o_tx_serial_data,                   --               xcvr_qsfp_intel_directphy_gts_x4_o_tx_serial_data.o_tx_serial_data
			xcvr_qsfp_intel_directphy_gts_x4_o_tx_serial_data_n_o_tx_serial_data_n               => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_o_tx_serial_data_n_o_tx_serial_data_n,               --             xcvr_qsfp_intel_directphy_gts_x4_o_tx_serial_data_n.o_tx_serial_data_n
			xcvr_qsfp_intel_directphy_gts_x4_i_rx_serial_data_i_rx_serial_data                   => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_i_rx_serial_data_i_rx_serial_data,                   --               xcvr_qsfp_intel_directphy_gts_x4_i_rx_serial_data.i_rx_serial_data
			xcvr_qsfp_intel_directphy_gts_x4_i_rx_serial_data_n_i_rx_serial_data_n               => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_i_rx_serial_data_n_i_rx_serial_data_n,               --             xcvr_qsfp_intel_directphy_gts_x4_i_rx_serial_data_n.i_rx_serial_data_n
			xcvr_qsfp_intel_directphy_gts_x4_o_tx_pll_locked_o_tx_pll_locked                     => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_o_tx_pll_locked_o_tx_pll_locked,                     --                xcvr_qsfp_intel_directphy_gts_x4_o_tx_pll_locked.o_tx_pll_locked
			xcvr_qsfp_intel_directphy_gts_x4_o_rx_is_lockedtodata_o_rx_is_lockedtodata           => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_o_rx_is_lockedtodata_o_rx_is_lockedtodata,           --           xcvr_qsfp_intel_directphy_gts_x4_o_rx_is_lockedtodata.o_rx_is_lockedtodata
			xcvr_qsfp_intel_directphy_gts_x4_o_rx_is_lockedtoref_o_rx_is_lockedtoref             => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_o_rx_is_lockedtoref_o_rx_is_lockedtoref,             --            xcvr_qsfp_intel_directphy_gts_x4_o_rx_is_lockedtoref.o_rx_is_lockedtoref
			xcvr_qsfp_intel_directphy_gts_x4_o_refclk2core_o_refclk2core                         => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_o_refclk2core_o_refclk2core,                         --                  xcvr_qsfp_intel_directphy_gts_x4_o_refclk2core.o_refclk2core
			xcvr_qsfp_intel_directphy_gts_x4_i_tx_parallel_data_i_tx_parallel_data               => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_i_tx_parallel_data_i_tx_parallel_data,               --             xcvr_qsfp_intel_directphy_gts_x4_i_tx_parallel_data.i_tx_parallel_data
			xcvr_qsfp_intel_directphy_gts_x4_o_rx_parallel_data_o_rx_parallel_data               => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_o_rx_parallel_data_o_rx_parallel_data,               --             xcvr_qsfp_intel_directphy_gts_x4_o_rx_parallel_data.o_rx_parallel_data
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_write                                      => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_reconfig_write,                                      --                       xcvr_qsfp_intel_directphy_gts_x4_reconfig.write
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_read                                       => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_reconfig_read,                                       --                                                                .read
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_address                                    => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_reconfig_address,                                    --                                                                .address
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_byteenable                                 => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_reconfig_byteenable,                                 --                                                                .byteenable
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_writedata                                  => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_reconfig_writedata,                                  --                                                                .writedata
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_readdata                                   => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_reconfig_readdata,                                   --                                                                .readdata
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_waitrequest                                => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_reconfig_waitrequest,                                --                                                                .waitrequest
			xcvr_qsfp_intel_directphy_gts_x4_reconfig_readdatavalid                              => CONNECTED_TO_xcvr_qsfp_intel_directphy_gts_x4_reconfig_readdatavalid,                              --                                                                .readdatavalid
			xcvr_qsfp_intel_systemclk_gts_o_pll_lock_o_pll_lock                                  => CONNECTED_TO_xcvr_qsfp_intel_systemclk_gts_o_pll_lock_o_pll_lock,                                  --                        xcvr_qsfp_intel_systemclk_gts_o_pll_lock.o_pll_lock
			xcvr_qsfp_intel_systemclk_gts_i_refclk_rdy_data                                      => CONNECTED_TO_xcvr_qsfp_intel_systemclk_gts_i_refclk_rdy_data,                                      --                      xcvr_qsfp_intel_systemclk_gts_i_refclk_rdy.data
			xcvr_usb3_x2_refclk_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk                       => CONNECTED_TO_xcvr_usb3_x2_refclk_clock_bridge_xcvr_pma_rx_refclk_in_clk_clk,                       --      xcvr_usb3_x2_refclk_clock_bridge_xcvr_pma_rx_refclk_in_clk.clk
			xcvr_usb3_x2_refclk_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk                       => CONNECTED_TO_xcvr_usb3_x2_refclk_clock_bridge_xcvr_pma_tx_refclk_in_clk_clk,                       --      xcvr_usb3_x2_refclk_clock_bridge_xcvr_pma_tx_refclk_in_clk.clk
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_pma_cu_clk_clk                          => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_pma_cu_clk_clk,                          --         xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_pma_cu_clk.clk
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_system_pll_lock_system_pll_lock         => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_system_pll_lock_system_pll_lock,         --    xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_system_pll_lock.system_pll_lock
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_tx_reset_tx_reset                       => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_tx_reset_tx_reset,                       --           xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_tx_reset.tx_reset
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_rx_reset_rx_reset                       => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_rx_reset_rx_reset,                       --           xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_rx_reset.rx_reset
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_reset_ack_tx_reset_ack               => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_reset_ack_tx_reset_ack,               --       xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_reset_ack.tx_reset_ack
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_reset_ack_rx_reset_ack               => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_reset_ack_rx_reset_ack,               --       xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_reset_ack.rx_reset_ack
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_ready_tx_ready                       => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_ready_tx_ready,                       --           xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_ready.tx_ready
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_ready_rx_ready                       => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_ready_rx_ready,                       --           xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_ready.rx_ready
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_src_rs_grant_src_rs_grant               => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_src_rs_grant_src_rs_grant,               --       xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_src_rs_grant.src_rs_grant
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_src_rs_req_src_rs_req                   => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_src_rs_req_src_rs_req,                   --         xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_src_rs_req.src_rs_req
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_serial_data_o_tx_serial_data         => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_serial_data_o_tx_serial_data,         --     xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_serial_data.o_tx_serial_data
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_serial_data_n_o_tx_serial_data_n     => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_serial_data_n_o_tx_serial_data_n,     --   xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_serial_data_n.o_tx_serial_data_n
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_rx_serial_data_i_rx_serial_data         => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_rx_serial_data_i_rx_serial_data,         --     xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_rx_serial_data.i_rx_serial_data
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_rx_serial_data_n_i_rx_serial_data_n     => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_rx_serial_data_n_i_rx_serial_data_n,     --   xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_rx_serial_data_n.i_rx_serial_data_n
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_pll_locked_o_tx_pll_locked           => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_pll_locked_o_tx_pll_locked,           --      xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_tx_pll_locked.o_tx_pll_locked
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_is_lockedtodata_o_rx_is_lockedtodata => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_is_lockedtodata_o_rx_is_lockedtodata, -- xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_is_lockedtodata.o_rx_is_lockedtodata
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_is_lockedtoref_o_rx_is_lockedtoref   => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_is_lockedtoref_o_rx_is_lockedtoref,   --  xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_is_lockedtoref.o_rx_is_lockedtoref
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_refclk2core_o_refclk2core               => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_refclk2core_o_refclk2core,               --        xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_refclk2core.o_refclk2core
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_tx_parallel_data_i_tx_parallel_data     => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_tx_parallel_data_i_tx_parallel_data,     --   xcvr_usb3_x2_refclk_intel_directphy_gts_x4_i_tx_parallel_data.i_tx_parallel_data
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_parallel_data_o_rx_parallel_data     => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_parallel_data_o_rx_parallel_data,     --   xcvr_usb3_x2_refclk_intel_directphy_gts_x4_o_rx_parallel_data.o_rx_parallel_data
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_write                            => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_write,                            --             xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig.write
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_read                             => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_read,                             --                                                                .read
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_address                          => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_address,                          --                                                                .address
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_byteenable                       => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_byteenable,                       --                                                                .byteenable
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_writedata                        => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_writedata,                        --                                                                .writedata
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_readdata                         => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_readdata,                         --                                                                .readdata
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_waitrequest                      => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_waitrequest,                      --                                                                .waitrequest
			xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_readdatavalid                    => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_directphy_gts_x4_reconfig_readdatavalid,                    --                                                                .readdatavalid
			xcvr_usb3_x2_refclk_intel_systemclk_gts_o_pll_lock_o_pll_lock                        => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_systemclk_gts_o_pll_lock_o_pll_lock,                        --              xcvr_usb3_x2_refclk_intel_systemclk_gts_o_pll_lock.o_pll_lock
			xcvr_usb3_x2_refclk_intel_systemclk_gts_i_refclk_rdy_data                            => CONNECTED_TO_xcvr_usb3_x2_refclk_intel_systemclk_gts_i_refclk_rdy_data                             --            xcvr_usb3_x2_refclk_intel_systemclk_gts_i_refclk_rdy.data
		);

