// xcvr_pcie_x4_intel_directphy_gts_0_one_lane_hal_fec_hal_2100_5kpk2ji.v

// Generated using ACDS version 24.2 40

`timescale 1 ps / 1 ps
module xcvr_pcie_x4_intel_directphy_gts_0_one_lane_hal_fec_hal_2100_5kpk2ji #(
		parameter ch_fec_l_duplex_mode_atom   = "DUPLEX_MODE_DUPLEX",
		parameter ch_fec_l_fec_spec_atom      = "FEC_SPEC_DISABLED",
		parameter ch_fec_l_fracture_atom      = "FRACTURE_UNUSED",
		parameter ch_fec_dr_enabled_atom      = "DR_ENABLED_DR_ENABLED",
		parameter ch_fec_l_sup_mode_atom      = "SUP_MODE_USER_MODE",
		parameter ch_fec_l_sim_mode_atom      = "SIM_MODE_ENABLE",
		parameter ch_fec_l_pcs_tx_en_atom     = "FALSE",
		parameter ch_fec_l_pcs_rx_en_atom     = "FALSE",
		parameter ch_fec_l_loopback_mode_atom = "LOOPBACK_MODE_DISABLE",
		parameter ch_fec_l_dyn_tx_mux_atom    = "DYN_TX_MUX_UNUSED",
		parameter ch_fec_l_fec_error_atom     = "FALSE",
		parameter ch_fec_l_fec_mode_atom      = "FEC_MODE_DISABLED",
		parameter ch_fec_l_tx_en_atom         = "FALSE",
		parameter ch_fec_l_rx_en_atom         = "FALSE"
	) (
		input  wire [19:0] i_ch_lavmm_fec_addr,                 //                        reconfig.address,       Stats Snapshot
		input  wire [3:0]  i_ch_lavmm_fec_be,                   //                                .byteenable,    RX PFC
		input  wire        i_ch_lavmm_fec_read,                 //                                .read,          RX error bits asserted on the EOP cycle
		input  wire [31:0] i_ch_lavmm_fec_wdata,                //                                .writedata,     RX error bits asserted on the EOP cycle
		input  wire        i_ch_lavmm_fec_write,                //                                .write,         CSR access address
		output wire [31:0] o_ch_lavmm_fec_rdata,                //                                .readdata,      RX error bits asserted on the EOP cycle
		output wire        o_ch_lavmm_fec_rdata_valid,          //                                .readdatavalid, Stats Snapshot
		output wire        o_ch_lavmm_fec_waitreq,              //                                .waitrequest,   RX PFC
		input  wire        i_ch_lavmm_fec_clk,                  //                    reconfig_clk.clk,           RX PFC
		input  wire        i_ch_lavmm_fec_rstn,                 //                    reconfig_rst.reset,         RX error bits asserted on the EOP cycle
		input  wire [6:0]  i_ch_eth_fec_tx_async,               //                     asyncdata_0.data,          CSR access address
		input  wire        i_ch_eth_fec_tx_direct,              //                     asyncdata_1.data,          RX error bits asserted on the EOP cycle
		output wire [11:0] o_ch_eth_fec_rx_async,               //                     asyncdata_2.data,          Stats Snapshot
		output wire        o_ch_eth_fec_rx_direct,              //                     asyncdata_3.data,          RX PFC
		input  wire        i_rstfec_fec_csr_ret,                //            i_rstfec_fec_csr_ret.data,          CSR access address
		output wire        o_fec_rx_rdy_n,                      //                  o_fec_rx_rdy_n.data,          RX error bits asserted on the EOP cycle
		input  wire        i_rstfec_rx_fec_sfrz_n,              //          i_rstfec_rx_fec_sfrz_n.data,          Stats Snapshot
		input  wire        i_rstfec_fec_rx_rst_n,               //           i_rstfec_fec_rx_rst_n.data,          RX PFC
		input  wire        i_rstfec_tx_fec_sfrz_n,              //          i_rstfec_tx_fec_sfrz_n.reset,         CSR access address
		input  wire        i_rstfec_fec_tx_rst_n,               //           i_rstfec_fec_tx_rst_n.data,          RX error bits asserted on the EOP cycle
		output wire [42:0] o_fec_rx_data,                       //                   o_fec_rx_data.data,          CSR access address
		input  wire        i_fec_clk,                           //                       i_fec_clk.clk,           RX error bits asserted on the EOP cycle
		input  wire [42:0] i_xcvr_rx_data,                      //                  i_xcvr_rx_data.data,          CSR access address
		output wire [42:0] o_xcvr_tx_data,                      //                  o_xcvr_tx_data.data,          RX error bits asserted on the EOP cycle
		input  wire        i_pma_rx_sf,                         //                     i_pma_rx_sf.data,          RX error bits asserted on the EOP cycle
		output wire [19:0] o_ch_lavmm_fec_addr_fec_wrap,        //                reconfig_fecwrap.address
		output wire [3:0]  o_ch_lavmm_fec_be_fec_wrap,          //                                .byteenable
		output wire        o_ch_lavmm_fec_read_fec_wrap,        //                                .read
		output wire [31:0] o_ch_lavmm_fec_wdata_fec_wrap,       //                                .writedata
		output wire        o_ch_lavmm_fec_write_fec_wrap,       //                                .write
		input  wire [31:0] i_ch_lavmm_fec_rdata_fec_wrap,       //                                .readdata
		input  wire        i_ch_lavmm_fec_rdata_valid_fec_wrap, //                                .readdatavalid
		input  wire        i_ch_lavmm_fec_waitreq_fec_wrap,     //                                .waitrequest
		output wire        o_ch_lavmm_fec_clk_fec_wrap,         //            reconfig_fecwrap_clk.clk
		output wire        o_ch_lavmm_fec_rstn_fec_wrap,        //            reconfig_fecwrap_rst.reset
		input  wire [11:0] i_ch_eth_fec_rx_async_fec_wrap,      //                     asyncdata_4.data
		input  wire        i_ch_eth_fec_rx_direct_fec_wrap,     //                     asyncdata_5.data
		output wire [6:0]  o_ch_eth_fec_tx_async_fec_wrap,      //                     asyncdata_6.data
		output wire        o_ch_eth_fec_tx_direct_fec_wrap,     //                     asyncdata_7.data
		output wire        o_rstfec_fec_csr_ret_fec_wrap,       //   o_rstfec_fec_csr_ret_fec_wrap.data
		input  wire        i_fec_rx_rdy_n_fec_wrap,             //         i_fec_rx_rdy_n_fec_wrap.data
		output wire        o_rstfec_fec_rx_rst_n_fec_wrap,      //  o_rstfec_fec_rx_rst_n_fec_wrap.reset
		output wire        o_rstfec_fec_tx_rst_n_fec_wrap,      //  o_rstfec_fec_tx_rst_n_fec_wrap.reset
		output wire        o_rstfec_rx_fec_sfrz_n_fec_wrap,     // o_rstfec_rx_fec_sfrz_n_fec_wrap.reset
		output wire        o_rstfec_tx_fec_sfrz_n_fec_wrap,     // o_rstfec_tx_fec_sfrz_n_fec_wrap.reset
		input  wire        i_fec_tx_data_mux_sel_fec_wrap,      //  i_fec_tx_data_mux_sel_fec_wrap.muxsel
		input  wire [42:0] i_fec_rx_data_fec_wrap,              //          i_fec_rx_data_fec_wrap.data
		output wire [42:0] o_fec_i_tx_mux_data_fec_wrap,        //    o_fec_i_tx_mux_data_fec_wrap.data
		output wire [42:0] o_xcvr_rx_data,                      //                  o_xcvr_rx_data.data
		input  wire [42:0] i_xcvr_tx_data,                      //                  i_xcvr_tx_data.data
		output wire        o_pma_rx_sf,                         //                     o_pma_rx_sf.data
		output wire        o_fec_tx_data_mux_sel,               //           o_fec_tx_data_mux_sel.data
		input  wire [42:0] i_fec_i_tx_mux_data                  //             i_fec_i_tx_mux_data.data
	);

	generate
		// If any of the display statements (or deliberately broken
		// instantiations) within this generate block triggers then this module
		// has been instantiated this module with a set of parameters different
		// from those it was generated for.  This will usually result in a
		// non-functioning system.
		if (ch_fec_l_duplex_mode_atom != "DUPLEX_MODE_DUPLEX")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_l_duplex_mode_atom_check ( .error(1'b1) );
		end
		if (ch_fec_l_fec_spec_atom != "FEC_SPEC_DISABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_l_fec_spec_atom_check ( .error(1'b1) );
		end
		if (ch_fec_l_fracture_atom != "FRACTURE_UNUSED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_l_fracture_atom_check ( .error(1'b1) );
		end
		if (ch_fec_dr_enabled_atom != "DR_ENABLED_DR_ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_dr_enabled_atom_check ( .error(1'b1) );
		end
		if (ch_fec_l_sup_mode_atom != "SUP_MODE_USER_MODE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_l_sup_mode_atom_check ( .error(1'b1) );
		end
		if (ch_fec_l_sim_mode_atom != "SIM_MODE_ENABLE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_l_sim_mode_atom_check ( .error(1'b1) );
		end
		if (ch_fec_l_pcs_tx_en_atom != "FALSE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_l_pcs_tx_en_atom_check ( .error(1'b1) );
		end
		if (ch_fec_l_pcs_rx_en_atom != "FALSE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_l_pcs_rx_en_atom_check ( .error(1'b1) );
		end
		if (ch_fec_l_loopback_mode_atom != "LOOPBACK_MODE_DISABLE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_l_loopback_mode_atom_check ( .error(1'b1) );
		end
		if (ch_fec_l_dyn_tx_mux_atom != "DYN_TX_MUX_UNUSED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_l_dyn_tx_mux_atom_check ( .error(1'b1) );
		end
		if (ch_fec_l_fec_error_atom != "FALSE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_l_fec_error_atom_check ( .error(1'b1) );
		end
		if (ch_fec_l_fec_mode_atom != "FEC_MODE_DISABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_l_fec_mode_atom_check ( .error(1'b1) );
		end
		if (ch_fec_l_tx_en_atom != "FALSE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_l_tx_en_atom_check ( .error(1'b1) );
		end
		if (ch_fec_l_rx_en_atom != "FALSE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_l_rx_en_atom_check ( .error(1'b1) );
		end
	endgenerate

	xcvr_pcie_x4_intel_directphy_gts_0_fec_hal_2100_j5sz3gi #(
		.ch_fec_l_duplex_mode_atom   ("DUPLEX_MODE_DUPLEX"),
		.ch_fec_l_fec_spec_atom      ("FEC_SPEC_DISABLED"),
		.ch_fec_l_fracture_atom      ("FRACTURE_UNUSED"),
		.ch_fec_dr_enabled_atom      ("DR_ENABLED_DR_ENABLED"),
		.ch_fec_l_sup_mode_atom      ("SUP_MODE_USER_MODE"),
		.ch_fec_l_sim_mode_atom      ("SIM_MODE_ENABLE"),
		.ch_fec_l_pcs_tx_en_atom     ("FALSE"),
		.ch_fec_l_pcs_rx_en_atom     ("FALSE"),
		.ch_fec_l_loopback_mode_atom ("LOOPBACK_MODE_DISABLE"),
		.ch_fec_l_dyn_tx_mux_atom    ("DYN_TX_MUX_UNUSED"),
		.ch_fec_l_fec_error_atom     ("FALSE"),
		.ch_fec_l_fec_mode_atom      ("FEC_MODE_DISABLED"),
		.ch_fec_l_tx_en_atom         ("FALSE"),
		.ch_fec_l_rx_en_atom         ("FALSE")
	) fec_hal_top (
		.i_ch_lavmm_fec_addr                 (i_ch_lavmm_fec_addr),                 //   input,  width = 20,                        reconfig.address
		.i_ch_lavmm_fec_be                   (i_ch_lavmm_fec_be),                   //   input,   width = 4,                                .byteenable
		.i_ch_lavmm_fec_read                 (i_ch_lavmm_fec_read),                 //   input,   width = 1,                                .read
		.i_ch_lavmm_fec_wdata                (i_ch_lavmm_fec_wdata),                //   input,  width = 32,                                .writedata
		.i_ch_lavmm_fec_write                (i_ch_lavmm_fec_write),                //   input,   width = 1,                                .write
		.o_ch_lavmm_fec_rdata                (o_ch_lavmm_fec_rdata),                //  output,  width = 32,                                .readdata
		.o_ch_lavmm_fec_rdata_valid          (o_ch_lavmm_fec_rdata_valid),          //  output,   width = 1,                                .readdatavalid
		.o_ch_lavmm_fec_waitreq              (o_ch_lavmm_fec_waitreq),              //  output,   width = 1,                                .waitrequest
		.i_ch_lavmm_fec_clk                  (i_ch_lavmm_fec_clk),                  //   input,   width = 1,                    reconfig_clk.clk
		.i_ch_lavmm_fec_rstn                 (i_ch_lavmm_fec_rstn),                 //   input,   width = 1,                    reconfig_rst.reset
		.i_ch_eth_fec_tx_async               (i_ch_eth_fec_tx_async),               //   input,   width = 7,                     asyncdata_0.data
		.i_ch_eth_fec_tx_direct              (i_ch_eth_fec_tx_direct),              //   input,   width = 1,                     asyncdata_1.data
		.o_ch_eth_fec_rx_async               (o_ch_eth_fec_rx_async),               //  output,  width = 12,                     asyncdata_2.data
		.o_ch_eth_fec_rx_direct              (o_ch_eth_fec_rx_direct),              //  output,   width = 1,                     asyncdata_3.data
		.i_rstfec_fec_csr_ret                (i_rstfec_fec_csr_ret),                //   input,   width = 1,            i_rstfec_fec_csr_ret.data
		.o_fec_rx_rdy_n                      (o_fec_rx_rdy_n),                      //  output,   width = 1,                  o_fec_rx_rdy_n.data
		.i_rstfec_rx_fec_sfrz_n              (i_rstfec_rx_fec_sfrz_n),              //   input,   width = 1,          i_rstfec_rx_fec_sfrz_n.data
		.i_rstfec_fec_rx_rst_n               (i_rstfec_fec_rx_rst_n),               //   input,   width = 1,           i_rstfec_fec_rx_rst_n.data
		.i_rstfec_tx_fec_sfrz_n              (i_rstfec_tx_fec_sfrz_n),              //   input,   width = 1,          i_rstfec_tx_fec_sfrz_n.reset
		.i_rstfec_fec_tx_rst_n               (i_rstfec_fec_tx_rst_n),               //   input,   width = 1,           i_rstfec_fec_tx_rst_n.data
		.o_fec_rx_data                       (o_fec_rx_data),                       //  output,  width = 43,                   o_fec_rx_data.data
		.i_fec_clk                           (i_fec_clk),                           //   input,   width = 1,                       i_fec_clk.clk
		.i_xcvr_rx_data                      (i_xcvr_rx_data),                      //   input,  width = 43,                  i_xcvr_rx_data.data
		.o_xcvr_tx_data                      (o_xcvr_tx_data),                      //  output,  width = 43,                  o_xcvr_tx_data.data
		.i_pma_rx_sf                         (i_pma_rx_sf),                         //   input,   width = 1,                     i_pma_rx_sf.data
		.o_ch_lavmm_fec_addr_fec_wrap        (o_ch_lavmm_fec_addr_fec_wrap),        //  output,  width = 20,                reconfig_fecwrap.address
		.o_ch_lavmm_fec_be_fec_wrap          (o_ch_lavmm_fec_be_fec_wrap),          //  output,   width = 4,                                .byteenable
		.o_ch_lavmm_fec_read_fec_wrap        (o_ch_lavmm_fec_read_fec_wrap),        //  output,   width = 1,                                .read
		.o_ch_lavmm_fec_wdata_fec_wrap       (o_ch_lavmm_fec_wdata_fec_wrap),       //  output,  width = 32,                                .writedata
		.o_ch_lavmm_fec_write_fec_wrap       (o_ch_lavmm_fec_write_fec_wrap),       //  output,   width = 1,                                .write
		.i_ch_lavmm_fec_rdata_fec_wrap       (i_ch_lavmm_fec_rdata_fec_wrap),       //   input,  width = 32,                                .readdata
		.i_ch_lavmm_fec_rdata_valid_fec_wrap (i_ch_lavmm_fec_rdata_valid_fec_wrap), //   input,   width = 1,                                .readdatavalid
		.i_ch_lavmm_fec_waitreq_fec_wrap     (i_ch_lavmm_fec_waitreq_fec_wrap),     //   input,   width = 1,                                .waitrequest
		.o_ch_lavmm_fec_clk_fec_wrap         (o_ch_lavmm_fec_clk_fec_wrap),         //  output,   width = 1,            reconfig_fecwrap_clk.clk
		.o_ch_lavmm_fec_rstn_fec_wrap        (o_ch_lavmm_fec_rstn_fec_wrap),        //  output,   width = 1,            reconfig_fecwrap_rst.reset
		.i_ch_eth_fec_rx_async_fec_wrap      (i_ch_eth_fec_rx_async_fec_wrap),      //   input,  width = 12,                     asyncdata_4.data
		.i_ch_eth_fec_rx_direct_fec_wrap     (i_ch_eth_fec_rx_direct_fec_wrap),     //   input,   width = 1,                     asyncdata_5.data
		.o_ch_eth_fec_tx_async_fec_wrap      (o_ch_eth_fec_tx_async_fec_wrap),      //  output,   width = 7,                     asyncdata_6.data
		.o_ch_eth_fec_tx_direct_fec_wrap     (o_ch_eth_fec_tx_direct_fec_wrap),     //  output,   width = 1,                     asyncdata_7.data
		.o_rstfec_fec_csr_ret_fec_wrap       (o_rstfec_fec_csr_ret_fec_wrap),       //  output,   width = 1,   o_rstfec_fec_csr_ret_fec_wrap.data
		.i_fec_rx_rdy_n_fec_wrap             (i_fec_rx_rdy_n_fec_wrap),             //   input,   width = 1,         i_fec_rx_rdy_n_fec_wrap.data
		.o_rstfec_fec_rx_rst_n_fec_wrap      (o_rstfec_fec_rx_rst_n_fec_wrap),      //  output,   width = 1,  o_rstfec_fec_rx_rst_n_fec_wrap.reset
		.o_rstfec_fec_tx_rst_n_fec_wrap      (o_rstfec_fec_tx_rst_n_fec_wrap),      //  output,   width = 1,  o_rstfec_fec_tx_rst_n_fec_wrap.reset
		.o_rstfec_rx_fec_sfrz_n_fec_wrap     (o_rstfec_rx_fec_sfrz_n_fec_wrap),     //  output,   width = 1, o_rstfec_rx_fec_sfrz_n_fec_wrap.reset
		.o_rstfec_tx_fec_sfrz_n_fec_wrap     (o_rstfec_tx_fec_sfrz_n_fec_wrap),     //  output,   width = 1, o_rstfec_tx_fec_sfrz_n_fec_wrap.reset
		.i_fec_tx_data_mux_sel_fec_wrap      (i_fec_tx_data_mux_sel_fec_wrap),      //   input,   width = 1,  i_fec_tx_data_mux_sel_fec_wrap.muxsel
		.i_fec_rx_data_fec_wrap              (i_fec_rx_data_fec_wrap),              //   input,  width = 43,          i_fec_rx_data_fec_wrap.data
		.o_fec_i_tx_mux_data_fec_wrap        (o_fec_i_tx_mux_data_fec_wrap),        //  output,  width = 43,    o_fec_i_tx_mux_data_fec_wrap.data
		.o_xcvr_rx_data                      (o_xcvr_rx_data),                      //  output,  width = 43,                  o_xcvr_rx_data.data
		.i_xcvr_tx_data                      (i_xcvr_tx_data),                      //   input,  width = 43,                  i_xcvr_tx_data.data
		.o_pma_rx_sf                         (o_pma_rx_sf),                         //  output,   width = 1,                     o_pma_rx_sf.data
		.o_fec_tx_data_mux_sel               (o_fec_tx_data_mux_sel),               //  output,   width = 1,           o_fec_tx_data_mux_sel.data
		.i_fec_i_tx_mux_data                 (i_fec_i_tx_mux_data)                  //   input,  width = 43,             i_fec_i_tx_mux_data.data
	);

endmodule
