// xcvr_usb3_x2_refclk_intel_directphy_gts_0_hal_top_one_lane_hal_2100_o6xojwy.v

// Generated using ACDS version 24.2 40

`timescale 1 ps / 1 ps
module xcvr_usb3_x2_refclk_intel_directphy_gts_0_hal_top_one_lane_hal_2100_o6xojwy #(
		parameter ch_tx_channel_mode            = "PMAD",
		parameter ch_rx_channel_mode            = "PMAD",
		parameter ch_mac_sf_en                  = "DISABLED",
		parameter ch_pldif_sf_en                = "ENABLED",
		parameter ch_pcs_sf_en                  = "DISABLED",
		parameter ch_fec_sf_en                  = "DISABLED",
		parameter ch_SF_PCS_TXMUX_EN            = "ENABLED",
		parameter ch_SF_PCS_RXMUX_EN            = "ENABLED",
		parameter ch_SF_FEC_TXMUX_EN            = "ENABLED",
		parameter ch_SF_FEC_INGRESS_EN          = "ENABLED",
		parameter ch_SF_FEC_EGRESS_EN           = "ENABLED",
		parameter ch_SF_PLDCH_TX_USER1_MUX_EN   = "ENABLED",
		parameter ch_SF_PLDCH_TX_USER2_MUX_EN   = "ENABLED",
		parameter ch_SF_PLDCH_RX_USER1_MUX_EN   = "ENABLED",
		parameter ch_SF_PLDCH_RX_USER2_MUX_EN   = "ENABLED",
		parameter ch_SF_DESKEW_EN               = "ENABLED",
		parameter ch_SF_DESKEW_RXMUX_EN         = "ENABLED",
		parameter ch_SF_PTP_INGRESS_EN          = "ENABLED",
		parameter ch_SF_PTP_EGRESS_EN           = "ENABLED",
		parameter ch_SF_PTP_S_EN                = "ENABLED",
		parameter ch_SF_PTP_EN                  = "ENABLED",
		parameter ch_SF_UX_EN                   = "ENABLED",
		parameter ch_SF_FLUX_GLOBAL_MEM_EN      = "ENABLED",
		parameter ch_SF_FLUX_S_EN               = "ENABLED",
		parameter ch_SF_FLUX_TXUSER_CLK1_MUX_EN = "ENABLED",
		parameter ch_SF_FLUX_TXUSER_CLK2_MUX_EN = "ENABLED",
		parameter ch_SF_FLUX_RXUSER_CLK1_MUX_EN = "ENABLED",
		parameter ch_SF_FLUX_RXUSER_CLK2_MUX_EN = "ENABLED",
		parameter ch_SF_FLUX_I_EN               = "ENABLED",
		parameter ch_SF_UX_TOOLBOX_EN           = "ENABLED",
		parameter ch_SF_FLUX_CORE_EN            = "ENABLED",
		parameter ch_SF_XCVRIF_1CH_EN           = "ENABLED",
		parameter ch_SF_XCVRIF_TXMUX_EN         = "ENABLED",
		parameter ch_SF_XCRIF_TX_RST_MUX_EN     = "ENABLED",
		parameter ch_SF_XCRIF_TX_WREN_MUX_EN    = "ENABLED",
		parameter ch_SF_XCRIF_TX_RDEN_MUX_EN    = "ENABLED",
		parameter ch_SF_XCRIF_TXWORD_CLK_MUX_EN = "ENABLED",
		parameter ch_SF_XCRIF_RXWORD_CLK_MUX_EN = "ENABLED"
	) (
		input  wire [79:0]   i_hio_txdata,                                //                                i_hio_txdata.data,         Stats Snapshot
		input  wire [9:0]    i_hio_txdata_extra,                          //                          i_hio_txdata_extra.data,         RX PFC
		input  wire          i_hio_txdata_fifo_wr_en,                     //                     i_hio_txdata_fifo_wr_en.data,         CSR access address
		input  wire          i_hio_rxdata_fifo_rd_en,                     //                     i_hio_rxdata_fifo_rd_en.data,         RX error bits asserted on the EOP cycle
		input  wire          i_hio_ptp_rst_n,                             //                             i_hio_ptp_rst_n.reset,        Stats Snapshot
		input  wire          i_hio_ehip_rx_rst_n,                         //                         i_hio_ehip_rx_rst_n.reset,        RX PFC
		input  wire          i_hio_ehip_tx_rst_n,                         //                         i_hio_ehip_tx_rst_n.reset,        CSR access address
		input  wire          i_hio_ehip_signal_ok,                        //                        i_hio_ehip_signal_ok.reset,        RX error bits asserted on the EOP cycle
		input  wire          i_hio_sfreeze_2_r03f_rx_mac_srfz_n,          //          i_hio_sfreeze_2_r03f_rx_mac_srfz_n.reset,        Stats Snapshot
		input  wire          i_hio_sfreeze_3_c2f_tx_deskew_srfz_n,        //        i_hio_sfreeze_3_c2f_tx_deskew_srfz_n.reset,        RX PFC
		input  wire          i_hio_t03f_sfreeze_1_tx_pcs_sfrz_n,          //          i_hio_t03f_sfreeze_1_tx_pcs_sfrz_n.reset,        CSR access address
		input  wire          i_hio_rstfec_fec_rx_rst_n,                   //                   i_hio_rstfec_fec_rx_rst_n.reset,        RX error bits asserted on the EOP cycle
		input  wire          i_hio_rstfec_fec_tx_rst_n,                   //                   i_hio_rstfec_fec_tx_rst_n.reset,        RX error bits asserted on the EOP cycle
		input  wire          i_hio_rstfec_fec_csr_ret,                    //                    i_hio_rstfec_fec_csr_ret.reset,        Stats Snapshot
		input  wire          i_hio_rstfec_rx_fec_sfrz_n,                  //                  i_hio_rstfec_rx_fec_sfrz_n.reset,        RX PFC
		input  wire          i_hio_rstfec_tx_fec_sfrz_n,                  //                  i_hio_rstfec_tx_fec_sfrz_n.reset,        CSR access address
		input  wire          i_hio_rstxcvrif_xcvrif_rx_rst_n,             //             i_hio_rstxcvrif_xcvrif_rx_rst_n.reset
		input  wire          i_hio_rstxcvrif_xcvrif_tx_rst_n,             //             i_hio_rstxcvrif_xcvrif_tx_rst_n.reset,        Stats Snapshot
		input  wire          i_hio_rstxcvrif_xcvrif_signal_ok,            //            i_hio_rstxcvrif_xcvrif_signal_ok.reset,        RX PFC
		input  wire          i_hio_rstxcvrif_rx_xcvrif_sfrz_n,            //            i_hio_rstxcvrif_rx_xcvrif_sfrz_n.reset,        CSR access address
		input  wire          i_hio_rstxcvrif_tx_xcvrif_sfrz_n,            //            i_hio_rstxcvrif_tx_xcvrif_sfrz_n.reset
		input  wire          i_hio_rst_pld_clrhip,                        //                        i_hio_rst_pld_clrhip.reset,        Stats Snapshot
		input  wire          i_hio_rst_pld_clrpcs,                        //                        i_hio_rst_pld_clrpcs.reset
		input  wire          i_hio_rst_pld_perstn,                        //                        i_hio_rst_pld_perstn.reset,        CSR access address
		input  wire          i_hio_rst_pld_ready,                         //                         i_hio_rst_pld_ready.reset
		input  wire          i_hio_rst_pld_adapter_rx_pld_rst_n,          //          i_hio_rst_pld_adapter_rx_pld_rst_n.reset
		input  wire          i_hio_rst_pld_adapter_tx_pld_rst_n,          //          i_hio_rst_pld_adapter_tx_pld_rst_n.reset
		input  wire          i_hio_rst_ux_rx_pma_rst_n,                   //                   i_hio_rst_ux_rx_pma_rst_n.reset
		input  wire          i_hio_rst_ux_rx_sfrz,                        //                        i_hio_rst_ux_rx_sfrz.reset
		input  wire          i_hio_rst_ux_tx_pma_rst_n,                   //                   i_hio_rst_ux_tx_pma_rst_n.reset
		input  wire          i_hio_pld_reset_clk_row,                     //                     i_hio_pld_reset_clk_row.reset
		input  wire [79:0]   i_hio_uxquad_async,                          //                          i_hio_uxquad_async.data
		input  wire [79:0]   i_hio_uxquad_async_pcie_mux,                 //                 i_hio_uxquad_async_pcie_mux.data
		input  wire [20:0]   i_hio_lavmm_addr,                            //                                    reconfig.address
		input  wire [3:0]    i_hio_lavmm_be,                              //                                            .byteenable
		input  wire          i_hio_lavmm_read,                            //                                            .read
		input  wire [31:0]   i_hio_lavmm_wdata,                           //                                            .writedata
		input  wire          i_hio_lavmm_write,                           //                                            .write,        RX error bits asserted on the EOP cycle
		output wire [31:0]   o_hio_lavmm_rdata,                           //                                            .readdata
		output wire          o_hio_lavmm_rdata_valid,                     //                                            .readdatavalid
		output wire          o_hio_lavmm_waitreq,                         //                                            .waitrequest
		input  wire          i_hio_lavmm_clk,                             //                                reconfig_clk.clk
		input  wire          i_hio_lavmm_rstn,                            //                                reconfig_rst.reset
		input  wire          i_hio_pld_rx_clk_in_row_clk,                 //                 i_hio_pld_rx_clk_in_row_clk.clk,          RX error bits asserted on the EOP cycle
		input  wire          i_hio_pld_tx_clk_in_row_clk,                 //                 i_hio_pld_tx_clk_in_row_clk.clk,          RX error bits asserted on the EOP cycle
		input  wire          i_hio_det_lat_rx_dl_clk,                     //                     i_hio_det_lat_rx_dl_clk.clk,          RX error bits asserted on the EOP cycle
		input  wire          i_hio_det_lat_rx_mux_select,                 //                 i_hio_det_lat_rx_mux_select.clk,          RX error bits asserted on the EOP cycle
		input  wire          i_hio_det_lat_rx_sclk_flop,                  //                  i_hio_det_lat_rx_sclk_flop.clk,          RX error bits asserted on the EOP cycle
		input  wire          i_hio_det_lat_rx_sclk_gen_clk,               //               i_hio_det_lat_rx_sclk_gen_clk.clk,          RX error bits asserted on the EOP cycle
		input  wire          i_hio_det_lat_rx_trig_flop,                  //                  i_hio_det_lat_rx_trig_flop.clk,          RX error bits asserted on the EOP cycle
		input  wire          i_hio_det_lat_sampling_clk,                  //                  i_hio_det_lat_sampling_clk.clk
		input  wire          i_hio_det_lat_tx_dl_clk,                     //                     i_hio_det_lat_tx_dl_clk.clk
		input  wire          i_hio_det_lat_tx_mux_select,                 //                 i_hio_det_lat_tx_mux_select.clk
		input  wire          i_hio_det_lat_tx_sclk_flop,                  //                  i_hio_det_lat_tx_sclk_flop.clk
		input  wire          i_hio_det_lat_tx_sclk_gen_clk,               //               i_hio_det_lat_tx_sclk_gen_clk.clk
		input  wire          i_hio_det_lat_tx_trig_flop,                  //                  i_hio_det_lat_tx_trig_flop.clk
		input  wire          rx_serial_n,                                 //                                 rx_serial_n.data
		input  wire          rx_serial_p,                                 //                                 rx_serial_p.data
		output wire          o_hio_txdata_fifo_wr_empty,                  //                  o_hio_txdata_fifo_wr_empty.data
		output wire          o_hio_txdata_fifo_wr_pempty,                 //                 o_hio_txdata_fifo_wr_pempty.data
		output wire          o_hio_txdata_fifo_wr_full,                   //                   o_hio_txdata_fifo_wr_full.data
		output wire          o_hio_txdata_fifo_wr_pfull,                  //                  o_hio_txdata_fifo_wr_pfull.data
		output wire [79:0]   o_hio_rxdata,                                //                                o_hio_rxdata.data
		output wire [9:0]    o_hio_rxdata_extra,                          //                          o_hio_rxdata_extra.data
		output wire          o_hio_rxdata_fifo_rd_empty,                  //                  o_hio_rxdata_fifo_rd_empty.data
		output wire          o_hio_rxdata_fifo_rd_pempty,                 //                 o_hio_rxdata_fifo_rd_pempty.data
		output wire          o_hio_rxdata_fifo_rd_full,                   //                   o_hio_rxdata_fifo_rd_full.data
		output wire          o_hio_rxdata_fifo_rd_pfull,                  //                  o_hio_rxdata_fifo_rd_pfull.data
		output wire          o_hio_rstepcs_rx_pcs_fully_aligned,          //          o_hio_rstepcs_rx_pcs_fully_aligned.reset
		output wire          o_hio_rstfec_fec_rx_rdy_n,                   //                   o_hio_rstfec_fec_rx_rdy_n.reset
		output wire          o_hio_rst_flux0_cpi_cmn_busy,                //                o_hio_rst_flux0_cpi_cmn_busy.reset
		output wire          o_hio_rst_oflux_rx_srds_rdy,                 //                 o_hio_rst_oflux_rx_srds_rdy.reset
		output wire          o_hio_rst_ux_all_synthlockstatus,            //            o_hio_rst_ux_all_synthlockstatus.reset
		output wire          o_hio_rst_ux_octl_pcs_rxstatus,              //              o_hio_rst_ux_octl_pcs_rxstatus.reset
		output wire          o_hio_rst_ux_octl_pcs_txstatus,              //              o_hio_rst_ux_octl_pcs_txstatus.reset
		output wire          o_hio_rst_ux_rxcdrlock2data,                 //                 o_hio_rst_ux_rxcdrlock2data.reset
		output wire          o_hio_rst_ux_rxcdrlockstatus,                //                o_hio_rst_ux_rxcdrlockstatus.reset
		output wire [49:0]   o_hio_uxquad_async,                          //                          o_hio_uxquad_async.data
		output wire          o_hio_user_rx_clk1_clk,                      //                      o_hio_user_rx_clk1_clk.clk
		output wire          o_hio_user_rx_clk2_clk,                      //                      o_hio_user_rx_clk2_clk.clk
		output wire          o_hio_user_tx_clk1_clk,                      //                      o_hio_user_tx_clk1_clk.clk
		output wire          o_hio_user_tx_clk2_clk,                      //                      o_hio_user_tx_clk2_clk.clk
		output wire          o_hio_ux_chnl_refclk_mux,                    //                    o_hio_ux_chnl_refclk_mux.clk
		output wire          o_hio_det_lat_rx_async_dl_sync,              //              o_hio_det_lat_rx_async_dl_sync.clk
		output wire          o_hio_det_lat_rx_async_pulse,                //                o_hio_det_lat_rx_async_pulse.clk
		output wire          o_hio_det_lat_rx_async_sample_sync,          //          o_hio_det_lat_rx_async_sample_sync.clk
		output wire          o_hio_det_lat_rx_sclk_sample_sync,           //           o_hio_det_lat_rx_sclk_sample_sync.clk
		output wire          o_hio_det_lat_rx_trig_sample_sync,           //           o_hio_det_lat_rx_trig_sample_sync.clk
		output wire          o_hio_det_lat_tx_async_dl_sync,              //              o_hio_det_lat_tx_async_dl_sync.clk
		output wire          o_hio_det_lat_tx_async_pulse,                //                o_hio_det_lat_tx_async_pulse.clk
		output wire          o_hio_det_lat_tx_async_sample_sync,          //          o_hio_det_lat_tx_async_sample_sync.clk
		output wire          o_hio_det_lat_tx_sclk_sample_sync,           //           o_hio_det_lat_tx_sclk_sample_sync.clk
		output wire          o_hio_det_lat_tx_trig_sample_sync,           //           o_hio_det_lat_tx_trig_sample_sync.clk
		output wire          o_hio_xcvrif_rx_latency_pulse,               //               o_hio_xcvrif_rx_latency_pulse.clk
		output wire          o_hio_xcvrif_tx_latency_pulse,               //               o_hio_xcvrif_tx_latency_pulse.clk
		output wire          tx_serial_p,                                 //                                 tx_serial_p.data
		output wire          tx_serial_n,                                 //                                 tx_serial_n.data
		input  wire [99:0]   i_hio_txdata_async,                          //                          i_hio_txdata_async.data
		input  wire [9:0]    i_hio_txdata_direct,                         //                         i_hio_txdata_direct.data
		output wire [99:0]   o_hio_rxdata_async,                          //                          o_hio_rxdata_async.data
		output wire [9:0]    o_hio_rxdata_direct,                         //                         o_hio_rxdata_direct.data
		input  wire [767:0]  i_uxwrap_bus_in_phy_shared,                  //                               uxwrap_bus_in.data
		output wire [703:0]  o_uxwrap_bus_out_phy_shared,                 //                              uxwrap_bus_out.data
		output wire [19:0]   o_lavmm_addr_phy_shared,                     //                         reconfig_phy_shared.address
		output wire [3:0]    o_lavmm_be_phy_shared,                       //                                            .byteenable
		output wire          o_lavmm_read_phy_shared,                     //                                            .read
		output wire [31:0]   o_lavmm_wdata_phy_shared,                    //                                            .writedata
		output wire          o_lavmm_write_phy_shared,                    //                                            .write
		input  wire [31:0]   i_lavmm_rdata_phy_shared,                    //                                            .readdata
		input  wire          i_lavmm_rdata_valid_phy_shared,              //                                            .readdatavalid
		input  wire          i_lavmm_waitreq_phy_shared,                  //                                            .waitrequest
		output wire          o_lavmm_clk_phy_shared,                      //                     reconfig_clk_phy_shared.clk
		output wire          o_lavmm_rstn_phy_shared,                     //                     reconfig_rst_phy_shared.reset
		output wire          o_sclk_return_sel_rx_phy_shared,             //                        o_sclk_return_sel_rx.data
		output wire          o_sclk_return_sel_tx_phy_shared,             //                        o_sclk_return_sel_tx.data
		output wire          o_ick_sclk_rx_phy_shared,                    //                               o_ick_sclk_rx.clk
		input  wire [4:0]    i_sync_common_control_phy_shared,            //                       i_sync_common_control.data
		output wire          o_ft_rx_sclk_sync_ch_phy_shared,             //                        o_ft_rx_sclk_sync_ch.data
		output wire          o_ft_tx_sclk_sync_ch_phy_shared,             //                        o_ft_tx_sclk_sync_ch.data
		output wire          o_rst_ux_rx_pma_rst_n_phy_shared,            //                       o_rst_ux_rx_pma_rst_n.reset
		output wire          o_rst_ux_tx_pma_rst_n_phy_shared,            //                       o_rst_ux_tx_pma_rst_n.reset
		output wire          o_ick_pcs_txword_phy_shared,                 //                            o_ick_pcs_txword.data
		output wire          o_tx_dl_ch_bit_phy_shared,                   //                              o_tx_dl_ch_bit.data
		input  wire          i_dat_pcs_measlatbit_phy_shared,             //                        i_dat_pcs_measlatbit.data
		input  wire          i_ft_rx_async_pulse_ch_phy_shared,           //                      i_ft_rx_async_pulse_ch.data
		input  wire          i_ft_tx_async_pulse_ch_phy_shared,           //                      i_ft_tx_async_pulse_ch.data
		input  wire          i_rx_dl_ch_bit_phy_shared,                   //                              i_rx_dl_ch_bit.data
		input  wire [1:0]    i_ux_rxuser1_sel_phy_shared,                 //                            i_ux_rxuser1_sel.data
		input  wire [1:0]    i_ux_rxuser2_sel_phy_shared,                 //                            i_ux_rxuser2_sel.data
		input  wire [1:0]    i_ux_txuser1_sel_phy_shared,                 //                            i_ux_txuser1_sel.data
		input  wire [1:0]    i_ux_txuser2_sel_phy_shared,                 //                            i_ux_txuser2_sel.data
		output wire          o_octl_pcs_txstatus_a_phy_shared,            //                       o_octl_pcs_txstatus_a.data
		input  wire          i_ictl_pcs_txenable_a_phy_shared,            //                       i_ictl_pcs_txenable_a.data
		input  wire [124:0]  i_sync_cfg_data_phy_shared,                  //                             i_sync_cfg_data.data
		input  wire [249:0]  i_sync_interface_control_phy_shared,         //                    i_sync_interface_control.data
		output wire [79:0]   o_tx_data_phy_shared,                        //                                   o_tx_data.data
		input  wire [79:0]   i_rx_data_phy_shared,                        //                                   i_rx_data.data
		output wire [319:0]  o_sm_flux_ingress_phy_shared,                //                           o_sm_flux_ingress.data
		input  wire [256:0]  i_sm_flux_egress_phy_shared,                 //                            i_sm_flux_egress.data
		input  wire          i_flux_cpi_int_phy_shared,                   //                              i_flux_cpi_int.data
		input  wire          i_flux_int_phy_shared,                       //                                  i_flux_int.data
		input  wire          i_oflux_octl_pcs_txptr_smpl_lane_phy_shared, //            i_oflux_octl_pcs_txptr_smpl_lane.data
		output wire          o_ick_sclk_tx_phy_shared,                    //                               o_ick_sclk_tx.clk
		input  wire          i_flux_srds_rdy_phy_shared,                  //                             i_flux_srds_rdy.data
		input  wire          i_pcs_rxword_phy_shared,                     //                                i_pcs_rxword.data
		input  wire          i_pcs_rxpostdiv_phy_shared,                  //                             i_pcs_rxpostdiv.data
		input  wire          i_ock_pcs_txword_phy_shared,                 //                            i_ock_pcs_txword.data
		output wire          o_dat_pcs_measlatrndtripbit_phy_shared,      //      o_dat_pcs_measlatrndtripbit_phy_shared.data
		output wire [19:0]   o_ch_lavmm_fec_addr_fec_wrap,                //                            reconfig_fecwrap.address
		output wire [3:0]    o_ch_lavmm_fec_be_fec_wrap,                  //                                            .byteenable
		output wire          o_ch_lavmm_fec_read_fec_wrap,                //                                            .read
		output wire [31:0]   o_ch_lavmm_fec_wdata_fec_wrap,               //                                            .writedata
		output wire          o_ch_lavmm_fec_write_fec_wrap,               //                                            .write
		input  wire [31:0]   i_ch_lavmm_fec_rdata_fec_wrap,               //                                            .readdata
		input  wire          i_ch_lavmm_fec_rdata_valid_fec_wrap,         //                                            .readdatavalid
		input  wire          i_ch_lavmm_fec_waitreq_fec_wrap,             //                                            .waitrequest
		output wire          o_ch_lavmm_fec_clk_fec_wrap,                 //                        reconfig_fecwrap_clk.clk
		output wire          o_ch_lavmm_fec_rstn_fec_wrap,                //                        reconfig_fecwrap_rst.reset
		input  wire [11:0]   i_ch_eth_fec_rx_async_fec_wrap,              //                                 asyncdata_4.data
		input  wire          i_ch_eth_fec_rx_direct_fec_wrap,             //                                 asyncdata_5.data
		output wire [6:0]    o_ch_eth_fec_tx_async_fec_wrap,              //                                 asyncdata_6.data
		output wire          o_ch_eth_fec_tx_direct_fec_wrap,             //                                 asyncdata_7.data
		output wire          o_rstfec_fec_csr_ret_fec_wrap,               //               o_rstfec_fec_csr_ret_fec_wrap.data
		input  wire          i_fec_rx_rdy_n_fec_wrap,                     //                     i_fec_rx_rdy_n_fec_wrap.data
		output wire          o_rstfec_fec_rx_rst_n_fec_wrap,              //              o_rstfec_fec_rx_rst_n_fec_wrap.reset
		output wire          o_rstfec_fec_tx_rst_n_fec_wrap,              //              o_rstfec_fec_tx_rst_n_fec_wrap.reset
		output wire          o_rstfec_rx_fec_sfrz_n_fec_wrap,             //             o_rstfec_rx_fec_sfrz_n_fec_wrap.reset
		output wire          o_rstfec_tx_fec_sfrz_n_fec_wrap,             //             o_rstfec_tx_fec_sfrz_n_fec_wrap.reset
		input  wire          i_fec_tx_data_mux_sel_fec_wrap,              //              i_fec_tx_data_mux_sel_fec_wrap.muxsel
		input  wire [42:0]   i_fec_rx_data_fec_wrap,                      //                      i_fec_rx_data_fec_wrap.data
		output wire [42:0]   o_fec_i_tx_mux_data_fec_wrap,                //                o_fec_i_tx_mux_data_fec_wrap.data
		output wire [42:0]   o_xcvr_rx_data,                              //                              o_xcvr_rx_data.data
		input  wire [42:0]   i_xcvr_tx_data,                              //                              i_xcvr_tx_data.data
		output wire          o_pma_rx_sf,                                 //                                 o_pma_rx_sf.data
		input  wire          i_refclk_tx_p,                               //                               i_refclk_tx_p.clk
		input  wire          i_syspll_c0_clk,                             //                             i_syspll_c0_clk.clk
		input  wire          i_syspll_c1_clk,                             //                             i_syspll_c1_clk.clk
		input  wire          i_syspll_c2_clk,                             //                             i_syspll_c2_clk.clk
		input  wire          i_flux_clk,                                  //                                  i_flux_clk.clk
		input  wire          i_refclk_rx_p,                               //                               i_refclk_rx_p.clk
		input  wire          i_ux_chnl_refclk_mux_phy_shared,             //             i_ux_chnl_refclk_mux_phy_shared.clk
		output wire          o_xcvrif_tx_fifo_rd_en_mux_x1,               //               o_xcvrif_tx_fifo_rd_en_mux_x1.clk
		input  wire          i_xcvrif_tx_fifo_rd_en_mux_x2,               //               i_xcvrif_tx_fifo_rd_en_mux_x2.clk
		input  wire          i_xcvrif_tx_fifo_rd_en_mux_x4,               //               i_xcvrif_tx_fifo_rd_en_mux_x4.clk
		input  wire          i_xcvrif_tx_fifo_rd_en_mux_x6_bot,           //           i_xcvrif_tx_fifo_rd_en_mux_x6_bot.clk
		input  wire          i_xcvrif_tx_fifo_rd_en_mux_x6_top,           //           i_xcvrif_tx_fifo_rd_en_mux_x6_top.clk
		input  wire          i_xcvrif_tx_fifo_rd_en_mux_x8_bot,           //           i_xcvrif_tx_fifo_rd_en_mux_x8_bot.clk
		input  wire          i_xcvrif_tx_fifo_rd_en_mux_x8_top,           //           i_xcvrif_tx_fifo_rd_en_mux_x8_top.clk
		output wire          o_xcvrif_tx_rst_mux_x1,                      //                      o_xcvrif_tx_rst_mux_x1.clk
		input  wire          i_xcvrif_tx_rst_mux_x2,                      //                      i_xcvrif_tx_rst_mux_x2.clk
		input  wire          i_xcvrif_tx_rst_mux_x4,                      //                      i_xcvrif_tx_rst_mux_x4.clk
		input  wire          i_xcvrif_tx_rst_mux_x6_bot,                  //                  i_xcvrif_tx_rst_mux_x6_bot.clk
		input  wire          i_xcvrif_tx_rst_mux_x6_top,                  //                  i_xcvrif_tx_rst_mux_x6_top.clk
		input  wire          i_xcvrif_tx_rst_mux_x8_bot,                  //                  i_xcvrif_tx_rst_mux_x8_bot.clk
		input  wire          i_xcvrif_tx_rst_mux_x8_top,                  //                  i_xcvrif_tx_rst_mux_x8_top.clk
		output wire          o_xcvrif_tx_word_clk_mux_x1,                 //                 o_xcvrif_tx_word_clk_mux_x1.clk
		input  wire          i_xcvrif_tx_word_clk_mux_x2,                 //                 i_xcvrif_tx_word_clk_mux_x2.clk
		input  wire          i_xcvrif_tx_word_clk_mux_x4,                 //                 i_xcvrif_tx_word_clk_mux_x4.clk
		input  wire          i_xcvrif_tx_word_clk_mux_x6_bot,             //             i_xcvrif_tx_word_clk_mux_x6_bot.clk
		input  wire          i_xcvrif_tx_word_clk_mux_x6_top,             //             i_xcvrif_tx_word_clk_mux_x6_top.clk
		input  wire          i_xcvrif_tx_word_clk_mux_x8_bot,             //             i_xcvrif_tx_word_clk_mux_x8_bot.clk
		input  wire          i_xcvrif_tx_word_clk_mux_x8_top,             //             i_xcvrif_tx_word_clk_mux_x8_top.clk
		input  wire          ioack_cdrdiv_left_ux_bidir_in,               //               ioack_cdrdiv_left_ux_bidir_in.clk
		input  wire          ioack_synthdiv1_left_ux_bidir_in,            //            ioack_synthdiv1_left_ux_bidir_in.clk
		input  wire          ioack_synthdiv2_left_ux_bidir_in,            //            ioack_synthdiv2_left_ux_bidir_in.clk
		output wire          ioack_cdrdiv_left_ux_bidir_out,              //              ioack_cdrdiv_left_ux_bidir_out.clk
		output wire          ioack_synthdiv1_left_ux_bidir_out,           //           ioack_synthdiv1_left_ux_bidir_out.clk
		output wire          ioack_synthdiv2_left_ux_bidir_out,           //           ioack_synthdiv2_left_ux_bidir_out.clk
		input  wire          i_marker_found_up,                           //                           i_marker_found_up.clk
		input  wire          i_marker_found_dn,                           //                           i_marker_found_dn.clk
		output wire          o_marker_found,                              //                              o_marker_found.clk
		output wire          o_xcvrif_tx_rst_wr_sync_mux_x1,              //              o_xcvrif_tx_rst_wr_sync_mux_x1.clk
		input  wire          i_xcvrif_tx_rst_wr_sync_mux_x2,              //              i_xcvrif_tx_rst_wr_sync_mux_x2.clk
		input  wire          i_xcvrif_tx_rst_wr_sync_mux_x4,              //              i_xcvrif_tx_rst_wr_sync_mux_x4.clk
		input  wire          i_xcvrif_tx_rst_wr_sync_mux_x6_bot,          //          i_xcvrif_tx_rst_wr_sync_mux_x6_bot.clk
		input  wire          i_xcvrif_tx_rst_wr_sync_mux_x6_top,          //          i_xcvrif_tx_rst_wr_sync_mux_x6_top.clk
		input  wire          i_xcvrif_tx_rst_wr_sync_mux_x8_bot,          //          i_xcvrif_tx_rst_wr_sync_mux_x8_bot.clk
		input  wire          i_xcvrif_tx_rst_wr_sync_mux_x8_top,          //          i_xcvrif_tx_rst_wr_sync_mux_x8_top.clk
		output wire [7:0]    o_ptp_rx_data_shared_ptp,                    //                    o_ptp_rx_data_shared_ptp.data
		output wire [8:0]    o_ptp_tx_intfc_ptp_data_shared_ptp,          //          o_ptp_tx_intfc_ptp_data_shared_ptp.data
		output wire [8:0]    o_ptp_tx_data_ld_shared_ptp,                 //                 o_ptp_tx_data_ld_shared_ptp.data
		output wire          o_ptp_tx_wa_ld_shared_ptp,                   //                   o_ptp_tx_wa_ld_shared_ptp.data
		input  wire [3071:0] i_ptp_cfg_tx_asm_ch1_shared_ptp,             //             i_ptp_cfg_tx_asm_ch1_shared_ptp.data
		input  wire [3071:0] i_ptp_cfg_tx_p2p_ch1_shared_ptp,             //             i_ptp_cfg_tx_p2p_ch1_shared_ptp.data
		input  wire [7:0]    i_ingress1_ptp_rx_intfc_ptp_data_shared_ptp, // i_ingress1_ptp_rx_intfc_ptp_data_shared_ptp.data
		input  wire [8:0]    i_egress1_ptp_tx_data_shared_ptp,            //            i_egress1_ptp_tx_data_shared_ptp.data
		input  wire [8:0]    i_egress1_ptp_tx_data_ld_shared_ptp,         //         i_egress1_ptp_tx_data_ld_shared_ptp.data
		input  wire          i_ch1_ptp_mas_word_align_shared_ptp,         //         i_ch1_ptp_mas_word_align_shared_ptp.data
		input  wire          i_egress1_ptp_tx_wa_ld_shared_ptp,           //           i_egress1_ptp_tx_wa_ld_shared_ptp.data
		input  wire          i_ingress1_ptp_rx_dsk_marker_shared_ptp,     //     i_ingress1_ptp_rx_dsk_marker_shared_ptp.data
		input  wire          i_ptp_ptpi_link_shared_ptp,                  //                  i_ptp_ptpi_link_shared_ptp.data
		output wire [9:0]    o_ptp_rx_data_mux_0_shared_ptp,              //              o_ptp_rx_data_mux_0_shared_ptp.data
		output wire [9:0]    o_ptp_rx_data_mux_1_shared_ptp,              //              o_ptp_rx_data_mux_1_shared_ptp.data
		input  wire [39:0]   i_sm_pld_tx_demux_0_i_eth_shared_ptp,        //        i_sm_pld_tx_demux_0_i_eth_shared_ptp.data
		output wire          o_ptp_clk_shared_ptp                         //                        o_ptp_clk_shared_ptp.clk
	);

	generate
		// If any of the display statements (or deliberately broken
		// instantiations) within this generate block triggers then this module
		// has been instantiated this module with a set of parameters different
		// from those it was generated for.  This will usually result in a
		// non-functioning system.
		if (ch_tx_channel_mode != "PMAD")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_tx_channel_mode_check ( .error(1'b1) );
		end
		if (ch_rx_channel_mode != "PMAD")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_rx_channel_mode_check ( .error(1'b1) );
		end
		if (ch_mac_sf_en != "DISABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_mac_sf_en_check ( .error(1'b1) );
		end
		if (ch_pldif_sf_en != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pldif_sf_en_check ( .error(1'b1) );
		end
		if (ch_pcs_sf_en != "DISABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_sf_en_check ( .error(1'b1) );
		end
		if (ch_fec_sf_en != "DISABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_fec_sf_en_check ( .error(1'b1) );
		end
		if (ch_SF_PCS_TXMUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_pcs_txmux_en_check ( .error(1'b1) );
		end
		if (ch_SF_PCS_RXMUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_pcs_rxmux_en_check ( .error(1'b1) );
		end
		if (ch_SF_FEC_TXMUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_fec_txmux_en_check ( .error(1'b1) );
		end
		if (ch_SF_FEC_INGRESS_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_fec_ingress_en_check ( .error(1'b1) );
		end
		if (ch_SF_FEC_EGRESS_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_fec_egress_en_check ( .error(1'b1) );
		end
		if (ch_SF_PLDCH_TX_USER1_MUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_pldch_tx_user1_mux_en_check ( .error(1'b1) );
		end
		if (ch_SF_PLDCH_TX_USER2_MUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_pldch_tx_user2_mux_en_check ( .error(1'b1) );
		end
		if (ch_SF_PLDCH_RX_USER1_MUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_pldch_rx_user1_mux_en_check ( .error(1'b1) );
		end
		if (ch_SF_PLDCH_RX_USER2_MUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_pldch_rx_user2_mux_en_check ( .error(1'b1) );
		end
		if (ch_SF_DESKEW_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_deskew_en_check ( .error(1'b1) );
		end
		if (ch_SF_DESKEW_RXMUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_deskew_rxmux_en_check ( .error(1'b1) );
		end
		if (ch_SF_PTP_INGRESS_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_ptp_ingress_en_check ( .error(1'b1) );
		end
		if (ch_SF_PTP_EGRESS_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_ptp_egress_en_check ( .error(1'b1) );
		end
		if (ch_SF_PTP_S_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_ptp_s_en_check ( .error(1'b1) );
		end
		if (ch_SF_PTP_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_ptp_en_check ( .error(1'b1) );
		end
		if (ch_SF_UX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_ux_en_check ( .error(1'b1) );
		end
		if (ch_SF_FLUX_GLOBAL_MEM_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_flux_global_mem_en_check ( .error(1'b1) );
		end
		if (ch_SF_FLUX_S_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_flux_s_en_check ( .error(1'b1) );
		end
		if (ch_SF_FLUX_TXUSER_CLK1_MUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_flux_txuser_clk1_mux_en_check ( .error(1'b1) );
		end
		if (ch_SF_FLUX_TXUSER_CLK2_MUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_flux_txuser_clk2_mux_en_check ( .error(1'b1) );
		end
		if (ch_SF_FLUX_RXUSER_CLK1_MUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_flux_rxuser_clk1_mux_en_check ( .error(1'b1) );
		end
		if (ch_SF_FLUX_RXUSER_CLK2_MUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_flux_rxuser_clk2_mux_en_check ( .error(1'b1) );
		end
		if (ch_SF_FLUX_I_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_flux_i_en_check ( .error(1'b1) );
		end
		if (ch_SF_UX_TOOLBOX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_ux_toolbox_en_check ( .error(1'b1) );
		end
		if (ch_SF_FLUX_CORE_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_flux_core_en_check ( .error(1'b1) );
		end
		if (ch_SF_XCVRIF_1CH_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_xcvrif_1ch_en_check ( .error(1'b1) );
		end
		if (ch_SF_XCVRIF_TXMUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_xcvrif_txmux_en_check ( .error(1'b1) );
		end
		if (ch_SF_XCRIF_TX_RST_MUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_xcrif_tx_rst_mux_en_check ( .error(1'b1) );
		end
		if (ch_SF_XCRIF_TX_WREN_MUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_xcrif_tx_wren_mux_en_check ( .error(1'b1) );
		end
		if (ch_SF_XCRIF_TX_RDEN_MUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_xcrif_tx_rden_mux_en_check ( .error(1'b1) );
		end
		if (ch_SF_XCRIF_TXWORD_CLK_MUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_xcrif_txword_clk_mux_en_check ( .error(1'b1) );
		end
		if (ch_SF_XCRIF_RXWORD_CLK_MUX_EN != "ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_sf_xcrif_rxword_clk_mux_en_check ( .error(1'b1) );
		end
	endgenerate

	xcvr_usb3_x2_refclk_intel_directphy_gts_0_one_lane_hal_2100_6cwbwui #(
		.ch_tx_channel_mode            ("PMAD"),
		.ch_rx_channel_mode            ("PMAD"),
		.ch_mac_sf_en                  ("DISABLED"),
		.ch_pldif_sf_en                ("ENABLED"),
		.ch_pcs_sf_en                  ("DISABLED"),
		.ch_fec_sf_en                  ("DISABLED"),
		.ch_SF_PCS_TXMUX_EN            ("ENABLED"),
		.ch_SF_PCS_RXMUX_EN            ("ENABLED"),
		.ch_SF_FEC_TXMUX_EN            ("ENABLED"),
		.ch_SF_FEC_INGRESS_EN          ("ENABLED"),
		.ch_SF_FEC_EGRESS_EN           ("ENABLED"),
		.ch_SF_PLDCH_TX_USER1_MUX_EN   ("ENABLED"),
		.ch_SF_PLDCH_TX_USER2_MUX_EN   ("ENABLED"),
		.ch_SF_PLDCH_RX_USER1_MUX_EN   ("ENABLED"),
		.ch_SF_PLDCH_RX_USER2_MUX_EN   ("ENABLED"),
		.ch_SF_DESKEW_EN               ("ENABLED"),
		.ch_SF_DESKEW_RXMUX_EN         ("ENABLED"),
		.ch_SF_PTP_INGRESS_EN          ("ENABLED"),
		.ch_SF_PTP_EGRESS_EN           ("ENABLED"),
		.ch_SF_PTP_S_EN                ("ENABLED"),
		.ch_SF_PTP_EN                  ("ENABLED"),
		.ch_SF_UX_EN                   ("ENABLED"),
		.ch_SF_FLUX_GLOBAL_MEM_EN      ("ENABLED"),
		.ch_SF_FLUX_S_EN               ("ENABLED"),
		.ch_SF_FLUX_TXUSER_CLK1_MUX_EN ("ENABLED"),
		.ch_SF_FLUX_TXUSER_CLK2_MUX_EN ("ENABLED"),
		.ch_SF_FLUX_RXUSER_CLK1_MUX_EN ("ENABLED"),
		.ch_SF_FLUX_RXUSER_CLK2_MUX_EN ("ENABLED"),
		.ch_SF_FLUX_I_EN               ("ENABLED"),
		.ch_SF_UX_TOOLBOX_EN           ("ENABLED"),
		.ch_SF_FLUX_CORE_EN            ("ENABLED"),
		.ch_SF_XCVRIF_1CH_EN           ("ENABLED"),
		.ch_SF_XCVRIF_TXMUX_EN         ("ENABLED"),
		.ch_SF_XCRIF_TX_RST_MUX_EN     ("ENABLED"),
		.ch_SF_XCRIF_TX_WREN_MUX_EN    ("ENABLED"),
		.ch_SF_XCRIF_TX_RDEN_MUX_EN    ("ENABLED"),
		.ch_SF_XCRIF_TXWORD_CLK_MUX_EN ("ENABLED"),
		.ch_SF_XCRIF_RXWORD_CLK_MUX_EN ("ENABLED")
	) one_lane_hal_top_p1 (
		.i_hio_txdata                                (i_hio_txdata),                                //   input,    width = 80,                                i_hio_txdata.data
		.i_hio_txdata_extra                          (i_hio_txdata_extra),                          //   input,    width = 10,                          i_hio_txdata_extra.data
		.i_hio_txdata_fifo_wr_en                     (i_hio_txdata_fifo_wr_en),                     //   input,     width = 1,                     i_hio_txdata_fifo_wr_en.data
		.i_hio_rxdata_fifo_rd_en                     (i_hio_rxdata_fifo_rd_en),                     //   input,     width = 1,                     i_hio_rxdata_fifo_rd_en.data
		.i_hio_ptp_rst_n                             (i_hio_ptp_rst_n),                             //   input,     width = 1,                             i_hio_ptp_rst_n.reset
		.i_hio_ehip_rx_rst_n                         (i_hio_ehip_rx_rst_n),                         //   input,     width = 1,                         i_hio_ehip_rx_rst_n.reset
		.i_hio_ehip_tx_rst_n                         (i_hio_ehip_tx_rst_n),                         //   input,     width = 1,                         i_hio_ehip_tx_rst_n.reset
		.i_hio_ehip_signal_ok                        (i_hio_ehip_signal_ok),                        //   input,     width = 1,                        i_hio_ehip_signal_ok.reset
		.i_hio_sfreeze_2_r03f_rx_mac_srfz_n          (i_hio_sfreeze_2_r03f_rx_mac_srfz_n),          //   input,     width = 1,          i_hio_sfreeze_2_r03f_rx_mac_srfz_n.reset
		.i_hio_sfreeze_3_c2f_tx_deskew_srfz_n        (i_hio_sfreeze_3_c2f_tx_deskew_srfz_n),        //   input,     width = 1,        i_hio_sfreeze_3_c2f_tx_deskew_srfz_n.reset
		.i_hio_t03f_sfreeze_1_tx_pcs_sfrz_n          (i_hio_t03f_sfreeze_1_tx_pcs_sfrz_n),          //   input,     width = 1,          i_hio_t03f_sfreeze_1_tx_pcs_sfrz_n.reset
		.i_hio_rstfec_fec_rx_rst_n                   (i_hio_rstfec_fec_rx_rst_n),                   //   input,     width = 1,                   i_hio_rstfec_fec_rx_rst_n.reset
		.i_hio_rstfec_fec_tx_rst_n                   (i_hio_rstfec_fec_tx_rst_n),                   //   input,     width = 1,                   i_hio_rstfec_fec_tx_rst_n.reset
		.i_hio_rstfec_fec_csr_ret                    (i_hio_rstfec_fec_csr_ret),                    //   input,     width = 1,                    i_hio_rstfec_fec_csr_ret.reset
		.i_hio_rstfec_rx_fec_sfrz_n                  (i_hio_rstfec_rx_fec_sfrz_n),                  //   input,     width = 1,                  i_hio_rstfec_rx_fec_sfrz_n.reset
		.i_hio_rstfec_tx_fec_sfrz_n                  (i_hio_rstfec_tx_fec_sfrz_n),                  //   input,     width = 1,                  i_hio_rstfec_tx_fec_sfrz_n.reset
		.i_hio_rstxcvrif_xcvrif_rx_rst_n             (i_hio_rstxcvrif_xcvrif_rx_rst_n),             //   input,     width = 1,             i_hio_rstxcvrif_xcvrif_rx_rst_n.reset
		.i_hio_rstxcvrif_xcvrif_tx_rst_n             (i_hio_rstxcvrif_xcvrif_tx_rst_n),             //   input,     width = 1,             i_hio_rstxcvrif_xcvrif_tx_rst_n.reset
		.i_hio_rstxcvrif_xcvrif_signal_ok            (i_hio_rstxcvrif_xcvrif_signal_ok),            //   input,     width = 1,            i_hio_rstxcvrif_xcvrif_signal_ok.reset
		.i_hio_rstxcvrif_rx_xcvrif_sfrz_n            (i_hio_rstxcvrif_rx_xcvrif_sfrz_n),            //   input,     width = 1,            i_hio_rstxcvrif_rx_xcvrif_sfrz_n.reset
		.i_hio_rstxcvrif_tx_xcvrif_sfrz_n            (i_hio_rstxcvrif_tx_xcvrif_sfrz_n),            //   input,     width = 1,            i_hio_rstxcvrif_tx_xcvrif_sfrz_n.reset
		.i_hio_rst_pld_clrhip                        (i_hio_rst_pld_clrhip),                        //   input,     width = 1,                        i_hio_rst_pld_clrhip.reset
		.i_hio_rst_pld_clrpcs                        (i_hio_rst_pld_clrpcs),                        //   input,     width = 1,                        i_hio_rst_pld_clrpcs.reset
		.i_hio_rst_pld_perstn                        (i_hio_rst_pld_perstn),                        //   input,     width = 1,                        i_hio_rst_pld_perstn.reset
		.i_hio_rst_pld_ready                         (i_hio_rst_pld_ready),                         //   input,     width = 1,                         i_hio_rst_pld_ready.reset
		.i_hio_rst_pld_adapter_rx_pld_rst_n          (i_hio_rst_pld_adapter_rx_pld_rst_n),          //   input,     width = 1,          i_hio_rst_pld_adapter_rx_pld_rst_n.reset
		.i_hio_rst_pld_adapter_tx_pld_rst_n          (i_hio_rst_pld_adapter_tx_pld_rst_n),          //   input,     width = 1,          i_hio_rst_pld_adapter_tx_pld_rst_n.reset
		.i_hio_rst_ux_rx_pma_rst_n                   (i_hio_rst_ux_rx_pma_rst_n),                   //   input,     width = 1,                   i_hio_rst_ux_rx_pma_rst_n.reset
		.i_hio_rst_ux_rx_sfrz                        (i_hio_rst_ux_rx_sfrz),                        //   input,     width = 1,                        i_hio_rst_ux_rx_sfrz.reset
		.i_hio_rst_ux_tx_pma_rst_n                   (i_hio_rst_ux_tx_pma_rst_n),                   //   input,     width = 1,                   i_hio_rst_ux_tx_pma_rst_n.reset
		.i_hio_pld_reset_clk_row                     (i_hio_pld_reset_clk_row),                     //   input,     width = 1,                     i_hio_pld_reset_clk_row.reset
		.i_hio_uxquad_async                          (i_hio_uxquad_async),                          //   input,    width = 80,                          i_hio_uxquad_async.data
		.i_hio_uxquad_async_pcie_mux                 (i_hio_uxquad_async_pcie_mux),                 //   input,    width = 80,                 i_hio_uxquad_async_pcie_mux.data
		.i_hio_lavmm_addr                            (i_hio_lavmm_addr),                            //   input,    width = 21,                                    reconfig.address
		.i_hio_lavmm_be                              (i_hio_lavmm_be),                              //   input,     width = 4,                                            .byteenable
		.i_hio_lavmm_read                            (i_hio_lavmm_read),                            //   input,     width = 1,                                            .read
		.i_hio_lavmm_wdata                           (i_hio_lavmm_wdata),                           //   input,    width = 32,                                            .writedata
		.i_hio_lavmm_write                           (i_hio_lavmm_write),                           //   input,     width = 1,                                            .write
		.o_hio_lavmm_rdata                           (o_hio_lavmm_rdata),                           //  output,    width = 32,                                            .readdata
		.o_hio_lavmm_rdata_valid                     (o_hio_lavmm_rdata_valid),                     //  output,     width = 1,                                            .readdatavalid
		.o_hio_lavmm_waitreq                         (o_hio_lavmm_waitreq),                         //  output,     width = 1,                                            .waitrequest
		.i_hio_lavmm_clk                             (i_hio_lavmm_clk),                             //   input,     width = 1,                                reconfig_clk.clk
		.i_hio_lavmm_rstn                            (i_hio_lavmm_rstn),                            //   input,     width = 1,                                reconfig_rst.reset
		.i_hio_pld_rx_clk_in_row_clk                 (i_hio_pld_rx_clk_in_row_clk),                 //   input,     width = 1,                 i_hio_pld_rx_clk_in_row_clk.clk
		.i_hio_pld_tx_clk_in_row_clk                 (i_hio_pld_tx_clk_in_row_clk),                 //   input,     width = 1,                 i_hio_pld_tx_clk_in_row_clk.clk
		.i_hio_det_lat_rx_dl_clk                     (i_hio_det_lat_rx_dl_clk),                     //   input,     width = 1,                     i_hio_det_lat_rx_dl_clk.clk
		.i_hio_det_lat_rx_mux_select                 (i_hio_det_lat_rx_mux_select),                 //   input,     width = 1,                 i_hio_det_lat_rx_mux_select.clk
		.i_hio_det_lat_rx_sclk_flop                  (i_hio_det_lat_rx_sclk_flop),                  //   input,     width = 1,                  i_hio_det_lat_rx_sclk_flop.clk
		.i_hio_det_lat_rx_sclk_gen_clk               (i_hio_det_lat_rx_sclk_gen_clk),               //   input,     width = 1,               i_hio_det_lat_rx_sclk_gen_clk.clk
		.i_hio_det_lat_rx_trig_flop                  (i_hio_det_lat_rx_trig_flop),                  //   input,     width = 1,                  i_hio_det_lat_rx_trig_flop.clk
		.i_hio_det_lat_sampling_clk                  (i_hio_det_lat_sampling_clk),                  //   input,     width = 1,                  i_hio_det_lat_sampling_clk.clk
		.i_hio_det_lat_tx_dl_clk                     (i_hio_det_lat_tx_dl_clk),                     //   input,     width = 1,                     i_hio_det_lat_tx_dl_clk.clk
		.i_hio_det_lat_tx_mux_select                 (i_hio_det_lat_tx_mux_select),                 //   input,     width = 1,                 i_hio_det_lat_tx_mux_select.clk
		.i_hio_det_lat_tx_sclk_flop                  (i_hio_det_lat_tx_sclk_flop),                  //   input,     width = 1,                  i_hio_det_lat_tx_sclk_flop.clk
		.i_hio_det_lat_tx_sclk_gen_clk               (i_hio_det_lat_tx_sclk_gen_clk),               //   input,     width = 1,               i_hio_det_lat_tx_sclk_gen_clk.clk
		.i_hio_det_lat_tx_trig_flop                  (i_hio_det_lat_tx_trig_flop),                  //   input,     width = 1,                  i_hio_det_lat_tx_trig_flop.clk
		.rx_serial_n                                 (rx_serial_n),                                 //   input,     width = 1,                                 rx_serial_n.data
		.rx_serial_p                                 (rx_serial_p),                                 //   input,     width = 1,                                 rx_serial_p.data
		.o_hio_txdata_fifo_wr_empty                  (o_hio_txdata_fifo_wr_empty),                  //  output,     width = 1,                  o_hio_txdata_fifo_wr_empty.data
		.o_hio_txdata_fifo_wr_pempty                 (o_hio_txdata_fifo_wr_pempty),                 //  output,     width = 1,                 o_hio_txdata_fifo_wr_pempty.data
		.o_hio_txdata_fifo_wr_full                   (o_hio_txdata_fifo_wr_full),                   //  output,     width = 1,                   o_hio_txdata_fifo_wr_full.data
		.o_hio_txdata_fifo_wr_pfull                  (o_hio_txdata_fifo_wr_pfull),                  //  output,     width = 1,                  o_hio_txdata_fifo_wr_pfull.data
		.o_hio_rxdata                                (o_hio_rxdata),                                //  output,    width = 80,                                o_hio_rxdata.data
		.o_hio_rxdata_extra                          (o_hio_rxdata_extra),                          //  output,    width = 10,                          o_hio_rxdata_extra.data
		.o_hio_rxdata_fifo_rd_empty                  (o_hio_rxdata_fifo_rd_empty),                  //  output,     width = 1,                  o_hio_rxdata_fifo_rd_empty.data
		.o_hio_rxdata_fifo_rd_pempty                 (o_hio_rxdata_fifo_rd_pempty),                 //  output,     width = 1,                 o_hio_rxdata_fifo_rd_pempty.data
		.o_hio_rxdata_fifo_rd_full                   (o_hio_rxdata_fifo_rd_full),                   //  output,     width = 1,                   o_hio_rxdata_fifo_rd_full.data
		.o_hio_rxdata_fifo_rd_pfull                  (o_hio_rxdata_fifo_rd_pfull),                  //  output,     width = 1,                  o_hio_rxdata_fifo_rd_pfull.data
		.o_hio_rstepcs_rx_pcs_fully_aligned          (o_hio_rstepcs_rx_pcs_fully_aligned),          //  output,     width = 1,          o_hio_rstepcs_rx_pcs_fully_aligned.reset
		.o_hio_rstfec_fec_rx_rdy_n                   (o_hio_rstfec_fec_rx_rdy_n),                   //  output,     width = 1,                   o_hio_rstfec_fec_rx_rdy_n.reset
		.o_hio_rst_flux0_cpi_cmn_busy                (o_hio_rst_flux0_cpi_cmn_busy),                //  output,     width = 1,                o_hio_rst_flux0_cpi_cmn_busy.reset
		.o_hio_rst_oflux_rx_srds_rdy                 (o_hio_rst_oflux_rx_srds_rdy),                 //  output,     width = 1,                 o_hio_rst_oflux_rx_srds_rdy.reset
		.o_hio_rst_ux_all_synthlockstatus            (o_hio_rst_ux_all_synthlockstatus),            //  output,     width = 1,            o_hio_rst_ux_all_synthlockstatus.reset
		.o_hio_rst_ux_octl_pcs_rxstatus              (o_hio_rst_ux_octl_pcs_rxstatus),              //  output,     width = 1,              o_hio_rst_ux_octl_pcs_rxstatus.reset
		.o_hio_rst_ux_octl_pcs_txstatus              (o_hio_rst_ux_octl_pcs_txstatus),              //  output,     width = 1,              o_hio_rst_ux_octl_pcs_txstatus.reset
		.o_hio_rst_ux_rxcdrlock2data                 (o_hio_rst_ux_rxcdrlock2data),                 //  output,     width = 1,                 o_hio_rst_ux_rxcdrlock2data.reset
		.o_hio_rst_ux_rxcdrlockstatus                (o_hio_rst_ux_rxcdrlockstatus),                //  output,     width = 1,                o_hio_rst_ux_rxcdrlockstatus.reset
		.o_hio_uxquad_async                          (o_hio_uxquad_async),                          //  output,    width = 50,                          o_hio_uxquad_async.data
		.o_hio_user_rx_clk1_clk                      (o_hio_user_rx_clk1_clk),                      //  output,     width = 1,                      o_hio_user_rx_clk1_clk.clk
		.o_hio_user_rx_clk2_clk                      (o_hio_user_rx_clk2_clk),                      //  output,     width = 1,                      o_hio_user_rx_clk2_clk.clk
		.o_hio_user_tx_clk1_clk                      (o_hio_user_tx_clk1_clk),                      //  output,     width = 1,                      o_hio_user_tx_clk1_clk.clk
		.o_hio_user_tx_clk2_clk                      (o_hio_user_tx_clk2_clk),                      //  output,     width = 1,                      o_hio_user_tx_clk2_clk.clk
		.o_hio_ux_chnl_refclk_mux                    (o_hio_ux_chnl_refclk_mux),                    //  output,     width = 1,                    o_hio_ux_chnl_refclk_mux.clk
		.o_hio_det_lat_rx_async_dl_sync              (o_hio_det_lat_rx_async_dl_sync),              //  output,     width = 1,              o_hio_det_lat_rx_async_dl_sync.clk
		.o_hio_det_lat_rx_async_pulse                (o_hio_det_lat_rx_async_pulse),                //  output,     width = 1,                o_hio_det_lat_rx_async_pulse.clk
		.o_hio_det_lat_rx_async_sample_sync          (o_hio_det_lat_rx_async_sample_sync),          //  output,     width = 1,          o_hio_det_lat_rx_async_sample_sync.clk
		.o_hio_det_lat_rx_sclk_sample_sync           (o_hio_det_lat_rx_sclk_sample_sync),           //  output,     width = 1,           o_hio_det_lat_rx_sclk_sample_sync.clk
		.o_hio_det_lat_rx_trig_sample_sync           (o_hio_det_lat_rx_trig_sample_sync),           //  output,     width = 1,           o_hio_det_lat_rx_trig_sample_sync.clk
		.o_hio_det_lat_tx_async_dl_sync              (o_hio_det_lat_tx_async_dl_sync),              //  output,     width = 1,              o_hio_det_lat_tx_async_dl_sync.clk
		.o_hio_det_lat_tx_async_pulse                (o_hio_det_lat_tx_async_pulse),                //  output,     width = 1,                o_hio_det_lat_tx_async_pulse.clk
		.o_hio_det_lat_tx_async_sample_sync          (o_hio_det_lat_tx_async_sample_sync),          //  output,     width = 1,          o_hio_det_lat_tx_async_sample_sync.clk
		.o_hio_det_lat_tx_sclk_sample_sync           (o_hio_det_lat_tx_sclk_sample_sync),           //  output,     width = 1,           o_hio_det_lat_tx_sclk_sample_sync.clk
		.o_hio_det_lat_tx_trig_sample_sync           (o_hio_det_lat_tx_trig_sample_sync),           //  output,     width = 1,           o_hio_det_lat_tx_trig_sample_sync.clk
		.o_hio_xcvrif_rx_latency_pulse               (o_hio_xcvrif_rx_latency_pulse),               //  output,     width = 1,               o_hio_xcvrif_rx_latency_pulse.clk
		.o_hio_xcvrif_tx_latency_pulse               (o_hio_xcvrif_tx_latency_pulse),               //  output,     width = 1,               o_hio_xcvrif_tx_latency_pulse.clk
		.tx_serial_p                                 (tx_serial_p),                                 //  output,     width = 1,                                 tx_serial_p.data
		.tx_serial_n                                 (tx_serial_n),                                 //  output,     width = 1,                                 tx_serial_n.data
		.i_hio_txdata_async                          (i_hio_txdata_async),                          //   input,   width = 100,                          i_hio_txdata_async.data
		.i_hio_txdata_direct                         (i_hio_txdata_direct),                         //   input,    width = 10,                         i_hio_txdata_direct.data
		.o_hio_rxdata_async                          (o_hio_rxdata_async),                          //  output,   width = 100,                          o_hio_rxdata_async.data
		.o_hio_rxdata_direct                         (o_hio_rxdata_direct),                         //  output,    width = 10,                         o_hio_rxdata_direct.data
		.i_uxwrap_bus_in_phy_shared                  (i_uxwrap_bus_in_phy_shared),                  //   input,   width = 768,                               uxwrap_bus_in.data
		.o_uxwrap_bus_out_phy_shared                 (o_uxwrap_bus_out_phy_shared),                 //  output,   width = 704,                              uxwrap_bus_out.data
		.o_lavmm_addr_phy_shared                     (o_lavmm_addr_phy_shared),                     //  output,    width = 20,                         reconfig_phy_shared.address
		.o_lavmm_be_phy_shared                       (o_lavmm_be_phy_shared),                       //  output,     width = 4,                                            .byteenable
		.o_lavmm_read_phy_shared                     (o_lavmm_read_phy_shared),                     //  output,     width = 1,                                            .read
		.o_lavmm_wdata_phy_shared                    (o_lavmm_wdata_phy_shared),                    //  output,    width = 32,                                            .writedata
		.o_lavmm_write_phy_shared                    (o_lavmm_write_phy_shared),                    //  output,     width = 1,                                            .write
		.i_lavmm_rdata_phy_shared                    (i_lavmm_rdata_phy_shared),                    //   input,    width = 32,                                            .readdata
		.i_lavmm_rdata_valid_phy_shared              (i_lavmm_rdata_valid_phy_shared),              //   input,     width = 1,                                            .readdatavalid
		.i_lavmm_waitreq_phy_shared                  (i_lavmm_waitreq_phy_shared),                  //   input,     width = 1,                                            .waitrequest
		.o_lavmm_clk_phy_shared                      (o_lavmm_clk_phy_shared),                      //  output,     width = 1,                     reconfig_clk_phy_shared.clk
		.o_lavmm_rstn_phy_shared                     (o_lavmm_rstn_phy_shared),                     //  output,     width = 1,                     reconfig_rst_phy_shared.reset
		.o_sclk_return_sel_rx_phy_shared             (o_sclk_return_sel_rx_phy_shared),             //  output,     width = 1,                        o_sclk_return_sel_rx.data
		.o_sclk_return_sel_tx_phy_shared             (o_sclk_return_sel_tx_phy_shared),             //  output,     width = 1,                        o_sclk_return_sel_tx.data
		.o_ick_sclk_rx_phy_shared                    (o_ick_sclk_rx_phy_shared),                    //  output,     width = 1,                               o_ick_sclk_rx.clk
		.i_sync_common_control_phy_shared            (i_sync_common_control_phy_shared),            //   input,     width = 5,                       i_sync_common_control.data
		.o_ft_rx_sclk_sync_ch_phy_shared             (o_ft_rx_sclk_sync_ch_phy_shared),             //  output,     width = 1,                        o_ft_rx_sclk_sync_ch.data
		.o_ft_tx_sclk_sync_ch_phy_shared             (o_ft_tx_sclk_sync_ch_phy_shared),             //  output,     width = 1,                        o_ft_tx_sclk_sync_ch.data
		.o_rst_ux_rx_pma_rst_n_phy_shared            (o_rst_ux_rx_pma_rst_n_phy_shared),            //  output,     width = 1,                       o_rst_ux_rx_pma_rst_n.reset
		.o_rst_ux_tx_pma_rst_n_phy_shared            (o_rst_ux_tx_pma_rst_n_phy_shared),            //  output,     width = 1,                       o_rst_ux_tx_pma_rst_n.reset
		.o_ick_pcs_txword_phy_shared                 (o_ick_pcs_txword_phy_shared),                 //  output,     width = 1,                            o_ick_pcs_txword.data
		.o_tx_dl_ch_bit_phy_shared                   (o_tx_dl_ch_bit_phy_shared),                   //  output,     width = 1,                              o_tx_dl_ch_bit.data
		.i_dat_pcs_measlatbit_phy_shared             (i_dat_pcs_measlatbit_phy_shared),             //   input,     width = 1,                        i_dat_pcs_measlatbit.data
		.i_ft_rx_async_pulse_ch_phy_shared           (i_ft_rx_async_pulse_ch_phy_shared),           //   input,     width = 1,                      i_ft_rx_async_pulse_ch.data
		.i_ft_tx_async_pulse_ch_phy_shared           (i_ft_tx_async_pulse_ch_phy_shared),           //   input,     width = 1,                      i_ft_tx_async_pulse_ch.data
		.i_rx_dl_ch_bit_phy_shared                   (i_rx_dl_ch_bit_phy_shared),                   //   input,     width = 1,                              i_rx_dl_ch_bit.data
		.i_ux_rxuser1_sel_phy_shared                 (i_ux_rxuser1_sel_phy_shared),                 //   input,     width = 2,                            i_ux_rxuser1_sel.data
		.i_ux_rxuser2_sel_phy_shared                 (i_ux_rxuser2_sel_phy_shared),                 //   input,     width = 2,                            i_ux_rxuser2_sel.data
		.i_ux_txuser1_sel_phy_shared                 (i_ux_txuser1_sel_phy_shared),                 //   input,     width = 2,                            i_ux_txuser1_sel.data
		.i_ux_txuser2_sel_phy_shared                 (i_ux_txuser2_sel_phy_shared),                 //   input,     width = 2,                            i_ux_txuser2_sel.data
		.o_octl_pcs_txstatus_a_phy_shared            (o_octl_pcs_txstatus_a_phy_shared),            //  output,     width = 1,                       o_octl_pcs_txstatus_a.data
		.i_ictl_pcs_txenable_a_phy_shared            (i_ictl_pcs_txenable_a_phy_shared),            //   input,     width = 1,                       i_ictl_pcs_txenable_a.data
		.i_sync_cfg_data_phy_shared                  (i_sync_cfg_data_phy_shared),                  //   input,   width = 125,                             i_sync_cfg_data.data
		.i_sync_interface_control_phy_shared         (i_sync_interface_control_phy_shared),         //   input,   width = 250,                    i_sync_interface_control.data
		.o_tx_data_phy_shared                        (o_tx_data_phy_shared),                        //  output,    width = 80,                                   o_tx_data.data
		.i_rx_data_phy_shared                        (i_rx_data_phy_shared),                        //   input,    width = 80,                                   i_rx_data.data
		.o_sm_flux_ingress_phy_shared                (o_sm_flux_ingress_phy_shared),                //  output,   width = 320,                           o_sm_flux_ingress.data
		.i_sm_flux_egress_phy_shared                 (i_sm_flux_egress_phy_shared),                 //   input,   width = 257,                            i_sm_flux_egress.data
		.i_flux_cpi_int_phy_shared                   (i_flux_cpi_int_phy_shared),                   //   input,     width = 1,                              i_flux_cpi_int.data
		.i_flux_int_phy_shared                       (i_flux_int_phy_shared),                       //   input,     width = 1,                                  i_flux_int.data
		.i_oflux_octl_pcs_txptr_smpl_lane_phy_shared (i_oflux_octl_pcs_txptr_smpl_lane_phy_shared), //   input,     width = 1,            i_oflux_octl_pcs_txptr_smpl_lane.data
		.o_ick_sclk_tx_phy_shared                    (o_ick_sclk_tx_phy_shared),                    //  output,     width = 1,                               o_ick_sclk_tx.clk
		.i_flux_srds_rdy_phy_shared                  (i_flux_srds_rdy_phy_shared),                  //   input,     width = 1,                             i_flux_srds_rdy.data
		.i_pcs_rxword_phy_shared                     (i_pcs_rxword_phy_shared),                     //   input,     width = 1,                                i_pcs_rxword.data
		.i_pcs_rxpostdiv_phy_shared                  (i_pcs_rxpostdiv_phy_shared),                  //   input,     width = 1,                             i_pcs_rxpostdiv.data
		.i_ock_pcs_txword_phy_shared                 (i_ock_pcs_txword_phy_shared),                 //   input,     width = 1,                            i_ock_pcs_txword.data
		.o_dat_pcs_measlatrndtripbit_phy_shared      (o_dat_pcs_measlatrndtripbit_phy_shared),      //  output,     width = 1,      o_dat_pcs_measlatrndtripbit_phy_shared.data
		.o_ch_lavmm_fec_addr_fec_wrap                (o_ch_lavmm_fec_addr_fec_wrap),                //  output,    width = 20,                            reconfig_fecwrap.address
		.o_ch_lavmm_fec_be_fec_wrap                  (o_ch_lavmm_fec_be_fec_wrap),                  //  output,     width = 4,                                            .byteenable
		.o_ch_lavmm_fec_read_fec_wrap                (o_ch_lavmm_fec_read_fec_wrap),                //  output,     width = 1,                                            .read
		.o_ch_lavmm_fec_wdata_fec_wrap               (o_ch_lavmm_fec_wdata_fec_wrap),               //  output,    width = 32,                                            .writedata
		.o_ch_lavmm_fec_write_fec_wrap               (o_ch_lavmm_fec_write_fec_wrap),               //  output,     width = 1,                                            .write
		.i_ch_lavmm_fec_rdata_fec_wrap               (i_ch_lavmm_fec_rdata_fec_wrap),               //   input,    width = 32,                                            .readdata
		.i_ch_lavmm_fec_rdata_valid_fec_wrap         (i_ch_lavmm_fec_rdata_valid_fec_wrap),         //   input,     width = 1,                                            .readdatavalid
		.i_ch_lavmm_fec_waitreq_fec_wrap             (i_ch_lavmm_fec_waitreq_fec_wrap),             //   input,     width = 1,                                            .waitrequest
		.o_ch_lavmm_fec_clk_fec_wrap                 (o_ch_lavmm_fec_clk_fec_wrap),                 //  output,     width = 1,                        reconfig_fecwrap_clk.clk
		.o_ch_lavmm_fec_rstn_fec_wrap                (o_ch_lavmm_fec_rstn_fec_wrap),                //  output,     width = 1,                        reconfig_fecwrap_rst.reset
		.i_ch_eth_fec_rx_async_fec_wrap              (i_ch_eth_fec_rx_async_fec_wrap),              //   input,    width = 12,                                 asyncdata_4.data
		.i_ch_eth_fec_rx_direct_fec_wrap             (i_ch_eth_fec_rx_direct_fec_wrap),             //   input,     width = 1,                                 asyncdata_5.data
		.o_ch_eth_fec_tx_async_fec_wrap              (o_ch_eth_fec_tx_async_fec_wrap),              //  output,     width = 7,                                 asyncdata_6.data
		.o_ch_eth_fec_tx_direct_fec_wrap             (o_ch_eth_fec_tx_direct_fec_wrap),             //  output,     width = 1,                                 asyncdata_7.data
		.o_rstfec_fec_csr_ret_fec_wrap               (o_rstfec_fec_csr_ret_fec_wrap),               //  output,     width = 1,               o_rstfec_fec_csr_ret_fec_wrap.data
		.i_fec_rx_rdy_n_fec_wrap                     (i_fec_rx_rdy_n_fec_wrap),                     //   input,     width = 1,                     i_fec_rx_rdy_n_fec_wrap.data
		.o_rstfec_fec_rx_rst_n_fec_wrap              (o_rstfec_fec_rx_rst_n_fec_wrap),              //  output,     width = 1,              o_rstfec_fec_rx_rst_n_fec_wrap.reset
		.o_rstfec_fec_tx_rst_n_fec_wrap              (o_rstfec_fec_tx_rst_n_fec_wrap),              //  output,     width = 1,              o_rstfec_fec_tx_rst_n_fec_wrap.reset
		.o_rstfec_rx_fec_sfrz_n_fec_wrap             (o_rstfec_rx_fec_sfrz_n_fec_wrap),             //  output,     width = 1,             o_rstfec_rx_fec_sfrz_n_fec_wrap.reset
		.o_rstfec_tx_fec_sfrz_n_fec_wrap             (o_rstfec_tx_fec_sfrz_n_fec_wrap),             //  output,     width = 1,             o_rstfec_tx_fec_sfrz_n_fec_wrap.reset
		.i_fec_tx_data_mux_sel_fec_wrap              (i_fec_tx_data_mux_sel_fec_wrap),              //   input,     width = 1,              i_fec_tx_data_mux_sel_fec_wrap.muxsel
		.i_fec_rx_data_fec_wrap                      (i_fec_rx_data_fec_wrap),                      //   input,    width = 43,                      i_fec_rx_data_fec_wrap.data
		.o_fec_i_tx_mux_data_fec_wrap                (o_fec_i_tx_mux_data_fec_wrap),                //  output,    width = 43,                o_fec_i_tx_mux_data_fec_wrap.data
		.o_xcvr_rx_data                              (o_xcvr_rx_data),                              //  output,    width = 43,                              o_xcvr_rx_data.data
		.i_xcvr_tx_data                              (i_xcvr_tx_data),                              //   input,    width = 43,                              i_xcvr_tx_data.data
		.o_pma_rx_sf                                 (o_pma_rx_sf),                                 //  output,     width = 1,                                 o_pma_rx_sf.data
		.i_refclk_tx_p                               (i_refclk_tx_p),                               //   input,     width = 1,                               i_refclk_tx_p.clk
		.i_syspll_c0_clk                             (i_syspll_c0_clk),                             //   input,     width = 1,                             i_syspll_c0_clk.clk
		.i_syspll_c1_clk                             (i_syspll_c1_clk),                             //   input,     width = 1,                             i_syspll_c1_clk.clk
		.i_syspll_c2_clk                             (i_syspll_c2_clk),                             //   input,     width = 1,                             i_syspll_c2_clk.clk
		.i_flux_clk                                  (i_flux_clk),                                  //   input,     width = 1,                                  i_flux_clk.clk
		.i_refclk_rx_p                               (i_refclk_rx_p),                               //   input,     width = 1,                               i_refclk_rx_p.clk
		.i_ux_chnl_refclk_mux_phy_shared             (i_ux_chnl_refclk_mux_phy_shared),             //   input,     width = 1,             i_ux_chnl_refclk_mux_phy_shared.clk
		.o_xcvrif_tx_fifo_rd_en_mux_x1               (o_xcvrif_tx_fifo_rd_en_mux_x1),               //  output,     width = 1,               o_xcvrif_tx_fifo_rd_en_mux_x1.clk
		.i_xcvrif_tx_fifo_rd_en_mux_x2               (i_xcvrif_tx_fifo_rd_en_mux_x2),               //   input,     width = 1,               i_xcvrif_tx_fifo_rd_en_mux_x2.clk
		.i_xcvrif_tx_fifo_rd_en_mux_x4               (i_xcvrif_tx_fifo_rd_en_mux_x4),               //   input,     width = 1,               i_xcvrif_tx_fifo_rd_en_mux_x4.clk
		.i_xcvrif_tx_fifo_rd_en_mux_x6_bot           (i_xcvrif_tx_fifo_rd_en_mux_x6_bot),           //   input,     width = 1,           i_xcvrif_tx_fifo_rd_en_mux_x6_bot.clk
		.i_xcvrif_tx_fifo_rd_en_mux_x6_top           (i_xcvrif_tx_fifo_rd_en_mux_x6_top),           //   input,     width = 1,           i_xcvrif_tx_fifo_rd_en_mux_x6_top.clk
		.i_xcvrif_tx_fifo_rd_en_mux_x8_bot           (i_xcvrif_tx_fifo_rd_en_mux_x8_bot),           //   input,     width = 1,           i_xcvrif_tx_fifo_rd_en_mux_x8_bot.clk
		.i_xcvrif_tx_fifo_rd_en_mux_x8_top           (i_xcvrif_tx_fifo_rd_en_mux_x8_top),           //   input,     width = 1,           i_xcvrif_tx_fifo_rd_en_mux_x8_top.clk
		.o_xcvrif_tx_rst_mux_x1                      (o_xcvrif_tx_rst_mux_x1),                      //  output,     width = 1,                      o_xcvrif_tx_rst_mux_x1.clk
		.i_xcvrif_tx_rst_mux_x2                      (i_xcvrif_tx_rst_mux_x2),                      //   input,     width = 1,                      i_xcvrif_tx_rst_mux_x2.clk
		.i_xcvrif_tx_rst_mux_x4                      (i_xcvrif_tx_rst_mux_x4),                      //   input,     width = 1,                      i_xcvrif_tx_rst_mux_x4.clk
		.i_xcvrif_tx_rst_mux_x6_bot                  (i_xcvrif_tx_rst_mux_x6_bot),                  //   input,     width = 1,                  i_xcvrif_tx_rst_mux_x6_bot.clk
		.i_xcvrif_tx_rst_mux_x6_top                  (i_xcvrif_tx_rst_mux_x6_top),                  //   input,     width = 1,                  i_xcvrif_tx_rst_mux_x6_top.clk
		.i_xcvrif_tx_rst_mux_x8_bot                  (i_xcvrif_tx_rst_mux_x8_bot),                  //   input,     width = 1,                  i_xcvrif_tx_rst_mux_x8_bot.clk
		.i_xcvrif_tx_rst_mux_x8_top                  (i_xcvrif_tx_rst_mux_x8_top),                  //   input,     width = 1,                  i_xcvrif_tx_rst_mux_x8_top.clk
		.o_xcvrif_tx_word_clk_mux_x1                 (o_xcvrif_tx_word_clk_mux_x1),                 //  output,     width = 1,                 o_xcvrif_tx_word_clk_mux_x1.clk
		.i_xcvrif_tx_word_clk_mux_x2                 (i_xcvrif_tx_word_clk_mux_x2),                 //   input,     width = 1,                 i_xcvrif_tx_word_clk_mux_x2.clk
		.i_xcvrif_tx_word_clk_mux_x4                 (i_xcvrif_tx_word_clk_mux_x4),                 //   input,     width = 1,                 i_xcvrif_tx_word_clk_mux_x4.clk
		.i_xcvrif_tx_word_clk_mux_x6_bot             (i_xcvrif_tx_word_clk_mux_x6_bot),             //   input,     width = 1,             i_xcvrif_tx_word_clk_mux_x6_bot.clk
		.i_xcvrif_tx_word_clk_mux_x6_top             (i_xcvrif_tx_word_clk_mux_x6_top),             //   input,     width = 1,             i_xcvrif_tx_word_clk_mux_x6_top.clk
		.i_xcvrif_tx_word_clk_mux_x8_bot             (i_xcvrif_tx_word_clk_mux_x8_bot),             //   input,     width = 1,             i_xcvrif_tx_word_clk_mux_x8_bot.clk
		.i_xcvrif_tx_word_clk_mux_x8_top             (i_xcvrif_tx_word_clk_mux_x8_top),             //   input,     width = 1,             i_xcvrif_tx_word_clk_mux_x8_top.clk
		.ioack_cdrdiv_left_ux_bidir_in               (ioack_cdrdiv_left_ux_bidir_in),               //   input,     width = 1,               ioack_cdrdiv_left_ux_bidir_in.clk
		.ioack_synthdiv1_left_ux_bidir_in            (ioack_synthdiv1_left_ux_bidir_in),            //   input,     width = 1,            ioack_synthdiv1_left_ux_bidir_in.clk
		.ioack_synthdiv2_left_ux_bidir_in            (ioack_synthdiv2_left_ux_bidir_in),            //   input,     width = 1,            ioack_synthdiv2_left_ux_bidir_in.clk
		.ioack_cdrdiv_left_ux_bidir_out              (ioack_cdrdiv_left_ux_bidir_out),              //  output,     width = 1,              ioack_cdrdiv_left_ux_bidir_out.clk
		.ioack_synthdiv1_left_ux_bidir_out           (ioack_synthdiv1_left_ux_bidir_out),           //  output,     width = 1,           ioack_synthdiv1_left_ux_bidir_out.clk
		.ioack_synthdiv2_left_ux_bidir_out           (ioack_synthdiv2_left_ux_bidir_out),           //  output,     width = 1,           ioack_synthdiv2_left_ux_bidir_out.clk
		.i_marker_found_up                           (i_marker_found_up),                           //   input,     width = 1,                           i_marker_found_up.clk
		.i_marker_found_dn                           (i_marker_found_dn),                           //   input,     width = 1,                           i_marker_found_dn.clk
		.o_marker_found                              (o_marker_found),                              //  output,     width = 1,                              o_marker_found.clk
		.o_xcvrif_tx_rst_wr_sync_mux_x1              (o_xcvrif_tx_rst_wr_sync_mux_x1),              //  output,     width = 1,              o_xcvrif_tx_rst_wr_sync_mux_x1.clk
		.i_xcvrif_tx_rst_wr_sync_mux_x2              (i_xcvrif_tx_rst_wr_sync_mux_x2),              //   input,     width = 1,              i_xcvrif_tx_rst_wr_sync_mux_x2.clk
		.i_xcvrif_tx_rst_wr_sync_mux_x4              (i_xcvrif_tx_rst_wr_sync_mux_x4),              //   input,     width = 1,              i_xcvrif_tx_rst_wr_sync_mux_x4.clk
		.i_xcvrif_tx_rst_wr_sync_mux_x6_bot          (i_xcvrif_tx_rst_wr_sync_mux_x6_bot),          //   input,     width = 1,          i_xcvrif_tx_rst_wr_sync_mux_x6_bot.clk
		.i_xcvrif_tx_rst_wr_sync_mux_x6_top          (i_xcvrif_tx_rst_wr_sync_mux_x6_top),          //   input,     width = 1,          i_xcvrif_tx_rst_wr_sync_mux_x6_top.clk
		.i_xcvrif_tx_rst_wr_sync_mux_x8_bot          (i_xcvrif_tx_rst_wr_sync_mux_x8_bot),          //   input,     width = 1,          i_xcvrif_tx_rst_wr_sync_mux_x8_bot.clk
		.i_xcvrif_tx_rst_wr_sync_mux_x8_top          (i_xcvrif_tx_rst_wr_sync_mux_x8_top),          //   input,     width = 1,          i_xcvrif_tx_rst_wr_sync_mux_x8_top.clk
		.o_ptp_rx_data_shared_ptp                    (o_ptp_rx_data_shared_ptp),                    //  output,     width = 8,                    o_ptp_rx_data_shared_ptp.data
		.o_ptp_tx_intfc_ptp_data_shared_ptp          (o_ptp_tx_intfc_ptp_data_shared_ptp),          //  output,     width = 9,          o_ptp_tx_intfc_ptp_data_shared_ptp.data
		.o_ptp_tx_data_ld_shared_ptp                 (o_ptp_tx_data_ld_shared_ptp),                 //  output,     width = 9,                 o_ptp_tx_data_ld_shared_ptp.data
		.o_ptp_tx_wa_ld_shared_ptp                   (o_ptp_tx_wa_ld_shared_ptp),                   //  output,     width = 1,                   o_ptp_tx_wa_ld_shared_ptp.data
		.i_ptp_cfg_tx_asm_ch1_shared_ptp             (i_ptp_cfg_tx_asm_ch1_shared_ptp),             //   input,  width = 3072,             i_ptp_cfg_tx_asm_ch1_shared_ptp.data
		.i_ptp_cfg_tx_p2p_ch1_shared_ptp             (i_ptp_cfg_tx_p2p_ch1_shared_ptp),             //   input,  width = 3072,             i_ptp_cfg_tx_p2p_ch1_shared_ptp.data
		.i_ingress1_ptp_rx_intfc_ptp_data_shared_ptp (i_ingress1_ptp_rx_intfc_ptp_data_shared_ptp), //   input,     width = 8, i_ingress1_ptp_rx_intfc_ptp_data_shared_ptp.data
		.i_egress1_ptp_tx_data_shared_ptp            (i_egress1_ptp_tx_data_shared_ptp),            //   input,     width = 9,            i_egress1_ptp_tx_data_shared_ptp.data
		.i_egress1_ptp_tx_data_ld_shared_ptp         (i_egress1_ptp_tx_data_ld_shared_ptp),         //   input,     width = 9,         i_egress1_ptp_tx_data_ld_shared_ptp.data
		.i_ch1_ptp_mas_word_align_shared_ptp         (i_ch1_ptp_mas_word_align_shared_ptp),         //   input,     width = 1,         i_ch1_ptp_mas_word_align_shared_ptp.data
		.i_egress1_ptp_tx_wa_ld_shared_ptp           (i_egress1_ptp_tx_wa_ld_shared_ptp),           //   input,     width = 1,           i_egress1_ptp_tx_wa_ld_shared_ptp.data
		.i_ingress1_ptp_rx_dsk_marker_shared_ptp     (i_ingress1_ptp_rx_dsk_marker_shared_ptp),     //   input,     width = 1,     i_ingress1_ptp_rx_dsk_marker_shared_ptp.data
		.i_ptp_ptpi_link_shared_ptp                  (i_ptp_ptpi_link_shared_ptp),                  //   input,     width = 1,                  i_ptp_ptpi_link_shared_ptp.data
		.o_ptp_rx_data_mux_0_shared_ptp              (o_ptp_rx_data_mux_0_shared_ptp),              //  output,    width = 10,              o_ptp_rx_data_mux_0_shared_ptp.data
		.o_ptp_rx_data_mux_1_shared_ptp              (o_ptp_rx_data_mux_1_shared_ptp),              //  output,    width = 10,              o_ptp_rx_data_mux_1_shared_ptp.data
		.i_sm_pld_tx_demux_0_i_eth_shared_ptp        (i_sm_pld_tx_demux_0_i_eth_shared_ptp),        //   input,    width = 40,        i_sm_pld_tx_demux_0_i_eth_shared_ptp.data
		.o_ptp_clk_shared_ptp                        (o_ptp_clk_shared_ptp)                         //  output,     width = 1,                        o_ptp_clk_shared_ptp.clk
	);

endmodule
