// xcvr_usb3_x2_refclk_intel_directphy_gts_0_one_lane_hal_pcs_hal_2100_2bxhfpy.v

// Generated using ACDS version 24.2 40

`timescale 1 ps / 1 ps
module xcvr_usb3_x2_refclk_intel_directphy_gts_0_one_lane_hal_pcs_hal_2100_2bxhfpy #(
		parameter ch_pcs_l_duplex_mode_atom      = "DUPLEX_MODE_DUPLEX",
		parameter ch_pcs_l_loopback_mode_atom    = "LOOPBACK_MODE_NO_LOOPBACK",
		parameter ch_pcs_dr_enabled_atom         = "DR_ENABLED_DR_ENABLED",
		parameter ch_pcs_l_rate_mode_atom        = "RATE_MODE_RATE_10G",
		parameter ch_pcs_l_sup_mode_atom         = "SUP_MODE_USER_MODE",
		parameter ch_pcs_l_sim_mode_atom         = "SIM_MODE_ENABLE",
		parameter ch_pcs_l_tx_en_atom            = "FALSE",
		parameter ch_pcs_l_rx_en_atom            = "FALSE",
		parameter ch_pcs_tx_dyn_mux_atom         = "TX_DYN_MUX_UNUSED",
		parameter ch_pcs_rx_dyn_mux_atom         = "RX_DYN_MUX_UNUSED",
		parameter ch_pcs_l_pcs_ber_mon_mode_atom = "PCS_BER_MON_MODE_BER_10G",
		parameter ch_pcs_l_tx_pcs_mode_atom      = "TX_PCS_MODE_DISABLED",
		parameter ch_pcs_l_rx_pcs_mode_atom      = "RX_PCS_MODE_DISABLED",
		parameter ch_pcs_l_fec_mode_atom         = "FEC_MODE_DISABLED",
		parameter ch_pcs_l_fec_tx_en_atom        = "FALSE",
		parameter ch_pcs_l_fec_rx_en_atom        = "FALSE"
	) (
		output wire [31:0] o_ch_lavmm_epcs_rdata,              //             reconfig.readdata,      Stats Snapshot
		output wire        o_ch_lavmm_epcs_rdata_valid,        //                     .readdatavalid, RX PFC
		output wire        o_ch_lavmm_epcs_waitreq,            //                     .waitrequest,   CSR access address
		input  wire [19:0] i_ch_lavmm_epcs_addr,               //                     .address,       RX error bits asserted on the EOP cycle
		input  wire [3:0]  i_ch_lavmm_epcs_be,                 //                     .byteenable,    Stats Snapshot
		input  wire        i_ch_lavmm_epcs_read,               //                     .read,          CSR access address
		input  wire [31:0] i_ch_lavmm_epcs_wdata,              //                     .writedata,     Stats Snapshot
		input  wire        i_ch_lavmm_epcs_write,              //                     .write,         RX PFC
		input  wire        i_ch_lavmm_epcs_clk,                //         reconfig_clk.clk,           RX PFC
		input  wire        i_ch_lavmm_epcs_rstn,               //         reconfig_rst.reset,         RX error bits asserted on the EOP cycle
		input  wire        i_pcs_tx_clk,                       //         i_pcs_tx_clk.clk,           CSR access address
		input  wire        i_pcs_rx_clk,                       //         i_pcs_rx_clk.clk,           RX error bits asserted on the EOP cycle
		input  wire [7:0]  i_hssi_async_dir_eth_pcs_tx_async,  //          asyncdata_0.data,          Stats Snapshot
		input  wire        i_hssi_async_dir_eth_pcs_tx_direct, //          asyncdata_1.data,          RX PFC
		output wire [13:0] o_hssi_async_dir_eth_pcs_rx_async,  //          asyncdata_2.data,          CSR access address
		output wire        o_hssi_async_dir_eth_pcs_rx_direct, //          asyncdata_3.data,          RX error bits asserted on the EOP cycle
		input  wire        i_ehip_rx_rst_n,                    //        reset_path_rx.data,          Stats Snapshot
		input  wire        i_ehip_tx_rst_n,                    //        reset_path_tx.data,          RX PFC
		output wire        o_rstepcs_rx_pcs_fully_aligned,     // rx_pcs_fully_aligned.status,        CSR access address
		input  wire        i_ehip_signal_ok,                   //       ehip_signal_ok.data,          RX error bits asserted on the EOP cycle
		input  wire        i_t03f_sfreeze_1_tx_pcs_sfrz_n,     //        tx_pcs_sfrz_n.reset,         RX error bits asserted on the EOP cycle
		input  wire        i_sfreeze_2_r03f_rx_pcs_sfrz_n,     //        rx_pcs_sfrz_n.reset,         RX error bits asserted on the EOP cycle
		output wire [42:0] o_pcs_tx_data,                      //        o_pcs_tx_data.data,          RX error bits asserted on the EOP cycle
		output wire [42:0] o_pcs_rx_mii_data,                  //    o_pcs_rx_mii_data.data,          RX error bits asserted on the EOP cycle
		output wire [42:0] o_pcs_rx_data,                      //        o_pcs_rx_data.data,          CSR access address
		output wire        o_tx_mux_sel,                       //         o_tx_mux_sel.data,          RX error bits asserted on the EOP cycle
		output wire        o_rx_mux_sel,                       //         o_rx_mux_sel.data,          RX error bits asserted on the EOP cycle
		input  wire [42:0] i_pcs_tx_data_mux,                  //    i_pcs_tx_data_mux.data,          RX error bits asserted on the EOP cycle
		input  wire [42:0] i_pcs_rx_data_mux                   //    i_pcs_rx_data_mux.data,          RX error bits asserted on the EOP cycle
	);

	generate
		// If any of the display statements (or deliberately broken
		// instantiations) within this generate block triggers then this module
		// has been instantiated this module with a set of parameters different
		// from those it was generated for.  This will usually result in a
		// non-functioning system.
		if (ch_pcs_l_duplex_mode_atom != "DUPLEX_MODE_DUPLEX")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_l_duplex_mode_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_l_loopback_mode_atom != "LOOPBACK_MODE_NO_LOOPBACK")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_l_loopback_mode_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_dr_enabled_atom != "DR_ENABLED_DR_ENABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_dr_enabled_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_l_rate_mode_atom != "RATE_MODE_RATE_10G")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_l_rate_mode_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_l_sup_mode_atom != "SUP_MODE_USER_MODE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_l_sup_mode_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_l_sim_mode_atom != "SIM_MODE_ENABLE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_l_sim_mode_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_l_tx_en_atom != "FALSE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_l_tx_en_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_l_rx_en_atom != "FALSE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_l_rx_en_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_tx_dyn_mux_atom != "TX_DYN_MUX_UNUSED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_tx_dyn_mux_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_rx_dyn_mux_atom != "RX_DYN_MUX_UNUSED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_rx_dyn_mux_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_l_pcs_ber_mon_mode_atom != "PCS_BER_MON_MODE_BER_10G")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_l_pcs_ber_mon_mode_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_l_tx_pcs_mode_atom != "TX_PCS_MODE_DISABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_l_tx_pcs_mode_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_l_rx_pcs_mode_atom != "RX_PCS_MODE_DISABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_l_rx_pcs_mode_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_l_fec_mode_atom != "FEC_MODE_DISABLED")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_l_fec_mode_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_l_fec_tx_en_atom != "FALSE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_l_fec_tx_en_atom_check ( .error(1'b1) );
		end
		if (ch_pcs_l_fec_rx_en_atom != "FALSE")
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					ch_pcs_l_fec_rx_en_atom_check ( .error(1'b1) );
		end
	endgenerate

	xcvr_usb3_x2_refclk_intel_directphy_gts_0_pcs_hal_2100_lyqjt7q #(
		.ch_pcs_l_duplex_mode_atom      ("DUPLEX_MODE_DUPLEX"),
		.ch_pcs_l_loopback_mode_atom    ("LOOPBACK_MODE_NO_LOOPBACK"),
		.ch_pcs_dr_enabled_atom         ("DR_ENABLED_DR_ENABLED"),
		.ch_pcs_l_rate_mode_atom        ("RATE_MODE_RATE_10G"),
		.ch_pcs_l_sup_mode_atom         ("SUP_MODE_USER_MODE"),
		.ch_pcs_l_sim_mode_atom         ("SIM_MODE_ENABLE"),
		.ch_pcs_l_tx_en_atom            ("FALSE"),
		.ch_pcs_l_rx_en_atom            ("FALSE"),
		.ch_pcs_tx_dyn_mux_atom         ("TX_DYN_MUX_UNUSED"),
		.ch_pcs_rx_dyn_mux_atom         ("RX_DYN_MUX_UNUSED"),
		.ch_pcs_l_pcs_ber_mon_mode_atom ("PCS_BER_MON_MODE_BER_10G"),
		.ch_pcs_l_tx_pcs_mode_atom      ("TX_PCS_MODE_DISABLED"),
		.ch_pcs_l_rx_pcs_mode_atom      ("RX_PCS_MODE_DISABLED"),
		.ch_pcs_l_fec_mode_atom         ("FEC_MODE_DISABLED"),
		.ch_pcs_l_fec_tx_en_atom        ("FALSE"),
		.ch_pcs_l_fec_rx_en_atom        ("FALSE")
	) pcs_hal_top (
		.o_ch_lavmm_epcs_rdata              (o_ch_lavmm_epcs_rdata),              //  output,  width = 32,             reconfig.readdata
		.o_ch_lavmm_epcs_rdata_valid        (o_ch_lavmm_epcs_rdata_valid),        //  output,   width = 1,                     .readdatavalid
		.o_ch_lavmm_epcs_waitreq            (o_ch_lavmm_epcs_waitreq),            //  output,   width = 1,                     .waitrequest
		.i_ch_lavmm_epcs_addr               (i_ch_lavmm_epcs_addr),               //   input,  width = 20,                     .address
		.i_ch_lavmm_epcs_be                 (i_ch_lavmm_epcs_be),                 //   input,   width = 4,                     .byteenable
		.i_ch_lavmm_epcs_read               (i_ch_lavmm_epcs_read),               //   input,   width = 1,                     .read
		.i_ch_lavmm_epcs_wdata              (i_ch_lavmm_epcs_wdata),              //   input,  width = 32,                     .writedata
		.i_ch_lavmm_epcs_write              (i_ch_lavmm_epcs_write),              //   input,   width = 1,                     .write
		.i_ch_lavmm_epcs_clk                (i_ch_lavmm_epcs_clk),                //   input,   width = 1,         reconfig_clk.clk
		.i_ch_lavmm_epcs_rstn               (i_ch_lavmm_epcs_rstn),               //   input,   width = 1,         reconfig_rst.reset
		.i_pcs_tx_clk                       (i_pcs_tx_clk),                       //   input,   width = 1,         i_pcs_tx_clk.clk
		.i_pcs_rx_clk                       (i_pcs_rx_clk),                       //   input,   width = 1,         i_pcs_rx_clk.clk
		.i_hssi_async_dir_eth_pcs_tx_async  (i_hssi_async_dir_eth_pcs_tx_async),  //   input,   width = 8,          asyncdata_0.data
		.i_hssi_async_dir_eth_pcs_tx_direct (i_hssi_async_dir_eth_pcs_tx_direct), //   input,   width = 1,          asyncdata_1.data
		.o_hssi_async_dir_eth_pcs_rx_async  (o_hssi_async_dir_eth_pcs_rx_async),  //  output,  width = 14,          asyncdata_2.data
		.o_hssi_async_dir_eth_pcs_rx_direct (o_hssi_async_dir_eth_pcs_rx_direct), //  output,   width = 1,          asyncdata_3.data
		.i_ehip_rx_rst_n                    (i_ehip_rx_rst_n),                    //   input,   width = 1,        reset_path_rx.data
		.i_ehip_tx_rst_n                    (i_ehip_tx_rst_n),                    //   input,   width = 1,        reset_path_tx.data
		.o_rstepcs_rx_pcs_fully_aligned     (o_rstepcs_rx_pcs_fully_aligned),     //  output,   width = 1, rx_pcs_fully_aligned.status
		.i_ehip_signal_ok                   (i_ehip_signal_ok),                   //   input,   width = 1,       ehip_signal_ok.data
		.i_t03f_sfreeze_1_tx_pcs_sfrz_n     (i_t03f_sfreeze_1_tx_pcs_sfrz_n),     //   input,   width = 1,        tx_pcs_sfrz_n.reset
		.i_sfreeze_2_r03f_rx_pcs_sfrz_n     (i_sfreeze_2_r03f_rx_pcs_sfrz_n),     //   input,   width = 1,        rx_pcs_sfrz_n.reset
		.o_pcs_tx_data                      (o_pcs_tx_data),                      //  output,  width = 43,        o_pcs_tx_data.data
		.o_pcs_rx_mii_data                  (o_pcs_rx_mii_data),                  //  output,  width = 43,    o_pcs_rx_mii_data.data
		.o_pcs_rx_data                      (o_pcs_rx_data),                      //  output,  width = 43,        o_pcs_rx_data.data
		.o_tx_mux_sel                       (o_tx_mux_sel),                       //  output,   width = 1,         o_tx_mux_sel.data
		.o_rx_mux_sel                       (o_rx_mux_sel),                       //  output,   width = 1,         o_rx_mux_sel.data
		.i_pcs_tx_data_mux                  (i_pcs_tx_data_mux),                  //   input,  width = 43,    i_pcs_tx_data_mux.data
		.i_pcs_rx_data_mux                  (i_pcs_rx_data_mux)                   //   input,  width = 43,    i_pcs_rx_data_mux.data
	);

endmodule
