# (C) 2001-2024 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


vlib work

set TOP_LEVEL_NAME "basic_avl_tb_top_riviera"
set QSYS_SIMDIR ../ex_40g/sim
set USER_DEFINED_ELAB_OPTIONS "-gSIM_SHORT_AM=1'b1"
set USER_DEFINED_ELAB_OPTIONS "-nocvg"
set USER_DEFINED_VHDL_COMPILE_OPTIONS "-relax\\"
set USER_DEFINED_VERILOG_COMPILE_OPTIONS "+define+IP7521SERDES_UX_SIMSPEED"

do $QSYS_SIMDIR/aldec/rivierapro_setup.tcl

dev_com


vlog +acc [glob ./basic_avl_tb_top_riviera.sv] 
vlog +acc [glob common/intel_srcss_sm/sim/intel_srcss_sm.v ]
vlog +acc [glob common/intel_srcss_sm/intel_src*/sim/intel_srcss_sm_intel_srcss_gts_*.sv ]
vlog +acc [glob common/intel_srcss_sm/intel_src*/sim/intelfpga/*.*v]  
vlog +acc [glob common/intel_systemclk_gts_sm/sim/intel_systemclk_gts_sm.v ]
vlog +acc [glob common/intel_systemclk_gts_sm/intel_systemclk_gts*/sim/intel_systemclk_gts_sm_intel_systemclk_gts_*.*v] 
vlog +acc [glob common/intel_systemclk_gts_sm/spll_hal_2100/sim/*.*v]

com
elab

add wave -r sim:/basic_avl_tb_top_riviera/*
add log -r sim:/basic_avl_tb_top_riviera/*
add list -r sim:/basic_avl_tb_top_riviera/*

run -all
quit

