# (C) 2001-2024 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


vlib work
set TOP_LEVEL_NAME "basic_avl_tb_top_msim"
set QSYS_SIMDIR ../ex_40g/sim
set USER_DEFINED_ELAB_OPTIONS "-gSIM_SHORT_AM=1'b1"
set USER_DEFINED_VERILOG_COMPILE_OPTIONS "+define+IP7521SERDES_UX_SIMSPEED"
do $QSYS_SIMDIR/mentor/msim_setup.tcl

dev_com
com

vlog +acc ./basic_avl_tb_top_msim.sv common/intel_srcss_sm/sim/intel_srcss_sm.v common/intel_srcss_sm/intel_src*/sim/intel_srcss_sm_intel_srcss_gts_*.sv common/intel_srcss_sm/intel_src*/sim/intelfpga/*.*v  common/intel_systemclk_gts_sm/sim/intel_systemclk_gts_sm.v common/intel_systemclk_gts_sm/intel_systemclk_gts*/sim/intel_systemclk_gts_sm_intel_systemclk_gts_*.*v common/intel_systemclk_gts_sm/spll_hal_2100/sim/*.*v

elab

add wave -r sim:/basic_avl_tb_top_msim/*
add log -r sim:/basic_avl_tb_top_msim/*
add list -r sim:/basic_avl_tb_top_msim/*

run -all
quit

