# (C) 2001-2024 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


QSYS_SIMDIR="../ex_40g/sim"
QUARTUS_INSTALL_DIR=$QUARTUS_ROOTDIR

#SKIP_ELAB=1
SKIP_SIM=1

cp -r $QSYS_SIMDIR/xcelium/* .
USER_DEFINED_VHDL_COMPILE_OPTIONS="+define+IP7521SERDES_UX_SIMSPEED"
USER_DEFINED_VERILOG_COMPILE_OPTIONS="+define+IP7521SERDES_UX_SIMSPEED"

sh $QSYS_SIMDIR/xcelium/xcelium_setup.sh QSYS_SIMDIR=$QSYS_SIMDIR QUARTUS_INSTALL_DIR=$QUARTUS_INSTALL_DIR SKIP_ELAB=$SKIP_ELAB SKIP_SIM=$SKIP_SIM

xmvlog -sv ./basic_avl_tb_top_nc.sv common/intel_srcss_sm/sim/intel_srcss_sm.v common/intel_srcss_sm/intel_src*/sim/intel_srcss_sm_intel_srcss_gts_*.sv common/intel_srcss_sm/intel_src*/sim/intelfpga/*.*v  common/intel_systemclk_gts_sm/sim/intel_systemclk_gts_sm.v common/intel_systemclk_gts_sm/intel_systemclk_gts*/sim/intel_systemclk_gts_sm_intel_systemclk_gts_*.*v common/intel_systemclk_gts_sm/spll_hal_2100/sim/*.*v
  export GENERIC_PARAM_COMPAT_CHECK=1

xmelab -relax -timescale '1 ps / 1 ps' -access +rwc basic_avl_tb_top_nc
xmsim  -licqueue -run -exit -extassertmsg basic_avl_tb_top_nc
