module Qsys (
		input  wire        clk_clk,                                //                            clk.clk
		output wire        emif_ddr4a_s0_axi4_ctrl_ready_reset_n,  //  emif_ddr4a_s0_axi4_ctrl_ready.reset_n
		input  wire        emif_ddr4a_core_init_n_reset_n,         //         emif_ddr4a_core_init_n.reset_n
		input  wire        emif_ddr4a_s0_axi4lite_clock_clk,       //   emif_ddr4a_s0_axi4lite_clock.clk
		input  wire        emif_ddr4a_s0_axi4lite_reset_n_reset_n, // emif_ddr4a_s0_axi4lite_reset_n.reset_n
		input  wire [26:0] emif_ddr4a_s0_axi4lite_awaddr,          //         emif_ddr4a_s0_axi4lite.awaddr
		input  wire [2:0]  emif_ddr4a_s0_axi4lite_awprot,          //                               .awprot
		input  wire        emif_ddr4a_s0_axi4lite_awvalid,         //                               .awvalid
		output wire        emif_ddr4a_s0_axi4lite_awready,         //                               .awready
		input  wire [26:0] emif_ddr4a_s0_axi4lite_araddr,          //                               .araddr
		input  wire [2:0]  emif_ddr4a_s0_axi4lite_arprot,          //                               .arprot
		input  wire        emif_ddr4a_s0_axi4lite_arvalid,         //                               .arvalid
		output wire        emif_ddr4a_s0_axi4lite_arready,         //                               .arready
		input  wire [31:0] emif_ddr4a_s0_axi4lite_wdata,           //                               .wdata
		input  wire [3:0]  emif_ddr4a_s0_axi4lite_wstrb,           //                               .wstrb
		input  wire        emif_ddr4a_s0_axi4lite_wvalid,          //                               .wvalid
		output wire        emif_ddr4a_s0_axi4lite_wready,          //                               .wready
		input  wire        emif_ddr4a_s0_axi4lite_bready,          //                               .bready
		output wire [1:0]  emif_ddr4a_s0_axi4lite_bresp,           //                               .bresp
		output wire        emif_ddr4a_s0_axi4lite_bvalid,          //                               .bvalid
		input  wire        emif_ddr4a_s0_axi4lite_rready,          //                               .rready
		output wire [31:0] emif_ddr4a_s0_axi4lite_rdata,           //                               .rdata
		output wire [1:0]  emif_ddr4a_s0_axi4lite_rresp,           //                               .rresp
		output wire        emif_ddr4a_s0_axi4lite_rvalid,          //                               .rvalid
		output wire [0:0]  emif_ddr4a_mem_mem_cke,                 //                 emif_ddr4a_mem.mem_cke
		output wire [0:0]  emif_ddr4a_mem_mem_odt,                 //                               .mem_odt
		output wire [0:0]  emif_ddr4a_mem_mem_cs_n,                //                               .mem_cs_n
		output wire [16:0] emif_ddr4a_mem_mem_a,                   //                               .mem_a
		output wire [1:0]  emif_ddr4a_mem_mem_ba,                  //                               .mem_ba
		output wire [0:0]  emif_ddr4a_mem_mem_bg,                  //                               .mem_bg
		output wire        emif_ddr4a_mem_mem_act_n,               //                               .mem_act_n
		output wire        emif_ddr4a_mem_mem_par,                 //                               .mem_par
		inout  wire [31:0] emif_ddr4a_mem_mem_dq,                  //                               .mem_dq
		inout  wire [3:0]  emif_ddr4a_mem_mem_dqs_t,               //                               .mem_dqs_t
		inout  wire [3:0]  emif_ddr4a_mem_mem_dqs_c,               //                               .mem_dqs_c
		input  wire        emif_ddr4a_mem_mem_alert_n,             //                               .mem_alert_n
		inout  wire [3:0]  emif_ddr4a_mem_mem_dbi_n,               //                               .mem_dbi_n
		output wire [0:0]  emif_ddr4a_mem_ck_mem_ck_t,             //              emif_ddr4a_mem_ck.mem_ck_t
		output wire [0:0]  emif_ddr4a_mem_ck_mem_ck_c,             //                               .mem_ck_c
		output wire        emif_ddr4a_mem_reset_n_mem_reset_n,     //         emif_ddr4a_mem_reset_n.mem_reset_n
		input  wire        emif_ddr4a_oct_oct_rzqin,               //                 emif_ddr4a_oct.oct_rzqin
		input  wire        emif_ddr4a_ref_clk_clk,                 //             emif_ddr4a_ref_clk.clk
		output wire        emif_ddr4b_s0_axi4_ctrl_ready_reset_n,  //  emif_ddr4b_s0_axi4_ctrl_ready.reset_n
		input  wire        emif_ddr4b_core_init_n_reset_n,         //         emif_ddr4b_core_init_n.reset_n
		input  wire        emif_ddr4b_s0_axi4lite_clock_clk,       //   emif_ddr4b_s0_axi4lite_clock.clk
		input  wire        emif_ddr4b_s0_axi4lite_reset_n_reset_n, // emif_ddr4b_s0_axi4lite_reset_n.reset_n
		input  wire [26:0] emif_ddr4b_s0_axi4lite_awaddr,          //         emif_ddr4b_s0_axi4lite.awaddr
		input  wire [2:0]  emif_ddr4b_s0_axi4lite_awprot,          //                               .awprot
		input  wire        emif_ddr4b_s0_axi4lite_awvalid,         //                               .awvalid
		output wire        emif_ddr4b_s0_axi4lite_awready,         //                               .awready
		input  wire [26:0] emif_ddr4b_s0_axi4lite_araddr,          //                               .araddr
		input  wire [2:0]  emif_ddr4b_s0_axi4lite_arprot,          //                               .arprot
		input  wire        emif_ddr4b_s0_axi4lite_arvalid,         //                               .arvalid
		output wire        emif_ddr4b_s0_axi4lite_arready,         //                               .arready
		input  wire [31:0] emif_ddr4b_s0_axi4lite_wdata,           //                               .wdata
		input  wire [3:0]  emif_ddr4b_s0_axi4lite_wstrb,           //                               .wstrb
		input  wire        emif_ddr4b_s0_axi4lite_wvalid,          //                               .wvalid
		output wire        emif_ddr4b_s0_axi4lite_wready,          //                               .wready
		input  wire        emif_ddr4b_s0_axi4lite_bready,          //                               .bready
		output wire [1:0]  emif_ddr4b_s0_axi4lite_bresp,           //                               .bresp
		output wire        emif_ddr4b_s0_axi4lite_bvalid,          //                               .bvalid
		input  wire        emif_ddr4b_s0_axi4lite_rready,          //                               .rready
		output wire [31:0] emif_ddr4b_s0_axi4lite_rdata,           //                               .rdata
		output wire [1:0]  emif_ddr4b_s0_axi4lite_rresp,           //                               .rresp
		output wire        emif_ddr4b_s0_axi4lite_rvalid,          //                               .rvalid
		output wire [0:0]  emif_ddr4b_mem_mem_cke,                 //                 emif_ddr4b_mem.mem_cke
		output wire [0:0]  emif_ddr4b_mem_mem_odt,                 //                               .mem_odt
		output wire [0:0]  emif_ddr4b_mem_mem_cs_n,                //                               .mem_cs_n
		output wire [16:0] emif_ddr4b_mem_mem_a,                   //                               .mem_a
		output wire [1:0]  emif_ddr4b_mem_mem_ba,                  //                               .mem_ba
		output wire [0:0]  emif_ddr4b_mem_mem_bg,                  //                               .mem_bg
		output wire        emif_ddr4b_mem_mem_act_n,               //                               .mem_act_n
		output wire        emif_ddr4b_mem_mem_par,                 //                               .mem_par
		inout  wire [31:0] emif_ddr4b_mem_mem_dq,                  //                               .mem_dq
		inout  wire [3:0]  emif_ddr4b_mem_mem_dqs_t,               //                               .mem_dqs_t
		inout  wire [3:0]  emif_ddr4b_mem_mem_dqs_c,               //                               .mem_dqs_c
		input  wire        emif_ddr4b_mem_mem_alert_n,             //                               .mem_alert_n
		inout  wire [3:0]  emif_ddr4b_mem_mem_dbi_n,               //                               .mem_dbi_n
		output wire [0:0]  emif_ddr4b_mem_ck_mem_ck_t,             //              emif_ddr4b_mem_ck.mem_ck_t
		output wire [0:0]  emif_ddr4b_mem_ck_mem_ck_c,             //                               .mem_ck_c
		output wire        emif_ddr4b_mem_reset_n_mem_reset_n,     //         emif_ddr4b_mem_reset_n.mem_reset_n
		input  wire        emif_ddr4b_oct_oct_rzqin,               //                 emif_ddr4b_oct.oct_rzqin
		input  wire        emif_ddr4b_ref_clk_clk,                 //             emif_ddr4b_ref_clk.clk
		output wire        iopll_locked_export,                    //                   iopll_locked.export
		output wire        iopll_outclk_axi4_lite_clk,             //         iopll_outclk_axi4_lite.clk
		input  wire [3:0]  pio_key_external_connection_export,     //    pio_key_external_connection.export
		output wire [3:0]  pio_led_external_connection_export,     //    pio_led_external_connection.export
		input  wire        reset_reset_n                           //                          reset.reset_n
	);
endmodule

