	component EMIF_Qsys is
		port (
			clock_310m_out_clk_clk                 : out   std_logic;                                         -- clk
			emif_ddr4a_s0_axi4_ctrl_ready_reset_n  : out   std_logic;                                         -- reset_n
			emif_ddr4a_s0_axi4_awaddr              : in    std_logic_vector(31 downto 0)  := (others => 'X'); -- awaddr
			emif_ddr4a_s0_axi4_awburst             : in    std_logic_vector(1 downto 0)   := (others => 'X'); -- awburst
			emif_ddr4a_s0_axi4_awid                : in    std_logic_vector(6 downto 0)   := (others => 'X'); -- awid
			emif_ddr4a_s0_axi4_awlen               : in    std_logic_vector(7 downto 0)   := (others => 'X'); -- awlen
			emif_ddr4a_s0_axi4_awlock              : in    std_logic                      := 'X';             -- awlock
			emif_ddr4a_s0_axi4_awqos               : in    std_logic_vector(3 downto 0)   := (others => 'X'); -- awqos
			emif_ddr4a_s0_axi4_awsize              : in    std_logic_vector(2 downto 0)   := (others => 'X'); -- awsize
			emif_ddr4a_s0_axi4_awvalid             : in    std_logic                      := 'X';             -- awvalid
			emif_ddr4a_s0_axi4_awuser              : in    std_logic_vector(13 downto 0)  := (others => 'X'); -- awuser
			emif_ddr4a_s0_axi4_awprot              : in    std_logic_vector(2 downto 0)   := (others => 'X'); -- awprot
			emif_ddr4a_s0_axi4_awready             : out   std_logic;                                         -- awready
			emif_ddr4a_s0_axi4_araddr              : in    std_logic_vector(31 downto 0)  := (others => 'X'); -- araddr
			emif_ddr4a_s0_axi4_arburst             : in    std_logic_vector(1 downto 0)   := (others => 'X'); -- arburst
			emif_ddr4a_s0_axi4_arid                : in    std_logic_vector(6 downto 0)   := (others => 'X'); -- arid
			emif_ddr4a_s0_axi4_arlen               : in    std_logic_vector(7 downto 0)   := (others => 'X'); -- arlen
			emif_ddr4a_s0_axi4_arlock              : in    std_logic                      := 'X';             -- arlock
			emif_ddr4a_s0_axi4_arqos               : in    std_logic_vector(3 downto 0)   := (others => 'X'); -- arqos
			emif_ddr4a_s0_axi4_arsize              : in    std_logic_vector(2 downto 0)   := (others => 'X'); -- arsize
			emif_ddr4a_s0_axi4_arvalid             : in    std_logic                      := 'X';             -- arvalid
			emif_ddr4a_s0_axi4_aruser              : in    std_logic_vector(13 downto 0)  := (others => 'X'); -- aruser
			emif_ddr4a_s0_axi4_arprot              : in    std_logic_vector(2 downto 0)   := (others => 'X'); -- arprot
			emif_ddr4a_s0_axi4_arready             : out   std_logic;                                         -- arready
			emif_ddr4a_s0_axi4_wdata               : in    std_logic_vector(255 downto 0) := (others => 'X'); -- wdata
			emif_ddr4a_s0_axi4_wstrb               : in    std_logic_vector(31 downto 0)  := (others => 'X'); -- wstrb
			emif_ddr4a_s0_axi4_wlast               : in    std_logic                      := 'X';             -- wlast
			emif_ddr4a_s0_axi4_wvalid              : in    std_logic                      := 'X';             -- wvalid
			emif_ddr4a_s0_axi4_wuser               : in    std_logic_vector(31 downto 0)  := (others => 'X'); -- wuser
			emif_ddr4a_s0_axi4_wready              : out   std_logic;                                         -- wready
			emif_ddr4a_s0_axi4_bready              : in    std_logic                      := 'X';             -- bready
			emif_ddr4a_s0_axi4_bid                 : out   std_logic_vector(6 downto 0);                      -- bid
			emif_ddr4a_s0_axi4_bresp               : out   std_logic_vector(1 downto 0);                      -- bresp
			emif_ddr4a_s0_axi4_bvalid              : out   std_logic;                                         -- bvalid
			emif_ddr4a_s0_axi4_rready              : in    std_logic                      := 'X';             -- rready
			emif_ddr4a_s0_axi4_ruser               : out   std_logic_vector(31 downto 0);                     -- ruser
			emif_ddr4a_s0_axi4_rdata               : out   std_logic_vector(255 downto 0);                    -- rdata
			emif_ddr4a_s0_axi4_rid                 : out   std_logic_vector(6 downto 0);                      -- rid
			emif_ddr4a_s0_axi4_rlast               : out   std_logic;                                         -- rlast
			emif_ddr4a_s0_axi4_rresp               : out   std_logic_vector(1 downto 0);                      -- rresp
			emif_ddr4a_s0_axi4_rvalid              : out   std_logic;                                         -- rvalid
			emif_ddr4a_s0_axi4lite_clock_clk       : in    std_logic                      := 'X';             -- clk
			emif_ddr4a_s0_axi4lite_reset_n_reset_n : in    std_logic                      := 'X';             -- reset_n
			emif_ddr4a_s0_axi4lite_awaddr          : in    std_logic_vector(26 downto 0)  := (others => 'X'); -- awaddr
			emif_ddr4a_s0_axi4lite_awprot          : in    std_logic_vector(2 downto 0)   := (others => 'X'); -- awprot
			emif_ddr4a_s0_axi4lite_awvalid         : in    std_logic                      := 'X';             -- awvalid
			emif_ddr4a_s0_axi4lite_awready         : out   std_logic;                                         -- awready
			emif_ddr4a_s0_axi4lite_araddr          : in    std_logic_vector(26 downto 0)  := (others => 'X'); -- araddr
			emif_ddr4a_s0_axi4lite_arprot          : in    std_logic_vector(2 downto 0)   := (others => 'X'); -- arprot
			emif_ddr4a_s0_axi4lite_arvalid         : in    std_logic                      := 'X';             -- arvalid
			emif_ddr4a_s0_axi4lite_arready         : out   std_logic;                                         -- arready
			emif_ddr4a_s0_axi4lite_wdata           : in    std_logic_vector(31 downto 0)  := (others => 'X'); -- wdata
			emif_ddr4a_s0_axi4lite_wstrb           : in    std_logic_vector(3 downto 0)   := (others => 'X'); -- wstrb
			emif_ddr4a_s0_axi4lite_wvalid          : in    std_logic                      := 'X';             -- wvalid
			emif_ddr4a_s0_axi4lite_wready          : out   std_logic;                                         -- wready
			emif_ddr4a_s0_axi4lite_bready          : in    std_logic                      := 'X';             -- bready
			emif_ddr4a_s0_axi4lite_bresp           : out   std_logic_vector(1 downto 0);                      -- bresp
			emif_ddr4a_s0_axi4lite_bvalid          : out   std_logic;                                         -- bvalid
			emif_ddr4a_s0_axi4lite_rready          : in    std_logic                      := 'X';             -- rready
			emif_ddr4a_s0_axi4lite_rdata           : out   std_logic_vector(31 downto 0);                     -- rdata
			emif_ddr4a_s0_axi4lite_rresp           : out   std_logic_vector(1 downto 0);                      -- rresp
			emif_ddr4a_s0_axi4lite_rvalid          : out   std_logic;                                         -- rvalid
			emif_ddr4a_mem_0_mem_cke               : out   std_logic_vector(0 downto 0);                      -- mem_cke
			emif_ddr4a_mem_0_mem_odt               : out   std_logic_vector(0 downto 0);                      -- mem_odt
			emif_ddr4a_mem_0_mem_cs_n              : out   std_logic_vector(0 downto 0);                      -- mem_cs_n
			emif_ddr4a_mem_0_mem_a                 : out   std_logic_vector(16 downto 0);                     -- mem_a
			emif_ddr4a_mem_0_mem_ba                : out   std_logic_vector(1 downto 0);                      -- mem_ba
			emif_ddr4a_mem_0_mem_bg                : out   std_logic_vector(0 downto 0);                      -- mem_bg
			emif_ddr4a_mem_0_mem_act_n             : out   std_logic;                                         -- mem_act_n
			emif_ddr4a_mem_0_mem_par               : out   std_logic;                                         -- mem_par
			emif_ddr4a_mem_0_mem_dq                : inout std_logic_vector(31 downto 0)  := (others => 'X'); -- mem_dq
			emif_ddr4a_mem_0_mem_dqs_t             : inout std_logic_vector(3 downto 0)   := (others => 'X'); -- mem_dqs_t
			emif_ddr4a_mem_0_mem_dqs_c             : inout std_logic_vector(3 downto 0)   := (others => 'X'); -- mem_dqs_c
			emif_ddr4a_mem_0_mem_alert_n           : in    std_logic                      := 'X';             -- mem_alert_n
			emif_ddr4a_mem_0_mem_dbi_n             : inout std_logic_vector(3 downto 0)   := (others => 'X'); -- mem_dbi_n
			emif_ddr4a_mem_ck_0_mem_ck_t           : out   std_logic_vector(0 downto 0);                      -- mem_ck_t
			emif_ddr4a_mem_ck_0_mem_ck_c           : out   std_logic_vector(0 downto 0);                      -- mem_ck_c
			emif_ddr4a_mem_reset_n_mem_reset_n     : out   std_logic;                                         -- mem_reset_n
			emif_ddr4a_oct_0_oct_rzqin             : in    std_logic                      := 'X';             -- oct_rzqin
			emif_ddr4a_ref_clk_clk                 : in    std_logic                      := 'X';             -- clk
			emif_ddr4b_s0_axi4_ctrl_ready_reset_n  : out   std_logic;                                         -- reset_n
			emif_ddr4b_s0_axi4_awaddr              : in    std_logic_vector(31 downto 0)  := (others => 'X'); -- awaddr
			emif_ddr4b_s0_axi4_awburst             : in    std_logic_vector(1 downto 0)   := (others => 'X'); -- awburst
			emif_ddr4b_s0_axi4_awid                : in    std_logic_vector(6 downto 0)   := (others => 'X'); -- awid
			emif_ddr4b_s0_axi4_awlen               : in    std_logic_vector(7 downto 0)   := (others => 'X'); -- awlen
			emif_ddr4b_s0_axi4_awlock              : in    std_logic                      := 'X';             -- awlock
			emif_ddr4b_s0_axi4_awqos               : in    std_logic_vector(3 downto 0)   := (others => 'X'); -- awqos
			emif_ddr4b_s0_axi4_awsize              : in    std_logic_vector(2 downto 0)   := (others => 'X'); -- awsize
			emif_ddr4b_s0_axi4_awvalid             : in    std_logic                      := 'X';             -- awvalid
			emif_ddr4b_s0_axi4_awuser              : in    std_logic_vector(13 downto 0)  := (others => 'X'); -- awuser
			emif_ddr4b_s0_axi4_awprot              : in    std_logic_vector(2 downto 0)   := (others => 'X'); -- awprot
			emif_ddr4b_s0_axi4_awready             : out   std_logic;                                         -- awready
			emif_ddr4b_s0_axi4_araddr              : in    std_logic_vector(31 downto 0)  := (others => 'X'); -- araddr
			emif_ddr4b_s0_axi4_arburst             : in    std_logic_vector(1 downto 0)   := (others => 'X'); -- arburst
			emif_ddr4b_s0_axi4_arid                : in    std_logic_vector(6 downto 0)   := (others => 'X'); -- arid
			emif_ddr4b_s0_axi4_arlen               : in    std_logic_vector(7 downto 0)   := (others => 'X'); -- arlen
			emif_ddr4b_s0_axi4_arlock              : in    std_logic                      := 'X';             -- arlock
			emif_ddr4b_s0_axi4_arqos               : in    std_logic_vector(3 downto 0)   := (others => 'X'); -- arqos
			emif_ddr4b_s0_axi4_arsize              : in    std_logic_vector(2 downto 0)   := (others => 'X'); -- arsize
			emif_ddr4b_s0_axi4_arvalid             : in    std_logic                      := 'X';             -- arvalid
			emif_ddr4b_s0_axi4_aruser              : in    std_logic_vector(13 downto 0)  := (others => 'X'); -- aruser
			emif_ddr4b_s0_axi4_arprot              : in    std_logic_vector(2 downto 0)   := (others => 'X'); -- arprot
			emif_ddr4b_s0_axi4_arready             : out   std_logic;                                         -- arready
			emif_ddr4b_s0_axi4_wdata               : in    std_logic_vector(255 downto 0) := (others => 'X'); -- wdata
			emif_ddr4b_s0_axi4_wstrb               : in    std_logic_vector(31 downto 0)  := (others => 'X'); -- wstrb
			emif_ddr4b_s0_axi4_wlast               : in    std_logic                      := 'X';             -- wlast
			emif_ddr4b_s0_axi4_wvalid              : in    std_logic                      := 'X';             -- wvalid
			emif_ddr4b_s0_axi4_wuser               : in    std_logic_vector(31 downto 0)  := (others => 'X'); -- wuser
			emif_ddr4b_s0_axi4_wready              : out   std_logic;                                         -- wready
			emif_ddr4b_s0_axi4_bready              : in    std_logic                      := 'X';             -- bready
			emif_ddr4b_s0_axi4_bid                 : out   std_logic_vector(6 downto 0);                      -- bid
			emif_ddr4b_s0_axi4_bresp               : out   std_logic_vector(1 downto 0);                      -- bresp
			emif_ddr4b_s0_axi4_bvalid              : out   std_logic;                                         -- bvalid
			emif_ddr4b_s0_axi4_rready              : in    std_logic                      := 'X';             -- rready
			emif_ddr4b_s0_axi4_ruser               : out   std_logic_vector(31 downto 0);                     -- ruser
			emif_ddr4b_s0_axi4_rdata               : out   std_logic_vector(255 downto 0);                    -- rdata
			emif_ddr4b_s0_axi4_rid                 : out   std_logic_vector(6 downto 0);                      -- rid
			emif_ddr4b_s0_axi4_rlast               : out   std_logic;                                         -- rlast
			emif_ddr4b_s0_axi4_rresp               : out   std_logic_vector(1 downto 0);                      -- rresp
			emif_ddr4b_s0_axi4_rvalid              : out   std_logic;                                         -- rvalid
			emif_ddr4b_s0_axi4lite_clock_clk       : in    std_logic                      := 'X';             -- clk
			emif_ddr4b_s0_axi4lite_reset_n_reset_n : in    std_logic                      := 'X';             -- reset_n
			emif_ddr4b_s0_axi4lite_awaddr          : in    std_logic_vector(26 downto 0)  := (others => 'X'); -- awaddr
			emif_ddr4b_s0_axi4lite_awprot          : in    std_logic_vector(2 downto 0)   := (others => 'X'); -- awprot
			emif_ddr4b_s0_axi4lite_awvalid         : in    std_logic                      := 'X';             -- awvalid
			emif_ddr4b_s0_axi4lite_awready         : out   std_logic;                                         -- awready
			emif_ddr4b_s0_axi4lite_araddr          : in    std_logic_vector(26 downto 0)  := (others => 'X'); -- araddr
			emif_ddr4b_s0_axi4lite_arprot          : in    std_logic_vector(2 downto 0)   := (others => 'X'); -- arprot
			emif_ddr4b_s0_axi4lite_arvalid         : in    std_logic                      := 'X';             -- arvalid
			emif_ddr4b_s0_axi4lite_arready         : out   std_logic;                                         -- arready
			emif_ddr4b_s0_axi4lite_wdata           : in    std_logic_vector(31 downto 0)  := (others => 'X'); -- wdata
			emif_ddr4b_s0_axi4lite_wstrb           : in    std_logic_vector(3 downto 0)   := (others => 'X'); -- wstrb
			emif_ddr4b_s0_axi4lite_wvalid          : in    std_logic                      := 'X';             -- wvalid
			emif_ddr4b_s0_axi4lite_wready          : out   std_logic;                                         -- wready
			emif_ddr4b_s0_axi4lite_bready          : in    std_logic                      := 'X';             -- bready
			emif_ddr4b_s0_axi4lite_bresp           : out   std_logic_vector(1 downto 0);                      -- bresp
			emif_ddr4b_s0_axi4lite_bvalid          : out   std_logic;                                         -- bvalid
			emif_ddr4b_s0_axi4lite_rready          : in    std_logic                      := 'X';             -- rready
			emif_ddr4b_s0_axi4lite_rdata           : out   std_logic_vector(31 downto 0);                     -- rdata
			emif_ddr4b_s0_axi4lite_rresp           : out   std_logic_vector(1 downto 0);                      -- rresp
			emif_ddr4b_s0_axi4lite_rvalid          : out   std_logic;                                         -- rvalid
			emif_ddr4b_mem_0_mem_cke               : out   std_logic_vector(0 downto 0);                      -- mem_cke
			emif_ddr4b_mem_0_mem_odt               : out   std_logic_vector(0 downto 0);                      -- mem_odt
			emif_ddr4b_mem_0_mem_cs_n              : out   std_logic_vector(0 downto 0);                      -- mem_cs_n
			emif_ddr4b_mem_0_mem_a                 : out   std_logic_vector(16 downto 0);                     -- mem_a
			emif_ddr4b_mem_0_mem_ba                : out   std_logic_vector(1 downto 0);                      -- mem_ba
			emif_ddr4b_mem_0_mem_bg                : out   std_logic_vector(0 downto 0);                      -- mem_bg
			emif_ddr4b_mem_0_mem_act_n             : out   std_logic;                                         -- mem_act_n
			emif_ddr4b_mem_0_mem_par               : out   std_logic;                                         -- mem_par
			emif_ddr4b_mem_0_mem_dq                : inout std_logic_vector(31 downto 0)  := (others => 'X'); -- mem_dq
			emif_ddr4b_mem_0_mem_dqs_t             : inout std_logic_vector(3 downto 0)   := (others => 'X'); -- mem_dqs_t
			emif_ddr4b_mem_0_mem_dqs_c             : inout std_logic_vector(3 downto 0)   := (others => 'X'); -- mem_dqs_c
			emif_ddr4b_mem_0_mem_alert_n           : in    std_logic                      := 'X';             -- mem_alert_n
			emif_ddr4b_mem_0_mem_dbi_n             : inout std_logic_vector(3 downto 0)   := (others => 'X'); -- mem_dbi_n
			emif_ddr4b_mem_ck_0_mem_ck_t           : out   std_logic_vector(0 downto 0);                      -- mem_ck_t
			emif_ddr4b_mem_ck_0_mem_ck_c           : out   std_logic_vector(0 downto 0);                      -- mem_ck_c
			emif_ddr4b_mem_reset_n_mem_reset_n     : out   std_logic;                                         -- mem_reset_n
			emif_ddr4b_oct_0_oct_rzqin             : in    std_logic                      := 'X';             -- oct_rzqin
			emif_ddr4b_ref_clk_clk                 : in    std_logic                      := 'X';             -- clk
			iopll_refclk_clk                       : in    std_logic                      := 'X';             -- clk
			iopll_locked_export                    : out   std_logic;                                         -- export
			iopll_reset_reset                      : in    std_logic                      := 'X';             -- reset
			iopll_outclk_axi4_lite_clk             : out   std_logic;                                         -- clk
			reset_bridge_in_reset_reset_n          : in    std_logic                      := 'X'              -- reset_n
		);
	end component EMIF_Qsys;

	u0 : component EMIF_Qsys
		port map (
			clock_310m_out_clk_clk                 => CONNECTED_TO_clock_310m_out_clk_clk,                 --             clock_310m_out_clk.clk
			emif_ddr4a_s0_axi4_ctrl_ready_reset_n  => CONNECTED_TO_emif_ddr4a_s0_axi4_ctrl_ready_reset_n,  --  emif_ddr4a_s0_axi4_ctrl_ready.reset_n
			emif_ddr4a_s0_axi4_awaddr              => CONNECTED_TO_emif_ddr4a_s0_axi4_awaddr,              --             emif_ddr4a_s0_axi4.awaddr
			emif_ddr4a_s0_axi4_awburst             => CONNECTED_TO_emif_ddr4a_s0_axi4_awburst,             --                               .awburst
			emif_ddr4a_s0_axi4_awid                => CONNECTED_TO_emif_ddr4a_s0_axi4_awid,                --                               .awid
			emif_ddr4a_s0_axi4_awlen               => CONNECTED_TO_emif_ddr4a_s0_axi4_awlen,               --                               .awlen
			emif_ddr4a_s0_axi4_awlock              => CONNECTED_TO_emif_ddr4a_s0_axi4_awlock,              --                               .awlock
			emif_ddr4a_s0_axi4_awqos               => CONNECTED_TO_emif_ddr4a_s0_axi4_awqos,               --                               .awqos
			emif_ddr4a_s0_axi4_awsize              => CONNECTED_TO_emif_ddr4a_s0_axi4_awsize,              --                               .awsize
			emif_ddr4a_s0_axi4_awvalid             => CONNECTED_TO_emif_ddr4a_s0_axi4_awvalid,             --                               .awvalid
			emif_ddr4a_s0_axi4_awuser              => CONNECTED_TO_emif_ddr4a_s0_axi4_awuser,              --                               .awuser
			emif_ddr4a_s0_axi4_awprot              => CONNECTED_TO_emif_ddr4a_s0_axi4_awprot,              --                               .awprot
			emif_ddr4a_s0_axi4_awready             => CONNECTED_TO_emif_ddr4a_s0_axi4_awready,             --                               .awready
			emif_ddr4a_s0_axi4_araddr              => CONNECTED_TO_emif_ddr4a_s0_axi4_araddr,              --                               .araddr
			emif_ddr4a_s0_axi4_arburst             => CONNECTED_TO_emif_ddr4a_s0_axi4_arburst,             --                               .arburst
			emif_ddr4a_s0_axi4_arid                => CONNECTED_TO_emif_ddr4a_s0_axi4_arid,                --                               .arid
			emif_ddr4a_s0_axi4_arlen               => CONNECTED_TO_emif_ddr4a_s0_axi4_arlen,               --                               .arlen
			emif_ddr4a_s0_axi4_arlock              => CONNECTED_TO_emif_ddr4a_s0_axi4_arlock,              --                               .arlock
			emif_ddr4a_s0_axi4_arqos               => CONNECTED_TO_emif_ddr4a_s0_axi4_arqos,               --                               .arqos
			emif_ddr4a_s0_axi4_arsize              => CONNECTED_TO_emif_ddr4a_s0_axi4_arsize,              --                               .arsize
			emif_ddr4a_s0_axi4_arvalid             => CONNECTED_TO_emif_ddr4a_s0_axi4_arvalid,             --                               .arvalid
			emif_ddr4a_s0_axi4_aruser              => CONNECTED_TO_emif_ddr4a_s0_axi4_aruser,              --                               .aruser
			emif_ddr4a_s0_axi4_arprot              => CONNECTED_TO_emif_ddr4a_s0_axi4_arprot,              --                               .arprot
			emif_ddr4a_s0_axi4_arready             => CONNECTED_TO_emif_ddr4a_s0_axi4_arready,             --                               .arready
			emif_ddr4a_s0_axi4_wdata               => CONNECTED_TO_emif_ddr4a_s0_axi4_wdata,               --                               .wdata
			emif_ddr4a_s0_axi4_wstrb               => CONNECTED_TO_emif_ddr4a_s0_axi4_wstrb,               --                               .wstrb
			emif_ddr4a_s0_axi4_wlast               => CONNECTED_TO_emif_ddr4a_s0_axi4_wlast,               --                               .wlast
			emif_ddr4a_s0_axi4_wvalid              => CONNECTED_TO_emif_ddr4a_s0_axi4_wvalid,              --                               .wvalid
			emif_ddr4a_s0_axi4_wuser               => CONNECTED_TO_emif_ddr4a_s0_axi4_wuser,               --                               .wuser
			emif_ddr4a_s0_axi4_wready              => CONNECTED_TO_emif_ddr4a_s0_axi4_wready,              --                               .wready
			emif_ddr4a_s0_axi4_bready              => CONNECTED_TO_emif_ddr4a_s0_axi4_bready,              --                               .bready
			emif_ddr4a_s0_axi4_bid                 => CONNECTED_TO_emif_ddr4a_s0_axi4_bid,                 --                               .bid
			emif_ddr4a_s0_axi4_bresp               => CONNECTED_TO_emif_ddr4a_s0_axi4_bresp,               --                               .bresp
			emif_ddr4a_s0_axi4_bvalid              => CONNECTED_TO_emif_ddr4a_s0_axi4_bvalid,              --                               .bvalid
			emif_ddr4a_s0_axi4_rready              => CONNECTED_TO_emif_ddr4a_s0_axi4_rready,              --                               .rready
			emif_ddr4a_s0_axi4_ruser               => CONNECTED_TO_emif_ddr4a_s0_axi4_ruser,               --                               .ruser
			emif_ddr4a_s0_axi4_rdata               => CONNECTED_TO_emif_ddr4a_s0_axi4_rdata,               --                               .rdata
			emif_ddr4a_s0_axi4_rid                 => CONNECTED_TO_emif_ddr4a_s0_axi4_rid,                 --                               .rid
			emif_ddr4a_s0_axi4_rlast               => CONNECTED_TO_emif_ddr4a_s0_axi4_rlast,               --                               .rlast
			emif_ddr4a_s0_axi4_rresp               => CONNECTED_TO_emif_ddr4a_s0_axi4_rresp,               --                               .rresp
			emif_ddr4a_s0_axi4_rvalid              => CONNECTED_TO_emif_ddr4a_s0_axi4_rvalid,              --                               .rvalid
			emif_ddr4a_s0_axi4lite_clock_clk       => CONNECTED_TO_emif_ddr4a_s0_axi4lite_clock_clk,       --   emif_ddr4a_s0_axi4lite_clock.clk
			emif_ddr4a_s0_axi4lite_reset_n_reset_n => CONNECTED_TO_emif_ddr4a_s0_axi4lite_reset_n_reset_n, -- emif_ddr4a_s0_axi4lite_reset_n.reset_n
			emif_ddr4a_s0_axi4lite_awaddr          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_awaddr,          --         emif_ddr4a_s0_axi4lite.awaddr
			emif_ddr4a_s0_axi4lite_awprot          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_awprot,          --                               .awprot
			emif_ddr4a_s0_axi4lite_awvalid         => CONNECTED_TO_emif_ddr4a_s0_axi4lite_awvalid,         --                               .awvalid
			emif_ddr4a_s0_axi4lite_awready         => CONNECTED_TO_emif_ddr4a_s0_axi4lite_awready,         --                               .awready
			emif_ddr4a_s0_axi4lite_araddr          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_araddr,          --                               .araddr
			emif_ddr4a_s0_axi4lite_arprot          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_arprot,          --                               .arprot
			emif_ddr4a_s0_axi4lite_arvalid         => CONNECTED_TO_emif_ddr4a_s0_axi4lite_arvalid,         --                               .arvalid
			emif_ddr4a_s0_axi4lite_arready         => CONNECTED_TO_emif_ddr4a_s0_axi4lite_arready,         --                               .arready
			emif_ddr4a_s0_axi4lite_wdata           => CONNECTED_TO_emif_ddr4a_s0_axi4lite_wdata,           --                               .wdata
			emif_ddr4a_s0_axi4lite_wstrb           => CONNECTED_TO_emif_ddr4a_s0_axi4lite_wstrb,           --                               .wstrb
			emif_ddr4a_s0_axi4lite_wvalid          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_wvalid,          --                               .wvalid
			emif_ddr4a_s0_axi4lite_wready          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_wready,          --                               .wready
			emif_ddr4a_s0_axi4lite_bready          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_bready,          --                               .bready
			emif_ddr4a_s0_axi4lite_bresp           => CONNECTED_TO_emif_ddr4a_s0_axi4lite_bresp,           --                               .bresp
			emif_ddr4a_s0_axi4lite_bvalid          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_bvalid,          --                               .bvalid
			emif_ddr4a_s0_axi4lite_rready          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_rready,          --                               .rready
			emif_ddr4a_s0_axi4lite_rdata           => CONNECTED_TO_emif_ddr4a_s0_axi4lite_rdata,           --                               .rdata
			emif_ddr4a_s0_axi4lite_rresp           => CONNECTED_TO_emif_ddr4a_s0_axi4lite_rresp,           --                               .rresp
			emif_ddr4a_s0_axi4lite_rvalid          => CONNECTED_TO_emif_ddr4a_s0_axi4lite_rvalid,          --                               .rvalid
			emif_ddr4a_mem_0_mem_cke               => CONNECTED_TO_emif_ddr4a_mem_0_mem_cke,               --               emif_ddr4a_mem_0.mem_cke
			emif_ddr4a_mem_0_mem_odt               => CONNECTED_TO_emif_ddr4a_mem_0_mem_odt,               --                               .mem_odt
			emif_ddr4a_mem_0_mem_cs_n              => CONNECTED_TO_emif_ddr4a_mem_0_mem_cs_n,              --                               .mem_cs_n
			emif_ddr4a_mem_0_mem_a                 => CONNECTED_TO_emif_ddr4a_mem_0_mem_a,                 --                               .mem_a
			emif_ddr4a_mem_0_mem_ba                => CONNECTED_TO_emif_ddr4a_mem_0_mem_ba,                --                               .mem_ba
			emif_ddr4a_mem_0_mem_bg                => CONNECTED_TO_emif_ddr4a_mem_0_mem_bg,                --                               .mem_bg
			emif_ddr4a_mem_0_mem_act_n             => CONNECTED_TO_emif_ddr4a_mem_0_mem_act_n,             --                               .mem_act_n
			emif_ddr4a_mem_0_mem_par               => CONNECTED_TO_emif_ddr4a_mem_0_mem_par,               --                               .mem_par
			emif_ddr4a_mem_0_mem_dq                => CONNECTED_TO_emif_ddr4a_mem_0_mem_dq,                --                               .mem_dq
			emif_ddr4a_mem_0_mem_dqs_t             => CONNECTED_TO_emif_ddr4a_mem_0_mem_dqs_t,             --                               .mem_dqs_t
			emif_ddr4a_mem_0_mem_dqs_c             => CONNECTED_TO_emif_ddr4a_mem_0_mem_dqs_c,             --                               .mem_dqs_c
			emif_ddr4a_mem_0_mem_alert_n           => CONNECTED_TO_emif_ddr4a_mem_0_mem_alert_n,           --                               .mem_alert_n
			emif_ddr4a_mem_0_mem_dbi_n             => CONNECTED_TO_emif_ddr4a_mem_0_mem_dbi_n,             --                               .mem_dbi_n
			emif_ddr4a_mem_ck_0_mem_ck_t           => CONNECTED_TO_emif_ddr4a_mem_ck_0_mem_ck_t,           --            emif_ddr4a_mem_ck_0.mem_ck_t
			emif_ddr4a_mem_ck_0_mem_ck_c           => CONNECTED_TO_emif_ddr4a_mem_ck_0_mem_ck_c,           --                               .mem_ck_c
			emif_ddr4a_mem_reset_n_mem_reset_n     => CONNECTED_TO_emif_ddr4a_mem_reset_n_mem_reset_n,     --         emif_ddr4a_mem_reset_n.mem_reset_n
			emif_ddr4a_oct_0_oct_rzqin             => CONNECTED_TO_emif_ddr4a_oct_0_oct_rzqin,             --               emif_ddr4a_oct_0.oct_rzqin
			emif_ddr4a_ref_clk_clk                 => CONNECTED_TO_emif_ddr4a_ref_clk_clk,                 --             emif_ddr4a_ref_clk.clk
			emif_ddr4b_s0_axi4_ctrl_ready_reset_n  => CONNECTED_TO_emif_ddr4b_s0_axi4_ctrl_ready_reset_n,  --  emif_ddr4b_s0_axi4_ctrl_ready.reset_n
			emif_ddr4b_s0_axi4_awaddr              => CONNECTED_TO_emif_ddr4b_s0_axi4_awaddr,              --             emif_ddr4b_s0_axi4.awaddr
			emif_ddr4b_s0_axi4_awburst             => CONNECTED_TO_emif_ddr4b_s0_axi4_awburst,             --                               .awburst
			emif_ddr4b_s0_axi4_awid                => CONNECTED_TO_emif_ddr4b_s0_axi4_awid,                --                               .awid
			emif_ddr4b_s0_axi4_awlen               => CONNECTED_TO_emif_ddr4b_s0_axi4_awlen,               --                               .awlen
			emif_ddr4b_s0_axi4_awlock              => CONNECTED_TO_emif_ddr4b_s0_axi4_awlock,              --                               .awlock
			emif_ddr4b_s0_axi4_awqos               => CONNECTED_TO_emif_ddr4b_s0_axi4_awqos,               --                               .awqos
			emif_ddr4b_s0_axi4_awsize              => CONNECTED_TO_emif_ddr4b_s0_axi4_awsize,              --                               .awsize
			emif_ddr4b_s0_axi4_awvalid             => CONNECTED_TO_emif_ddr4b_s0_axi4_awvalid,             --                               .awvalid
			emif_ddr4b_s0_axi4_awuser              => CONNECTED_TO_emif_ddr4b_s0_axi4_awuser,              --                               .awuser
			emif_ddr4b_s0_axi4_awprot              => CONNECTED_TO_emif_ddr4b_s0_axi4_awprot,              --                               .awprot
			emif_ddr4b_s0_axi4_awready             => CONNECTED_TO_emif_ddr4b_s0_axi4_awready,             --                               .awready
			emif_ddr4b_s0_axi4_araddr              => CONNECTED_TO_emif_ddr4b_s0_axi4_araddr,              --                               .araddr
			emif_ddr4b_s0_axi4_arburst             => CONNECTED_TO_emif_ddr4b_s0_axi4_arburst,             --                               .arburst
			emif_ddr4b_s0_axi4_arid                => CONNECTED_TO_emif_ddr4b_s0_axi4_arid,                --                               .arid
			emif_ddr4b_s0_axi4_arlen               => CONNECTED_TO_emif_ddr4b_s0_axi4_arlen,               --                               .arlen
			emif_ddr4b_s0_axi4_arlock              => CONNECTED_TO_emif_ddr4b_s0_axi4_arlock,              --                               .arlock
			emif_ddr4b_s0_axi4_arqos               => CONNECTED_TO_emif_ddr4b_s0_axi4_arqos,               --                               .arqos
			emif_ddr4b_s0_axi4_arsize              => CONNECTED_TO_emif_ddr4b_s0_axi4_arsize,              --                               .arsize
			emif_ddr4b_s0_axi4_arvalid             => CONNECTED_TO_emif_ddr4b_s0_axi4_arvalid,             --                               .arvalid
			emif_ddr4b_s0_axi4_aruser              => CONNECTED_TO_emif_ddr4b_s0_axi4_aruser,              --                               .aruser
			emif_ddr4b_s0_axi4_arprot              => CONNECTED_TO_emif_ddr4b_s0_axi4_arprot,              --                               .arprot
			emif_ddr4b_s0_axi4_arready             => CONNECTED_TO_emif_ddr4b_s0_axi4_arready,             --                               .arready
			emif_ddr4b_s0_axi4_wdata               => CONNECTED_TO_emif_ddr4b_s0_axi4_wdata,               --                               .wdata
			emif_ddr4b_s0_axi4_wstrb               => CONNECTED_TO_emif_ddr4b_s0_axi4_wstrb,               --                               .wstrb
			emif_ddr4b_s0_axi4_wlast               => CONNECTED_TO_emif_ddr4b_s0_axi4_wlast,               --                               .wlast
			emif_ddr4b_s0_axi4_wvalid              => CONNECTED_TO_emif_ddr4b_s0_axi4_wvalid,              --                               .wvalid
			emif_ddr4b_s0_axi4_wuser               => CONNECTED_TO_emif_ddr4b_s0_axi4_wuser,               --                               .wuser
			emif_ddr4b_s0_axi4_wready              => CONNECTED_TO_emif_ddr4b_s0_axi4_wready,              --                               .wready
			emif_ddr4b_s0_axi4_bready              => CONNECTED_TO_emif_ddr4b_s0_axi4_bready,              --                               .bready
			emif_ddr4b_s0_axi4_bid                 => CONNECTED_TO_emif_ddr4b_s0_axi4_bid,                 --                               .bid
			emif_ddr4b_s0_axi4_bresp               => CONNECTED_TO_emif_ddr4b_s0_axi4_bresp,               --                               .bresp
			emif_ddr4b_s0_axi4_bvalid              => CONNECTED_TO_emif_ddr4b_s0_axi4_bvalid,              --                               .bvalid
			emif_ddr4b_s0_axi4_rready              => CONNECTED_TO_emif_ddr4b_s0_axi4_rready,              --                               .rready
			emif_ddr4b_s0_axi4_ruser               => CONNECTED_TO_emif_ddr4b_s0_axi4_ruser,               --                               .ruser
			emif_ddr4b_s0_axi4_rdata               => CONNECTED_TO_emif_ddr4b_s0_axi4_rdata,               --                               .rdata
			emif_ddr4b_s0_axi4_rid                 => CONNECTED_TO_emif_ddr4b_s0_axi4_rid,                 --                               .rid
			emif_ddr4b_s0_axi4_rlast               => CONNECTED_TO_emif_ddr4b_s0_axi4_rlast,               --                               .rlast
			emif_ddr4b_s0_axi4_rresp               => CONNECTED_TO_emif_ddr4b_s0_axi4_rresp,               --                               .rresp
			emif_ddr4b_s0_axi4_rvalid              => CONNECTED_TO_emif_ddr4b_s0_axi4_rvalid,              --                               .rvalid
			emif_ddr4b_s0_axi4lite_clock_clk       => CONNECTED_TO_emif_ddr4b_s0_axi4lite_clock_clk,       --   emif_ddr4b_s0_axi4lite_clock.clk
			emif_ddr4b_s0_axi4lite_reset_n_reset_n => CONNECTED_TO_emif_ddr4b_s0_axi4lite_reset_n_reset_n, -- emif_ddr4b_s0_axi4lite_reset_n.reset_n
			emif_ddr4b_s0_axi4lite_awaddr          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_awaddr,          --         emif_ddr4b_s0_axi4lite.awaddr
			emif_ddr4b_s0_axi4lite_awprot          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_awprot,          --                               .awprot
			emif_ddr4b_s0_axi4lite_awvalid         => CONNECTED_TO_emif_ddr4b_s0_axi4lite_awvalid,         --                               .awvalid
			emif_ddr4b_s0_axi4lite_awready         => CONNECTED_TO_emif_ddr4b_s0_axi4lite_awready,         --                               .awready
			emif_ddr4b_s0_axi4lite_araddr          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_araddr,          --                               .araddr
			emif_ddr4b_s0_axi4lite_arprot          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_arprot,          --                               .arprot
			emif_ddr4b_s0_axi4lite_arvalid         => CONNECTED_TO_emif_ddr4b_s0_axi4lite_arvalid,         --                               .arvalid
			emif_ddr4b_s0_axi4lite_arready         => CONNECTED_TO_emif_ddr4b_s0_axi4lite_arready,         --                               .arready
			emif_ddr4b_s0_axi4lite_wdata           => CONNECTED_TO_emif_ddr4b_s0_axi4lite_wdata,           --                               .wdata
			emif_ddr4b_s0_axi4lite_wstrb           => CONNECTED_TO_emif_ddr4b_s0_axi4lite_wstrb,           --                               .wstrb
			emif_ddr4b_s0_axi4lite_wvalid          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_wvalid,          --                               .wvalid
			emif_ddr4b_s0_axi4lite_wready          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_wready,          --                               .wready
			emif_ddr4b_s0_axi4lite_bready          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_bready,          --                               .bready
			emif_ddr4b_s0_axi4lite_bresp           => CONNECTED_TO_emif_ddr4b_s0_axi4lite_bresp,           --                               .bresp
			emif_ddr4b_s0_axi4lite_bvalid          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_bvalid,          --                               .bvalid
			emif_ddr4b_s0_axi4lite_rready          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_rready,          --                               .rready
			emif_ddr4b_s0_axi4lite_rdata           => CONNECTED_TO_emif_ddr4b_s0_axi4lite_rdata,           --                               .rdata
			emif_ddr4b_s0_axi4lite_rresp           => CONNECTED_TO_emif_ddr4b_s0_axi4lite_rresp,           --                               .rresp
			emif_ddr4b_s0_axi4lite_rvalid          => CONNECTED_TO_emif_ddr4b_s0_axi4lite_rvalid,          --                               .rvalid
			emif_ddr4b_mem_0_mem_cke               => CONNECTED_TO_emif_ddr4b_mem_0_mem_cke,               --               emif_ddr4b_mem_0.mem_cke
			emif_ddr4b_mem_0_mem_odt               => CONNECTED_TO_emif_ddr4b_mem_0_mem_odt,               --                               .mem_odt
			emif_ddr4b_mem_0_mem_cs_n              => CONNECTED_TO_emif_ddr4b_mem_0_mem_cs_n,              --                               .mem_cs_n
			emif_ddr4b_mem_0_mem_a                 => CONNECTED_TO_emif_ddr4b_mem_0_mem_a,                 --                               .mem_a
			emif_ddr4b_mem_0_mem_ba                => CONNECTED_TO_emif_ddr4b_mem_0_mem_ba,                --                               .mem_ba
			emif_ddr4b_mem_0_mem_bg                => CONNECTED_TO_emif_ddr4b_mem_0_mem_bg,                --                               .mem_bg
			emif_ddr4b_mem_0_mem_act_n             => CONNECTED_TO_emif_ddr4b_mem_0_mem_act_n,             --                               .mem_act_n
			emif_ddr4b_mem_0_mem_par               => CONNECTED_TO_emif_ddr4b_mem_0_mem_par,               --                               .mem_par
			emif_ddr4b_mem_0_mem_dq                => CONNECTED_TO_emif_ddr4b_mem_0_mem_dq,                --                               .mem_dq
			emif_ddr4b_mem_0_mem_dqs_t             => CONNECTED_TO_emif_ddr4b_mem_0_mem_dqs_t,             --                               .mem_dqs_t
			emif_ddr4b_mem_0_mem_dqs_c             => CONNECTED_TO_emif_ddr4b_mem_0_mem_dqs_c,             --                               .mem_dqs_c
			emif_ddr4b_mem_0_mem_alert_n           => CONNECTED_TO_emif_ddr4b_mem_0_mem_alert_n,           --                               .mem_alert_n
			emif_ddr4b_mem_0_mem_dbi_n             => CONNECTED_TO_emif_ddr4b_mem_0_mem_dbi_n,             --                               .mem_dbi_n
			emif_ddr4b_mem_ck_0_mem_ck_t           => CONNECTED_TO_emif_ddr4b_mem_ck_0_mem_ck_t,           --            emif_ddr4b_mem_ck_0.mem_ck_t
			emif_ddr4b_mem_ck_0_mem_ck_c           => CONNECTED_TO_emif_ddr4b_mem_ck_0_mem_ck_c,           --                               .mem_ck_c
			emif_ddr4b_mem_reset_n_mem_reset_n     => CONNECTED_TO_emif_ddr4b_mem_reset_n_mem_reset_n,     --         emif_ddr4b_mem_reset_n.mem_reset_n
			emif_ddr4b_oct_0_oct_rzqin             => CONNECTED_TO_emif_ddr4b_oct_0_oct_rzqin,             --               emif_ddr4b_oct_0.oct_rzqin
			emif_ddr4b_ref_clk_clk                 => CONNECTED_TO_emif_ddr4b_ref_clk_clk,                 --             emif_ddr4b_ref_clk.clk
			iopll_refclk_clk                       => CONNECTED_TO_iopll_refclk_clk,                       --                   iopll_refclk.clk
			iopll_locked_export                    => CONNECTED_TO_iopll_locked_export,                    --                   iopll_locked.export
			iopll_reset_reset                      => CONNECTED_TO_iopll_reset_reset,                      --                    iopll_reset.reset
			iopll_outclk_axi4_lite_clk             => CONNECTED_TO_iopll_outclk_axi4_lite_clk,             --         iopll_outclk_axi4_lite.clk
			reset_bridge_in_reset_reset_n          => CONNECTED_TO_reset_bridge_in_reset_reset_n           --          reset_bridge_in_reset.reset_n
		);

