// xcvr_fmcp_x4_intel_directphy_gts_1_intel_directphy_gts_n_channel_superset_500_fzra3eq.v

// Generated using ACDS version 24.2 40

`timescale 1 ps / 1 ps
module xcvr_fmcp_x4_intel_directphy_gts_1_intel_directphy_gts_n_channel_superset_500_fzra3eq #(
		parameter num_of_lanes = 4
	) (
		input  wire                          i_refclk_tx_p,                          //                          i_refclk_tx_p.clk
		input  wire                          i_syspll_c0_clk,                        //                        i_syspll_c0_clk.clk
		input  wire                          i_syspll_c1_clk,                        //                        i_syspll_c1_clk.clk
		input  wire                          i_syspll_c2_clk,                        //                        i_syspll_c2_clk.clk
		input  wire                          i_flux_clk_0,                           //                           i_flux_clk_0.clk
		input  wire                          i_flux_clk_1,                           //                           i_flux_clk_1.clk
		input  wire                          i_refclk_rx_p,                          //                          i_refclk_rx_p.clk
		input  wire [(num_of_lanes*80)-1:0]  i_hio_txdata,                           //                           i_hio_txdata.data,         Stats Snapshot
		input  wire [(num_of_lanes*10)-1:0]  i_hio_txdata_extra,                     //                     i_hio_txdata_extra.data,         RX PFC
		input  wire [(num_of_lanes*1)-1:0]   i_hio_txdata_fifo_wr_en,                //                i_hio_txdata_fifo_wr_en.data,         CSR access address
		input  wire [(num_of_lanes*1)-1:0]   i_hio_rxdata_fifo_rd_en,                //                i_hio_rxdata_fifo_rd_en.data,         RX error bits asserted on the EOP cycle
		input  wire [(num_of_lanes*80)-1:0]  i_hio_uxquad_async_rx,                  //                  i_hio_uxquad_async_rx.data
		input  wire [(num_of_lanes*80)-1:0]  i_hio_uxquad_async_tx,                  //                  i_hio_uxquad_async_tx.data
		input  wire [(num_of_lanes*80)-1:0]  i_hio_uxquad_async_pcie_mux_rx,         //         i_hio_uxquad_async_pcie_mux_rx.data
		input  wire [(num_of_lanes*80)-1:0]  i_hio_uxquad_async_pcie_mux_tx,         //         i_hio_uxquad_async_pcie_mux_tx.data
		input  wire [(num_of_lanes*1)-1:0]   rx_serial_n,                            //                            rx_serial_n.data
		input  wire [(num_of_lanes*1)-1:0]   rx_serial_p,                            //                            rx_serial_p.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_txdata_fifo_wr_empty,             //             o_hio_txdata_fifo_wr_empty.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_txdata_fifo_wr_pempty,            //            o_hio_txdata_fifo_wr_pempty.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_txdata_fifo_wr_full,              //              o_hio_txdata_fifo_wr_full.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_txdata_fifo_wr_pfull,             //             o_hio_txdata_fifo_wr_pfull.data
		output wire [(num_of_lanes*80)-1:0]  o_hio_rxdata,                           //                           o_hio_rxdata.data
		output wire [(num_of_lanes*10)-1:0]  o_hio_rxdata_extra,                     //                     o_hio_rxdata_extra.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_rxdata_fifo_rd_empty,             //             o_hio_rxdata_fifo_rd_empty.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_rxdata_fifo_rd_pempty,            //            o_hio_rxdata_fifo_rd_pempty.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_rxdata_fifo_rd_full,              //              o_hio_rxdata_fifo_rd_full.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_rxdata_fifo_rd_pfull,             //             o_hio_rxdata_fifo_rd_pfull.data
		output wire [(num_of_lanes*50)-1:0]  o_hio_uxquad_async_rx,                  //                  o_hio_uxquad_async_rx.data
		output wire [(num_of_lanes*50)-1:0]  o_hio_uxquad_async_tx,                  //                  o_hio_uxquad_async_tx.data
		output wire [(num_of_lanes*1)-1:0]   tx_serial_p,                            //                            tx_serial_p.data
		output wire [(num_of_lanes*1)-1:0]   tx_serial_n,                            //                            tx_serial_n.data
		input  wire [(num_of_lanes*100)-1:0] i_hio_txdata_async_rx,                  //                  i_hio_txdata_async_rx.data
		input  wire [(num_of_lanes*100)-1:0] i_hio_txdata_async_tx,                  //                  i_hio_txdata_async_tx.data
		input  wire [(num_of_lanes*10)-1:0]  i_hio_txdata_direct,                    //                    i_hio_txdata_direct.data
		output wire [(num_of_lanes*100)-1:0] o_hio_rxdata_async_rx,                  //                  o_hio_rxdata_async_rx.data
		output wire [(num_of_lanes*100)-1:0] o_hio_rxdata_async_tx,                  //                  o_hio_rxdata_async_tx.data
		output wire [(num_of_lanes*10)-1:0]  o_hio_rxdata_direct,                    //                    o_hio_rxdata_direct.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_rst_ux_all_synthlockstatus,       //       o_hio_rst_ux_all_synthlockstatus.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_rst_ux_octl_pcs_rxstatus,         //         o_hio_rst_ux_octl_pcs_rxstatus.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_rst_ux_octl_pcs_txstatus,         //         o_hio_rst_ux_octl_pcs_txstatus.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_rst_ux_rxcdrlock2data,            //            o_hio_rst_ux_rxcdrlock2data.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_rst_ux_rxcdrlockstatus,           //           o_hio_rst_ux_rxcdrlockstatus.data
		output wire [(num_of_lanes*1)-1:0]   o_hio_rstfec_fec_rx_rdy_n,              //              o_hio_rstfec_fec_rx_rdy_n.data
		input  wire [(num_of_lanes*1)-1:0]   i_hio_ehip_signal_ok,                   //                   i_hio_ehip_signal_ok.data
		output wire [(num_of_lanes*1)-1:0]   o_cdrdiv_clk,                           //                           o_cdrdiv_clk.data
		output wire [(num_of_lanes*2)-1:0]   o_tx_lane_current_state,                //                o_tx_lane_current_state.data,         SRC Lane Interface
		output wire [(num_of_lanes*1)-1:0]   o_tx_alarm,                             //                             o_tx_alarm.data,         SRC Lane Interface
		output wire [(num_of_lanes*2)-1:0]   o_rx_lane_current_state,                //                o_rx_lane_current_state.data,         SRC Lane Interface
		output wire [(num_of_lanes*1)-1:0]   o_rx_alarm,                             //                             o_rx_alarm.data,         SRC Lane Interface
		output wire [(num_of_lanes*1)-1:0]   o_sip_freeze_tx_acknowledge,            //            o_sip_freeze_tx_acknowledge.data,         SRC Lane Interface
		output wire [(num_of_lanes*1)-1:0]   o_sip_freeze_rx_acknowledge,            //            o_sip_freeze_rx_acknowledge.data,         SRC Lane Interface
		output wire [(num_of_lanes*1)-1:0]   o_sip_am_gen_start,                     //                     o_sip_am_gen_start.data,         SRC Lane Interface
		input  wire [(num_of_lanes*1)-1:0]   i_tx_lane_desired_state,                //                i_tx_lane_desired_state.data,         SRC Lane Interface
		input  wire [(num_of_lanes*1)-1:0]   i_rx_lane_desired_state,                //                i_rx_lane_desired_state.data,         SRC Lane Interface
		input  wire [(num_of_lanes*1)-1:0]   i_tx_clear_alarm,                       //                       i_tx_clear_alarm.data,         SRC Lane Interface
		input  wire [(num_of_lanes*1)-1:0]   i_rx_clear_alarm,                       //                       i_rx_clear_alarm.data,         SRC Lane Interface
		input  wire [(num_of_lanes*1)-1:0]   i_sip_rx_ignore_lock2data,              //              i_sip_rx_ignore_lock2data.data,         SRC Lane Interface
		input  wire [(num_of_lanes*1)-1:0]   i_sip_freeze_tx_SRC_sequence,           //           i_sip_freeze_tx_SRC_sequence.data,         SRC Lane Interface
		input  wire [(num_of_lanes*1)-1:0]   i_sip_freeze_rx_SRC_sequence,           //           i_sip_freeze_rx_SRC_sequence.data,         SRC Lane Interface
		input  wire [(num_of_lanes*1)-1:0]   i_sip_am_gen_2x_ack,                    //                    i_sip_am_gen_2x_ack.data,         SRC Lane Interface
		input  wire [(num_of_lanes*1)-1:0]   i_sip_eth_unidir_en,                    //                    i_sip_eth_unidir_en.data,         SRC Lane Interface
		output wire [(num_of_lanes*1)-1:0]   o_sss_req,                              //                              o_sss_req.data,         SRC Shoreline Sequencer Interface
		input  wire [(num_of_lanes*1)-1:0]   i_sss_grant,                            //                            i_sss_grant.data,         SRC Shoreline Sequencer Interface
		input  wire                          i_spll_lock,                            //                            o_spll_lock.data,         SRC Lane Interface SPLL Lock
		input  wire [(num_of_lanes*1)-1:0]   pause_request,                          //                          pause_request.data,         SRC Lane Interface
		output wire [(num_of_lanes*1)-1:0]   pause_grant,                            //                            pause_grant.data,         SRC Lane Interface
		output wire [(num_of_lanes*1)-1:0]   o_hio_ux_tx_ch_ptr_smpl,                //                o_hio_ux_tx_ch_ptr_smpl.data,         SRC Lane Interface
		output wire [(num_of_lanes*1)-1:0]   o_hio_rst_flux0_cpi_cmn_busy,           //           o_hio_rst_flux0_cpi_cmn_busy.data,         SRC Lane Interface
		output wire [(num_of_lanes*1)-1:0]   o_hio_rst_oflux_rx_srds_rdy,            //            o_hio_rst_oflux_rx_srds_rdy.data,         SRC Lane Interface
		output wire [(num_of_lanes*1)-1:0]   iflux_ingress_direct_231,               //               iflux_ingress_direct_231.data,         SRC Lane Interface
		input  wire                          i_hio_ch0_lavmm_clk,                    //                    i_hio_ch0_lavmm_clk.clk
		input  wire                          i_hio_ch0_lavmm_rstn,                   //                   i_hio_ch0_lavmm_rstn.reset
		input  wire [20:0]                   i_hio_ch0_lavmm_addr,                   //                          hio_ch0_lavmm.address
		input  wire [3:0]                    i_hio_ch0_lavmm_be,                     //                                       .byteenable
		output wire                          o_hio_ch0_lavmm_rdata_valid,            //                                       .readdatavalid
		input  wire                          i_hio_ch0_lavmm_read,                   //                                       .read
		input  wire                          i_hio_ch0_lavmm_write,                  //                                       .write
		output wire [31:0]                   o_hio_ch0_lavmm_rdata,                  //                                       .readdata
		input  wire [31:0]                   i_hio_ch0_lavmm_wdata,                  //                                       .writedata
		output wire                          o_hio_ch0_lavmm_waitreq,                //                                       .waitrequest
		input  wire                          i_hio_ch0_pld_rx_clk_in_row_clk,        //        i_hio_ch0_pld_rx_clk_in_row_clk.clk
		input  wire                          i_hio_ch0_pld_tx_clk_in_row_clk,        //        i_hio_ch0_pld_tx_clk_in_row_clk.clk
		input  wire                          i_hio_ch0_det_lat_rx_dl_clk,            //            i_hio_ch0_det_lat_rx_dl_clk.clk
		input  wire                          i_hio_ch0_det_lat_rx_mux_select,        //        i_hio_ch0_det_lat_rx_mux_select.clk
		input  wire                          i_hio_ch0_det_lat_rx_sclk_flop,         //         i_hio_ch0_det_lat_rx_sclk_flop.clk
		input  wire                          i_hio_ch0_det_lat_rx_sclk_gen_clk,      //      i_hio_ch0_det_lat_rx_sclk_gen_clk.clk
		input  wire                          i_hio_ch0_det_lat_rx_trig_flop,         //         i_hio_ch0_det_lat_rx_trig_flop.clk
		input  wire                          i_hio_ch0_det_lat_sampling_clk,         //         i_hio_ch0_det_lat_sampling_clk.clk
		input  wire                          i_hio_ch0_det_lat_tx_dl_clk,            //            i_hio_ch0_det_lat_tx_dl_clk.clk
		input  wire                          i_hio_ch0_det_lat_tx_mux_select,        //        i_hio_ch0_det_lat_tx_mux_select.clk
		input  wire                          i_hio_ch0_det_lat_tx_sclk_flop,         //         i_hio_ch0_det_lat_tx_sclk_flop.clk
		input  wire                          i_hio_ch0_det_lat_tx_sclk_gen_clk,      //      i_hio_ch0_det_lat_tx_sclk_gen_clk.clk
		input  wire                          i_hio_ch0_det_lat_tx_trig_flop,         //         i_hio_ch0_det_lat_tx_trig_flop.clk
		output wire                          o_hio_ch0_user_rx_clk1_clk,             //             o_hio_ch0_user_rx_clk1_clk.clk
		output wire                          o_hio_ch0_user_rx_clk2_clk,             //             o_hio_ch0_user_rx_clk2_clk.clk
		output wire                          o_hio_ch0_user_tx_clk1_clk,             //             o_hio_ch0_user_tx_clk1_clk.clk
		output wire                          o_hio_ch0_user_tx_clk2_clk,             //             o_hio_ch0_user_tx_clk2_clk.clk
		output wire                          o_hio_ch0_ux_chnl_refclk_mux,           //           o_hio_ch0_ux_chnl_refclk_mux.clk
		output wire                          o_hio_ch0_det_lat_rx_async_dl_sync,     //     o_hio_ch0_det_lat_rx_async_dl_sync.clk
		output wire                          o_hio_ch0_det_lat_rx_async_pulse,       //       o_hio_ch0_det_lat_rx_async_pulse.clk
		output wire                          o_hio_ch0_det_lat_rx_async_sample_sync, // o_hio_ch0_det_lat_rx_async_sample_sync.clk
		output wire                          o_hio_ch0_det_lat_rx_sclk_sample_sync,  //  o_hio_ch0_det_lat_rx_sclk_sample_sync.clk
		output wire                          o_hio_ch0_det_lat_rx_trig_sample_sync,  //  o_hio_ch0_det_lat_rx_trig_sample_sync.clk
		output wire                          o_hio_ch0_det_lat_tx_async_dl_sync,     //     o_hio_ch0_det_lat_tx_async_dl_sync.clk
		output wire                          o_hio_ch0_det_lat_tx_async_pulse,       //       o_hio_ch0_det_lat_tx_async_pulse.clk
		output wire                          o_hio_ch0_det_lat_tx_async_sample_sync, // o_hio_ch0_det_lat_tx_async_sample_sync.clk
		output wire                          o_hio_ch0_det_lat_tx_sclk_sample_sync,  //  o_hio_ch0_det_lat_tx_sclk_sample_sync.clk
		output wire                          o_hio_ch0_det_lat_tx_trig_sample_sync,  //  o_hio_ch0_det_lat_tx_trig_sample_sync.clk
		output wire                          o_hio_ch0_xcvrif_rx_latency_pulse,      //      o_hio_ch0_xcvrif_rx_latency_pulse.clk
		output wire                          o_hio_ch0_xcvrif_tx_latency_pulse,      //      o_hio_ch0_xcvrif_tx_latency_pulse.clk
		input  wire                          i_hio_ch1_lavmm_clk,                    //                    i_hio_ch1_lavmm_clk.clk
		input  wire                          i_hio_ch1_lavmm_rstn,                   //                   i_hio_ch1_lavmm_rstn.reset
		input  wire [20:0]                   i_hio_ch1_lavmm_addr,                   //                          hio_ch1_lavmm.address
		input  wire [3:0]                    i_hio_ch1_lavmm_be,                     //                                       .byteenable
		output wire                          o_hio_ch1_lavmm_rdata_valid,            //                                       .readdatavalid
		input  wire                          i_hio_ch1_lavmm_read,                   //                                       .read
		input  wire                          i_hio_ch1_lavmm_write,                  //                                       .write
		output wire [31:0]                   o_hio_ch1_lavmm_rdata,                  //                                       .readdata
		input  wire [31:0]                   i_hio_ch1_lavmm_wdata,                  //                                       .writedata
		output wire                          o_hio_ch1_lavmm_waitreq,                //                                       .waitrequest
		input  wire                          i_hio_ch1_pld_rx_clk_in_row_clk,        //        i_hio_ch1_pld_rx_clk_in_row_clk.clk
		input  wire                          i_hio_ch1_pld_tx_clk_in_row_clk,        //        i_hio_ch1_pld_tx_clk_in_row_clk.clk
		input  wire                          i_hio_ch1_det_lat_rx_dl_clk,            //            i_hio_ch1_det_lat_rx_dl_clk.clk
		input  wire                          i_hio_ch1_det_lat_rx_mux_select,        //        i_hio_ch1_det_lat_rx_mux_select.clk
		input  wire                          i_hio_ch1_det_lat_rx_sclk_flop,         //         i_hio_ch1_det_lat_rx_sclk_flop.clk
		input  wire                          i_hio_ch1_det_lat_rx_sclk_gen_clk,      //      i_hio_ch1_det_lat_rx_sclk_gen_clk.clk
		input  wire                          i_hio_ch1_det_lat_rx_trig_flop,         //         i_hio_ch1_det_lat_rx_trig_flop.clk
		input  wire                          i_hio_ch1_det_lat_sampling_clk,         //         i_hio_ch1_det_lat_sampling_clk.clk
		input  wire                          i_hio_ch1_det_lat_tx_dl_clk,            //            i_hio_ch1_det_lat_tx_dl_clk.clk
		input  wire                          i_hio_ch1_det_lat_tx_mux_select,        //        i_hio_ch1_det_lat_tx_mux_select.clk
		input  wire                          i_hio_ch1_det_lat_tx_sclk_flop,         //         i_hio_ch1_det_lat_tx_sclk_flop.clk
		input  wire                          i_hio_ch1_det_lat_tx_sclk_gen_clk,      //      i_hio_ch1_det_lat_tx_sclk_gen_clk.clk
		input  wire                          i_hio_ch1_det_lat_tx_trig_flop,         //         i_hio_ch1_det_lat_tx_trig_flop.clk
		output wire                          o_hio_ch1_user_rx_clk1_clk,             //             o_hio_ch1_user_rx_clk1_clk.clk
		output wire                          o_hio_ch1_user_rx_clk2_clk,             //             o_hio_ch1_user_rx_clk2_clk.clk
		output wire                          o_hio_ch1_user_tx_clk1_clk,             //             o_hio_ch1_user_tx_clk1_clk.clk
		output wire                          o_hio_ch1_user_tx_clk2_clk,             //             o_hio_ch1_user_tx_clk2_clk.clk
		output wire                          o_hio_ch1_ux_chnl_refclk_mux,           //           o_hio_ch1_ux_chnl_refclk_mux.clk
		output wire                          o_hio_ch1_det_lat_rx_async_dl_sync,     //     o_hio_ch1_det_lat_rx_async_dl_sync.clk
		output wire                          o_hio_ch1_det_lat_rx_async_pulse,       //       o_hio_ch1_det_lat_rx_async_pulse.clk
		output wire                          o_hio_ch1_det_lat_rx_async_sample_sync, // o_hio_ch1_det_lat_rx_async_sample_sync.clk
		output wire                          o_hio_ch1_det_lat_rx_sclk_sample_sync,  //  o_hio_ch1_det_lat_rx_sclk_sample_sync.clk
		output wire                          o_hio_ch1_det_lat_rx_trig_sample_sync,  //  o_hio_ch1_det_lat_rx_trig_sample_sync.clk
		output wire                          o_hio_ch1_det_lat_tx_async_dl_sync,     //     o_hio_ch1_det_lat_tx_async_dl_sync.clk
		output wire                          o_hio_ch1_det_lat_tx_async_pulse,       //       o_hio_ch1_det_lat_tx_async_pulse.clk
		output wire                          o_hio_ch1_det_lat_tx_async_sample_sync, // o_hio_ch1_det_lat_tx_async_sample_sync.clk
		output wire                          o_hio_ch1_det_lat_tx_sclk_sample_sync,  //  o_hio_ch1_det_lat_tx_sclk_sample_sync.clk
		output wire                          o_hio_ch1_det_lat_tx_trig_sample_sync,  //  o_hio_ch1_det_lat_tx_trig_sample_sync.clk
		output wire                          o_hio_ch1_xcvrif_rx_latency_pulse,      //      o_hio_ch1_xcvrif_rx_latency_pulse.clk
		output wire                          o_hio_ch1_xcvrif_tx_latency_pulse,      //      o_hio_ch1_xcvrif_tx_latency_pulse.clk
		input  wire                          i_hio_ch2_lavmm_clk,                    //                    i_hio_ch2_lavmm_clk.clk
		input  wire                          i_hio_ch2_lavmm_rstn,                   //                   i_hio_ch2_lavmm_rstn.reset
		input  wire [20:0]                   i_hio_ch2_lavmm_addr,                   //                          hio_ch2_lavmm.address
		input  wire [3:0]                    i_hio_ch2_lavmm_be,                     //                                       .byteenable
		output wire                          o_hio_ch2_lavmm_rdata_valid,            //                                       .readdatavalid
		input  wire                          i_hio_ch2_lavmm_read,                   //                                       .read
		input  wire                          i_hio_ch2_lavmm_write,                  //                                       .write
		output wire [31:0]                   o_hio_ch2_lavmm_rdata,                  //                                       .readdata
		input  wire [31:0]                   i_hio_ch2_lavmm_wdata,                  //                                       .writedata
		output wire                          o_hio_ch2_lavmm_waitreq,                //                                       .waitrequest
		input  wire                          i_hio_ch2_pld_rx_clk_in_row_clk,        //        i_hio_ch2_pld_rx_clk_in_row_clk.clk
		input  wire                          i_hio_ch2_pld_tx_clk_in_row_clk,        //        i_hio_ch2_pld_tx_clk_in_row_clk.clk
		input  wire                          i_hio_ch2_det_lat_rx_dl_clk,            //            i_hio_ch2_det_lat_rx_dl_clk.clk
		input  wire                          i_hio_ch2_det_lat_rx_mux_select,        //        i_hio_ch2_det_lat_rx_mux_select.clk
		input  wire                          i_hio_ch2_det_lat_rx_sclk_flop,         //         i_hio_ch2_det_lat_rx_sclk_flop.clk
		input  wire                          i_hio_ch2_det_lat_rx_sclk_gen_clk,      //      i_hio_ch2_det_lat_rx_sclk_gen_clk.clk
		input  wire                          i_hio_ch2_det_lat_rx_trig_flop,         //         i_hio_ch2_det_lat_rx_trig_flop.clk
		input  wire                          i_hio_ch2_det_lat_sampling_clk,         //         i_hio_ch2_det_lat_sampling_clk.clk
		input  wire                          i_hio_ch2_det_lat_tx_dl_clk,            //            i_hio_ch2_det_lat_tx_dl_clk.clk
		input  wire                          i_hio_ch2_det_lat_tx_mux_select,        //        i_hio_ch2_det_lat_tx_mux_select.clk
		input  wire                          i_hio_ch2_det_lat_tx_sclk_flop,         //         i_hio_ch2_det_lat_tx_sclk_flop.clk
		input  wire                          i_hio_ch2_det_lat_tx_sclk_gen_clk,      //      i_hio_ch2_det_lat_tx_sclk_gen_clk.clk
		input  wire                          i_hio_ch2_det_lat_tx_trig_flop,         //         i_hio_ch2_det_lat_tx_trig_flop.clk
		output wire                          o_hio_ch2_user_rx_clk1_clk,             //             o_hio_ch2_user_rx_clk1_clk.clk
		output wire                          o_hio_ch2_user_rx_clk2_clk,             //             o_hio_ch2_user_rx_clk2_clk.clk
		output wire                          o_hio_ch2_user_tx_clk1_clk,             //             o_hio_ch2_user_tx_clk1_clk.clk
		output wire                          o_hio_ch2_user_tx_clk2_clk,             //             o_hio_ch2_user_tx_clk2_clk.clk
		output wire                          o_hio_ch2_ux_chnl_refclk_mux,           //           o_hio_ch2_ux_chnl_refclk_mux.clk
		output wire                          o_hio_ch2_det_lat_rx_async_dl_sync,     //     o_hio_ch2_det_lat_rx_async_dl_sync.clk
		output wire                          o_hio_ch2_det_lat_rx_async_pulse,       //       o_hio_ch2_det_lat_rx_async_pulse.clk
		output wire                          o_hio_ch2_det_lat_rx_async_sample_sync, // o_hio_ch2_det_lat_rx_async_sample_sync.clk
		output wire                          o_hio_ch2_det_lat_rx_sclk_sample_sync,  //  o_hio_ch2_det_lat_rx_sclk_sample_sync.clk
		output wire                          o_hio_ch2_det_lat_rx_trig_sample_sync,  //  o_hio_ch2_det_lat_rx_trig_sample_sync.clk
		output wire                          o_hio_ch2_det_lat_tx_async_dl_sync,     //     o_hio_ch2_det_lat_tx_async_dl_sync.clk
		output wire                          o_hio_ch2_det_lat_tx_async_pulse,       //       o_hio_ch2_det_lat_tx_async_pulse.clk
		output wire                          o_hio_ch2_det_lat_tx_async_sample_sync, // o_hio_ch2_det_lat_tx_async_sample_sync.clk
		output wire                          o_hio_ch2_det_lat_tx_sclk_sample_sync,  //  o_hio_ch2_det_lat_tx_sclk_sample_sync.clk
		output wire                          o_hio_ch2_det_lat_tx_trig_sample_sync,  //  o_hio_ch2_det_lat_tx_trig_sample_sync.clk
		output wire                          o_hio_ch2_xcvrif_rx_latency_pulse,      //      o_hio_ch2_xcvrif_rx_latency_pulse.clk
		output wire                          o_hio_ch2_xcvrif_tx_latency_pulse,      //      o_hio_ch2_xcvrif_tx_latency_pulse.clk
		input  wire                          i_hio_ch3_lavmm_clk,                    //                    i_hio_ch3_lavmm_clk.clk
		input  wire                          i_hio_ch3_lavmm_rstn,                   //                   i_hio_ch3_lavmm_rstn.reset
		input  wire [20:0]                   i_hio_ch3_lavmm_addr,                   //                          hio_ch3_lavmm.address
		input  wire [3:0]                    i_hio_ch3_lavmm_be,                     //                                       .byteenable
		output wire                          o_hio_ch3_lavmm_rdata_valid,            //                                       .readdatavalid
		input  wire                          i_hio_ch3_lavmm_read,                   //                                       .read
		input  wire                          i_hio_ch3_lavmm_write,                  //                                       .write
		output wire [31:0]                   o_hio_ch3_lavmm_rdata,                  //                                       .readdata
		input  wire [31:0]                   i_hio_ch3_lavmm_wdata,                  //                                       .writedata
		output wire                          o_hio_ch3_lavmm_waitreq,                //                                       .waitrequest
		input  wire                          i_hio_ch3_pld_rx_clk_in_row_clk,        //        i_hio_ch3_pld_rx_clk_in_row_clk.clk
		input  wire                          i_hio_ch3_pld_tx_clk_in_row_clk,        //        i_hio_ch3_pld_tx_clk_in_row_clk.clk
		input  wire                          i_hio_ch3_det_lat_rx_dl_clk,            //            i_hio_ch3_det_lat_rx_dl_clk.clk
		input  wire                          i_hio_ch3_det_lat_rx_mux_select,        //        i_hio_ch3_det_lat_rx_mux_select.clk
		input  wire                          i_hio_ch3_det_lat_rx_sclk_flop,         //         i_hio_ch3_det_lat_rx_sclk_flop.clk
		input  wire                          i_hio_ch3_det_lat_rx_sclk_gen_clk,      //      i_hio_ch3_det_lat_rx_sclk_gen_clk.clk
		input  wire                          i_hio_ch3_det_lat_rx_trig_flop,         //         i_hio_ch3_det_lat_rx_trig_flop.clk
		input  wire                          i_hio_ch3_det_lat_sampling_clk,         //         i_hio_ch3_det_lat_sampling_clk.clk
		input  wire                          i_hio_ch3_det_lat_tx_dl_clk,            //            i_hio_ch3_det_lat_tx_dl_clk.clk
		input  wire                          i_hio_ch3_det_lat_tx_mux_select,        //        i_hio_ch3_det_lat_tx_mux_select.clk
		input  wire                          i_hio_ch3_det_lat_tx_sclk_flop,         //         i_hio_ch3_det_lat_tx_sclk_flop.clk
		input  wire                          i_hio_ch3_det_lat_tx_sclk_gen_clk,      //      i_hio_ch3_det_lat_tx_sclk_gen_clk.clk
		input  wire                          i_hio_ch3_det_lat_tx_trig_flop,         //         i_hio_ch3_det_lat_tx_trig_flop.clk
		output wire                          o_hio_ch3_user_rx_clk1_clk,             //             o_hio_ch3_user_rx_clk1_clk.clk
		output wire                          o_hio_ch3_user_rx_clk2_clk,             //             o_hio_ch3_user_rx_clk2_clk.clk
		output wire                          o_hio_ch3_user_tx_clk1_clk,             //             o_hio_ch3_user_tx_clk1_clk.clk
		output wire                          o_hio_ch3_user_tx_clk2_clk,             //             o_hio_ch3_user_tx_clk2_clk.clk
		output wire                          o_hio_ch3_ux_chnl_refclk_mux,           //           o_hio_ch3_ux_chnl_refclk_mux.clk
		output wire                          o_hio_ch3_det_lat_rx_async_dl_sync,     //     o_hio_ch3_det_lat_rx_async_dl_sync.clk
		output wire                          o_hio_ch3_det_lat_rx_async_pulse,       //       o_hio_ch3_det_lat_rx_async_pulse.clk
		output wire                          o_hio_ch3_det_lat_rx_async_sample_sync, // o_hio_ch3_det_lat_rx_async_sample_sync.clk
		output wire                          o_hio_ch3_det_lat_rx_sclk_sample_sync,  //  o_hio_ch3_det_lat_rx_sclk_sample_sync.clk
		output wire                          o_hio_ch3_det_lat_rx_trig_sample_sync,  //  o_hio_ch3_det_lat_rx_trig_sample_sync.clk
		output wire                          o_hio_ch3_det_lat_tx_async_dl_sync,     //     o_hio_ch3_det_lat_tx_async_dl_sync.clk
		output wire                          o_hio_ch3_det_lat_tx_async_pulse,       //       o_hio_ch3_det_lat_tx_async_pulse.clk
		output wire                          o_hio_ch3_det_lat_tx_async_sample_sync, // o_hio_ch3_det_lat_tx_async_sample_sync.clk
		output wire                          o_hio_ch3_det_lat_tx_sclk_sample_sync,  //  o_hio_ch3_det_lat_tx_sclk_sample_sync.clk
		output wire                          o_hio_ch3_det_lat_tx_trig_sample_sync,  //  o_hio_ch3_det_lat_tx_trig_sample_sync.clk
		output wire                          o_hio_ch3_xcvrif_rx_latency_pulse,      //      o_hio_ch3_xcvrif_rx_latency_pulse.clk
		output wire                          o_hio_ch3_xcvrif_tx_latency_pulse       //      o_hio_ch3_xcvrif_tx_latency_pulse.clk
	);

	generate
		// If any of the display statements (or deliberately broken
		// instantiations) within this generate block triggers then this module
		// has been instantiated this module with a set of parameters different
		// from those it was generated for.  This will usually result in a
		// non-functioning system.
		if (num_of_lanes != 4)
		begin
		// synthesis translate_off
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
		// synthesis translate_on
			instantiated_with_wrong_parameters_error_see_comment_above
					num_of_lanes_check ( .error(1'b1) );
		end
	endgenerate

	xcvr_fmcp_x4_intel_directphy_gts_1_n_channel_superset_2100_looow4q #(
		.num_of_lanes (4)
	) n_channel_superset_top_wrapper (
		.i_refclk_tx_p                          (i_refclk_tx_p),                                                                        //   input,    width = 1,                          i_refclk_tx_p.clk
		.i_syspll_c0_clk                        (i_syspll_c0_clk),                                                                      //   input,    width = 1,                        i_syspll_c0_clk.clk
		.i_syspll_c1_clk                        (i_syspll_c1_clk),                                                                      //   input,    width = 1,                        i_syspll_c1_clk.clk
		.i_syspll_c2_clk                        (i_syspll_c2_clk),                                                                      //   input,    width = 1,                        i_syspll_c2_clk.clk
		.i_flux_clk_0                           (i_flux_clk_0),                                                                         //   input,    width = 1,                           i_flux_clk_0.clk
		.i_flux_clk_1                           (i_flux_clk_1),                                                                         //   input,    width = 1,                           i_flux_clk_1.clk
		.i_refclk_rx_p                          (i_refclk_rx_p),                                                                        //   input,    width = 1,                          i_refclk_rx_p.clk
		.i_hio_txdata                           (i_hio_txdata),                                                                         //   input,  width = 320,                           i_hio_txdata.data
		.i_hio_txdata_extra                     (i_hio_txdata_extra),                                                                   //   input,   width = 40,                     i_hio_txdata_extra.data
		.i_hio_txdata_fifo_wr_en                (i_hio_txdata_fifo_wr_en),                                                              //   input,    width = 4,                i_hio_txdata_fifo_wr_en.data
		.i_hio_rxdata_fifo_rd_en                (i_hio_rxdata_fifo_rd_en),                                                              //   input,    width = 4,                i_hio_rxdata_fifo_rd_en.data
		.i_hio_uxquad_async_rx                  (i_hio_uxquad_async_rx),                                                                //   input,  width = 320,                  i_hio_uxquad_async_rx.data
		.i_hio_uxquad_async_tx                  (i_hio_uxquad_async_tx),                                                                //   input,  width = 320,                  i_hio_uxquad_async_tx.data
		.i_hio_uxquad_async_pcie_mux_rx         (i_hio_uxquad_async_pcie_mux_rx),                                                       //   input,  width = 320,         i_hio_uxquad_async_pcie_mux_rx.data
		.i_hio_uxquad_async_pcie_mux_tx         (i_hio_uxquad_async_pcie_mux_tx),                                                       //   input,  width = 320,         i_hio_uxquad_async_pcie_mux_tx.data
		.rx_serial_n                            (rx_serial_n),                                                                          //   input,    width = 4,                            rx_serial_n.data
		.rx_serial_p                            (rx_serial_p),                                                                          //   input,    width = 4,                            rx_serial_p.data
		.o_hio_txdata_fifo_wr_empty             (o_hio_txdata_fifo_wr_empty),                                                           //  output,    width = 4,             o_hio_txdata_fifo_wr_empty.data
		.o_hio_txdata_fifo_wr_pempty            (o_hio_txdata_fifo_wr_pempty),                                                          //  output,    width = 4,            o_hio_txdata_fifo_wr_pempty.data
		.o_hio_txdata_fifo_wr_full              (o_hio_txdata_fifo_wr_full),                                                            //  output,    width = 4,              o_hio_txdata_fifo_wr_full.data
		.o_hio_txdata_fifo_wr_pfull             (o_hio_txdata_fifo_wr_pfull),                                                           //  output,    width = 4,             o_hio_txdata_fifo_wr_pfull.data
		.o_hio_rxdata                           (o_hio_rxdata),                                                                         //  output,  width = 320,                           o_hio_rxdata.data
		.o_hio_rxdata_extra                     (o_hio_rxdata_extra),                                                                   //  output,   width = 40,                     o_hio_rxdata_extra.data
		.o_hio_rxdata_fifo_rd_empty             (o_hio_rxdata_fifo_rd_empty),                                                           //  output,    width = 4,             o_hio_rxdata_fifo_rd_empty.data
		.o_hio_rxdata_fifo_rd_pempty            (o_hio_rxdata_fifo_rd_pempty),                                                          //  output,    width = 4,            o_hio_rxdata_fifo_rd_pempty.data
		.o_hio_rxdata_fifo_rd_full              (o_hio_rxdata_fifo_rd_full),                                                            //  output,    width = 4,              o_hio_rxdata_fifo_rd_full.data
		.o_hio_rxdata_fifo_rd_pfull             (o_hio_rxdata_fifo_rd_pfull),                                                           //  output,    width = 4,             o_hio_rxdata_fifo_rd_pfull.data
		.o_hio_uxquad_async_rx                  (o_hio_uxquad_async_rx),                                                                //  output,  width = 200,                  o_hio_uxquad_async_rx.data
		.o_hio_uxquad_async_tx                  (o_hio_uxquad_async_tx),                                                                //  output,  width = 200,                  o_hio_uxquad_async_tx.data
		.tx_serial_p                            (tx_serial_p),                                                                          //  output,    width = 4,                            tx_serial_p.data
		.tx_serial_n                            (tx_serial_n),                                                                          //  output,    width = 4,                            tx_serial_n.data
		.i_hio_txdata_async_rx                  (i_hio_txdata_async_rx),                                                                //   input,  width = 400,                  i_hio_txdata_async_rx.data
		.i_hio_txdata_async_tx                  (i_hio_txdata_async_tx),                                                                //   input,  width = 400,                  i_hio_txdata_async_tx.data
		.i_hio_txdata_direct                    (i_hio_txdata_direct),                                                                  //   input,   width = 40,                    i_hio_txdata_direct.data
		.o_hio_rxdata_async_rx                  (o_hio_rxdata_async_rx),                                                                //  output,  width = 400,                  o_hio_rxdata_async_rx.data
		.o_hio_rxdata_async_tx                  (o_hio_rxdata_async_tx),                                                                //  output,  width = 400,                  o_hio_rxdata_async_tx.data
		.o_hio_rxdata_direct                    (o_hio_rxdata_direct),                                                                  //  output,   width = 40,                    o_hio_rxdata_direct.data
		.o_hio_rst_ux_all_synthlockstatus       (o_hio_rst_ux_all_synthlockstatus),                                                     //  output,    width = 4,       o_hio_rst_ux_all_synthlockstatus.data
		.o_hio_rst_ux_octl_pcs_rxstatus         (o_hio_rst_ux_octl_pcs_rxstatus),                                                       //  output,    width = 4,         o_hio_rst_ux_octl_pcs_rxstatus.data
		.o_hio_rst_ux_octl_pcs_txstatus         (o_hio_rst_ux_octl_pcs_txstatus),                                                       //  output,    width = 4,         o_hio_rst_ux_octl_pcs_txstatus.data
		.o_hio_rst_ux_rxcdrlock2data            (o_hio_rst_ux_rxcdrlock2data),                                                          //  output,    width = 4,            o_hio_rst_ux_rxcdrlock2data.data
		.o_hio_rst_ux_rxcdrlockstatus           (o_hio_rst_ux_rxcdrlockstatus),                                                         //  output,    width = 4,           o_hio_rst_ux_rxcdrlockstatus.data
		.o_hio_rstfec_fec_rx_rdy_n              (o_hio_rstfec_fec_rx_rdy_n),                                                            //  output,    width = 4,              o_hio_rstfec_fec_rx_rdy_n.data
		.i_hio_ehip_signal_ok                   (i_hio_ehip_signal_ok),                                                                 //   input,    width = 4,                   i_hio_ehip_signal_ok.data
		.o_cdrdiv_clk                           (o_cdrdiv_clk),                                                                         //  output,    width = 4,                           o_cdrdiv_clk.data
		.o_tx_lane_current_state                (o_tx_lane_current_state),                                                              //  output,    width = 8,                o_tx_lane_current_state.data
		.o_tx_alarm                             (o_tx_alarm),                                                                           //  output,    width = 4,                             o_tx_alarm.data
		.o_rx_lane_current_state                (o_rx_lane_current_state),                                                              //  output,    width = 8,                o_rx_lane_current_state.data
		.o_rx_alarm                             (o_rx_alarm),                                                                           //  output,    width = 4,                             o_rx_alarm.data
		.o_sip_freeze_tx_acknowledge            (o_sip_freeze_tx_acknowledge),                                                          //  output,    width = 4,            o_sip_freeze_tx_acknowledge.data
		.o_sip_freeze_rx_acknowledge            (o_sip_freeze_rx_acknowledge),                                                          //  output,    width = 4,            o_sip_freeze_rx_acknowledge.data
		.o_sip_am_gen_start                     (o_sip_am_gen_start),                                                                   //  output,    width = 4,                     o_sip_am_gen_start.data
		.i_tx_lane_desired_state                (i_tx_lane_desired_state),                                                              //   input,    width = 4,                i_tx_lane_desired_state.data
		.i_rx_lane_desired_state                (i_rx_lane_desired_state),                                                              //   input,    width = 4,                i_rx_lane_desired_state.data
		.i_tx_clear_alarm                       (i_tx_clear_alarm),                                                                     //   input,    width = 4,                       i_tx_clear_alarm.data
		.i_rx_clear_alarm                       (i_rx_clear_alarm),                                                                     //   input,    width = 4,                       i_rx_clear_alarm.data
		.i_sip_rx_ignore_lock2data              (i_sip_rx_ignore_lock2data),                                                            //   input,    width = 4,              i_sip_rx_ignore_lock2data.data
		.i_sip_freeze_tx_SRC_sequence           (i_sip_freeze_tx_SRC_sequence),                                                         //   input,    width = 4,           i_sip_freeze_tx_SRC_sequence.data
		.i_sip_freeze_rx_SRC_sequence           (i_sip_freeze_rx_SRC_sequence),                                                         //   input,    width = 4,           i_sip_freeze_rx_SRC_sequence.data
		.i_sip_am_gen_2x_ack                    (i_sip_am_gen_2x_ack),                                                                  //   input,    width = 4,                    i_sip_am_gen_2x_ack.data
		.i_sip_eth_unidir_en                    (i_sip_eth_unidir_en),                                                                  //   input,    width = 4,                    i_sip_eth_unidir_en.data
		.o_sss_req                              (o_sss_req),                                                                            //  output,    width = 4,                              o_sss_req.data
		.i_sss_grant                            (i_sss_grant),                                                                          //   input,    width = 4,                            i_sss_grant.data
		.i_spll_lock                            (i_spll_lock),                                                                          //   input,    width = 1,                            o_spll_lock.data
		.pause_request                          (pause_request),                                                                        //   input,    width = 4,                          pause_request.data
		.pause_grant                            (pause_grant),                                                                          //  output,    width = 4,                            pause_grant.data
		.o_hio_ux_tx_ch_ptr_smpl                (o_hio_ux_tx_ch_ptr_smpl),                                                              //  output,    width = 4,                o_hio_ux_tx_ch_ptr_smpl.data
		.o_hio_rst_flux0_cpi_cmn_busy           (o_hio_rst_flux0_cpi_cmn_busy),                                                         //  output,    width = 4,           o_hio_rst_flux0_cpi_cmn_busy.data
		.o_hio_rst_oflux_rx_srds_rdy            (o_hio_rst_oflux_rx_srds_rdy),                                                          //  output,    width = 4,            o_hio_rst_oflux_rx_srds_rdy.data
		.iflux_ingress_direct_231               (iflux_ingress_direct_231),                                                             //  output,    width = 4,               iflux_ingress_direct_231.data
		.i_hio_ch0_lavmm_clk                    (i_hio_ch0_lavmm_clk),                                                                  //   input,    width = 1,                    i_hio_ch0_lavmm_clk.clk
		.i_hio_ch0_lavmm_rstn                   (i_hio_ch0_lavmm_rstn),                                                                 //   input,    width = 1,                   i_hio_ch0_lavmm_rstn.reset
		.i_hio_ch0_lavmm_addr                   (i_hio_ch0_lavmm_addr),                                                                 //   input,   width = 21,                          hio_ch0_lavmm.address
		.i_hio_ch0_lavmm_be                     (i_hio_ch0_lavmm_be),                                                                   //   input,    width = 4,                                       .byteenable
		.o_hio_ch0_lavmm_rdata_valid            (o_hio_ch0_lavmm_rdata_valid),                                                          //  output,    width = 1,                                       .readdatavalid
		.i_hio_ch0_lavmm_read                   (i_hio_ch0_lavmm_read),                                                                 //   input,    width = 1,                                       .read
		.i_hio_ch0_lavmm_write                  (i_hio_ch0_lavmm_write),                                                                //   input,    width = 1,                                       .write
		.o_hio_ch0_lavmm_rdata                  (o_hio_ch0_lavmm_rdata),                                                                //  output,   width = 32,                                       .readdata
		.i_hio_ch0_lavmm_wdata                  (i_hio_ch0_lavmm_wdata),                                                                //   input,   width = 32,                                       .writedata
		.o_hio_ch0_lavmm_waitreq                (o_hio_ch0_lavmm_waitreq),                                                              //  output,    width = 1,                                       .waitrequest
		.i_hio_ch0_pld_rx_clk_in_row_clk        (i_hio_ch0_pld_rx_clk_in_row_clk),                                                      //   input,    width = 1,        i_hio_ch0_pld_rx_clk_in_row_clk.clk
		.i_hio_ch0_pld_tx_clk_in_row_clk        (i_hio_ch0_pld_tx_clk_in_row_clk),                                                      //   input,    width = 1,        i_hio_ch0_pld_tx_clk_in_row_clk.clk
		.i_hio_ch0_det_lat_rx_dl_clk            (i_hio_ch0_det_lat_rx_dl_clk),                                                          //   input,    width = 1,            i_hio_ch0_det_lat_rx_dl_clk.clk
		.i_hio_ch0_det_lat_rx_mux_select        (i_hio_ch0_det_lat_rx_mux_select),                                                      //   input,    width = 1,        i_hio_ch0_det_lat_rx_mux_select.clk
		.i_hio_ch0_det_lat_rx_sclk_flop         (i_hio_ch0_det_lat_rx_sclk_flop),                                                       //   input,    width = 1,         i_hio_ch0_det_lat_rx_sclk_flop.clk
		.i_hio_ch0_det_lat_rx_sclk_gen_clk      (i_hio_ch0_det_lat_rx_sclk_gen_clk),                                                    //   input,    width = 1,      i_hio_ch0_det_lat_rx_sclk_gen_clk.clk
		.i_hio_ch0_det_lat_rx_trig_flop         (i_hio_ch0_det_lat_rx_trig_flop),                                                       //   input,    width = 1,         i_hio_ch0_det_lat_rx_trig_flop.clk
		.i_hio_ch0_det_lat_sampling_clk         (i_hio_ch0_det_lat_sampling_clk),                                                       //   input,    width = 1,         i_hio_ch0_det_lat_sampling_clk.clk
		.i_hio_ch0_det_lat_tx_dl_clk            (i_hio_ch0_det_lat_tx_dl_clk),                                                          //   input,    width = 1,            i_hio_ch0_det_lat_tx_dl_clk.clk
		.i_hio_ch0_det_lat_tx_mux_select        (i_hio_ch0_det_lat_tx_mux_select),                                                      //   input,    width = 1,        i_hio_ch0_det_lat_tx_mux_select.clk
		.i_hio_ch0_det_lat_tx_sclk_flop         (i_hio_ch0_det_lat_tx_sclk_flop),                                                       //   input,    width = 1,         i_hio_ch0_det_lat_tx_sclk_flop.clk
		.i_hio_ch0_det_lat_tx_sclk_gen_clk      (i_hio_ch0_det_lat_tx_sclk_gen_clk),                                                    //   input,    width = 1,      i_hio_ch0_det_lat_tx_sclk_gen_clk.clk
		.i_hio_ch0_det_lat_tx_trig_flop         (i_hio_ch0_det_lat_tx_trig_flop),                                                       //   input,    width = 1,         i_hio_ch0_det_lat_tx_trig_flop.clk
		.o_hio_ch0_user_rx_clk1_clk             (o_hio_ch0_user_rx_clk1_clk),                                                           //  output,    width = 1,             o_hio_ch0_user_rx_clk1_clk.clk
		.o_hio_ch0_user_rx_clk2_clk             (o_hio_ch0_user_rx_clk2_clk),                                                           //  output,    width = 1,             o_hio_ch0_user_rx_clk2_clk.clk
		.o_hio_ch0_user_tx_clk1_clk             (o_hio_ch0_user_tx_clk1_clk),                                                           //  output,    width = 1,             o_hio_ch0_user_tx_clk1_clk.clk
		.o_hio_ch0_user_tx_clk2_clk             (o_hio_ch0_user_tx_clk2_clk),                                                           //  output,    width = 1,             o_hio_ch0_user_tx_clk2_clk.clk
		.o_hio_ch0_ux_chnl_refclk_mux           (o_hio_ch0_ux_chnl_refclk_mux),                                                         //  output,    width = 1,           o_hio_ch0_ux_chnl_refclk_mux.clk
		.o_hio_ch0_det_lat_rx_async_dl_sync     (o_hio_ch0_det_lat_rx_async_dl_sync),                                                   //  output,    width = 1,     o_hio_ch0_det_lat_rx_async_dl_sync.clk
		.o_hio_ch0_det_lat_rx_async_pulse       (o_hio_ch0_det_lat_rx_async_pulse),                                                     //  output,    width = 1,       o_hio_ch0_det_lat_rx_async_pulse.clk
		.o_hio_ch0_det_lat_rx_async_sample_sync (o_hio_ch0_det_lat_rx_async_sample_sync),                                               //  output,    width = 1, o_hio_ch0_det_lat_rx_async_sample_sync.clk
		.o_hio_ch0_det_lat_rx_sclk_sample_sync  (o_hio_ch0_det_lat_rx_sclk_sample_sync),                                                //  output,    width = 1,  o_hio_ch0_det_lat_rx_sclk_sample_sync.clk
		.o_hio_ch0_det_lat_rx_trig_sample_sync  (o_hio_ch0_det_lat_rx_trig_sample_sync),                                                //  output,    width = 1,  o_hio_ch0_det_lat_rx_trig_sample_sync.clk
		.o_hio_ch0_det_lat_tx_async_dl_sync     (o_hio_ch0_det_lat_tx_async_dl_sync),                                                   //  output,    width = 1,     o_hio_ch0_det_lat_tx_async_dl_sync.clk
		.o_hio_ch0_det_lat_tx_async_pulse       (o_hio_ch0_det_lat_tx_async_pulse),                                                     //  output,    width = 1,       o_hio_ch0_det_lat_tx_async_pulse.clk
		.o_hio_ch0_det_lat_tx_async_sample_sync (o_hio_ch0_det_lat_tx_async_sample_sync),                                               //  output,    width = 1, o_hio_ch0_det_lat_tx_async_sample_sync.clk
		.o_hio_ch0_det_lat_tx_sclk_sample_sync  (o_hio_ch0_det_lat_tx_sclk_sample_sync),                                                //  output,    width = 1,  o_hio_ch0_det_lat_tx_sclk_sample_sync.clk
		.o_hio_ch0_det_lat_tx_trig_sample_sync  (o_hio_ch0_det_lat_tx_trig_sample_sync),                                                //  output,    width = 1,  o_hio_ch0_det_lat_tx_trig_sample_sync.clk
		.o_hio_ch0_xcvrif_rx_latency_pulse      (o_hio_ch0_xcvrif_rx_latency_pulse),                                                    //  output,    width = 1,      o_hio_ch0_xcvrif_rx_latency_pulse.clk
		.o_hio_ch0_xcvrif_tx_latency_pulse      (o_hio_ch0_xcvrif_tx_latency_pulse),                                                    //  output,    width = 1,      o_hio_ch0_xcvrif_tx_latency_pulse.clk
		.i_hio_ch1_lavmm_clk                    (i_hio_ch1_lavmm_clk),                                                                  //   input,    width = 1,                    i_hio_ch1_lavmm_clk.clk
		.i_hio_ch1_lavmm_rstn                   (i_hio_ch1_lavmm_rstn),                                                                 //   input,    width = 1,                   i_hio_ch1_lavmm_rstn.reset
		.i_hio_ch1_lavmm_addr                   (i_hio_ch1_lavmm_addr),                                                                 //   input,   width = 21,                          hio_ch1_lavmm.address
		.i_hio_ch1_lavmm_be                     (i_hio_ch1_lavmm_be),                                                                   //   input,    width = 4,                                       .byteenable
		.o_hio_ch1_lavmm_rdata_valid            (o_hio_ch1_lavmm_rdata_valid),                                                          //  output,    width = 1,                                       .readdatavalid
		.i_hio_ch1_lavmm_read                   (i_hio_ch1_lavmm_read),                                                                 //   input,    width = 1,                                       .read
		.i_hio_ch1_lavmm_write                  (i_hio_ch1_lavmm_write),                                                                //   input,    width = 1,                                       .write
		.o_hio_ch1_lavmm_rdata                  (o_hio_ch1_lavmm_rdata),                                                                //  output,   width = 32,                                       .readdata
		.i_hio_ch1_lavmm_wdata                  (i_hio_ch1_lavmm_wdata),                                                                //   input,   width = 32,                                       .writedata
		.o_hio_ch1_lavmm_waitreq                (o_hio_ch1_lavmm_waitreq),                                                              //  output,    width = 1,                                       .waitrequest
		.i_hio_ch1_pld_rx_clk_in_row_clk        (i_hio_ch1_pld_rx_clk_in_row_clk),                                                      //   input,    width = 1,        i_hio_ch1_pld_rx_clk_in_row_clk.clk
		.i_hio_ch1_pld_tx_clk_in_row_clk        (i_hio_ch1_pld_tx_clk_in_row_clk),                                                      //   input,    width = 1,        i_hio_ch1_pld_tx_clk_in_row_clk.clk
		.i_hio_ch1_det_lat_rx_dl_clk            (i_hio_ch1_det_lat_rx_dl_clk),                                                          //   input,    width = 1,            i_hio_ch1_det_lat_rx_dl_clk.clk
		.i_hio_ch1_det_lat_rx_mux_select        (i_hio_ch1_det_lat_rx_mux_select),                                                      //   input,    width = 1,        i_hio_ch1_det_lat_rx_mux_select.clk
		.i_hio_ch1_det_lat_rx_sclk_flop         (i_hio_ch1_det_lat_rx_sclk_flop),                                                       //   input,    width = 1,         i_hio_ch1_det_lat_rx_sclk_flop.clk
		.i_hio_ch1_det_lat_rx_sclk_gen_clk      (i_hio_ch1_det_lat_rx_sclk_gen_clk),                                                    //   input,    width = 1,      i_hio_ch1_det_lat_rx_sclk_gen_clk.clk
		.i_hio_ch1_det_lat_rx_trig_flop         (i_hio_ch1_det_lat_rx_trig_flop),                                                       //   input,    width = 1,         i_hio_ch1_det_lat_rx_trig_flop.clk
		.i_hio_ch1_det_lat_sampling_clk         (i_hio_ch1_det_lat_sampling_clk),                                                       //   input,    width = 1,         i_hio_ch1_det_lat_sampling_clk.clk
		.i_hio_ch1_det_lat_tx_dl_clk            (i_hio_ch1_det_lat_tx_dl_clk),                                                          //   input,    width = 1,            i_hio_ch1_det_lat_tx_dl_clk.clk
		.i_hio_ch1_det_lat_tx_mux_select        (i_hio_ch1_det_lat_tx_mux_select),                                                      //   input,    width = 1,        i_hio_ch1_det_lat_tx_mux_select.clk
		.i_hio_ch1_det_lat_tx_sclk_flop         (i_hio_ch1_det_lat_tx_sclk_flop),                                                       //   input,    width = 1,         i_hio_ch1_det_lat_tx_sclk_flop.clk
		.i_hio_ch1_det_lat_tx_sclk_gen_clk      (i_hio_ch1_det_lat_tx_sclk_gen_clk),                                                    //   input,    width = 1,      i_hio_ch1_det_lat_tx_sclk_gen_clk.clk
		.i_hio_ch1_det_lat_tx_trig_flop         (i_hio_ch1_det_lat_tx_trig_flop),                                                       //   input,    width = 1,         i_hio_ch1_det_lat_tx_trig_flop.clk
		.o_hio_ch1_user_rx_clk1_clk             (o_hio_ch1_user_rx_clk1_clk),                                                           //  output,    width = 1,             o_hio_ch1_user_rx_clk1_clk.clk
		.o_hio_ch1_user_rx_clk2_clk             (o_hio_ch1_user_rx_clk2_clk),                                                           //  output,    width = 1,             o_hio_ch1_user_rx_clk2_clk.clk
		.o_hio_ch1_user_tx_clk1_clk             (o_hio_ch1_user_tx_clk1_clk),                                                           //  output,    width = 1,             o_hio_ch1_user_tx_clk1_clk.clk
		.o_hio_ch1_user_tx_clk2_clk             (o_hio_ch1_user_tx_clk2_clk),                                                           //  output,    width = 1,             o_hio_ch1_user_tx_clk2_clk.clk
		.o_hio_ch1_ux_chnl_refclk_mux           (o_hio_ch1_ux_chnl_refclk_mux),                                                         //  output,    width = 1,           o_hio_ch1_ux_chnl_refclk_mux.clk
		.o_hio_ch1_det_lat_rx_async_dl_sync     (o_hio_ch1_det_lat_rx_async_dl_sync),                                                   //  output,    width = 1,     o_hio_ch1_det_lat_rx_async_dl_sync.clk
		.o_hio_ch1_det_lat_rx_async_pulse       (o_hio_ch1_det_lat_rx_async_pulse),                                                     //  output,    width = 1,       o_hio_ch1_det_lat_rx_async_pulse.clk
		.o_hio_ch1_det_lat_rx_async_sample_sync (o_hio_ch1_det_lat_rx_async_sample_sync),                                               //  output,    width = 1, o_hio_ch1_det_lat_rx_async_sample_sync.clk
		.o_hio_ch1_det_lat_rx_sclk_sample_sync  (o_hio_ch1_det_lat_rx_sclk_sample_sync),                                                //  output,    width = 1,  o_hio_ch1_det_lat_rx_sclk_sample_sync.clk
		.o_hio_ch1_det_lat_rx_trig_sample_sync  (o_hio_ch1_det_lat_rx_trig_sample_sync),                                                //  output,    width = 1,  o_hio_ch1_det_lat_rx_trig_sample_sync.clk
		.o_hio_ch1_det_lat_tx_async_dl_sync     (o_hio_ch1_det_lat_tx_async_dl_sync),                                                   //  output,    width = 1,     o_hio_ch1_det_lat_tx_async_dl_sync.clk
		.o_hio_ch1_det_lat_tx_async_pulse       (o_hio_ch1_det_lat_tx_async_pulse),                                                     //  output,    width = 1,       o_hio_ch1_det_lat_tx_async_pulse.clk
		.o_hio_ch1_det_lat_tx_async_sample_sync (o_hio_ch1_det_lat_tx_async_sample_sync),                                               //  output,    width = 1, o_hio_ch1_det_lat_tx_async_sample_sync.clk
		.o_hio_ch1_det_lat_tx_sclk_sample_sync  (o_hio_ch1_det_lat_tx_sclk_sample_sync),                                                //  output,    width = 1,  o_hio_ch1_det_lat_tx_sclk_sample_sync.clk
		.o_hio_ch1_det_lat_tx_trig_sample_sync  (o_hio_ch1_det_lat_tx_trig_sample_sync),                                                //  output,    width = 1,  o_hio_ch1_det_lat_tx_trig_sample_sync.clk
		.o_hio_ch1_xcvrif_rx_latency_pulse      (o_hio_ch1_xcvrif_rx_latency_pulse),                                                    //  output,    width = 1,      o_hio_ch1_xcvrif_rx_latency_pulse.clk
		.o_hio_ch1_xcvrif_tx_latency_pulse      (o_hio_ch1_xcvrif_tx_latency_pulse),                                                    //  output,    width = 1,      o_hio_ch1_xcvrif_tx_latency_pulse.clk
		.i_hio_ch2_lavmm_clk                    (i_hio_ch2_lavmm_clk),                                                                  //   input,    width = 1,                    i_hio_ch2_lavmm_clk.clk
		.i_hio_ch2_lavmm_rstn                   (i_hio_ch2_lavmm_rstn),                                                                 //   input,    width = 1,                   i_hio_ch2_lavmm_rstn.reset
		.i_hio_ch2_lavmm_addr                   (i_hio_ch2_lavmm_addr),                                                                 //   input,   width = 21,                          hio_ch2_lavmm.address
		.i_hio_ch2_lavmm_be                     (i_hio_ch2_lavmm_be),                                                                   //   input,    width = 4,                                       .byteenable
		.o_hio_ch2_lavmm_rdata_valid            (o_hio_ch2_lavmm_rdata_valid),                                                          //  output,    width = 1,                                       .readdatavalid
		.i_hio_ch2_lavmm_read                   (i_hio_ch2_lavmm_read),                                                                 //   input,    width = 1,                                       .read
		.i_hio_ch2_lavmm_write                  (i_hio_ch2_lavmm_write),                                                                //   input,    width = 1,                                       .write
		.o_hio_ch2_lavmm_rdata                  (o_hio_ch2_lavmm_rdata),                                                                //  output,   width = 32,                                       .readdata
		.i_hio_ch2_lavmm_wdata                  (i_hio_ch2_lavmm_wdata),                                                                //   input,   width = 32,                                       .writedata
		.o_hio_ch2_lavmm_waitreq                (o_hio_ch2_lavmm_waitreq),                                                              //  output,    width = 1,                                       .waitrequest
		.i_hio_ch2_pld_rx_clk_in_row_clk        (i_hio_ch2_pld_rx_clk_in_row_clk),                                                      //   input,    width = 1,        i_hio_ch2_pld_rx_clk_in_row_clk.clk
		.i_hio_ch2_pld_tx_clk_in_row_clk        (i_hio_ch2_pld_tx_clk_in_row_clk),                                                      //   input,    width = 1,        i_hio_ch2_pld_tx_clk_in_row_clk.clk
		.i_hio_ch2_det_lat_rx_dl_clk            (i_hio_ch2_det_lat_rx_dl_clk),                                                          //   input,    width = 1,            i_hio_ch2_det_lat_rx_dl_clk.clk
		.i_hio_ch2_det_lat_rx_mux_select        (i_hio_ch2_det_lat_rx_mux_select),                                                      //   input,    width = 1,        i_hio_ch2_det_lat_rx_mux_select.clk
		.i_hio_ch2_det_lat_rx_sclk_flop         (i_hio_ch2_det_lat_rx_sclk_flop),                                                       //   input,    width = 1,         i_hio_ch2_det_lat_rx_sclk_flop.clk
		.i_hio_ch2_det_lat_rx_sclk_gen_clk      (i_hio_ch2_det_lat_rx_sclk_gen_clk),                                                    //   input,    width = 1,      i_hio_ch2_det_lat_rx_sclk_gen_clk.clk
		.i_hio_ch2_det_lat_rx_trig_flop         (i_hio_ch2_det_lat_rx_trig_flop),                                                       //   input,    width = 1,         i_hio_ch2_det_lat_rx_trig_flop.clk
		.i_hio_ch2_det_lat_sampling_clk         (i_hio_ch2_det_lat_sampling_clk),                                                       //   input,    width = 1,         i_hio_ch2_det_lat_sampling_clk.clk
		.i_hio_ch2_det_lat_tx_dl_clk            (i_hio_ch2_det_lat_tx_dl_clk),                                                          //   input,    width = 1,            i_hio_ch2_det_lat_tx_dl_clk.clk
		.i_hio_ch2_det_lat_tx_mux_select        (i_hio_ch2_det_lat_tx_mux_select),                                                      //   input,    width = 1,        i_hio_ch2_det_lat_tx_mux_select.clk
		.i_hio_ch2_det_lat_tx_sclk_flop         (i_hio_ch2_det_lat_tx_sclk_flop),                                                       //   input,    width = 1,         i_hio_ch2_det_lat_tx_sclk_flop.clk
		.i_hio_ch2_det_lat_tx_sclk_gen_clk      (i_hio_ch2_det_lat_tx_sclk_gen_clk),                                                    //   input,    width = 1,      i_hio_ch2_det_lat_tx_sclk_gen_clk.clk
		.i_hio_ch2_det_lat_tx_trig_flop         (i_hio_ch2_det_lat_tx_trig_flop),                                                       //   input,    width = 1,         i_hio_ch2_det_lat_tx_trig_flop.clk
		.o_hio_ch2_user_rx_clk1_clk             (o_hio_ch2_user_rx_clk1_clk),                                                           //  output,    width = 1,             o_hio_ch2_user_rx_clk1_clk.clk
		.o_hio_ch2_user_rx_clk2_clk             (o_hio_ch2_user_rx_clk2_clk),                                                           //  output,    width = 1,             o_hio_ch2_user_rx_clk2_clk.clk
		.o_hio_ch2_user_tx_clk1_clk             (o_hio_ch2_user_tx_clk1_clk),                                                           //  output,    width = 1,             o_hio_ch2_user_tx_clk1_clk.clk
		.o_hio_ch2_user_tx_clk2_clk             (o_hio_ch2_user_tx_clk2_clk),                                                           //  output,    width = 1,             o_hio_ch2_user_tx_clk2_clk.clk
		.o_hio_ch2_ux_chnl_refclk_mux           (o_hio_ch2_ux_chnl_refclk_mux),                                                         //  output,    width = 1,           o_hio_ch2_ux_chnl_refclk_mux.clk
		.o_hio_ch2_det_lat_rx_async_dl_sync     (o_hio_ch2_det_lat_rx_async_dl_sync),                                                   //  output,    width = 1,     o_hio_ch2_det_lat_rx_async_dl_sync.clk
		.o_hio_ch2_det_lat_rx_async_pulse       (o_hio_ch2_det_lat_rx_async_pulse),                                                     //  output,    width = 1,       o_hio_ch2_det_lat_rx_async_pulse.clk
		.o_hio_ch2_det_lat_rx_async_sample_sync (o_hio_ch2_det_lat_rx_async_sample_sync),                                               //  output,    width = 1, o_hio_ch2_det_lat_rx_async_sample_sync.clk
		.o_hio_ch2_det_lat_rx_sclk_sample_sync  (o_hio_ch2_det_lat_rx_sclk_sample_sync),                                                //  output,    width = 1,  o_hio_ch2_det_lat_rx_sclk_sample_sync.clk
		.o_hio_ch2_det_lat_rx_trig_sample_sync  (o_hio_ch2_det_lat_rx_trig_sample_sync),                                                //  output,    width = 1,  o_hio_ch2_det_lat_rx_trig_sample_sync.clk
		.o_hio_ch2_det_lat_tx_async_dl_sync     (o_hio_ch2_det_lat_tx_async_dl_sync),                                                   //  output,    width = 1,     o_hio_ch2_det_lat_tx_async_dl_sync.clk
		.o_hio_ch2_det_lat_tx_async_pulse       (o_hio_ch2_det_lat_tx_async_pulse),                                                     //  output,    width = 1,       o_hio_ch2_det_lat_tx_async_pulse.clk
		.o_hio_ch2_det_lat_tx_async_sample_sync (o_hio_ch2_det_lat_tx_async_sample_sync),                                               //  output,    width = 1, o_hio_ch2_det_lat_tx_async_sample_sync.clk
		.o_hio_ch2_det_lat_tx_sclk_sample_sync  (o_hio_ch2_det_lat_tx_sclk_sample_sync),                                                //  output,    width = 1,  o_hio_ch2_det_lat_tx_sclk_sample_sync.clk
		.o_hio_ch2_det_lat_tx_trig_sample_sync  (o_hio_ch2_det_lat_tx_trig_sample_sync),                                                //  output,    width = 1,  o_hio_ch2_det_lat_tx_trig_sample_sync.clk
		.o_hio_ch2_xcvrif_rx_latency_pulse      (o_hio_ch2_xcvrif_rx_latency_pulse),                                                    //  output,    width = 1,      o_hio_ch2_xcvrif_rx_latency_pulse.clk
		.o_hio_ch2_xcvrif_tx_latency_pulse      (o_hio_ch2_xcvrif_tx_latency_pulse),                                                    //  output,    width = 1,      o_hio_ch2_xcvrif_tx_latency_pulse.clk
		.i_hio_ch3_lavmm_clk                    (i_hio_ch3_lavmm_clk),                                                                  //   input,    width = 1,                    i_hio_ch3_lavmm_clk.clk
		.i_hio_ch3_lavmm_rstn                   (i_hio_ch3_lavmm_rstn),                                                                 //   input,    width = 1,                   i_hio_ch3_lavmm_rstn.reset
		.i_hio_ch3_lavmm_addr                   (i_hio_ch3_lavmm_addr),                                                                 //   input,   width = 21,                          hio_ch3_lavmm.address
		.i_hio_ch3_lavmm_be                     (i_hio_ch3_lavmm_be),                                                                   //   input,    width = 4,                                       .byteenable
		.o_hio_ch3_lavmm_rdata_valid            (o_hio_ch3_lavmm_rdata_valid),                                                          //  output,    width = 1,                                       .readdatavalid
		.i_hio_ch3_lavmm_read                   (i_hio_ch3_lavmm_read),                                                                 //   input,    width = 1,                                       .read
		.i_hio_ch3_lavmm_write                  (i_hio_ch3_lavmm_write),                                                                //   input,    width = 1,                                       .write
		.o_hio_ch3_lavmm_rdata                  (o_hio_ch3_lavmm_rdata),                                                                //  output,   width = 32,                                       .readdata
		.i_hio_ch3_lavmm_wdata                  (i_hio_ch3_lavmm_wdata),                                                                //   input,   width = 32,                                       .writedata
		.o_hio_ch3_lavmm_waitreq                (o_hio_ch3_lavmm_waitreq),                                                              //  output,    width = 1,                                       .waitrequest
		.i_hio_ch3_pld_rx_clk_in_row_clk        (i_hio_ch3_pld_rx_clk_in_row_clk),                                                      //   input,    width = 1,        i_hio_ch3_pld_rx_clk_in_row_clk.clk
		.i_hio_ch3_pld_tx_clk_in_row_clk        (i_hio_ch3_pld_tx_clk_in_row_clk),                                                      //   input,    width = 1,        i_hio_ch3_pld_tx_clk_in_row_clk.clk
		.i_hio_ch3_det_lat_rx_dl_clk            (i_hio_ch3_det_lat_rx_dl_clk),                                                          //   input,    width = 1,            i_hio_ch3_det_lat_rx_dl_clk.clk
		.i_hio_ch3_det_lat_rx_mux_select        (i_hio_ch3_det_lat_rx_mux_select),                                                      //   input,    width = 1,        i_hio_ch3_det_lat_rx_mux_select.clk
		.i_hio_ch3_det_lat_rx_sclk_flop         (i_hio_ch3_det_lat_rx_sclk_flop),                                                       //   input,    width = 1,         i_hio_ch3_det_lat_rx_sclk_flop.clk
		.i_hio_ch3_det_lat_rx_sclk_gen_clk      (i_hio_ch3_det_lat_rx_sclk_gen_clk),                                                    //   input,    width = 1,      i_hio_ch3_det_lat_rx_sclk_gen_clk.clk
		.i_hio_ch3_det_lat_rx_trig_flop         (i_hio_ch3_det_lat_rx_trig_flop),                                                       //   input,    width = 1,         i_hio_ch3_det_lat_rx_trig_flop.clk
		.i_hio_ch3_det_lat_sampling_clk         (i_hio_ch3_det_lat_sampling_clk),                                                       //   input,    width = 1,         i_hio_ch3_det_lat_sampling_clk.clk
		.i_hio_ch3_det_lat_tx_dl_clk            (i_hio_ch3_det_lat_tx_dl_clk),                                                          //   input,    width = 1,            i_hio_ch3_det_lat_tx_dl_clk.clk
		.i_hio_ch3_det_lat_tx_mux_select        (i_hio_ch3_det_lat_tx_mux_select),                                                      //   input,    width = 1,        i_hio_ch3_det_lat_tx_mux_select.clk
		.i_hio_ch3_det_lat_tx_sclk_flop         (i_hio_ch3_det_lat_tx_sclk_flop),                                                       //   input,    width = 1,         i_hio_ch3_det_lat_tx_sclk_flop.clk
		.i_hio_ch3_det_lat_tx_sclk_gen_clk      (i_hio_ch3_det_lat_tx_sclk_gen_clk),                                                    //   input,    width = 1,      i_hio_ch3_det_lat_tx_sclk_gen_clk.clk
		.i_hio_ch3_det_lat_tx_trig_flop         (i_hio_ch3_det_lat_tx_trig_flop),                                                       //   input,    width = 1,         i_hio_ch3_det_lat_tx_trig_flop.clk
		.o_hio_ch3_user_rx_clk1_clk             (o_hio_ch3_user_rx_clk1_clk),                                                           //  output,    width = 1,             o_hio_ch3_user_rx_clk1_clk.clk
		.o_hio_ch3_user_rx_clk2_clk             (o_hio_ch3_user_rx_clk2_clk),                                                           //  output,    width = 1,             o_hio_ch3_user_rx_clk2_clk.clk
		.o_hio_ch3_user_tx_clk1_clk             (o_hio_ch3_user_tx_clk1_clk),                                                           //  output,    width = 1,             o_hio_ch3_user_tx_clk1_clk.clk
		.o_hio_ch3_user_tx_clk2_clk             (o_hio_ch3_user_tx_clk2_clk),                                                           //  output,    width = 1,             o_hio_ch3_user_tx_clk2_clk.clk
		.o_hio_ch3_ux_chnl_refclk_mux           (o_hio_ch3_ux_chnl_refclk_mux),                                                         //  output,    width = 1,           o_hio_ch3_ux_chnl_refclk_mux.clk
		.o_hio_ch3_det_lat_rx_async_dl_sync     (o_hio_ch3_det_lat_rx_async_dl_sync),                                                   //  output,    width = 1,     o_hio_ch3_det_lat_rx_async_dl_sync.clk
		.o_hio_ch3_det_lat_rx_async_pulse       (o_hio_ch3_det_lat_rx_async_pulse),                                                     //  output,    width = 1,       o_hio_ch3_det_lat_rx_async_pulse.clk
		.o_hio_ch3_det_lat_rx_async_sample_sync (o_hio_ch3_det_lat_rx_async_sample_sync),                                               //  output,    width = 1, o_hio_ch3_det_lat_rx_async_sample_sync.clk
		.o_hio_ch3_det_lat_rx_sclk_sample_sync  (o_hio_ch3_det_lat_rx_sclk_sample_sync),                                                //  output,    width = 1,  o_hio_ch3_det_lat_rx_sclk_sample_sync.clk
		.o_hio_ch3_det_lat_rx_trig_sample_sync  (o_hio_ch3_det_lat_rx_trig_sample_sync),                                                //  output,    width = 1,  o_hio_ch3_det_lat_rx_trig_sample_sync.clk
		.o_hio_ch3_det_lat_tx_async_dl_sync     (o_hio_ch3_det_lat_tx_async_dl_sync),                                                   //  output,    width = 1,     o_hio_ch3_det_lat_tx_async_dl_sync.clk
		.o_hio_ch3_det_lat_tx_async_pulse       (o_hio_ch3_det_lat_tx_async_pulse),                                                     //  output,    width = 1,       o_hio_ch3_det_lat_tx_async_pulse.clk
		.o_hio_ch3_det_lat_tx_async_sample_sync (o_hio_ch3_det_lat_tx_async_sample_sync),                                               //  output,    width = 1, o_hio_ch3_det_lat_tx_async_sample_sync.clk
		.o_hio_ch3_det_lat_tx_sclk_sample_sync  (o_hio_ch3_det_lat_tx_sclk_sample_sync),                                                //  output,    width = 1,  o_hio_ch3_det_lat_tx_sclk_sample_sync.clk
		.o_hio_ch3_det_lat_tx_trig_sample_sync  (o_hio_ch3_det_lat_tx_trig_sample_sync),                                                //  output,    width = 1,  o_hio_ch3_det_lat_tx_trig_sample_sync.clk
		.o_hio_ch3_xcvrif_rx_latency_pulse      (o_hio_ch3_xcvrif_rx_latency_pulse),                                                    //  output,    width = 1,      o_hio_ch3_xcvrif_rx_latency_pulse.clk
		.o_hio_ch3_xcvrif_tx_latency_pulse      (o_hio_ch3_xcvrif_tx_latency_pulse),                                                    //  output,    width = 1,      o_hio_ch3_xcvrif_tx_latency_pulse.clk
		.i_hio_txdata_ptp                       (80'b00000000000000000000000000000000000000000000000000000000000000000000000000000000), // (terminated),                                                      
		.i_hio_pld_rx_clk_in_row_clk_ptp        (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_pld_tx_clk_in_row_clk_ptp        (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_det_lat_rx_dl_clk_ptp            (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_det_lat_rx_mux_select_ptp        (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_det_lat_rx_sclk_flop_ptp         (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_det_lat_rx_sclk_gen_clk_ptp      (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_det_lat_rx_trig_flop_ptp         (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_det_lat_sampling_clk_ptp         (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_det_lat_tx_dl_clk_ptp            (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_det_lat_tx_mux_select_ptp        (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_det_lat_tx_sclk_flop_ptp         (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_det_lat_tx_sclk_gen_clk_ptp      (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_det_lat_tx_trig_flop_ptp         (1'b0),                                                                                 // (terminated),                                                      
		.o_hio_det_lat_rx_async_dl_sync_ptp     (),                                                                                     // (terminated),                                                      
		.o_hio_det_lat_rx_async_pulse_ptp       (),                                                                                     // (terminated),                                                      
		.o_hio_det_lat_rx_async_sample_sync_ptp (),                                                                                     // (terminated),                                                      
		.o_hio_det_lat_rx_sclk_sample_sync_ptp  (),                                                                                     // (terminated),                                                      
		.o_hio_det_lat_rx_trig_sample_sync_ptp  (),                                                                                     // (terminated),                                                      
		.o_hio_det_lat_tx_async_dl_sync_ptp     (),                                                                                     // (terminated),                                                      
		.o_hio_det_lat_tx_async_pulse_ptp       (),                                                                                     // (terminated),                                                      
		.o_hio_det_lat_tx_async_sample_sync_ptp (),                                                                                     // (terminated),                                                      
		.o_hio_det_lat_tx_sclk_sample_sync_ptp  (),                                                                                     // (terminated),                                                      
		.o_hio_user_rx_clk1_clk_ptp             (),                                                                                     // (terminated),                                                      
		.o_hio_user_tx_clk1_clk_ptp             (),                                                                                     // (terminated),                                                      
		.o_hio_det_lat_tx_trig_sample_sync_ptp  (),                                                                                     // (terminated),                                                      
		.o_hio_rxdata_ptp                       (),                                                                                     // (terminated),                                                      
		.i_hio_lavmm_clk_ptp                    (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_lavmm_rstn_ptp                   (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_lavmm_addr_ptp                   (21'b000000000000000000000),                                                            // (terminated),                                                      
		.i_hio_lavmm_be_ptp                     (4'b0000),                                                                              // (terminated),                                                      
		.o_hio_lavmm_rdata_valid_ptp            (),                                                                                     // (terminated),                                                      
		.i_hio_lavmm_read_ptp                   (1'b0),                                                                                 // (terminated),                                                      
		.i_hio_lavmm_write_ptp                  (1'b0),                                                                                 // (terminated),                                                      
		.o_hio_lavmm_rdata_ptp                  (),                                                                                     // (terminated),                                                      
		.i_hio_lavmm_wdata_ptp                  (32'b00000000000000000000000000000000),                                                 // (terminated),                                                      
		.o_hio_lavmm_waitreq_ptp                ()                                                                                      // (terminated),                                                      
	);

endmodule
