// xcvr_fmcp_x4_refclk1.v

// Generated using ACDS version 24.3 212

`timescale 1 ps / 1 ps
module xcvr_fmcp_x4_refclk1 (
		input  wire         clock_bridge_xcvr_pma_rx_refclk_in_clk_clk,         //  clock_bridge_xcvr_pma_rx_refclk_in_clk.clk
		input  wire         clock_bridge_xcvr_pma_tx_refclk_in_clk_clk,         //  clock_bridge_xcvr_pma_tx_refclk_in_clk.clk
		input  wire [0:0]   i_pma_cu_clk,                                       //                            i_pma_cu_clk.clk
		input  wire [0:0]   i_system_pll_lock,                                  //                       i_system_pll_lock.system_pll_lock
		input  wire [0:0]   i_tx_reset_tx_reset,                                //                              i_tx_reset.tx_reset
		input  wire [0:0]   i_rx_reset,                                         //                              i_rx_reset.rx_reset
		output wire [0:0]   o_tx_reset_ack,                                     //                          o_tx_reset_ack.tx_reset_ack
		output wire [0:0]   o_rx_reset_ack,                                     //                          o_rx_reset_ack.rx_reset_ack
		output wire [0:0]   o_tx_ready,                                         //                              o_tx_ready.tx_ready
		output wire [0:0]   o_rx_ready,                                         //                              o_rx_ready.rx_ready
		input  wire [3:0]   i_src_rs_grant,                                     //                          i_src_rs_grant.src_rs_grant
		output wire [3:0]   o_src_rs_req,                                       //                            o_src_rs_req.src_rs_req
		output wire [3:0]   o_tx_serial_data,                                   //                        o_tx_serial_data.o_tx_serial_data
		output wire [3:0]   o_tx_serial_data_n,                                 //                      o_tx_serial_data_n.o_tx_serial_data_n
		input  wire [3:0]   i_rx_serial_data,                                   //                        i_rx_serial_data.i_rx_serial_data
		input  wire [3:0]   i_rx_serial_data_n,                                 //                      i_rx_serial_data_n.i_rx_serial_data_n
		output wire [3:0]   o_tx_pll_locked,                                    //                         o_tx_pll_locked.o_tx_pll_locked
		output wire [3:0]   o_rx_is_lockedtodata,                               //                    o_rx_is_lockedtodata.o_rx_is_lockedtodata
		output wire [3:0]   o_rx_is_lockedtoref,                                //                     o_rx_is_lockedtoref.o_rx_is_lockedtoref
		output wire [0:0]   intel_directphy_gts_x4_o_refclk2core_o_refclk2core, //    intel_directphy_gts_x4_o_refclk2core.o_refclk2core
		input  wire [319:0] i_tx_parallel_data,                                 //                      i_tx_parallel_data.i_tx_parallel_data
		output wire [319:0] o_rx_parallel_data,                                 //                      o_rx_parallel_data.o_rx_parallel_data
		input  wire [0:0]   intel_directphy_gts_x4_i_reconfig_clk_clk,          //   intel_directphy_gts_x4_i_reconfig_clk.clk
		input  wire [0:0]   intel_directphy_gts_x4_i_reconfig_reset_reset,      // intel_directphy_gts_x4_i_reconfig_reset.reset
		input  wire [0:0]   intel_directphy_gts_x4_reconfig_write,              //         intel_directphy_gts_x4_reconfig.write
		input  wire [0:0]   intel_directphy_gts_x4_reconfig_read,               //                                        .read
		input  wire [19:0]  intel_directphy_gts_x4_reconfig_address,            //                                        .address
		input  wire [3:0]   intel_directphy_gts_x4_reconfig_byteenable,         //                                        .byteenable
		input  wire [31:0]  intel_directphy_gts_x4_reconfig_writedata,          //                                        .writedata
		output wire [31:0]  intel_directphy_gts_x4_reconfig_readdata,           //                                        .readdata
		output wire [0:0]   intel_directphy_gts_x4_reconfig_waitrequest,        //                                        .waitrequest
		output wire [0:0]   intel_directphy_gts_x4_reconfig_readdatavalid,      //                                        .readdatavalid
		output wire         intel_systemclk_gts_o_pll_lock_o_pll_lock,          //          intel_systemclk_gts_o_pll_lock.o_pll_lock
		input  wire         intel_systemclk_gts_i_refclk_rdy_data               //        intel_systemclk_gts_i_refclk_rdy.data
	);

	wire    intel_directphy_gts_x4_o_rx_clkout_xcvr0_clk; // intel_directphy_gts_x4:o_rx_clkout_xcvr0 -> intel_directphy_gts_x4:i_rx_coreclkin_xcvr0
	wire    intel_directphy_gts_x4_o_rx_clkout_xcvr1_clk; // intel_directphy_gts_x4:o_rx_clkout_xcvr1 -> intel_directphy_gts_x4:i_rx_coreclkin_xcvr1
	wire    intel_directphy_gts_x4_o_rx_clkout_xcvr2_clk; // intel_directphy_gts_x4:o_rx_clkout_xcvr2 -> intel_directphy_gts_x4:i_rx_coreclkin_xcvr2
	wire    intel_directphy_gts_x4_o_rx_clkout_xcvr3_clk; // intel_directphy_gts_x4:o_rx_clkout_xcvr3 -> intel_directphy_gts_x4:i_rx_coreclkin_xcvr3
	wire    intel_systemclk_gts_o_syspll_c0_clk;          // intel_systemclk_gts:o_syspll_c0 -> intel_directphy_gts_x4:i_system_pll_clk
	wire    intel_directphy_gts_x4_o_tx_clkout_xcvr0_clk; // intel_directphy_gts_x4:o_tx_clkout_xcvr0 -> intel_directphy_gts_x4:i_tx_coreclkin_xcvr0
	wire    intel_directphy_gts_x4_o_tx_clkout_xcvr1_clk; // intel_directphy_gts_x4:o_tx_clkout_xcvr1 -> intel_directphy_gts_x4:i_tx_coreclkin_xcvr1
	wire    intel_directphy_gts_x4_o_tx_clkout_xcvr2_clk; // intel_directphy_gts_x4:o_tx_clkout_xcvr2 -> intel_directphy_gts_x4:i_tx_coreclkin_xcvr2
	wire    intel_directphy_gts_x4_o_tx_clkout_xcvr3_clk; // intel_directphy_gts_x4:o_tx_clkout_xcvr3 -> intel_directphy_gts_x4:i_tx_coreclkin_xcvr3
	wire    clock_bridge_xcvr_pma_rx_refclk_out_clk_clk;  // clock_bridge_xcvr_pma_rx_refclk:out_clk -> intel_directphy_gts_x4:i_rx_cdr_refclk_p
	wire    clock_bridge_xcvr_pma_tx_refclk_out_clk_clk;  // clock_bridge_xcvr_pma_tx_refclk:out_clk -> [intel_directphy_gts_x4:i_tx_pll_refclk_p, intel_systemclk_gts:i_refclk]

	xcvr_fmcp_x4_clock_bridge_xcvr_syspll_ref_1 clock_bridge_xcvr_pma_rx_refclk (
		.in_clk  (clock_bridge_xcvr_pma_rx_refclk_in_clk_clk),  //   input,  width = 1,  in_clk.clk
		.out_clk (clock_bridge_xcvr_pma_rx_refclk_out_clk_clk)  //  output,  width = 1, out_clk.clk
	);

	xcvr_fmcp_x4_clock_bridge_1 clock_bridge_xcvr_pma_tx_refclk (
		.in_clk  (clock_bridge_xcvr_pma_tx_refclk_in_clk_clk),  //   input,  width = 1,  in_clk.clk
		.out_clk (clock_bridge_xcvr_pma_tx_refclk_out_clk_clk)  //  output,  width = 1, out_clk.clk
	);

	xcvr_fmcp_x4_intel_directphy_gts_1 intel_directphy_gts_x4 (
		.i_rx_cdr_refclk_p        (clock_bridge_xcvr_pma_rx_refclk_out_clk_clk),        //   input,    width = 1,      i_rx_cdr_refclk_p.clk
		.i_tx_pll_refclk_p        (clock_bridge_xcvr_pma_tx_refclk_out_clk_clk),        //   input,    width = 1,      i_tx_pll_refclk_p.clk
		.i_pma_cu_clk             (i_pma_cu_clk),                                       //   input,    width = 1,           i_pma_cu_clk.clk
		.i_system_pll_clk         (intel_systemclk_gts_o_syspll_c0_clk),                //   input,    width = 1,       i_system_pll_clk.clk
		.i_system_pll_lock        (i_system_pll_lock),                                  //   input,    width = 1,      i_system_pll_lock.system_pll_lock
		.i_tx_reset               (i_tx_reset_tx_reset),                                //   input,    width = 1,             i_tx_reset.tx_reset
		.i_rx_reset               (i_rx_reset),                                         //   input,    width = 1,             i_rx_reset.rx_reset
		.o_tx_reset_ack           (o_tx_reset_ack),                                     //  output,    width = 1,         o_tx_reset_ack.tx_reset_ack
		.o_rx_reset_ack           (o_rx_reset_ack),                                     //  output,    width = 1,         o_rx_reset_ack.rx_reset_ack
		.o_tx_ready               (o_tx_ready),                                         //  output,    width = 1,             o_tx_ready.tx_ready
		.o_rx_ready               (o_rx_ready),                                         //  output,    width = 1,             o_rx_ready.rx_ready
		.i_tx_coreclkin_xcvr0     (intel_directphy_gts_x4_o_tx_clkout_xcvr0_clk),       //   input,    width = 1,   i_tx_coreclkin_xcvr0.clk
		.i_tx_coreclkin_xcvr1     (intel_directphy_gts_x4_o_tx_clkout_xcvr1_clk),       //   input,    width = 1,   i_tx_coreclkin_xcvr1.clk
		.i_tx_coreclkin_xcvr2     (intel_directphy_gts_x4_o_tx_clkout_xcvr2_clk),       //   input,    width = 1,   i_tx_coreclkin_xcvr2.clk
		.i_tx_coreclkin_xcvr3     (intel_directphy_gts_x4_o_tx_clkout_xcvr3_clk),       //   input,    width = 1,   i_tx_coreclkin_xcvr3.clk
		.i_rx_coreclkin_xcvr0     (intel_directphy_gts_x4_o_rx_clkout_xcvr0_clk),       //   input,    width = 1,   i_rx_coreclkin_xcvr0.clk
		.i_rx_coreclkin_xcvr1     (intel_directphy_gts_x4_o_rx_clkout_xcvr1_clk),       //   input,    width = 1,   i_rx_coreclkin_xcvr1.clk
		.i_rx_coreclkin_xcvr2     (intel_directphy_gts_x4_o_rx_clkout_xcvr2_clk),       //   input,    width = 1,   i_rx_coreclkin_xcvr2.clk
		.i_rx_coreclkin_xcvr3     (intel_directphy_gts_x4_o_rx_clkout_xcvr3_clk),       //   input,    width = 1,   i_rx_coreclkin_xcvr3.clk
		.o_tx_clkout_xcvr0        (intel_directphy_gts_x4_o_tx_clkout_xcvr0_clk),       //  output,    width = 1,      o_tx_clkout_xcvr0.clk
		.o_tx_clkout_xcvr1        (intel_directphy_gts_x4_o_tx_clkout_xcvr1_clk),       //  output,    width = 1,      o_tx_clkout_xcvr1.clk
		.o_tx_clkout_xcvr2        (intel_directphy_gts_x4_o_tx_clkout_xcvr2_clk),       //  output,    width = 1,      o_tx_clkout_xcvr2.clk
		.o_tx_clkout_xcvr3        (intel_directphy_gts_x4_o_tx_clkout_xcvr3_clk),       //  output,    width = 1,      o_tx_clkout_xcvr3.clk
		.o_rx_clkout_xcvr0        (intel_directphy_gts_x4_o_rx_clkout_xcvr0_clk),       //  output,    width = 1,      o_rx_clkout_xcvr0.clk
		.o_rx_clkout_xcvr1        (intel_directphy_gts_x4_o_rx_clkout_xcvr1_clk),       //  output,    width = 1,      o_rx_clkout_xcvr1.clk
		.o_rx_clkout_xcvr2        (intel_directphy_gts_x4_o_rx_clkout_xcvr2_clk),       //  output,    width = 1,      o_rx_clkout_xcvr2.clk
		.o_rx_clkout_xcvr3        (intel_directphy_gts_x4_o_rx_clkout_xcvr3_clk),       //  output,    width = 1,      o_rx_clkout_xcvr3.clk
		.i_src_rs_grant           (i_src_rs_grant),                                     //   input,    width = 4,         i_src_rs_grant.src_rs_grant
		.o_src_rs_req             (o_src_rs_req),                                       //  output,    width = 4,           o_src_rs_req.src_rs_req
		.o_tx_serial_data         (o_tx_serial_data),                                   //  output,    width = 4,       o_tx_serial_data.o_tx_serial_data
		.o_tx_serial_data_n       (o_tx_serial_data_n),                                 //  output,    width = 4,     o_tx_serial_data_n.o_tx_serial_data_n
		.i_rx_serial_data         (i_rx_serial_data),                                   //   input,    width = 4,       i_rx_serial_data.i_rx_serial_data
		.i_rx_serial_data_n       (i_rx_serial_data_n),                                 //   input,    width = 4,     i_rx_serial_data_n.i_rx_serial_data_n
		.o_tx_pll_locked          (o_tx_pll_locked),                                    //  output,    width = 4,        o_tx_pll_locked.o_tx_pll_locked
		.o_rx_is_lockedtodata     (o_rx_is_lockedtodata),                               //  output,    width = 4,   o_rx_is_lockedtodata.o_rx_is_lockedtodata
		.o_rx_is_lockedtoref      (o_rx_is_lockedtoref),                                //  output,    width = 4,    o_rx_is_lockedtoref.o_rx_is_lockedtoref
		.o_rx_block_lock          (),                                                   //  output,    width = 4,        o_rx_block_lock.o_rx_block_lock
		.o_rx_hi_ber              (),                                                   //  output,    width = 4,            o_rx_hi_ber.o_rx_hi_ber
		.o_rx_pcs_fully_aligned   (),                                                   //  output,    width = 4, o_rx_pcs_fully_aligned.o_rx_pcs_fully_aligned
		.o_refclk2core            (intel_directphy_gts_x4_o_refclk2core_o_refclk2core), //  output,    width = 1,          o_refclk2core.o_refclk2core
		.i_tx_parallel_data       (i_tx_parallel_data),                                 //   input,  width = 320,     i_tx_parallel_data.i_tx_parallel_data
		.o_rx_parallel_data       (o_rx_parallel_data),                                 //  output,  width = 320,     o_rx_parallel_data.o_rx_parallel_data
		.i_reconfig_clk           (intel_directphy_gts_x4_i_reconfig_clk_clk),          //   input,    width = 1,         i_reconfig_clk.clk
		.i_reconfig_reset         (intel_directphy_gts_x4_i_reconfig_reset_reset),      //   input,    width = 1,       i_reconfig_reset.reset
		.i_reconfig_write         (intel_directphy_gts_x4_reconfig_write),              //   input,    width = 1,               reconfig.write
		.i_reconfig_read          (intel_directphy_gts_x4_reconfig_read),               //   input,    width = 1,                       .read
		.i_reconfig_address       (intel_directphy_gts_x4_reconfig_address),            //   input,   width = 20,                       .address
		.i_reconfig_byteenable    (intel_directphy_gts_x4_reconfig_byteenable),         //   input,    width = 4,                       .byteenable
		.i_reconfig_writedata     (intel_directphy_gts_x4_reconfig_writedata),          //   input,   width = 32,                       .writedata
		.o_reconfig_readdata      (intel_directphy_gts_x4_reconfig_readdata),           //  output,   width = 32,                       .readdata
		.o_reconfig_waitrequest   (intel_directphy_gts_x4_reconfig_waitrequest),        //  output,    width = 1,                       .waitrequest
		.o_reconfig_readdatavalid (intel_directphy_gts_x4_reconfig_readdatavalid)       //  output,    width = 1,                       .readdatavalid
	);

	xcvr_fmcp_x4_intel_systemclk_gts_1 intel_systemclk_gts (
		.o_pll_lock     (intel_systemclk_gts_o_pll_lock_o_pll_lock),   //  output,  width = 1,   o_pll_lock.o_pll_lock
		.o_syspll_c0    (intel_systemclk_gts_o_syspll_c0_clk),         //  output,  width = 1,  o_syspll_c0.clk
		.i_refclk       (clock_bridge_xcvr_pma_tx_refclk_out_clk_clk), //   input,  width = 1,  refclk_xcvr.clk
		.i_refclk_ready (intel_systemclk_gts_i_refclk_rdy_data)        //   input,  width = 1, i_refclk_rdy.data
	);

endmodule
