// (C) 2001-2024 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.


// (C) 2001-2023 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.
`timescale 1ps / 1ps
module alt_e40_pma_4zmad5a# (
parameter SYNOPT_SYNC_E         = 0,
parameter enable_cdr_clkout     = 0
)
(
		//input  wire [3:0]          reset,                          //                          reset.reset
		output wire [3:0]          tx_ready,                       //                          tx_ready.tx_ready
		output wire [3:0]          rx_ready,                       //                          rx_ready.rx_ready
		//output wire [3:0]          tx_pma_ready,                   //                          tx_pma_ready.tx_pma_ready
		//output wire [3:0]          rx_pma_ready,                   //                          rx_pma_ready.rx_pma_ready
		output wire [3:0]          tx_serial_data,                 //                          tx_serial_data.tx_serial_data
		output wire [3:0]          tx_serial_data_n,               //                          tx_serial_data_n.tx_serial_data_n
		input  wire [3:0]          rx_serial_data,                 //                          rx_serial_data.rx_serial_data
		input  wire [3:0]          rx_serial_data_n,               //                          rx_serial_data_n.rx_serial_data_n
		//input  wire                pll_refclk0,                    //                          pll_refclk0.clk
		output wire [3:0]          rx_is_lockedtodata,             //                          rx_is_lockedtodata.rx_is_lockedtodata
		//input  wire [3:0]          rx_pmaif_bitslip,               //                          rx_pmaif_bitslip.rx_pmaif_bitslip
		//input  wire [3:0]          tx_coreclkin,                   //                          tx_coreclkin.clk
		//input  wire [3:0]          rx_coreclkin,                   //                          rx_coreclkin.clk
		
		input  wire                rx_cdr_refclk_p,                   //                          rx_cdr_refclk_p.clk
        input  wire                tx_pll_refclk_p,                   //                          tx_pll_refclk_p.clk
        input  wire                i_pma_cu_clk,                   //                          i_pma_cu_clk.i_pma_cu_clk
        input  wire                i_system_pll_lock,                   //                          i_system_pll_lock.i_system_pll_lock
        input  wire                i_system_pll_clk,                   //                          i_system_pll_clk.i_system_pll_clk
        input  wire                i_tx_reset,                   //                             i_tx_reset.i_tx_reset
        input  wire                i_rx_reset,                   //                             i_rx_reset.i_rx_reset
        output  wire                tx_reset_ack,                   //                             tx_reset_ack.tx_reset_ack
        output  wire                rx_reset_ack,                   //                             rx_reset_ack.rx_reset_ack
        output  wire                csr_rst_ack_n,
		input  wire [3:0]          i_src_rs_grant,                   //                          i_src_rs_grant.i_src_rs_grant
		output  wire [3:0]          o_src_rs_req,                   //                          o_src_rs_req.o_src_rs_req
       output wire                rx_block_lock_w,                      //                          rx_block_lock.rx_block_lock
     //  output wire [3:0]            rx_am_lock,                      //                          rx_am_lock.rx_am_lock
       output wire [3:0]            local_fault_status,                      //                     local_fault_status.local_fault_status
		output wire [3:0]          tx_clkout2,                      //                          tx_clkout2.clk
		output wire [3:0]          rx_clkout2,                      //                          rx_clkout.clk
      output                     clk_rxmac,
      output                     clk_txmac,		
      output                     clk_rx_recover,		
      output wire [3:0]          tx_clkout,                      //                          tx_clkout.clk
		output wire [3:0]          rx_clkout,                      //                          rx_clkout.clk
		//output wire [3:0]          tx_fifo_full,                   //                          tx_fifo_full.tx_fifo_full
		//output wire [3:0]          tx_fifo_empty,                  //                          tx_fifo_empty.tx_fifo_empty
		//output wire [3:0]          tx_fifo_pfull,                  //                          tx_fifo_pfull.tx_fifo_pfull
		//output wire [3:0]          tx_fifo_pempty,                 //                          tx_fifo_pempty.tx_fifo_pempty
		//output wire [3:0]          rx_fifo_full,                   //                          rx_fifo_full.rx_fifo_full
		output wire [3:0]          rx_fifo_empty,                  //                          rx_fifo_empty.rx_fifo_empty
		//output wire [3:0]          rx_fifo_pfull,                  //                          rx_fifo_pfull.rx_fifo_pfull
		//output wire [3:0]          rx_fifo_pempty,                 //                          rx_fifo_pempty.rx_fifo_pempty
		//input  wire [3:0]          rx_fifo_rd_en,                  //                          rx_fifo_rd_en.rx_fifo_rd_en
		input  wire                reconfig_clk,                   //                          reconfig_clk.clk
		input  wire                reconfig_reset,                 //                          reconfig_reset.reset
		input  wire                reconfig_write,                 //                          reconfig_avmm.write
		input  wire                reconfig_read,                  //                          .read
		input  wire [19:0]         reconfig_address,               //                          .address
		input  wire [31:0]         reconfig_writedata,             //                          .writedata
		output wire [31:0]         reconfig_readdata,              //                          .readdata
                  output wire                reconfig_readdatavalid,
                 input [3:0]                reconfig_byteenable,
		output wire                reconfig_waitrequest,           
                input  wire [3:0]          tx_pcs_valid_in,
                input  wire [2*66*2-1:0]   tx_pcs_data_in,
                output wire  [2*66*2-1:0]   rxpcs_din_out,
                input  wire                tx_clk,
                input  wire                rx_clk,
                output wire [3:0]          rx_data_valid_out,
                output wire [3:0]          tx_dll_lock,
                input                      rx_pll_locked,
  output wire                o_rx_cdr_divclk,
                input                      tx_pll_locked
    );
       wire [3:0]            rx_block_lock;
 assign rx_block_lock_w = &rx_block_lock;
//Reconfig address decoding added to select and concatenate address for each channels
  wire [31:0] reconfig_readdata_int;
  
 assign clk_rxmac = rx_clkout2[0];
 assign clk_rx_recover = rx_clkout2[0];
 assign clk_txmac = tx_clkout2[0];
 
 // assign reconfig_readdata = {24'd0,reconfig_readdata_int};
  
assign reconfig_readdata = reconfig_readdata_int;
  wire [263:0] tx_fifo_dout0;
  reg  [263:0] tx_data0;
  reg  [3:0] tx_dvalid;
  reg  [3:0] tx_dvalid_d;
  wire [3:0] tx_afifo_empty;
  wire tx_fifo_rd_en;
 
  wire [263:0] rx_fifo_dout0;
  reg  [263:0] rx_data0;
  reg  rx_dvalid;
  reg  rx_dvalid_d;
  wire [3:0] rx_afifo_empty;
  wire [319:0] rxpcs_din_etile; 
  wire [319:0] tx_data_etile;
  wire  [65:0]       rxpcs_din_0;
  wire  [65:0]       rxpcs_din_1;
  wire  [65:0]       rxpcs_din_2;
  wire  [65:0]       rxpcs_din_3;
  wire  [65:0]       rxpcs_fifo_din_0;
  wire  [65:0]       rxpcs_fifo_din_1;
  wire  [65:0]       rxpcs_fifo_din_2;
  wire  [65:0]       rxpcs_fifo_din_3;
  
  wire  [65:0]       tx_data0_mod;
  wire  [65:0]       tx_data1_mod;
  wire  [65:0]       tx_data2_mod;
  wire  [65:0]       tx_data3_mod;
  wire              o_tx_cadence_w ;
  wire  [3:0]        tx_coreclkin;
  wire  [3:0]        rx_coreclkin;

assign tx_coreclkin[0] = tx_clkout[0];
assign tx_coreclkin[1] = tx_clkout[0];
assign tx_coreclkin[2] = tx_clkout[0];
assign tx_coreclkin[3] = tx_clkout[0];

assign rx_coreclkin[0] = tx_clkout[0];
assign rx_coreclkin[1] = tx_clkout[0];
assign rx_coreclkin[2] = tx_clkout[0];
assign rx_coreclkin[3] = tx_clkout[0];
 
 assign csr_rst_ack_n = ~(rx_reset_ack & tx_reset_ack);
 //  assign tx_data0_mod = {tx_data0[1:0], tx_data0[65:2]};
 // assign tx_data1_mod = {tx_data0[67:66], tx_data0[131:68]};
// assign tx_data2_mod = {tx_data0[133:132], tx_data0[197:134]};
// assign tx_data3_mod = {tx_data0[199:198], tx_data0[263:200]};
 assign tx_data0_mod =  tx_data0[65:0];
  assign tx_data1_mod =  tx_data0[131:66];
  assign tx_data2_mod =  tx_data0[197:132];
  assign tx_data3_mod =  tx_data0[263:198];
 // assign tx_data_etile[(80*1)-1:(80*0)]= {11'd0, (tx_dvalid_d), 1'b0, tx_data0_mod[65:39], 1'b0, tx_data0_mod[38:0]};
 // assign tx_data_etile[(80*2)-1:(80*1)]= {11'd0, (tx_dvalid_d), 1'b0, tx_data1_mod[65:39], 1'b0, tx_data1_mod[38:0]};
 // assign tx_data_etile[(80*3)-1:(80*2)]= {11'd0, (tx_dvalid_d), 1'b0, tx_data2_mod[65:39], 1'b0, tx_data2_mod[38:0]};
 // assign tx_data_etile[(80*4)-1:(80*3)]= {11'd0, (tx_dvalid_d), 1'b0, tx_data3_mod[65:39], 1'b0, tx_data3_mod[38:0]};
 assign tx_data_etile[(80*1)-1:(80*0)]= {1'b1,6'd0,tx_data0_mod[65:33] , 1'b0,(tx_dvalid_d[0]), 5'b0, tx_data0_mod[32:0]};
  assign tx_data_etile[(80*2)-1:(80*1)]=  {1'b1,6'd0,tx_data1_mod[65:33] , 1'b0,(tx_dvalid_d[0]), 5'b0, tx_data1_mod[32:0]};
  assign tx_data_etile[(80*3)-1:(80*2)]= {1'b1,6'd0,tx_data2_mod[65:33] , 1'b0,(tx_dvalid_d[0]), 5'b0, tx_data2_mod[32:0]};
  assign tx_data_etile[(80*4)-1:(80*3)]= {1'b1,6'd0,tx_data3_mod[65:33] , 1'b0,(tx_dvalid_d[0]), 5'b0, tx_data3_mod[32:0]};
  wire   tx_ready_w;
  wire   rx_ready_w;
assign tx_ready= {4{tx_ready_w}} ;
assign rx_ready= {4{rx_ready_w}} ;
  wire [3:0]  tx_wr_full;
  wire  tx_pll_locked_sync_161;
  wire  tx_pll_locked_sync_312p5;
alt_e40_reset_synchronizer  tx_pll_locked_161_sync_0 (
         .clk    (tx_coreclkin[0]),
         .aclr    (~tx_pll_locked),
         .aclr_sync   (tx_pll_locked_sync_161)
);
alt_e40_reset_synchronizer  tx_pll_locked_312p5_sync_0 (
         .clk    (tx_clk),
         .aclr    (~tx_pll_locked),
         .aclr_sync   (tx_pll_locked_sync_312p5)
);
wire [267:0] tx_pcs_data_in_tmp = {tx_pcs_valid_in,{tx_pcs_data_in[263:198] & {66{tx_pcs_valid_in[3]}}},{tx_pcs_data_in[197:132] & {66{tx_pcs_valid_in[2]}}},{tx_pcs_data_in[131:66] & {66{tx_pcs_valid_in[1]}}},{tx_pcs_data_in[65:0] & {66{tx_pcs_valid_in[0]}}}};
wire tx_pcs_valid_in_tmp = tx_pcs_valid_in[3] | tx_pcs_valid_in[2] | tx_pcs_valid_in[1] | tx_pcs_valid_in[0];
wire [65:0] tx_fifo_dout3_tmp,tx_fifo_dout2_tmp,tx_fifo_dout1_tmp,tx_fifo_dout0_tmp;
assign tx_fifo_dout0 = {tx_fifo_dout3_tmp,tx_fifo_dout2_tmp,tx_fifo_dout1_tmp,tx_fifo_dout0_tmp};
//TX FIFO wr_en generation
reg tx_wr_en;
always@ (posedge tx_clk ) begin
  tx_wr_en <= tx_pll_locked_sync_312p5; 
end
//TX FIFO rd_en generation
assign tx_fifo_rd_en = ~(|tx_afifo_empty[3:0]) & ~tx_pll_locked_sync_161;
//TX FIFO
fifo_dc tx_fifo_0 (
	.data    (tx_pcs_data_in[65:0]),   //   input,  width = 66,  fifo_input.datain
	.wrreq   (tx_pcs_valid_in[0] & ~tx_wr_full[0] & ~tx_wr_en),     //   input,   width = 1,            .wrreq
	.rdreq   (tx_fifo_rd_en && o_tx_cadence_w),       //   input,   width = 1,            .rdreq
	.wrclk   (tx_clk),                 //   input,   width = 1,            .wrclk
	.rdclk   (tx_coreclkin[0]),           //   input,   width = 1,            .rdclk
	.aclr    (tx_pll_locked_sync_312p5),       //   input,   width = 1,            .aclr
	.q       (tx_fifo_dout0_tmp),          //  output,  width = 66, fifo_output.dataout
	.rdfull  (),                       //  output,   width = 1,            .rdfull
	.rdempty (tx_afifo_empty[0]),      //  output,   width = 1,            .rdempty
	.wrfull  (tx_wr_full[0]),                       //  output,   width = 1,            .wrfull
	.wrempty ()                        //  output,   width = 1,            .wrempty
);
fifo_dc tx_fifo_1 (
	.data    (tx_pcs_data_in[131:66]),   //   input,  width = 66,  fifo_input.datain
	.wrreq   (tx_pcs_valid_in[1] & ~tx_wr_full[1] & ~tx_wr_en),     //   input,   width = 1,            .wrreq
	.rdreq   (tx_fifo_rd_en && o_tx_cadence_w),       //   input,   width = 1,            .rdreq
	.wrclk   (tx_clk),                 //   input,   width = 1,            .wrclk
	.rdclk   (tx_coreclkin[0]),           //   input,   width = 1,            .rdclk
	.aclr    (tx_pll_locked_sync_312p5),       //   input,   width = 1,            .aclr
	.q       (tx_fifo_dout1_tmp),          //  output,  width = 66, fifo_output.dataout
	.rdfull  (),                       //  output,   width = 1,            .rdfull
	.rdempty (tx_afifo_empty[1]),      //  output,   width = 1,            .rdempty
	.wrfull  (tx_wr_full[1]),                       //  output,   width = 1,            .wrfull
	.wrempty ()                        //  output,   width = 1,            .wrempty
);
fifo_dc tx_fifo_2 (
	.data    (tx_pcs_data_in[197:132]),   //   input,  width = 66,  fifo_input.datain
	.wrreq   (tx_pcs_valid_in[2] & ~tx_wr_full[2] & ~tx_wr_en),     //   input,   width = 1,            .wrreq
	.rdreq   (tx_fifo_rd_en && o_tx_cadence_w),       //   input,   width = 1,            .rdreq
	.wrclk   (tx_clk),                 //   input,   width = 1,            .wrclk
	.rdclk   (tx_coreclkin[0]),           //   input,   width = 1,            .rdclk
	.aclr    (tx_pll_locked_sync_312p5),       //   input,   width = 1,            .aclr
	.q       (tx_fifo_dout2_tmp),          //  output,  width = 66, fifo_output.dataout
	.rdfull  (),                       //  output,   width = 1,            .rdfull
	.rdempty (tx_afifo_empty[2]),      //  output,   width = 1,            .rdempty
	.wrfull  (tx_wr_full[2]),                       //  output,   width = 1,            .wrfull
	.wrempty ()                        //  output,   width = 1,            .wrempty
);
fifo_dc tx_fifo_3 (
	.data    (tx_pcs_data_in[263:198]),   //   input,  width = 66,  fifo_input.datain
	.wrreq   (tx_pcs_valid_in[3] & ~tx_wr_full[3] & ~tx_wr_en),     //   input,   width = 1,            .wrreq
	.rdreq   (tx_fifo_rd_en && o_tx_cadence_w),       //   input,   width = 1,            .rdreq
	.wrclk   (tx_clk),                 //   input,   width = 1,            .wrclk
	.rdclk   (tx_coreclkin[0]),           //   input,   width = 1,            .rdclk
	.aclr    (tx_pll_locked_sync_312p5),       //   input,   width = 1,            .aclr
	.q       (tx_fifo_dout3_tmp),          //  output,  width = 66, fifo_output.dataout
	.rdfull  (),                       //  output,   width = 1,            .rdfull
	.rdempty (tx_afifo_empty[3]),      //  output,   width = 1,            .rdempty
	.wrfull  (tx_wr_full[3]),                       //  output,   width = 1,            .wrfull
	.wrempty ()                        //  output,   width = 1,            .wrempty
);
always@ (posedge tx_coreclkin[0] or posedge tx_pll_locked_sync_161) begin
  if(tx_pll_locked_sync_161) begin
    tx_dvalid   <= 1'd0;
    tx_dvalid_d <= 1'd0;
    tx_data0    <= 264'd0; 
  end else begin
    tx_dvalid   <= tx_fifo_rd_en & o_tx_cadence_w ;
    tx_dvalid_d <= tx_dvalid;
    tx_data0    <= tx_fifo_dout0;
  end
end
//PMA Receive to PCS
  wire lcl_rx_fifo_rd_en;
  wire [3:0] rx_wr_full;
  wire [4:0] rdusedw_0,rdusedw_1,rdusedw_2,rdusedw_3;
  reg      rdused_0,rdused_1,rdused_2,rdused_3;
  wire rx_pll_locked_sync_161;
  wire rx_pll_locked_sync_312p5;
  wire rxpcs_fifo_din_0_vld;
  wire rxpcs_fifo_din_1_vld;
  wire rxpcs_fifo_din_2_vld;
  wire rxpcs_fifo_din_3_vld;
  reg rx_wr_en;
  //assign rxpcs_din_0 = {rxpcs_din_etile[(80*1)-14:(80*0)+40],rxpcs_din_etile[(80*0)+38:80*0]};
  //assign rxpcs_din_1 = {rxpcs_din_etile[(80*2)-14:(80*1)+40],rxpcs_din_etile[(80*1)+38:80*1]};
  //assign rxpcs_din_2 = {rxpcs_din_etile[(80*3)-14:(80*2)+40],rxpcs_din_etile[(80*2)+38:80*2]};
  //assign rxpcs_din_3 = {rxpcs_din_etile[(80*4)-14:(80*3)+40],rxpcs_din_etile[(80*3)+38:80*3]};
  assign rxpcs_din_0 = {rxpcs_din_etile[(80*1)-8:(80*0)+40],rxpcs_din_etile[(80*0)+32:80*0]};
  assign rxpcs_din_1 = {rxpcs_din_etile[(80*2)-8:(80*1)+40],rxpcs_din_etile[(80*1)+32:80*1]};
  assign rxpcs_din_2 = {rxpcs_din_etile[(80*3)-8:(80*2)+40],rxpcs_din_etile[(80*2)+32:80*2]};
  assign rxpcs_din_3 = {rxpcs_din_etile[(80*4)-8:(80*3)+40],rxpcs_din_etile[(80*3)+32:80*3]};
 // assign rxpcs_fifo_din_0 = {rxpcs_din_0[63:0],rxpcs_din_0[65:64]};
 // assign rxpcs_fifo_din_1 = {rxpcs_din_1[63:0],rxpcs_din_1[65:64]};
 // assign rxpcs_fifo_din_2 = {rxpcs_din_2[63:0],rxpcs_din_2[65:64]};
 // assign rxpcs_fifo_din_3 = {rxpcs_din_3[63:0],rxpcs_din_3[65:64]};
 assign rxpcs_fifo_din_0 = rxpcs_din_0[65:0];
  assign rxpcs_fifo_din_1 = rxpcs_din_1[65:0];
  assign rxpcs_fifo_din_2 = rxpcs_din_2[65:0];
  assign rxpcs_fifo_din_3 = rxpcs_din_3[65:0];
     
     
alt_e40_reset_synchronizer  rx_pll_locked_161_sync_0 (
         .clk    (rx_coreclkin[0]),
         .aclr    (~rx_pll_locked),
         .aclr_sync   (rx_pll_locked_sync_161)
);
alt_e40_reset_synchronizer  rx_pll_locked_312p5_sync_0 (
         .clk    (rx_clk),
         .aclr    (~rx_pll_locked),
         .aclr_sync   (rx_pll_locked_sync_312p5)
);
// Rx FIFO wr_en generation
always@ (posedge rx_coreclkin[0]) begin
  rx_wr_en <= rx_pll_locked_sync_161;
end
 // assign rxpcs_fifo_din_0_vld = rxpcs_din_etile[68] & ~rx_wr_full[0] & ~rx_wr_en;
 // assign rxpcs_fifo_din_1_vld = rxpcs_din_etile[148] & ~rx_wr_full[1] & ~rx_wr_en;
 // assign rxpcs_fifo_din_2_vld = rxpcs_din_etile[228] & ~rx_wr_full[2] & ~rx_wr_en;
 // assign rxpcs_fifo_din_3_vld = rxpcs_din_etile[308] & ~rx_wr_full[3] & ~rx_wr_en;
  assign rxpcs_fifo_din_0_vld = rxpcs_din_etile[38] & ~rx_wr_full[0] & ~rx_wr_en;
  assign rxpcs_fifo_din_1_vld = rxpcs_din_etile[118] & ~rx_wr_full[1] & ~rx_wr_en;
  assign rxpcs_fifo_din_2_vld = rxpcs_din_etile[198] & ~rx_wr_full[2] & ~rx_wr_en;
  assign rxpcs_fifo_din_3_vld = rxpcs_din_etile[278] & ~rx_wr_full[3] & ~rx_wr_en;
//Checking usedw to avoid rd_empty
always@ (posedge rx_clk or posedge rx_pll_locked_sync_312p5) begin
  if(rx_pll_locked_sync_312p5) 
    rdused_0 <= 1'b1;
  else if(rdusedw_0 > 'd2)
    rdused_0 <= 1'b0;
  else
    rdused_0 <= rdused_0;
end
always@ (posedge rx_clk or posedge rx_pll_locked_sync_312p5) begin
  if(rx_pll_locked_sync_312p5) 
    rdused_1 <= 1'b1;
  else if(rdusedw_1 > 'd2)
    rdused_1 <= 1'b0;
  else
    rdused_1 <= rdused_1;
end
always@ (posedge rx_clk or posedge rx_pll_locked_sync_312p5) begin
  if(rx_pll_locked_sync_312p5) 
    rdused_2 <= 1'b1;
  else if(rdusedw_2 > 'd2)
    rdused_2 <= 1'b0;
  else
    rdused_2 <= rdused_2;
end
always@ (posedge rx_clk or posedge rx_pll_locked_sync_312p5) begin
  if(rx_pll_locked_sync_312p5) 
    rdused_3 <= 1'b1;
  else if(rdusedw_3 > 'd2)
    rdused_3 <= 1'b0;
  else
    rdused_3 <= rdused_3;
end
//RX FIFO rd_en generation 
  assign lcl_rx_fifo_rd_en = ~(|rx_afifo_empty[3:0]) & ~rx_dvalid & ~rx_pll_locked_sync_312p5 & ~(rdused_0 | rdused_1 | rdused_2 | rdused_3 );
  wire [65:0] rx_fifo_dout0_tmp,rx_fifo_dout1_tmp,rx_fifo_dout2_tmp,rx_fifo_dout3_tmp;
  assign rx_fifo_dout0 = {rx_fifo_dout3_tmp, rx_fifo_dout2_tmp, rx_fifo_dout1_tmp, rx_fifo_dout0_tmp};
//RX FIFO
fifo_dc rx_fifo_0 (
	.data    (rxpcs_fifo_din_0),   //   input,  width = 66,  fifo_input.datain
	.wrreq   (rxpcs_fifo_din_0_vld),     //   input,   width = 1,            .wrreq
        .rdreq   (lcl_rx_fifo_rd_en),       //   input,   width = 1,            .rdreq
	.wrclk   (rx_coreclkin[0]),                 //   input,   width = 1,            .wrclk
	.rdclk   (rx_clk),           //   input,   width = 1,            .rdclk
	.aclr    (rx_pll_locked_sync_161),       //   input,   width = 1,            .aclr
	.q       (rx_fifo_dout0_tmp),          //  output,  width = 66, fifo_output.dataout
	.rdfull  (),                       //  output,   width = 1,            .rdfull
	.rdempty (rx_afifo_empty[0]),      //  output,   width = 1,            .rdempty
  .rdusedw (rdusedw_0),
	.wrfull  (rx_wr_full[0]),                       //  output,   width = 1,            .wrfull
	.wrempty ()                        //  output,   width = 1,            .wrempty
);
fifo_dc rx_fifo_1 (
	.data    (rxpcs_fifo_din_1),   //   input,  width = 66,  fifo_input.datain
	.wrreq   (rxpcs_fifo_din_1_vld),     //   input,   width = 1,            .wrreq
        .rdreq   (lcl_rx_fifo_rd_en),       //   input,   width = 1,            .rdreq
	.wrclk   (rx_coreclkin[0]),                 //   input,   width = 1,            .wrclk
	.rdclk   (rx_clk),           //   input,   width = 1,            .rdclk
	.aclr    (rx_pll_locked_sync_161),       //   input,   width = 1,            .aclr
	.q       (rx_fifo_dout1_tmp),          //  output,  width = 66, fifo_output.dataout
	.rdfull  (),                       //  output,   width = 1,            .rdfull
	.rdempty (rx_afifo_empty[1]),      //  output,   width = 1,            .rdempty
  .rdusedw (rdusedw_1),
	.wrfull  (rx_wr_full[1]),                       //  output,   width = 1,            .wrfull
	.wrempty ()                        //  output,   width = 1,            .wrempty
);
fifo_dc rx_fifo_2(
	.data    (rxpcs_fifo_din_2),   //   input,  width = 66,  fifo_input.datain
	.wrreq   (rxpcs_fifo_din_2_vld),     //   input,   width = 1,            .wrreq
        .rdreq   (lcl_rx_fifo_rd_en),       //   input,   width = 1,            .rdreq
	.wrclk   (rx_coreclkin[0]),                 //   input,   width = 1,            .wrclk
	.rdclk   (rx_clk),           //   input,   width = 1,            .rdclk
	.aclr    (rx_pll_locked_sync_161),       //   input,   width = 1,            .aclr
	.q       (rx_fifo_dout2_tmp),          //  output,  width = 66, fifo_output.dataout
	.rdfull  (),                       //  output,   width = 1,            .rdfull
	.rdempty (rx_afifo_empty[2]),      //  output,   width = 1,            .rdempty
  .rdusedw (rdusedw_2),
	.wrfull  (rx_wr_full[2]),                       //  output,   width = 1,            .wrfull
	.wrempty ()                        //  output,   width = 1,            .wrempty
);
fifo_dc rx_fifo_3 (
	.data    (rxpcs_fifo_din_3),   //   input,  width = 66,  fifo_input.datain
	.wrreq   (rxpcs_fifo_din_3_vld),     //   input,   width = 1,            .wrreq
        .rdreq   (lcl_rx_fifo_rd_en),       //   input,   width = 1,            .rdreq
	.wrclk   (rx_coreclkin[0]),                 //   input,   width = 1,            .wrclk
	.rdclk   (rx_clk),           //   input,   width = 1,            .rdclk
	.aclr    (rx_pll_locked_sync_161),       //   input,   width = 1,            .aclr
	.q       (rx_fifo_dout3_tmp),          //  output,  width = 66, fifo_output.dataout
	.rdfull  (),                       //  output,   width = 1,            .rdfull
	.rdempty (rx_afifo_empty[3]),      //  output,   width = 1,            .rdempty
  .rdusedw (rdusedw_3),
	.wrfull  (rx_wr_full[3]),                       //  output,   width = 1,            .wrfull
	.wrempty ()                        //  output,   width = 1,            .wrempty
);
always@ (posedge rx_clk or posedge rx_pll_locked_sync_312p5) begin
  if(rx_pll_locked_sync_312p5) begin
    rx_dvalid   <= 1'b0;
    rx_dvalid_d <= 1'd0;
    rx_data0    <= 264'd0; 
  end else begin
    rx_dvalid   <= lcl_rx_fifo_rd_en;
    rx_dvalid_d <= rx_dvalid; 
    if(rx_dvalid)begin
      rx_data0     <= rx_fifo_dout0;
    end
  end
end
//TO PCS
  assign rxpcs_din_out = rx_data0;
  assign rx_data_valid_out = {rx_dvalid_d,rx_dvalid_d,rx_dvalid_d,rx_dvalid_d};
  assign rx_fifo_empty = {rx_afifo_empty[3],rx_afifo_empty[2],rx_afifo_empty[1],rx_afifo_empty[0]};
//PMA 
   generate
if (SYNOPT_SYNC_E && enable_cdr_clkout) begin
	ex_40g_intel_eth_e40_intel_directphy_gts_400_fevopgi native_phy (
		.i_rx_cdr_refclk_p      (rx_cdr_refclk_p),      //   input,    width = 1,      i_rx_cdr_refclk_p.clk
		.i_tx_pll_refclk_p      (tx_pll_refclk_p),      //   input,    width = 1,      i_tx_pll_refclk_p.clk
		.i_pma_cu_clk           (i_pma_cu_clk),           //   input,    width = 1,           i_pma_cu_clk.pma_cu_clk
		.i_system_pll_clk       (i_system_pll_clk),       //   input,    width = 1,       i_system_pll_clk.clk
		.i_system_pll_lock      (i_system_pll_lock),      //   input,    width = 1,      i_system_pll_lock.system_pll_lock
		.i_tx_reset             (i_tx_reset),             //   input,    width = 1,             i_tx_reset.tx_reset
		.i_rx_reset             (i_rx_reset),             //   input,    width = 1,             i_rx_reset.rx_reset
		.o_tx_reset_ack         (tx_reset_ack),         //  output,    width = 1,         o_tx_reset_ack.tx_reset_ack
		.o_rx_reset_ack         (rx_reset_ack),         //  output,    width = 1,         o_rx_reset_ack.rx_reset_ack
		.o_tx_ready             (tx_ready_w),             //  output,    width = 1,             o_tx_ready.tx_ready
		.o_rx_ready             (rx_ready_w),             //  output,    width = 1,             o_rx_ready.rx_ready
		.i_tx_coreclkin         (tx_coreclkin),         //   input,    width = 4,         i_tx_coreclkin.i_tx_coreclkin
		.i_rx_coreclkin         (rx_coreclkin),         //   input,    width = 4,         i_rx_coreclkin.i_rx_coreclkin
		.o_tx_clkout            (tx_clkout),            //  output,    width = 4,            o_tx_clkout.o_tx_clkout
		.o_rx_clkout            (rx_clkout),            //  output,    width = 4,            o_rx_clkout.o_rx_clkout
		.o_tx_clkout2            (tx_clkout2),            //  output,    width = 4,            o_rx_clkout.o_rx_clkout
		.o_rx_clkout2            (rx_clkout2),            //  output,    width = 4,            o_rx_clkout.o_rx_clkout
        	.i_src_rs_grant         (i_src_rs_grant),         //   input,    width = 4,         i_src_rs_grant.src_rs_grant
		.o_src_rs_req           (o_src_rs_req),           //  output,    width = 4,           o_src_rs_req.src_rs_req
		.o_tx_serial_data       (tx_serial_data),       //  output,    width = 4,       o_tx_serial_data.o_tx_serial_data
		.o_tx_serial_data_n     (tx_serial_data_n),     //  output,    width = 4,       o_tx_serial_data_n.o_tx_serial_data_n
		.i_rx_serial_data       (rx_serial_data),       //   input,    width = 4,       i_rx_serial_data.i_rx_serial_data
		.i_rx_serial_data_n     (rx_serial_data_n),     //   input,    width = 4,     i_rx_serial_data_n.i_rx_serial_data_n
		.o_tx_pll_locked        (tx_dll_lock),        //  output,    width = 4,        o_tx_pll_locked.o_tx_pll_locked
		.o_rx_is_lockedtodata   (rx_is_lockedtodata),   //  output,    width = 4,   o_rx_is_lockedtodata.o_rx_is_lockedtodata
		.o_rx_is_lockedtoref    (),    //  output,    width = 4,    o_rx_is_lockedtoref.o_rx_is_lockedtoref
		.o_rx_block_lock        (rx_block_lock),        //  output,    width = 4,        o_rx_block_lock.o_rx_block_lock
		//.o_rx_am_lock           (rx_am_lock),           //  output,    width = 4,           o_rx_am_lock.o_rx_am_lock
		//.o_local_fault_status   (local_fault_status),   //  output,    width = 4,   o_local_fault_status.o_local_fault_status
		.o_rx_hi_ber            (),            //  output,    width = 4,            o_rx_hi_ber.o_rx_hi_ber
		.o_rx_pcs_fully_aligned (), //  output,    width = 4, o_rx_pcs_fully_aligned.o_rx_pcs_fully_aligned
		.i_tx_parallel_data     (tx_data_etile),     //   input,  width = 320,     i_tx_parallel_data.i_tx_parallel_data
        	.i_reconfig_clk           (reconfig_clk),           //   input,   width = 1,       i_reconfig_clk.clk
		.i_reconfig_reset         (reconfig_reset),         //   input,   width = 1,     i_reconfig_reset.reset
		.i_reconfig_write         (reconfig_write),         //   input,   width = 1,             reconfig.write
		.i_reconfig_read          (reconfig_read),          //   input,   width = 1,                     .read
		.i_reconfig_address       (reconfig_address),       //   input,  width = 18,                     .address
		.i_reconfig_byteenable    (reconfig_byteenable),    //   input,   width = 4,                     .byteenable
		.i_reconfig_writedata     (reconfig_writedata),     //   input,  width = 32,                     .writedata
		.o_reconfig_readdata      (reconfig_readdata_int),      //  output,  width = 32,                     .readdata
		.o_reconfig_waitrequest   (reconfig_waitrequest),   //  output,   width = 1,                     .waitrequest
		.o_reconfig_readdatavalid (reconfig_readdatavalid),  //  output,   width = 1,                     .readdatavalid
                 .o_tx_cadence            (o_tx_cadence_w),
.o_rx_cdr_divclk                (o_rx_cdr_divclk), 
		 .i_tx_cadence_fast_clk    (tx_clkout[0]),
		 .i_tx_cadence_slow_clk    (tx_clkout2[0] ),
		.o_rx_parallel_data     (rxpcs_din_etile)      //  output,  width = 320,     o_rx_parallel_data.o_rx_parallel_data
	);
end
else begin
ex_40g_intel_eth_e40_intel_directphy_gts_400_fevopgi native_phy (
		.i_rx_cdr_refclk_p      (rx_cdr_refclk_p),      //   input,    width = 1,      i_rx_cdr_refclk_p.clk
		.i_tx_pll_refclk_p      (tx_pll_refclk_p),      //   input,    width = 1,      i_tx_pll_refclk_p.clk
		.i_pma_cu_clk           (i_pma_cu_clk),           //   input,    width = 1,           i_pma_cu_clk.pma_cu_clk
		.i_system_pll_clk       (i_system_pll_clk),       //   input,    width = 1,       i_system_pll_clk.clk
		.i_system_pll_lock      (i_system_pll_lock),      //   input,    width = 1,      i_system_pll_lock.system_pll_lock
		.i_tx_reset             (i_tx_reset),             //   input,    width = 1,             i_tx_reset.tx_reset
		.i_rx_reset             (i_rx_reset),             //   input,    width = 1,             i_rx_reset.rx_reset
		.o_tx_reset_ack         (tx_reset_ack),         //  output,    width = 1,         o_tx_reset_ack.tx_reset_ack
		.o_rx_reset_ack         (rx_reset_ack),         //  output,    width = 1,         o_rx_reset_ack.rx_reset_ack
		.o_tx_ready             (tx_ready_w),             //  output,    width = 1,             o_tx_ready.tx_ready
		.o_rx_ready             (rx_ready_w),             //  output,    width = 1,             o_rx_ready.rx_ready
		.i_tx_coreclkin         (tx_coreclkin),         //   input,    width = 4,         i_tx_coreclkin.i_tx_coreclkin
		.i_rx_coreclkin         (rx_coreclkin),         //   input,    width = 4,         i_rx_coreclkin.i_rx_coreclkin
		.o_tx_clkout            (tx_clkout),            //  output,    width = 4,            o_tx_clkout.o_tx_clkout
		.o_rx_clkout            (rx_clkout),            //  output,    width = 4,            o_rx_clkout.o_rx_clkout
		.o_tx_clkout2            (tx_clkout2),            //  output,    width = 4,            o_rx_clkout.o_rx_clkout
		.o_rx_clkout2            (rx_clkout2),            //  output,    width = 4,            o_rx_clkout.o_rx_clkout
        	.i_src_rs_grant         (i_src_rs_grant),         //   input,    width = 4,         i_src_rs_grant.src_rs_grant
		.o_src_rs_req           (o_src_rs_req),           //  output,    width = 4,           o_src_rs_req.src_rs_req
		.o_tx_serial_data       (tx_serial_data),       //  output,    width = 4,       o_tx_serial_data.o_tx_serial_data
		.o_tx_serial_data_n     (tx_serial_data_n),     //  output,    width = 4,       o_tx_serial_data_n.o_tx_serial_data_n
		.i_rx_serial_data       (rx_serial_data),       //   input,    width = 4,       i_rx_serial_data.i_rx_serial_data
		.i_rx_serial_data_n     (rx_serial_data_n),     //   input,    width = 4,     i_rx_serial_data_n.i_rx_serial_data_n
		.o_tx_pll_locked        (tx_dll_lock),        //  output,    width = 4,        o_tx_pll_locked.o_tx_pll_locked
		.o_rx_is_lockedtodata   (rx_is_lockedtodata),   //  output,    width = 4,   o_rx_is_lockedtodata.o_rx_is_lockedtodata
		.o_rx_is_lockedtoref    (),    //  output,    width = 4,    o_rx_is_lockedtoref.o_rx_is_lockedtoref
		.o_rx_block_lock        (rx_block_lock),        //  output,    width = 4,        o_rx_block_lock.o_rx_block_lock
		//.o_rx_am_lock           (rx_am_lock),           //  output,    width = 4,           o_rx_am_lock.o_rx_am_lock
		//.o_local_fault_status   (local_fault_status),   //  output,    width = 4,   o_local_fault_status.o_local_fault_status
		.o_rx_hi_ber            (),            //  output,    width = 4,            o_rx_hi_ber.o_rx_hi_ber
		.o_rx_pcs_fully_aligned (), //  output,    width = 4, o_rx_pcs_fully_aligned.o_rx_pcs_fully_aligned
		.i_tx_parallel_data     (tx_data_etile),     //   input,  width = 320,     i_tx_parallel_data.i_tx_parallel_data
        	.i_reconfig_clk           (reconfig_clk),           //   input,   width = 1,       i_reconfig_clk.clk
		.i_reconfig_reset         (reconfig_reset),         //   input,   width = 1,     i_reconfig_reset.reset
		.i_reconfig_write         (reconfig_write),         //   input,   width = 1,             reconfig.write
		.i_reconfig_read          (reconfig_read),          //   input,   width = 1,                     .read
		.i_reconfig_address       (reconfig_address),       //   input,  width = 18,                     .address
		.i_reconfig_byteenable    (reconfig_byteenable),    //   input,   width = 4,                     .byteenable
		.i_reconfig_writedata     (reconfig_writedata),     //   input,  width = 32,                     .writedata
		.o_reconfig_readdata      (reconfig_readdata_int),      //  output,  width = 32,                     .readdata
		.o_reconfig_waitrequest   (reconfig_waitrequest),   //  output,   width = 1,                     .waitrequest
		.o_reconfig_readdatavalid (reconfig_readdatavalid),  //  output,   width = 1,                     .readdatavalid
                 .o_tx_cadence            (o_tx_cadence_w),
//.o_rx_cdr_divclk                (o_rx_cdr_divclk), 
		 .i_tx_cadence_fast_clk    (tx_clkout[0]),
		 .i_tx_cadence_slow_clk    (tx_clkout2[0] ),
		.o_rx_parallel_data     (rxpcs_din_etile)      //  output,  width = 320,     o_rx_parallel_data.o_rx_parallel_data
	);
end
endgenerate
 endmodule

