// intel_systemclk_gts_sm.v

// Generated using ACDS version 24.3 212

`timescale 1 ps / 1 ps
module intel_systemclk_gts_sm (
		output wire  o_pll_lock,     //   o_pll_lock.o_pll_lock, Lock signal of PLL
		output wire  o_syspll_c0,    //  o_syspll_c0.clk,        Clock output C0
		input  wire  i_refclk,       //  refclk_xcvr.clk,        Input refclock port
		input  wire  i_refclk_ready  // i_refclk_rdy.data,       Reference clock ready indicator. Value '1' indicated SPLL that reference clock is available and stable
	);

	intel_systemclk_gts_sm_intel_systemclk_gts_411_tjl4u6a #(
		.ch_pldif_channel_identifier  ("PLD_CHANNEL_IDENTIFIER_GENERIC"),
		.systempll_c0_output_enable_0 ("ENABLE"),
		.systempll_c1_output_enable_0 ("ENABLE"),
		.systempll_c2_output_enable_0 ("ENABLE"),
		.systempll_f_out_c0_hz_0      ("322265625"),
		.systempll_f_out_c1_hz_0      ("322265625"),
		.systempll_f_out_c2_hz_0      ("322265625"),
		.systempll_f_ref_hz_0         ("156250000"),
		.systempll_ethernet_preset_0  ("ETHERNET_FREQ_322_156"),
		.systempll_pcie_preset_0      ("PCIE_UNUSED"),
		.systempll_primary_use_0      ("ETHERNET"),
		.silicon_revision             ("10nm6awhra"),
		.device_revision              ("10nm6awhra")
	) intel_systemclk_gts_0 (
		.o_pll_lock     (o_pll_lock),     //  output,  width = 1,   o_pll_lock.o_pll_lock
		.o_syspll_c0    (o_syspll_c0),    //  output,  width = 1,  o_syspll_c0.clk
		.i_refclk       (i_refclk),       //   input,  width = 1,  refclk_xcvr.clk
		.i_refclk_ready (i_refclk_ready), //   input,  width = 1, i_refclk_rdy.data
		.o_syspll_c1    (),               // (terminated),                          
		.o_syspll_c2    ()                // (terminated),                          
	);

endmodule
