# (C) 2001-2024 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


set LINK_MNG_SIDE_CPI_REGS      0xA403C
set PHY_SIDE_CPI_REGS           0xA4040

set LANE_ADDR                   0xA5000

set SET_SILB(0)                 0x6A040
set SET_SILB(1)                 0x6A140
set SET_SILB(2)                 0x6A240
set SET_SILB(3)                 0x6A340
set RESET_SILB(0)               0x62040
set RESET_SILB(1)               0x62140
set RESET_SILB(2)               0x62240
set RESET_SILB(3)               0x62340

set SET_LANE(0)                 0x7A00F
set SET_LANE(1)                 0x7A10F
set SET_LANE(2)                 0x7A20F
set SET_LANE(3)                 0x7A30F
set RESET_LANE(0)               0x7200F
set RESET_LANE(1)               0x7210F
set RESET_LANE(2)               0x7220F
set RESET_LANE(3)               0x7230F



set DIS_SET_SILB(0)             0x0A040
set DIS_SET_SILB(1)             0x0A140
set DIS_SET_SILB(2)             0x0A240
set DIS_SET_SILB(3)             0x0A340
set DIS_RESET_SILB(0)           0x02040
set DIS_RESET_SILB(1)           0x02140
set DIS_RESET_SILB(2)           0x02240
set DIS_RESET_SILB(3)           0x02340



set DIS_SET_LANE(0)             0x0A00F
set DIS_SET_LANE(1)             0x0A10F
set DIS_SET_LANE(2)             0x0A20F
set DIS_SET_LANE(3)             0x0A30F
set DIS_RESET_LANE(0)           0x0200F
set DIS_RESET_LANE(1)           0x0210F
set DIS_RESET_LANE(2)           0x0220F
set DIS_RESET_LANE(3)           0x0230F

set DIS_SET_MODE(0)             0x00A003
set DIS_SET_MODE(1)             0x00A103
set DIS_SET_MODE(2)             0x00A203
set DIS_SET_MODE(3)             0x00A303
set DIS_RESET_MODE(0)           0x002003
set DIS_RESET_MODE(1)           0x002103
set DIS_RESET_MODE(2)           0x002203
set DIS_RESET_MODE(3)           0x002303




set DISABLE_DSP_ADAPT(0)        0x40A00C
set DISABLE_DSP_ADAPT(1)        0x40A10C
set DISABLE_DSP_ADAPT(2)        0x40A20C
set DISABLE_DSP_ADAPT(3)        0x40A30C



#Reconfig Interface
set BASE_IP_IF_Registers    0x097800
set BASE_Addr_CPI           0x0A4000
set IP_IF_Flex_reg(0)          0x9781C
set IP_IF_Flex_reg(1)          0x19781C
set IP_IF_Flex_reg(2)          0x29781C
set IP_IF_Flex_reg(3)          0x39781C
